import { z, ZodTypeAny } from "zod";
export declare const LATEST_PROTOCOL_VERSION = "2025-03-26";
export declare const SUPPORTED_PROTOCOL_VERSIONS: string[];
export declare const JSONRPC_VERSION = "2.0";
/**
 * A progress token, used to associate progress notifications with the original request.
 */
export declare const ProgressTokenSchema: z.ZodUnion<[z.ZodString, z.ZodNumber]>;
/**
 * An opaque token used to represent a cursor for pagination.
 */
export declare const CursorSchema: z.ZodString;
declare const RequestMetaSchema: z.ZodObject<{
    /**
     * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
     */
    progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
}, "passthrough", z.ZodTypeAny, z.objectOutputType<{
    /**
     * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
     */
    progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
}, z.ZodTypeAny, "passthrough">, z.objectInputType<{
    /**
     * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
     */
    progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
}, z.ZodTypeAny, "passthrough">>;
export declare const RequestSchema: z.ZodObject<{
    method: z.ZodString;
    params: z.ZodOptional<z.ZodObject<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">>>;
}, "strip", z.ZodTypeAny, {
    method: string;
    params?: z.objectOutputType<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough"> | undefined;
}, {
    method: string;
    params?: z.objectInputType<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough"> | undefined;
}>;
export declare const NotificationSchema: z.ZodObject<{
    method: z.ZodString;
    params: z.ZodOptional<z.ZodObject<{
        /**
         * This parameter name is reserved by MCP to allow clients and servers to attach additional metadata to their notifications.
         */
        _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        /**
         * This parameter name is reserved by MCP to allow clients and servers to attach additional metadata to their notifications.
         */
        _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        /**
         * This parameter name is reserved by MCP to allow clients and servers to attach additional metadata to their notifications.
         */
        _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">>>;
}, "strip", z.ZodTypeAny, {
    method: string;
    params?: z.objectOutputType<{
        /**
         * This parameter name is reserved by MCP to allow clients and servers to attach additional metadata to their notifications.
         */
        _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough"> | undefined;
}, {
    method: string;
    params?: z.objectInputType<{
        /**
         * This parameter name is reserved by MCP to allow clients and servers to attach additional metadata to their notifications.
         */
        _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough"> | undefined;
}>;
export declare const ResultSchema: z.ZodObject<{
    /**
     * This result property is reserved by the protocol to allow clients and servers to attach additional metadata to their responses.
     */
    _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
}, "passthrough", z.ZodTypeAny, z.objectOutputType<{
    /**
     * This result property is reserved by the protocol to allow clients and servers to attach additional metadata to their responses.
     */
    _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
}, z.ZodTypeAny, "passthrough">, z.objectInputType<{
    /**
     * This result property is reserved by the protocol to allow clients and servers to attach additional metadata to their responses.
     */
    _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
}, z.ZodTypeAny, "passthrough">>;
/**
 * A uniquely identifying ID for a request in JSON-RPC.
 */
export declare const RequestIdSchema: z.ZodUnion<[z.ZodString, z.ZodNumber]>;
/**
 * A request that expects a response.
 */
export declare const JSONRPCRequestSchema: z.ZodObject<z.objectUtil.extendShape<{
    jsonrpc: z.ZodLiteral<"2.0">;
    id: z.ZodUnion<[z.ZodString, z.ZodNumber]>;
}, {
    method: z.ZodString;
    params: z.ZodOptional<z.ZodObject<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">>>;
}>, "strict", z.ZodTypeAny, {
    method: string;
    jsonrpc: "2.0";
    id: string | number;
    params?: z.objectOutputType<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough"> | undefined;
}, {
    method: string;
    jsonrpc: "2.0";
    id: string | number;
    params?: z.objectInputType<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough"> | undefined;
}>;
export declare const isJSONRPCRequest: (value: unknown) => value is JSONRPCRequest;
/**
 * A notification which does not expect a response.
 */
export declare const JSONRPCNotificationSchema: z.ZodObject<z.objectUtil.extendShape<{
    jsonrpc: z.ZodLiteral<"2.0">;
}, {
    method: z.ZodString;
    params: z.ZodOptional<z.ZodObject<{
        /**
         * This parameter name is reserved by MCP to allow clients and servers to attach additional metadata to their notifications.
         */
        _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        /**
         * This parameter name is reserved by MCP to allow clients and servers to attach additional metadata to their notifications.
         */
        _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        /**
         * This parameter name is reserved by MCP to allow clients and servers to attach additional metadata to their notifications.
         */
        _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">>>;
}>, "strict", z.ZodTypeAny, {
    method: string;
    jsonrpc: "2.0";
    params?: z.objectOutputType<{
        /**
         * This parameter name is reserved by MCP to allow clients and servers to attach additional metadata to their notifications.
         */
        _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough"> | undefined;
}, {
    method: string;
    jsonrpc: "2.0";
    params?: z.objectInputType<{
        /**
         * This parameter name is reserved by MCP to allow clients and servers to attach additional metadata to their notifications.
         */
        _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough"> | undefined;
}>;
export declare const isJSONRPCNotification: (value: unknown) => value is JSONRPCNotification;
/**
 * A successful (non-error) response to a request.
 */
export declare const JSONRPCResponseSchema: z.ZodObject<{
    jsonrpc: z.ZodLiteral<"2.0">;
    id: z.ZodUnion<[z.ZodString, z.ZodNumber]>;
    result: z.ZodObject<{
        /**
         * This result property is reserved by the protocol to allow clients and servers to attach additional metadata to their responses.
         */
        _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        /**
         * This result property is reserved by the protocol to allow clients and servers to attach additional metadata to their responses.
         */
        _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        /**
         * This result property is reserved by the protocol to allow clients and servers to attach additional metadata to their responses.
         */
        _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">>;
}, "strict", z.ZodTypeAny, {
    jsonrpc: "2.0";
    id: string | number;
    result: {
        _meta?: z.objectOutputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
    } & {
        [k: string]: unknown;
    };
}, {
    jsonrpc: "2.0";
    id: string | number;
    result: {
        _meta?: z.objectInputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
    } & {
        [k: string]: unknown;
    };
}>;
export declare const isJSONRPCResponse: (value: unknown) => value is JSONRPCResponse;
/**
 * Error codes defined by the JSON-RPC specification.
 */
export declare enum ErrorCode {
    ConnectionClosed = -32000,
    RequestTimeout = -32001,
    ParseError = -32700,
    InvalidRequest = -32600,
    MethodNotFound = -32601,
    InvalidParams = -32602,
    InternalError = -32603
}
/**
 * A response to a request that indicates an error occurred.
 */
export declare const JSONRPCErrorSchema: z.ZodObject<{
    jsonrpc: z.ZodLiteral<"2.0">;
    id: z.ZodUnion<[z.ZodString, z.ZodNumber]>;
    error: z.ZodObject<{
        /**
         * The error type that occurred.
         */
        code: z.ZodNumber;
        /**
         * A short description of the error. The message SHOULD be limited to a concise single sentence.
         */
        message: z.ZodString;
        /**
         * Additional information about the error. The value of this member is defined by the sender (e.g. detailed error information, nested errors etc.).
         */
        data: z.ZodOptional<z.ZodUnknown>;
    }, "strip", z.ZodTypeAny, {
        code: number;
        message: string;
        data?: unknown;
    }, {
        code: number;
        message: string;
        data?: unknown;
    }>;
}, "strict", z.ZodTypeAny, {
    jsonrpc: "2.0";
    id: string | number;
    error: {
        code: number;
        message: string;
        data?: unknown;
    };
}, {
    jsonrpc: "2.0";
    id: string | number;
    error: {
        code: number;
        message: string;
        data?: unknown;
    };
}>;
export declare const isJSONRPCError: (value: unknown) => value is JSONRPCError;
export declare const JSONRPCMessageSchema: z.ZodUnion<[z.ZodObject<z.objectUtil.extendShape<{
    jsonrpc: z.ZodLiteral<"2.0">;
    id: z.ZodUnion<[z.ZodString, z.ZodNumber]>;
}, {
    method: z.ZodString;
    params: z.ZodOptional<z.ZodObject<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">>>;
}>, "strict", z.ZodTypeAny, {
    method: string;
    jsonrpc: "2.0";
    id: string | number;
    params?: z.objectOutputType<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough"> | undefined;
}, {
    method: string;
    jsonrpc: "2.0";
    id: string | number;
    params?: z.objectInputType<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough"> | undefined;
}>, z.ZodObject<z.objectUtil.extendShape<{
    jsonrpc: z.ZodLiteral<"2.0">;
}, {
    method: z.ZodString;
    params: z.ZodOptional<z.ZodObject<{
        /**
         * This parameter name is reserved by MCP to allow clients and servers to attach additional metadata to their notifications.
         */
        _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        /**
         * This parameter name is reserved by MCP to allow clients and servers to attach additional metadata to their notifications.
         */
        _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        /**
         * This parameter name is reserved by MCP to allow clients and servers to attach additional metadata to their notifications.
         */
        _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">>>;
}>, "strict", z.ZodTypeAny, {
    method: string;
    jsonrpc: "2.0";
    params?: z.objectOutputType<{
        /**
         * This parameter name is reserved by MCP to allow clients and servers to attach additional metadata to their notifications.
         */
        _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough"> | undefined;
}, {
    method: string;
    jsonrpc: "2.0";
    params?: z.objectInputType<{
        /**
         * This parameter name is reserved by MCP to allow clients and servers to attach additional metadata to their notifications.
         */
        _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough"> | undefined;
}>, z.ZodObject<{
    jsonrpc: z.ZodLiteral<"2.0">;
    id: z.ZodUnion<[z.ZodString, z.ZodNumber]>;
    result: z.ZodObject<{
        /**
         * This result property is reserved by the protocol to allow clients and servers to attach additional metadata to their responses.
         */
        _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        /**
         * This result property is reserved by the protocol to allow clients and servers to attach additional metadata to their responses.
         */
        _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        /**
         * This result property is reserved by the protocol to allow clients and servers to attach additional metadata to their responses.
         */
        _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">>;
}, "strict", z.ZodTypeAny, {
    jsonrpc: "2.0";
    id: string | number;
    result: {
        _meta?: z.objectOutputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
    } & {
        [k: string]: unknown;
    };
}, {
    jsonrpc: "2.0";
    id: string | number;
    result: {
        _meta?: z.objectInputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
    } & {
        [k: string]: unknown;
    };
}>, z.ZodObject<{
    jsonrpc: z.ZodLiteral<"2.0">;
    id: z.ZodUnion<[z.ZodString, z.ZodNumber]>;
    error: z.ZodObject<{
        /**
         * The error type that occurred.
         */
        code: z.ZodNumber;
        /**
         * A short description of the error. The message SHOULD be limited to a concise single sentence.
         */
        message: z.ZodString;
        /**
         * Additional information about the error. The value of this member is defined by the sender (e.g. detailed error information, nested errors etc.).
         */
        data: z.ZodOptional<z.ZodUnknown>;
    }, "strip", z.ZodTypeAny, {
        code: number;
        message: string;
        data?: unknown;
    }, {
        code: number;
        message: string;
        data?: unknown;
    }>;
}, "strict", z.ZodTypeAny, {
    jsonrpc: "2.0";
    id: string | number;
    error: {
        code: number;
        message: string;
        data?: unknown;
    };
}, {
    jsonrpc: "2.0";
    id: string | number;
    error: {
        code: number;
        message: string;
        data?: unknown;
    };
}>]>;
/**
 * A response that indicates success but carries no data.
 */
export declare const EmptyResultSchema: z.ZodObject<{
    /**
     * This result property is reserved by the protocol to allow clients and servers to attach additional metadata to their responses.
     */
    _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
}, "strict", z.ZodTypeAny, {
    _meta?: z.objectOutputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
}, {
    _meta?: z.objectInputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
}>;
/**
 * This notification can be sent by either side to indicate that it is cancelling a previously-issued request.
 *
 * The request SHOULD still be in-flight, but due to communication latency, it is always possible that this notification MAY arrive after the request has already finished.
 *
 * This notification indicates that the result will be unused, so any associated processing SHOULD cease.
 *
 * A client MUST NOT attempt to cancel its `initialize` request.
 */
export declare const CancelledNotificationSchema: z.ZodObject<z.objectUtil.extendShape<{
    method: z.ZodString;
    params: z.ZodOptional<z.ZodObject<{
        /**
         * This parameter name is reserved by MCP to allow clients and servers to attach additional metadata to their notifications.
         */
        _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        /**
         * This parameter name is reserved by MCP to allow clients and servers to attach additional metadata to their notifications.
         */
        _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        /**
         * This parameter name is reserved by MCP to allow clients and servers to attach additional metadata to their notifications.
         */
        _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">>>;
}, {
    method: z.ZodLiteral<"notifications/cancelled">;
    params: z.ZodObject<z.objectUtil.extendShape<{
        /**
         * This parameter name is reserved by MCP to allow clients and servers to attach additional metadata to their notifications.
         */
        _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, {
        /**
         * The ID of the request to cancel.
         *
         * This MUST correspond to the ID of a request previously issued in the same direction.
         */
        requestId: z.ZodUnion<[z.ZodString, z.ZodNumber]>;
        /**
         * An optional string describing the reason for the cancellation. This MAY be logged or presented to the user.
         */
        reason: z.ZodOptional<z.ZodString>;
    }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
        /**
         * This parameter name is reserved by MCP to allow clients and servers to attach additional metadata to their notifications.
         */
        _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, {
        /**
         * The ID of the request to cancel.
         *
         * This MUST correspond to the ID of a request previously issued in the same direction.
         */
        requestId: z.ZodUnion<[z.ZodString, z.ZodNumber]>;
        /**
         * An optional string describing the reason for the cancellation. This MAY be logged or presented to the user.
         */
        reason: z.ZodOptional<z.ZodString>;
    }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
        /**
         * This parameter name is reserved by MCP to allow clients and servers to attach additional metadata to their notifications.
         */
        _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, {
        /**
         * The ID of the request to cancel.
         *
         * This MUST correspond to the ID of a request previously issued in the same direction.
         */
        requestId: z.ZodUnion<[z.ZodString, z.ZodNumber]>;
        /**
         * An optional string describing the reason for the cancellation. This MAY be logged or presented to the user.
         */
        reason: z.ZodOptional<z.ZodString>;
    }>, z.ZodTypeAny, "passthrough">>;
}>, "strip", z.ZodTypeAny, {
    params: {
        requestId: string | number;
        _meta?: z.objectOutputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
        reason?: string | undefined;
    } & {
        [k: string]: unknown;
    };
    method: "notifications/cancelled";
}, {
    params: {
        requestId: string | number;
        _meta?: z.objectInputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
        reason?: string | undefined;
    } & {
        [k: string]: unknown;
    };
    method: "notifications/cancelled";
}>;
/**
 * Describes the name and version of an MCP implementation.
 */
export declare const ImplementationSchema: z.ZodObject<{
    name: z.ZodString;
    version: z.ZodString;
}, "passthrough", z.ZodTypeAny, z.objectOutputType<{
    name: z.ZodString;
    version: z.ZodString;
}, z.ZodTypeAny, "passthrough">, z.objectInputType<{
    name: z.ZodString;
    version: z.ZodString;
}, z.ZodTypeAny, "passthrough">>;
/**
 * Capabilities a client may support. Known capabilities are defined here, in this schema, but this is not a closed set: any client can define its own, additional capabilities.
 */
export declare const ClientCapabilitiesSchema: z.ZodObject<{
    /**
     * Experimental, non-standard capabilities that the client supports.
     */
    experimental: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    /**
     * Present if the client supports sampling from an LLM.
     */
    sampling: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    /**
     * Present if the client supports listing roots.
     */
    roots: z.ZodOptional<z.ZodObject<{
        /**
         * Whether the client supports issuing notifications for changes to the roots list.
         */
        listChanged: z.ZodOptional<z.ZodBoolean>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        /**
         * Whether the client supports issuing notifications for changes to the roots list.
         */
        listChanged: z.ZodOptional<z.ZodBoolean>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        /**
         * Whether the client supports issuing notifications for changes to the roots list.
         */
        listChanged: z.ZodOptional<z.ZodBoolean>;
    }, z.ZodTypeAny, "passthrough">>>;
}, "passthrough", z.ZodTypeAny, z.objectOutputType<{
    /**
     * Experimental, non-standard capabilities that the client supports.
     */
    experimental: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    /**
     * Present if the client supports sampling from an LLM.
     */
    sampling: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    /**
     * Present if the client supports listing roots.
     */
    roots: z.ZodOptional<z.ZodObject<{
        /**
         * Whether the client supports issuing notifications for changes to the roots list.
         */
        listChanged: z.ZodOptional<z.ZodBoolean>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        /**
         * Whether the client supports issuing notifications for changes to the roots list.
         */
        listChanged: z.ZodOptional<z.ZodBoolean>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        /**
         * Whether the client supports issuing notifications for changes to the roots list.
         */
        listChanged: z.ZodOptional<z.ZodBoolean>;
    }, z.ZodTypeAny, "passthrough">>>;
}, z.ZodTypeAny, "passthrough">, z.objectInputType<{
    /**
     * Experimental, non-standard capabilities that the client supports.
     */
    experimental: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    /**
     * Present if the client supports sampling from an LLM.
     */
    sampling: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    /**
     * Present if the client supports listing roots.
     */
    roots: z.ZodOptional<z.ZodObject<{
        /**
         * Whether the client supports issuing notifications for changes to the roots list.
         */
        listChanged: z.ZodOptional<z.ZodBoolean>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        /**
         * Whether the client supports issuing notifications for changes to the roots list.
         */
        listChanged: z.ZodOptional<z.ZodBoolean>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        /**
         * Whether the client supports issuing notifications for changes to the roots list.
         */
        listChanged: z.ZodOptional<z.ZodBoolean>;
    }, z.ZodTypeAny, "passthrough">>>;
}, z.ZodTypeAny, "passthrough">>;
/**
 * This request is sent from the client to the server when it first connects, asking it to begin initialization.
 */
export declare const InitializeRequestSchema: z.ZodObject<z.objectUtil.extendShape<{
    method: z.ZodString;
    params: z.ZodOptional<z.ZodObject<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">>>;
}, {
    method: z.ZodLiteral<"initialize">;
    params: z.ZodObject<z.objectUtil.extendShape<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, {
        /**
         * The latest version of the Model Context Protocol that the client supports. The client MAY decide to support older versions as well.
         */
        protocolVersion: z.ZodString;
        capabilities: z.ZodObject<{
            /**
             * Experimental, non-standard capabilities that the client supports.
             */
            experimental: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
            /**
             * Present if the client supports sampling from an LLM.
             */
            sampling: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
            /**
             * Present if the client supports listing roots.
             */
            roots: z.ZodOptional<z.ZodObject<{
                /**
                 * Whether the client supports issuing notifications for changes to the roots list.
                 */
                listChanged: z.ZodOptional<z.ZodBoolean>;
            }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
                /**
                 * Whether the client supports issuing notifications for changes to the roots list.
                 */
                listChanged: z.ZodOptional<z.ZodBoolean>;
            }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
                /**
                 * Whether the client supports issuing notifications for changes to the roots list.
                 */
                listChanged: z.ZodOptional<z.ZodBoolean>;
            }, z.ZodTypeAny, "passthrough">>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * Experimental, non-standard capabilities that the client supports.
             */
            experimental: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
            /**
             * Present if the client supports sampling from an LLM.
             */
            sampling: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
            /**
             * Present if the client supports listing roots.
             */
            roots: z.ZodOptional<z.ZodObject<{
                /**
                 * Whether the client supports issuing notifications for changes to the roots list.
                 */
                listChanged: z.ZodOptional<z.ZodBoolean>;
            }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
                /**
                 * Whether the client supports issuing notifications for changes to the roots list.
                 */
                listChanged: z.ZodOptional<z.ZodBoolean>;
            }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
                /**
                 * Whether the client supports issuing notifications for changes to the roots list.
                 */
                listChanged: z.ZodOptional<z.ZodBoolean>;
            }, z.ZodTypeAny, "passthrough">>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * Experimental, non-standard capabilities that the client supports.
             */
            experimental: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
            /**
             * Present if the client supports sampling from an LLM.
             */
            sampling: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
            /**
             * Present if the client supports listing roots.
             */
            roots: z.ZodOptional<z.ZodObject<{
                /**
                 * Whether the client supports issuing notifications for changes to the roots list.
                 */
                listChanged: z.ZodOptional<z.ZodBoolean>;
            }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
                /**
                 * Whether the client supports issuing notifications for changes to the roots list.
                 */
                listChanged: z.ZodOptional<z.ZodBoolean>;
            }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
                /**
                 * Whether the client supports issuing notifications for changes to the roots list.
                 */
                listChanged: z.ZodOptional<z.ZodBoolean>;
            }, z.ZodTypeAny, "passthrough">>>;
        }, z.ZodTypeAny, "passthrough">>;
        clientInfo: z.ZodObject<{
            name: z.ZodString;
            version: z.ZodString;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            name: z.ZodString;
            version: z.ZodString;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            name: z.ZodString;
            version: z.ZodString;
        }, z.ZodTypeAny, "passthrough">>;
    }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, {
        /**
         * The latest version of the Model Context Protocol that the client supports. The client MAY decide to support older versions as well.
         */
        protocolVersion: z.ZodString;
        capabilities: z.ZodObject<{
            /**
             * Experimental, non-standard capabilities that the client supports.
             */
            experimental: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
            /**
             * Present if the client supports sampling from an LLM.
             */
            sampling: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
            /**
             * Present if the client supports listing roots.
             */
            roots: z.ZodOptional<z.ZodObject<{
                /**
                 * Whether the client supports issuing notifications for changes to the roots list.
                 */
                listChanged: z.ZodOptional<z.ZodBoolean>;
            }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
                /**
                 * Whether the client supports issuing notifications for changes to the roots list.
                 */
                listChanged: z.ZodOptional<z.ZodBoolean>;
            }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
                /**
                 * Whether the client supports issuing notifications for changes to the roots list.
                 */
                listChanged: z.ZodOptional<z.ZodBoolean>;
            }, z.ZodTypeAny, "passthrough">>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * Experimental, non-standard capabilities that the client supports.
             */
            experimental: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
            /**
             * Present if the client supports sampling from an LLM.
             */
            sampling: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
            /**
             * Present if the client supports listing roots.
             */
            roots: z.ZodOptional<z.ZodObject<{
                /**
                 * Whether the client supports issuing notifications for changes to the roots list.
                 */
                listChanged: z.ZodOptional<z.ZodBoolean>;
            }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
                /**
                 * Whether the client supports issuing notifications for changes to the roots list.
                 */
                listChanged: z.ZodOptional<z.ZodBoolean>;
            }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
                /**
                 * Whether the client supports issuing notifications for changes to the roots list.
                 */
                listChanged: z.ZodOptional<z.ZodBoolean>;
            }, z.ZodTypeAny, "passthrough">>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * Experimental, non-standard capabilities that the client supports.
             */
            experimental: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
            /**
             * Present if the client supports sampling from an LLM.
             */
            sampling: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
            /**
             * Present if the client supports listing roots.
             */
            roots: z.ZodOptional<z.ZodObject<{
                /**
                 * Whether the client supports issuing notifications for changes to the roots list.
                 */
                listChanged: z.ZodOptional<z.ZodBoolean>;
            }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
                /**
                 * Whether the client supports issuing notifications for changes to the roots list.
                 */
                listChanged: z.ZodOptional<z.ZodBoolean>;
            }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
                /**
                 * Whether the client supports issuing notifications for changes to the roots list.
                 */
                listChanged: z.ZodOptional<z.ZodBoolean>;
            }, z.ZodTypeAny, "passthrough">>>;
        }, z.ZodTypeAny, "passthrough">>;
        clientInfo: z.ZodObject<{
            name: z.ZodString;
            version: z.ZodString;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            name: z.ZodString;
            version: z.ZodString;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            name: z.ZodString;
            version: z.ZodString;
        }, z.ZodTypeAny, "passthrough">>;
    }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, {
        /**
         * The latest version of the Model Context Protocol that the client supports. The client MAY decide to support older versions as well.
         */
        protocolVersion: z.ZodString;
        capabilities: z.ZodObject<{
            /**
             * Experimental, non-standard capabilities that the client supports.
             */
            experimental: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
            /**
             * Present if the client supports sampling from an LLM.
             */
            sampling: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
            /**
             * Present if the client supports listing roots.
             */
            roots: z.ZodOptional<z.ZodObject<{
                /**
                 * Whether the client supports issuing notifications for changes to the roots list.
                 */
                listChanged: z.ZodOptional<z.ZodBoolean>;
            }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
                /**
                 * Whether the client supports issuing notifications for changes to the roots list.
                 */
                listChanged: z.ZodOptional<z.ZodBoolean>;
            }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
                /**
                 * Whether the client supports issuing notifications for changes to the roots list.
                 */
                listChanged: z.ZodOptional<z.ZodBoolean>;
            }, z.ZodTypeAny, "passthrough">>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * Experimental, non-standard capabilities that the client supports.
             */
            experimental: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
            /**
             * Present if the client supports sampling from an LLM.
             */
            sampling: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
            /**
             * Present if the client supports listing roots.
             */
            roots: z.ZodOptional<z.ZodObject<{
                /**
                 * Whether the client supports issuing notifications for changes to the roots list.
                 */
                listChanged: z.ZodOptional<z.ZodBoolean>;
            }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
                /**
                 * Whether the client supports issuing notifications for changes to the roots list.
                 */
                listChanged: z.ZodOptional<z.ZodBoolean>;
            }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
                /**
                 * Whether the client supports issuing notifications for changes to the roots list.
                 */
                listChanged: z.ZodOptional<z.ZodBoolean>;
            }, z.ZodTypeAny, "passthrough">>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * Experimental, non-standard capabilities that the client supports.
             */
            experimental: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
            /**
             * Present if the client supports sampling from an LLM.
             */
            sampling: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
            /**
             * Present if the client supports listing roots.
             */
            roots: z.ZodOptional<z.ZodObject<{
                /**
                 * Whether the client supports issuing notifications for changes to the roots list.
                 */
                listChanged: z.ZodOptional<z.ZodBoolean>;
            }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
                /**
                 * Whether the client supports issuing notifications for changes to the roots list.
                 */
                listChanged: z.ZodOptional<z.ZodBoolean>;
            }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
                /**
                 * Whether the client supports issuing notifications for changes to the roots list.
                 */
                listChanged: z.ZodOptional<z.ZodBoolean>;
            }, z.ZodTypeAny, "passthrough">>>;
        }, z.ZodTypeAny, "passthrough">>;
        clientInfo: z.ZodObject<{
            name: z.ZodString;
            version: z.ZodString;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            name: z.ZodString;
            version: z.ZodString;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            name: z.ZodString;
            version: z.ZodString;
        }, z.ZodTypeAny, "passthrough">>;
    }>, z.ZodTypeAny, "passthrough">>;
}>, "strip", z.ZodTypeAny, {
    params: {
        protocolVersion: string;
        capabilities: {
            experimental?: z.objectOutputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
            sampling?: z.objectOutputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
            roots?: z.objectOutputType<{
                /**
                 * Whether the client supports issuing notifications for changes to the roots list.
                 */
                listChanged: z.ZodOptional<z.ZodBoolean>;
            }, z.ZodTypeAny, "passthrough"> | undefined;
        } & {
            [k: string]: unknown;
        };
        clientInfo: {
            name: string;
            version: string;
        } & {
            [k: string]: unknown;
        };
        _meta?: z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough"> | undefined;
    } & {
        [k: string]: unknown;
    };
    method: "initialize";
}, {
    params: {
        protocolVersion: string;
        capabilities: {
            experimental?: z.objectInputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
            sampling?: z.objectInputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
            roots?: z.objectInputType<{
                /**
                 * Whether the client supports issuing notifications for changes to the roots list.
                 */
                listChanged: z.ZodOptional<z.ZodBoolean>;
            }, z.ZodTypeAny, "passthrough"> | undefined;
        } & {
            [k: string]: unknown;
        };
        clientInfo: {
            name: string;
            version: string;
        } & {
            [k: string]: unknown;
        };
        _meta?: z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough"> | undefined;
    } & {
        [k: string]: unknown;
    };
    method: "initialize";
}>;
export declare const isInitializeRequest: (value: unknown) => value is InitializeRequest;
/**
 * Capabilities that a server may support. Known capabilities are defined here, in this schema, but this is not a closed set: any server can define its own, additional capabilities.
 */
export declare const ServerCapabilitiesSchema: z.ZodObject<{
    /**
     * Experimental, non-standard capabilities that the server supports.
     */
    experimental: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    /**
     * Present if the server supports sending log messages to the client.
     */
    logging: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    /**
     * Present if the server supports sending completions to the client.
     */
    completions: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    /**
     * Present if the server offers any prompt templates.
     */
    prompts: z.ZodOptional<z.ZodObject<{
        /**
         * Whether this server supports issuing notifications for changes to the prompt list.
         */
        listChanged: z.ZodOptional<z.ZodBoolean>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        /**
         * Whether this server supports issuing notifications for changes to the prompt list.
         */
        listChanged: z.ZodOptional<z.ZodBoolean>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        /**
         * Whether this server supports issuing notifications for changes to the prompt list.
         */
        listChanged: z.ZodOptional<z.ZodBoolean>;
    }, z.ZodTypeAny, "passthrough">>>;
    /**
     * Present if the server offers any resources to read.
     */
    resources: z.ZodOptional<z.ZodObject<{
        /**
         * Whether this server supports clients subscribing to resource updates.
         */
        subscribe: z.ZodOptional<z.ZodBoolean>;
        /**
         * Whether this server supports issuing notifications for changes to the resource list.
         */
        listChanged: z.ZodOptional<z.ZodBoolean>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        /**
         * Whether this server supports clients subscribing to resource updates.
         */
        subscribe: z.ZodOptional<z.ZodBoolean>;
        /**
         * Whether this server supports issuing notifications for changes to the resource list.
         */
        listChanged: z.ZodOptional<z.ZodBoolean>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        /**
         * Whether this server supports clients subscribing to resource updates.
         */
        subscribe: z.ZodOptional<z.ZodBoolean>;
        /**
         * Whether this server supports issuing notifications for changes to the resource list.
         */
        listChanged: z.ZodOptional<z.ZodBoolean>;
    }, z.ZodTypeAny, "passthrough">>>;
    /**
     * Present if the server offers any tools to call.
     */
    tools: z.ZodOptional<z.ZodObject<{
        /**
         * Whether this server supports issuing notifications for changes to the tool list.
         */
        listChanged: z.ZodOptional<z.ZodBoolean>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        /**
         * Whether this server supports issuing notifications for changes to the tool list.
         */
        listChanged: z.ZodOptional<z.ZodBoolean>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        /**
         * Whether this server supports issuing notifications for changes to the tool list.
         */
        listChanged: z.ZodOptional<z.ZodBoolean>;
    }, z.ZodTypeAny, "passthrough">>>;
}, "passthrough", z.ZodTypeAny, z.objectOutputType<{
    /**
     * Experimental, non-standard capabilities that the server supports.
     */
    experimental: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    /**
     * Present if the server supports sending log messages to the client.
     */
    logging: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    /**
     * Present if the server supports sending completions to the client.
     */
    completions: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    /**
     * Present if the server offers any prompt templates.
     */
    prompts: z.ZodOptional<z.ZodObject<{
        /**
         * Whether this server supports issuing notifications for changes to the prompt list.
         */
        listChanged: z.ZodOptional<z.ZodBoolean>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        /**
         * Whether this server supports issuing notifications for changes to the prompt list.
         */
        listChanged: z.ZodOptional<z.ZodBoolean>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        /**
         * Whether this server supports issuing notifications for changes to the prompt list.
         */
        listChanged: z.ZodOptional<z.ZodBoolean>;
    }, z.ZodTypeAny, "passthrough">>>;
    /**
     * Present if the server offers any resources to read.
     */
    resources: z.ZodOptional<z.ZodObject<{
        /**
         * Whether this server supports clients subscribing to resource updates.
         */
        subscribe: z.ZodOptional<z.ZodBoolean>;
        /**
         * Whether this server supports issuing notifications for changes to the resource list.
         */
        listChanged: z.ZodOptional<z.ZodBoolean>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        /**
         * Whether this server supports clients subscribing to resource updates.
         */
        subscribe: z.ZodOptional<z.ZodBoolean>;
        /**
         * Whether this server supports issuing notifications for changes to the resource list.
         */
        listChanged: z.ZodOptional<z.ZodBoolean>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        /**
         * Whether this server supports clients subscribing to resource updates.
         */
        subscribe: z.ZodOptional<z.ZodBoolean>;
        /**
         * Whether this server supports issuing notifications for changes to the resource list.
         */
        listChanged: z.ZodOptional<z.ZodBoolean>;
    }, z.ZodTypeAny, "passthrough">>>;
    /**
     * Present if the server offers any tools to call.
     */
    tools: z.ZodOptional<z.ZodObject<{
        /**
         * Whether this server supports issuing notifications for changes to the tool list.
         */
        listChanged: z.ZodOptional<z.ZodBoolean>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        /**
         * Whether this server supports issuing notifications for changes to the tool list.
         */
        listChanged: z.ZodOptional<z.ZodBoolean>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        /**
         * Whether this server supports issuing notifications for changes to the tool list.
         */
        listChanged: z.ZodOptional<z.ZodBoolean>;
    }, z.ZodTypeAny, "passthrough">>>;
}, z.ZodTypeAny, "passthrough">, z.objectInputType<{
    /**
     * Experimental, non-standard capabilities that the server supports.
     */
    experimental: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    /**
     * Present if the server supports sending log messages to the client.
     */
    logging: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    /**
     * Present if the server supports sending completions to the client.
     */
    completions: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    /**
     * Present if the server offers any prompt templates.
     */
    prompts: z.ZodOptional<z.ZodObject<{
        /**
         * Whether this server supports issuing notifications for changes to the prompt list.
         */
        listChanged: z.ZodOptional<z.ZodBoolean>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        /**
         * Whether this server supports issuing notifications for changes to the prompt list.
         */
        listChanged: z.ZodOptional<z.ZodBoolean>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        /**
         * Whether this server supports issuing notifications for changes to the prompt list.
         */
        listChanged: z.ZodOptional<z.ZodBoolean>;
    }, z.ZodTypeAny, "passthrough">>>;
    /**
     * Present if the server offers any resources to read.
     */
    resources: z.ZodOptional<z.ZodObject<{
        /**
         * Whether this server supports clients subscribing to resource updates.
         */
        subscribe: z.ZodOptional<z.ZodBoolean>;
        /**
         * Whether this server supports issuing notifications for changes to the resource list.
         */
        listChanged: z.ZodOptional<z.ZodBoolean>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        /**
         * Whether this server supports clients subscribing to resource updates.
         */
        subscribe: z.ZodOptional<z.ZodBoolean>;
        /**
         * Whether this server supports issuing notifications for changes to the resource list.
         */
        listChanged: z.ZodOptional<z.ZodBoolean>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        /**
         * Whether this server supports clients subscribing to resource updates.
         */
        subscribe: z.ZodOptional<z.ZodBoolean>;
        /**
         * Whether this server supports issuing notifications for changes to the resource list.
         */
        listChanged: z.ZodOptional<z.ZodBoolean>;
    }, z.ZodTypeAny, "passthrough">>>;
    /**
     * Present if the server offers any tools to call.
     */
    tools: z.ZodOptional<z.ZodObject<{
        /**
         * Whether this server supports issuing notifications for changes to the tool list.
         */
        listChanged: z.ZodOptional<z.ZodBoolean>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        /**
         * Whether this server supports issuing notifications for changes to the tool list.
         */
        listChanged: z.ZodOptional<z.ZodBoolean>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        /**
         * Whether this server supports issuing notifications for changes to the tool list.
         */
        listChanged: z.ZodOptional<z.ZodBoolean>;
    }, z.ZodTypeAny, "passthrough">>>;
}, z.ZodTypeAny, "passthrough">>;
/**
 * After receiving an initialize request from the client, the server sends this response.
 */
export declare const InitializeResultSchema: z.ZodObject<z.objectUtil.extendShape<{
    /**
     * This result property is reserved by the protocol to allow clients and servers to attach additional metadata to their responses.
     */
    _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
}, {
    /**
     * The version of the Model Context Protocol that the server wants to use. This may not match the version that the client requested. If the client cannot support this version, it MUST disconnect.
     */
    protocolVersion: z.ZodString;
    capabilities: z.ZodObject<{
        /**
         * Experimental, non-standard capabilities that the server supports.
         */
        experimental: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
        /**
         * Present if the server supports sending log messages to the client.
         */
        logging: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
        /**
         * Present if the server supports sending completions to the client.
         */
        completions: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
        /**
         * Present if the server offers any prompt templates.
         */
        prompts: z.ZodOptional<z.ZodObject<{
            /**
             * Whether this server supports issuing notifications for changes to the prompt list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * Whether this server supports issuing notifications for changes to the prompt list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * Whether this server supports issuing notifications for changes to the prompt list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">>>;
        /**
         * Present if the server offers any resources to read.
         */
        resources: z.ZodOptional<z.ZodObject<{
            /**
             * Whether this server supports clients subscribing to resource updates.
             */
            subscribe: z.ZodOptional<z.ZodBoolean>;
            /**
             * Whether this server supports issuing notifications for changes to the resource list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * Whether this server supports clients subscribing to resource updates.
             */
            subscribe: z.ZodOptional<z.ZodBoolean>;
            /**
             * Whether this server supports issuing notifications for changes to the resource list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * Whether this server supports clients subscribing to resource updates.
             */
            subscribe: z.ZodOptional<z.ZodBoolean>;
            /**
             * Whether this server supports issuing notifications for changes to the resource list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">>>;
        /**
         * Present if the server offers any tools to call.
         */
        tools: z.ZodOptional<z.ZodObject<{
            /**
             * Whether this server supports issuing notifications for changes to the tool list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * Whether this server supports issuing notifications for changes to the tool list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * Whether this server supports issuing notifications for changes to the tool list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        /**
         * Experimental, non-standard capabilities that the server supports.
         */
        experimental: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
        /**
         * Present if the server supports sending log messages to the client.
         */
        logging: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
        /**
         * Present if the server supports sending completions to the client.
         */
        completions: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
        /**
         * Present if the server offers any prompt templates.
         */
        prompts: z.ZodOptional<z.ZodObject<{
            /**
             * Whether this server supports issuing notifications for changes to the prompt list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * Whether this server supports issuing notifications for changes to the prompt list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * Whether this server supports issuing notifications for changes to the prompt list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">>>;
        /**
         * Present if the server offers any resources to read.
         */
        resources: z.ZodOptional<z.ZodObject<{
            /**
             * Whether this server supports clients subscribing to resource updates.
             */
            subscribe: z.ZodOptional<z.ZodBoolean>;
            /**
             * Whether this server supports issuing notifications for changes to the resource list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * Whether this server supports clients subscribing to resource updates.
             */
            subscribe: z.ZodOptional<z.ZodBoolean>;
            /**
             * Whether this server supports issuing notifications for changes to the resource list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * Whether this server supports clients subscribing to resource updates.
             */
            subscribe: z.ZodOptional<z.ZodBoolean>;
            /**
             * Whether this server supports issuing notifications for changes to the resource list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">>>;
        /**
         * Present if the server offers any tools to call.
         */
        tools: z.ZodOptional<z.ZodObject<{
            /**
             * Whether this server supports issuing notifications for changes to the tool list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * Whether this server supports issuing notifications for changes to the tool list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * Whether this server supports issuing notifications for changes to the tool list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        /**
         * Experimental, non-standard capabilities that the server supports.
         */
        experimental: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
        /**
         * Present if the server supports sending log messages to the client.
         */
        logging: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
        /**
         * Present if the server supports sending completions to the client.
         */
        completions: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
        /**
         * Present if the server offers any prompt templates.
         */
        prompts: z.ZodOptional<z.ZodObject<{
            /**
             * Whether this server supports issuing notifications for changes to the prompt list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * Whether this server supports issuing notifications for changes to the prompt list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * Whether this server supports issuing notifications for changes to the prompt list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">>>;
        /**
         * Present if the server offers any resources to read.
         */
        resources: z.ZodOptional<z.ZodObject<{
            /**
             * Whether this server supports clients subscribing to resource updates.
             */
            subscribe: z.ZodOptional<z.ZodBoolean>;
            /**
             * Whether this server supports issuing notifications for changes to the resource list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * Whether this server supports clients subscribing to resource updates.
             */
            subscribe: z.ZodOptional<z.ZodBoolean>;
            /**
             * Whether this server supports issuing notifications for changes to the resource list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * Whether this server supports clients subscribing to resource updates.
             */
            subscribe: z.ZodOptional<z.ZodBoolean>;
            /**
             * Whether this server supports issuing notifications for changes to the resource list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">>>;
        /**
         * Present if the server offers any tools to call.
         */
        tools: z.ZodOptional<z.ZodObject<{
            /**
             * Whether this server supports issuing notifications for changes to the tool list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * Whether this server supports issuing notifications for changes to the tool list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * Whether this server supports issuing notifications for changes to the tool list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">>;
    serverInfo: z.ZodObject<{
        name: z.ZodString;
        version: z.ZodString;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        name: z.ZodString;
        version: z.ZodString;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        name: z.ZodString;
        version: z.ZodString;
    }, z.ZodTypeAny, "passthrough">>;
    /**
     * Instructions describing how to use the server and its features.
     *
     * This can be used by clients to improve the LLM's understanding of available tools, resources, etc. It can be thought of like a "hint" to the model. For example, this information MAY be added to the system prompt.
     */
    instructions: z.ZodOptional<z.ZodString>;
}>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
    /**
     * This result property is reserved by the protocol to allow clients and servers to attach additional metadata to their responses.
     */
    _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
}, {
    /**
     * The version of the Model Context Protocol that the server wants to use. This may not match the version that the client requested. If the client cannot support this version, it MUST disconnect.
     */
    protocolVersion: z.ZodString;
    capabilities: z.ZodObject<{
        /**
         * Experimental, non-standard capabilities that the server supports.
         */
        experimental: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
        /**
         * Present if the server supports sending log messages to the client.
         */
        logging: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
        /**
         * Present if the server supports sending completions to the client.
         */
        completions: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
        /**
         * Present if the server offers any prompt templates.
         */
        prompts: z.ZodOptional<z.ZodObject<{
            /**
             * Whether this server supports issuing notifications for changes to the prompt list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * Whether this server supports issuing notifications for changes to the prompt list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * Whether this server supports issuing notifications for changes to the prompt list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">>>;
        /**
         * Present if the server offers any resources to read.
         */
        resources: z.ZodOptional<z.ZodObject<{
            /**
             * Whether this server supports clients subscribing to resource updates.
             */
            subscribe: z.ZodOptional<z.ZodBoolean>;
            /**
             * Whether this server supports issuing notifications for changes to the resource list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * Whether this server supports clients subscribing to resource updates.
             */
            subscribe: z.ZodOptional<z.ZodBoolean>;
            /**
             * Whether this server supports issuing notifications for changes to the resource list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * Whether this server supports clients subscribing to resource updates.
             */
            subscribe: z.ZodOptional<z.ZodBoolean>;
            /**
             * Whether this server supports issuing notifications for changes to the resource list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">>>;
        /**
         * Present if the server offers any tools to call.
         */
        tools: z.ZodOptional<z.ZodObject<{
            /**
             * Whether this server supports issuing notifications for changes to the tool list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * Whether this server supports issuing notifications for changes to the tool list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * Whether this server supports issuing notifications for changes to the tool list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        /**
         * Experimental, non-standard capabilities that the server supports.
         */
        experimental: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
        /**
         * Present if the server supports sending log messages to the client.
         */
        logging: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
        /**
         * Present if the server supports sending completions to the client.
         */
        completions: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
        /**
         * Present if the server offers any prompt templates.
         */
        prompts: z.ZodOptional<z.ZodObject<{
            /**
             * Whether this server supports issuing notifications for changes to the prompt list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * Whether this server supports issuing notifications for changes to the prompt list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * Whether this server supports issuing notifications for changes to the prompt list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">>>;
        /**
         * Present if the server offers any resources to read.
         */
        resources: z.ZodOptional<z.ZodObject<{
            /**
             * Whether this server supports clients subscribing to resource updates.
             */
            subscribe: z.ZodOptional<z.ZodBoolean>;
            /**
             * Whether this server supports issuing notifications for changes to the resource list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * Whether this server supports clients subscribing to resource updates.
             */
            subscribe: z.ZodOptional<z.ZodBoolean>;
            /**
             * Whether this server supports issuing notifications for changes to the resource list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * Whether this server supports clients subscribing to resource updates.
             */
            subscribe: z.ZodOptional<z.ZodBoolean>;
            /**
             * Whether this server supports issuing notifications for changes to the resource list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">>>;
        /**
         * Present if the server offers any tools to call.
         */
        tools: z.ZodOptional<z.ZodObject<{
            /**
             * Whether this server supports issuing notifications for changes to the tool list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * Whether this server supports issuing notifications for changes to the tool list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * Whether this server supports issuing notifications for changes to the tool list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        /**
         * Experimental, non-standard capabilities that the server supports.
         */
        experimental: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
        /**
         * Present if the server supports sending log messages to the client.
         */
        logging: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
        /**
         * Present if the server supports sending completions to the client.
         */
        completions: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
        /**
         * Present if the server offers any prompt templates.
         */
        prompts: z.ZodOptional<z.ZodObject<{
            /**
             * Whether this server supports issuing notifications for changes to the prompt list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * Whether this server supports issuing notifications for changes to the prompt list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * Whether this server supports issuing notifications for changes to the prompt list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">>>;
        /**
         * Present if the server offers any resources to read.
         */
        resources: z.ZodOptional<z.ZodObject<{
            /**
             * Whether this server supports clients subscribing to resource updates.
             */
            subscribe: z.ZodOptional<z.ZodBoolean>;
            /**
             * Whether this server supports issuing notifications for changes to the resource list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * Whether this server supports clients subscribing to resource updates.
             */
            subscribe: z.ZodOptional<z.ZodBoolean>;
            /**
             * Whether this server supports issuing notifications for changes to the resource list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * Whether this server supports clients subscribing to resource updates.
             */
            subscribe: z.ZodOptional<z.ZodBoolean>;
            /**
             * Whether this server supports issuing notifications for changes to the resource list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">>>;
        /**
         * Present if the server offers any tools to call.
         */
        tools: z.ZodOptional<z.ZodObject<{
            /**
             * Whether this server supports issuing notifications for changes to the tool list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * Whether this server supports issuing notifications for changes to the tool list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * Whether this server supports issuing notifications for changes to the tool list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">>;
    serverInfo: z.ZodObject<{
        name: z.ZodString;
        version: z.ZodString;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        name: z.ZodString;
        version: z.ZodString;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        name: z.ZodString;
        version: z.ZodString;
    }, z.ZodTypeAny, "passthrough">>;
    /**
     * Instructions describing how to use the server and its features.
     *
     * This can be used by clients to improve the LLM's understanding of available tools, resources, etc. It can be thought of like a "hint" to the model. For example, this information MAY be added to the system prompt.
     */
    instructions: z.ZodOptional<z.ZodString>;
}>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
    /**
     * This result property is reserved by the protocol to allow clients and servers to attach additional metadata to their responses.
     */
    _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
}, {
    /**
     * The version of the Model Context Protocol that the server wants to use. This may not match the version that the client requested. If the client cannot support this version, it MUST disconnect.
     */
    protocolVersion: z.ZodString;
    capabilities: z.ZodObject<{
        /**
         * Experimental, non-standard capabilities that the server supports.
         */
        experimental: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
        /**
         * Present if the server supports sending log messages to the client.
         */
        logging: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
        /**
         * Present if the server supports sending completions to the client.
         */
        completions: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
        /**
         * Present if the server offers any prompt templates.
         */
        prompts: z.ZodOptional<z.ZodObject<{
            /**
             * Whether this server supports issuing notifications for changes to the prompt list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * Whether this server supports issuing notifications for changes to the prompt list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * Whether this server supports issuing notifications for changes to the prompt list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">>>;
        /**
         * Present if the server offers any resources to read.
         */
        resources: z.ZodOptional<z.ZodObject<{
            /**
             * Whether this server supports clients subscribing to resource updates.
             */
            subscribe: z.ZodOptional<z.ZodBoolean>;
            /**
             * Whether this server supports issuing notifications for changes to the resource list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * Whether this server supports clients subscribing to resource updates.
             */
            subscribe: z.ZodOptional<z.ZodBoolean>;
            /**
             * Whether this server supports issuing notifications for changes to the resource list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * Whether this server supports clients subscribing to resource updates.
             */
            subscribe: z.ZodOptional<z.ZodBoolean>;
            /**
             * Whether this server supports issuing notifications for changes to the resource list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">>>;
        /**
         * Present if the server offers any tools to call.
         */
        tools: z.ZodOptional<z.ZodObject<{
            /**
             * Whether this server supports issuing notifications for changes to the tool list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * Whether this server supports issuing notifications for changes to the tool list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * Whether this server supports issuing notifications for changes to the tool list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        /**
         * Experimental, non-standard capabilities that the server supports.
         */
        experimental: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
        /**
         * Present if the server supports sending log messages to the client.
         */
        logging: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
        /**
         * Present if the server supports sending completions to the client.
         */
        completions: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
        /**
         * Present if the server offers any prompt templates.
         */
        prompts: z.ZodOptional<z.ZodObject<{
            /**
             * Whether this server supports issuing notifications for changes to the prompt list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * Whether this server supports issuing notifications for changes to the prompt list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * Whether this server supports issuing notifications for changes to the prompt list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">>>;
        /**
         * Present if the server offers any resources to read.
         */
        resources: z.ZodOptional<z.ZodObject<{
            /**
             * Whether this server supports clients subscribing to resource updates.
             */
            subscribe: z.ZodOptional<z.ZodBoolean>;
            /**
             * Whether this server supports issuing notifications for changes to the resource list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * Whether this server supports clients subscribing to resource updates.
             */
            subscribe: z.ZodOptional<z.ZodBoolean>;
            /**
             * Whether this server supports issuing notifications for changes to the resource list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * Whether this server supports clients subscribing to resource updates.
             */
            subscribe: z.ZodOptional<z.ZodBoolean>;
            /**
             * Whether this server supports issuing notifications for changes to the resource list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">>>;
        /**
         * Present if the server offers any tools to call.
         */
        tools: z.ZodOptional<z.ZodObject<{
            /**
             * Whether this server supports issuing notifications for changes to the tool list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * Whether this server supports issuing notifications for changes to the tool list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * Whether this server supports issuing notifications for changes to the tool list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        /**
         * Experimental, non-standard capabilities that the server supports.
         */
        experimental: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
        /**
         * Present if the server supports sending log messages to the client.
         */
        logging: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
        /**
         * Present if the server supports sending completions to the client.
         */
        completions: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
        /**
         * Present if the server offers any prompt templates.
         */
        prompts: z.ZodOptional<z.ZodObject<{
            /**
             * Whether this server supports issuing notifications for changes to the prompt list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * Whether this server supports issuing notifications for changes to the prompt list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * Whether this server supports issuing notifications for changes to the prompt list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">>>;
        /**
         * Present if the server offers any resources to read.
         */
        resources: z.ZodOptional<z.ZodObject<{
            /**
             * Whether this server supports clients subscribing to resource updates.
             */
            subscribe: z.ZodOptional<z.ZodBoolean>;
            /**
             * Whether this server supports issuing notifications for changes to the resource list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * Whether this server supports clients subscribing to resource updates.
             */
            subscribe: z.ZodOptional<z.ZodBoolean>;
            /**
             * Whether this server supports issuing notifications for changes to the resource list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * Whether this server supports clients subscribing to resource updates.
             */
            subscribe: z.ZodOptional<z.ZodBoolean>;
            /**
             * Whether this server supports issuing notifications for changes to the resource list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">>>;
        /**
         * Present if the server offers any tools to call.
         */
        tools: z.ZodOptional<z.ZodObject<{
            /**
             * Whether this server supports issuing notifications for changes to the tool list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * Whether this server supports issuing notifications for changes to the tool list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * Whether this server supports issuing notifications for changes to the tool list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">>;
    serverInfo: z.ZodObject<{
        name: z.ZodString;
        version: z.ZodString;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        name: z.ZodString;
        version: z.ZodString;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        name: z.ZodString;
        version: z.ZodString;
    }, z.ZodTypeAny, "passthrough">>;
    /**
     * Instructions describing how to use the server and its features.
     *
     * This can be used by clients to improve the LLM's understanding of available tools, resources, etc. It can be thought of like a "hint" to the model. For example, this information MAY be added to the system prompt.
     */
    instructions: z.ZodOptional<z.ZodString>;
}>, z.ZodTypeAny, "passthrough">>;
/**
 * This notification is sent from the client to the server after initialization has finished.
 */
export declare const InitializedNotificationSchema: z.ZodObject<z.objectUtil.extendShape<{
    method: z.ZodString;
    params: z.ZodOptional<z.ZodObject<{
        /**
         * This parameter name is reserved by MCP to allow clients and servers to attach additional metadata to their notifications.
         */
        _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        /**
         * This parameter name is reserved by MCP to allow clients and servers to attach additional metadata to their notifications.
         */
        _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        /**
         * This parameter name is reserved by MCP to allow clients and servers to attach additional metadata to their notifications.
         */
        _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">>>;
}, {
    method: z.ZodLiteral<"notifications/initialized">;
}>, "strip", z.ZodTypeAny, {
    method: "notifications/initialized";
    params?: z.objectOutputType<{
        /**
         * This parameter name is reserved by MCP to allow clients and servers to attach additional metadata to their notifications.
         */
        _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough"> | undefined;
}, {
    method: "notifications/initialized";
    params?: z.objectInputType<{
        /**
         * This parameter name is reserved by MCP to allow clients and servers to attach additional metadata to their notifications.
         */
        _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough"> | undefined;
}>;
export declare const isInitializedNotification: (value: unknown) => value is InitializedNotification;
/**
 * A ping, issued by either the server or the client, to check that the other party is still alive. The receiver must promptly respond, or else may be disconnected.
 */
export declare const PingRequestSchema: z.ZodObject<z.objectUtil.extendShape<{
    method: z.ZodString;
    params: z.ZodOptional<z.ZodObject<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">>>;
}, {
    method: z.ZodLiteral<"ping">;
}>, "strip", z.ZodTypeAny, {
    method: "ping";
    params?: z.objectOutputType<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough"> | undefined;
}, {
    method: "ping";
    params?: z.objectInputType<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough"> | undefined;
}>;
export declare const ProgressSchema: z.ZodObject<{
    /**
     * The progress thus far. This should increase every time progress is made, even if the total is unknown.
     */
    progress: z.ZodNumber;
    /**
     * Total number of items to process (or total progress required), if known.
     */
    total: z.ZodOptional<z.ZodNumber>;
}, "passthrough", z.ZodTypeAny, z.objectOutputType<{
    /**
     * The progress thus far. This should increase every time progress is made, even if the total is unknown.
     */
    progress: z.ZodNumber;
    /**
     * Total number of items to process (or total progress required), if known.
     */
    total: z.ZodOptional<z.ZodNumber>;
}, z.ZodTypeAny, "passthrough">, z.objectInputType<{
    /**
     * The progress thus far. This should increase every time progress is made, even if the total is unknown.
     */
    progress: z.ZodNumber;
    /**
     * Total number of items to process (or total progress required), if known.
     */
    total: z.ZodOptional<z.ZodNumber>;
}, z.ZodTypeAny, "passthrough">>;
/**
 * An out-of-band notification used to inform the receiver of a progress update for a long-running request.
 */
export declare const ProgressNotificationSchema: z.ZodObject<z.objectUtil.extendShape<{
    method: z.ZodString;
    params: z.ZodOptional<z.ZodObject<{
        /**
         * This parameter name is reserved by MCP to allow clients and servers to attach additional metadata to their notifications.
         */
        _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        /**
         * This parameter name is reserved by MCP to allow clients and servers to attach additional metadata to their notifications.
         */
        _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        /**
         * This parameter name is reserved by MCP to allow clients and servers to attach additional metadata to their notifications.
         */
        _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">>>;
}, {
    method: z.ZodLiteral<"notifications/progress">;
    params: z.ZodObject<z.objectUtil.extendShape<z.objectUtil.extendShape<{
        /**
         * This parameter name is reserved by MCP to allow clients and servers to attach additional metadata to their notifications.
         */
        _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, {
        /**
         * The progress thus far. This should increase every time progress is made, even if the total is unknown.
         */
        progress: z.ZodNumber;
        /**
         * Total number of items to process (or total progress required), if known.
         */
        total: z.ZodOptional<z.ZodNumber>;
    }>, {
        /**
         * The progress token which was given in the initial request, used to associate this notification with the request that is proceeding.
         */
        progressToken: z.ZodUnion<[z.ZodString, z.ZodNumber]>;
    }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<z.objectUtil.extendShape<{
        /**
         * This parameter name is reserved by MCP to allow clients and servers to attach additional metadata to their notifications.
         */
        _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, {
        /**
         * The progress thus far. This should increase every time progress is made, even if the total is unknown.
         */
        progress: z.ZodNumber;
        /**
         * Total number of items to process (or total progress required), if known.
         */
        total: z.ZodOptional<z.ZodNumber>;
    }>, {
        /**
         * The progress token which was given in the initial request, used to associate this notification with the request that is proceeding.
         */
        progressToken: z.ZodUnion<[z.ZodString, z.ZodNumber]>;
    }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<z.objectUtil.extendShape<{
        /**
         * This parameter name is reserved by MCP to allow clients and servers to attach additional metadata to their notifications.
         */
        _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, {
        /**
         * The progress thus far. This should increase every time progress is made, even if the total is unknown.
         */
        progress: z.ZodNumber;
        /**
         * Total number of items to process (or total progress required), if known.
         */
        total: z.ZodOptional<z.ZodNumber>;
    }>, {
        /**
         * The progress token which was given in the initial request, used to associate this notification with the request that is proceeding.
         */
        progressToken: z.ZodUnion<[z.ZodString, z.ZodNumber]>;
    }>, z.ZodTypeAny, "passthrough">>;
}>, "strip", z.ZodTypeAny, {
    params: {
        progressToken: string | number;
        progress: number;
        _meta?: z.objectOutputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
        total?: number | undefined;
    } & {
        [k: string]: unknown;
    };
    method: "notifications/progress";
}, {
    params: {
        progressToken: string | number;
        progress: number;
        _meta?: z.objectInputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
        total?: number | undefined;
    } & {
        [k: string]: unknown;
    };
    method: "notifications/progress";
}>;
export declare const PaginatedRequestSchema: z.ZodObject<z.objectUtil.extendShape<{
    method: z.ZodString;
    params: z.ZodOptional<z.ZodObject<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">>>;
}, {
    params: z.ZodOptional<z.ZodObject<z.objectUtil.extendShape<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, {
        /**
         * An opaque token representing the current pagination position.
         * If provided, the server should return results starting after this cursor.
         */
        cursor: z.ZodOptional<z.ZodString>;
    }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, {
        /**
         * An opaque token representing the current pagination position.
         * If provided, the server should return results starting after this cursor.
         */
        cursor: z.ZodOptional<z.ZodString>;
    }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, {
        /**
         * An opaque token representing the current pagination position.
         * If provided, the server should return results starting after this cursor.
         */
        cursor: z.ZodOptional<z.ZodString>;
    }>, z.ZodTypeAny, "passthrough">>>;
}>, "strip", z.ZodTypeAny, {
    method: string;
    params?: z.objectOutputType<z.objectUtil.extendShape<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, {
        /**
         * An opaque token representing the current pagination position.
         * If provided, the server should return results starting after this cursor.
         */
        cursor: z.ZodOptional<z.ZodString>;
    }>, z.ZodTypeAny, "passthrough"> | undefined;
}, {
    method: string;
    params?: z.objectInputType<z.objectUtil.extendShape<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, {
        /**
         * An opaque token representing the current pagination position.
         * If provided, the server should return results starting after this cursor.
         */
        cursor: z.ZodOptional<z.ZodString>;
    }>, z.ZodTypeAny, "passthrough"> | undefined;
}>;
export declare const PaginatedResultSchema: z.ZodObject<z.objectUtil.extendShape<{
    /**
     * This result property is reserved by the protocol to allow clients and servers to attach additional metadata to their responses.
     */
    _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
}, {
    /**
     * An opaque token representing the pagination position after the last returned result.
     * If present, there may be more results available.
     */
    nextCursor: z.ZodOptional<z.ZodString>;
}>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
    /**
     * This result property is reserved by the protocol to allow clients and servers to attach additional metadata to their responses.
     */
    _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
}, {
    /**
     * An opaque token representing the pagination position after the last returned result.
     * If present, there may be more results available.
     */
    nextCursor: z.ZodOptional<z.ZodString>;
}>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
    /**
     * This result property is reserved by the protocol to allow clients and servers to attach additional metadata to their responses.
     */
    _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
}, {
    /**
     * An opaque token representing the pagination position after the last returned result.
     * If present, there may be more results available.
     */
    nextCursor: z.ZodOptional<z.ZodString>;
}>, z.ZodTypeAny, "passthrough">>;
/**
 * The contents of a specific resource or sub-resource.
 */
export declare const ResourceContentsSchema: z.ZodObject<{
    /**
     * The URI of this resource.
     */
    uri: z.ZodString;
    /**
     * The MIME type of this resource, if known.
     */
    mimeType: z.ZodOptional<z.ZodString>;
}, "passthrough", z.ZodTypeAny, z.objectOutputType<{
    /**
     * The URI of this resource.
     */
    uri: z.ZodString;
    /**
     * The MIME type of this resource, if known.
     */
    mimeType: z.ZodOptional<z.ZodString>;
}, z.ZodTypeAny, "passthrough">, z.objectInputType<{
    /**
     * The URI of this resource.
     */
    uri: z.ZodString;
    /**
     * The MIME type of this resource, if known.
     */
    mimeType: z.ZodOptional<z.ZodString>;
}, z.ZodTypeAny, "passthrough">>;
export declare const TextResourceContentsSchema: z.ZodObject<z.objectUtil.extendShape<{
    /**
     * The URI of this resource.
     */
    uri: z.ZodString;
    /**
     * The MIME type of this resource, if known.
     */
    mimeType: z.ZodOptional<z.ZodString>;
}, {
    /**
     * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
     */
    text: z.ZodString;
}>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
    /**
     * The URI of this resource.
     */
    uri: z.ZodString;
    /**
     * The MIME type of this resource, if known.
     */
    mimeType: z.ZodOptional<z.ZodString>;
}, {
    /**
     * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
     */
    text: z.ZodString;
}>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
    /**
     * The URI of this resource.
     */
    uri: z.ZodString;
    /**
     * The MIME type of this resource, if known.
     */
    mimeType: z.ZodOptional<z.ZodString>;
}, {
    /**
     * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
     */
    text: z.ZodString;
}>, z.ZodTypeAny, "passthrough">>;
export declare const BlobResourceContentsSchema: z.ZodObject<z.objectUtil.extendShape<{
    /**
     * The URI of this resource.
     */
    uri: z.ZodString;
    /**
     * The MIME type of this resource, if known.
     */
    mimeType: z.ZodOptional<z.ZodString>;
}, {
    /**
     * A base64-encoded string representing the binary data of the item.
     */
    blob: z.ZodString;
}>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
    /**
     * The URI of this resource.
     */
    uri: z.ZodString;
    /**
     * The MIME type of this resource, if known.
     */
    mimeType: z.ZodOptional<z.ZodString>;
}, {
    /**
     * A base64-encoded string representing the binary data of the item.
     */
    blob: z.ZodString;
}>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
    /**
     * The URI of this resource.
     */
    uri: z.ZodString;
    /**
     * The MIME type of this resource, if known.
     */
    mimeType: z.ZodOptional<z.ZodString>;
}, {
    /**
     * A base64-encoded string representing the binary data of the item.
     */
    blob: z.ZodString;
}>, z.ZodTypeAny, "passthrough">>;
/**
 * A known resource that the server is capable of reading.
 */
export declare const ResourceSchema: z.ZodObject<{
    /**
     * The URI of this resource.
     */
    uri: z.ZodString;
    /**
     * A human-readable name for this resource.
     *
     * This can be used by clients to populate UI elements.
     */
    name: z.ZodString;
    /**
     * A description of what this resource represents.
     *
     * This can be used by clients to improve the LLM's understanding of available resources. It can be thought of like a "hint" to the model.
     */
    description: z.ZodOptional<z.ZodString>;
    /**
     * The MIME type of this resource, if known.
     */
    mimeType: z.ZodOptional<z.ZodString>;
}, "passthrough", z.ZodTypeAny, z.objectOutputType<{
    /**
     * The URI of this resource.
     */
    uri: z.ZodString;
    /**
     * A human-readable name for this resource.
     *
     * This can be used by clients to populate UI elements.
     */
    name: z.ZodString;
    /**
     * A description of what this resource represents.
     *
     * This can be used by clients to improve the LLM's understanding of available resources. It can be thought of like a "hint" to the model.
     */
    description: z.ZodOptional<z.ZodString>;
    /**
     * The MIME type of this resource, if known.
     */
    mimeType: z.ZodOptional<z.ZodString>;
}, z.ZodTypeAny, "passthrough">, z.objectInputType<{
    /**
     * The URI of this resource.
     */
    uri: z.ZodString;
    /**
     * A human-readable name for this resource.
     *
     * This can be used by clients to populate UI elements.
     */
    name: z.ZodString;
    /**
     * A description of what this resource represents.
     *
     * This can be used by clients to improve the LLM's understanding of available resources. It can be thought of like a "hint" to the model.
     */
    description: z.ZodOptional<z.ZodString>;
    /**
     * The MIME type of this resource, if known.
     */
    mimeType: z.ZodOptional<z.ZodString>;
}, z.ZodTypeAny, "passthrough">>;
/**
 * A template description for resources available on the server.
 */
export declare const ResourceTemplateSchema: z.ZodObject<{
    /**
     * A URI template (according to RFC 6570) that can be used to construct resource URIs.
     */
    uriTemplate: z.ZodString;
    /**
     * A human-readable name for the type of resource this template refers to.
     *
     * This can be used by clients to populate UI elements.
     */
    name: z.ZodString;
    /**
     * A description of what this template is for.
     *
     * This can be used by clients to improve the LLM's understanding of available resources. It can be thought of like a "hint" to the model.
     */
    description: z.ZodOptional<z.ZodString>;
    /**
     * The MIME type for all resources that match this template. This should only be included if all resources matching this template have the same type.
     */
    mimeType: z.ZodOptional<z.ZodString>;
}, "passthrough", z.ZodTypeAny, z.objectOutputType<{
    /**
     * A URI template (according to RFC 6570) that can be used to construct resource URIs.
     */
    uriTemplate: z.ZodString;
    /**
     * A human-readable name for the type of resource this template refers to.
     *
     * This can be used by clients to populate UI elements.
     */
    name: z.ZodString;
    /**
     * A description of what this template is for.
     *
     * This can be used by clients to improve the LLM's understanding of available resources. It can be thought of like a "hint" to the model.
     */
    description: z.ZodOptional<z.ZodString>;
    /**
     * The MIME type for all resources that match this template. This should only be included if all resources matching this template have the same type.
     */
    mimeType: z.ZodOptional<z.ZodString>;
}, z.ZodTypeAny, "passthrough">, z.objectInputType<{
    /**
     * A URI template (according to RFC 6570) that can be used to construct resource URIs.
     */
    uriTemplate: z.ZodString;
    /**
     * A human-readable name for the type of resource this template refers to.
     *
     * This can be used by clients to populate UI elements.
     */
    name: z.ZodString;
    /**
     * A description of what this template is for.
     *
     * This can be used by clients to improve the LLM's understanding of available resources. It can be thought of like a "hint" to the model.
     */
    description: z.ZodOptional<z.ZodString>;
    /**
     * The MIME type for all resources that match this template. This should only be included if all resources matching this template have the same type.
     */
    mimeType: z.ZodOptional<z.ZodString>;
}, z.ZodTypeAny, "passthrough">>;
/**
 * Sent from the client to request a list of resources the server has.
 */
export declare const ListResourcesRequestSchema: z.ZodObject<z.objectUtil.extendShape<z.objectUtil.extendShape<{
    method: z.ZodString;
    params: z.ZodOptional<z.ZodObject<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">>>;
}, {
    params: z.ZodOptional<z.ZodObject<z.objectUtil.extendShape<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, {
        /**
         * An opaque token representing the current pagination position.
         * If provided, the server should return results starting after this cursor.
         */
        cursor: z.ZodOptional<z.ZodString>;
    }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, {
        /**
         * An opaque token representing the current pagination position.
         * If provided, the server should return results starting after this cursor.
         */
        cursor: z.ZodOptional<z.ZodString>;
    }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, {
        /**
         * An opaque token representing the current pagination position.
         * If provided, the server should return results starting after this cursor.
         */
        cursor: z.ZodOptional<z.ZodString>;
    }>, z.ZodTypeAny, "passthrough">>>;
}>, {
    method: z.ZodLiteral<"resources/list">;
}>, "strip", z.ZodTypeAny, {
    method: "resources/list";
    params?: z.objectOutputType<z.objectUtil.extendShape<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, {
        /**
         * An opaque token representing the current pagination position.
         * If provided, the server should return results starting after this cursor.
         */
        cursor: z.ZodOptional<z.ZodString>;
    }>, z.ZodTypeAny, "passthrough"> | undefined;
}, {
    method: "resources/list";
    params?: z.objectInputType<z.objectUtil.extendShape<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, {
        /**
         * An opaque token representing the current pagination position.
         * If provided, the server should return results starting after this cursor.
         */
        cursor: z.ZodOptional<z.ZodString>;
    }>, z.ZodTypeAny, "passthrough"> | undefined;
}>;
/**
 * The server's response to a resources/list request from the client.
 */
export declare const ListResourcesResultSchema: z.ZodObject<z.objectUtil.extendShape<z.objectUtil.extendShape<{
    /**
     * This result property is reserved by the protocol to allow clients and servers to attach additional metadata to their responses.
     */
    _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
}, {
    /**
     * An opaque token representing the pagination position after the last returned result.
     * If present, there may be more results available.
     */
    nextCursor: z.ZodOptional<z.ZodString>;
}>, {
    resources: z.ZodArray<z.ZodObject<{
        /**
         * The URI of this resource.
         */
        uri: z.ZodString;
        /**
         * A human-readable name for this resource.
         *
         * This can be used by clients to populate UI elements.
         */
        name: z.ZodString;
        /**
         * A description of what this resource represents.
         *
         * This can be used by clients to improve the LLM's understanding of available resources. It can be thought of like a "hint" to the model.
         */
        description: z.ZodOptional<z.ZodString>;
        /**
         * The MIME type of this resource, if known.
         */
        mimeType: z.ZodOptional<z.ZodString>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        /**
         * The URI of this resource.
         */
        uri: z.ZodString;
        /**
         * A human-readable name for this resource.
         *
         * This can be used by clients to populate UI elements.
         */
        name: z.ZodString;
        /**
         * A description of what this resource represents.
         *
         * This can be used by clients to improve the LLM's understanding of available resources. It can be thought of like a "hint" to the model.
         */
        description: z.ZodOptional<z.ZodString>;
        /**
         * The MIME type of this resource, if known.
         */
        mimeType: z.ZodOptional<z.ZodString>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        /**
         * The URI of this resource.
         */
        uri: z.ZodString;
        /**
         * A human-readable name for this resource.
         *
         * This can be used by clients to populate UI elements.
         */
        name: z.ZodString;
        /**
         * A description of what this resource represents.
         *
         * This can be used by clients to improve the LLM's understanding of available resources. It can be thought of like a "hint" to the model.
         */
        description: z.ZodOptional<z.ZodString>;
        /**
         * The MIME type of this resource, if known.
         */
        mimeType: z.ZodOptional<z.ZodString>;
    }, z.ZodTypeAny, "passthrough">>, "many">;
}>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<z.objectUtil.extendShape<{
    /**
     * This result property is reserved by the protocol to allow clients and servers to attach additional metadata to their responses.
     */
    _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
}, {
    /**
     * An opaque token representing the pagination position after the last returned result.
     * If present, there may be more results available.
     */
    nextCursor: z.ZodOptional<z.ZodString>;
}>, {
    resources: z.ZodArray<z.ZodObject<{
        /**
         * The URI of this resource.
         */
        uri: z.ZodString;
        /**
         * A human-readable name for this resource.
         *
         * This can be used by clients to populate UI elements.
         */
        name: z.ZodString;
        /**
         * A description of what this resource represents.
         *
         * This can be used by clients to improve the LLM's understanding of available resources. It can be thought of like a "hint" to the model.
         */
        description: z.ZodOptional<z.ZodString>;
        /**
         * The MIME type of this resource, if known.
         */
        mimeType: z.ZodOptional<z.ZodString>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        /**
         * The URI of this resource.
         */
        uri: z.ZodString;
        /**
         * A human-readable name for this resource.
         *
         * This can be used by clients to populate UI elements.
         */
        name: z.ZodString;
        /**
         * A description of what this resource represents.
         *
         * This can be used by clients to improve the LLM's understanding of available resources. It can be thought of like a "hint" to the model.
         */
        description: z.ZodOptional<z.ZodString>;
        /**
         * The MIME type of this resource, if known.
         */
        mimeType: z.ZodOptional<z.ZodString>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        /**
         * The URI of this resource.
         */
        uri: z.ZodString;
        /**
         * A human-readable name for this resource.
         *
         * This can be used by clients to populate UI elements.
         */
        name: z.ZodString;
        /**
         * A description of what this resource represents.
         *
         * This can be used by clients to improve the LLM's understanding of available resources. It can be thought of like a "hint" to the model.
         */
        description: z.ZodOptional<z.ZodString>;
        /**
         * The MIME type of this resource, if known.
         */
        mimeType: z.ZodOptional<z.ZodString>;
    }, z.ZodTypeAny, "passthrough">>, "many">;
}>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<z.objectUtil.extendShape<{
    /**
     * This result property is reserved by the protocol to allow clients and servers to attach additional metadata to their responses.
     */
    _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
}, {
    /**
     * An opaque token representing the pagination position after the last returned result.
     * If present, there may be more results available.
     */
    nextCursor: z.ZodOptional<z.ZodString>;
}>, {
    resources: z.ZodArray<z.ZodObject<{
        /**
         * The URI of this resource.
         */
        uri: z.ZodString;
        /**
         * A human-readable name for this resource.
         *
         * This can be used by clients to populate UI elements.
         */
        name: z.ZodString;
        /**
         * A description of what this resource represents.
         *
         * This can be used by clients to improve the LLM's understanding of available resources. It can be thought of like a "hint" to the model.
         */
        description: z.ZodOptional<z.ZodString>;
        /**
         * The MIME type of this resource, if known.
         */
        mimeType: z.ZodOptional<z.ZodString>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        /**
         * The URI of this resource.
         */
        uri: z.ZodString;
        /**
         * A human-readable name for this resource.
         *
         * This can be used by clients to populate UI elements.
         */
        name: z.ZodString;
        /**
         * A description of what this resource represents.
         *
         * This can be used by clients to improve the LLM's understanding of available resources. It can be thought of like a "hint" to the model.
         */
        description: z.ZodOptional<z.ZodString>;
        /**
         * The MIME type of this resource, if known.
         */
        mimeType: z.ZodOptional<z.ZodString>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        /**
         * The URI of this resource.
         */
        uri: z.ZodString;
        /**
         * A human-readable name for this resource.
         *
         * This can be used by clients to populate UI elements.
         */
        name: z.ZodString;
        /**
         * A description of what this resource represents.
         *
         * This can be used by clients to improve the LLM's understanding of available resources. It can be thought of like a "hint" to the model.
         */
        description: z.ZodOptional<z.ZodString>;
        /**
         * The MIME type of this resource, if known.
         */
        mimeType: z.ZodOptional<z.ZodString>;
    }, z.ZodTypeAny, "passthrough">>, "many">;
}>, z.ZodTypeAny, "passthrough">>;
/**
 * Sent from the client to request a list of resource templates the server has.
 */
export declare const ListResourceTemplatesRequestSchema: z.ZodObject<z.objectUtil.extendShape<z.objectUtil.extendShape<{
    method: z.ZodString;
    params: z.ZodOptional<z.ZodObject<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">>>;
}, {
    params: z.ZodOptional<z.ZodObject<z.objectUtil.extendShape<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, {
        /**
         * An opaque token representing the current pagination position.
         * If provided, the server should return results starting after this cursor.
         */
        cursor: z.ZodOptional<z.ZodString>;
    }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, {
        /**
         * An opaque token representing the current pagination position.
         * If provided, the server should return results starting after this cursor.
         */
        cursor: z.ZodOptional<z.ZodString>;
    }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, {
        /**
         * An opaque token representing the current pagination position.
         * If provided, the server should return results starting after this cursor.
         */
        cursor: z.ZodOptional<z.ZodString>;
    }>, z.ZodTypeAny, "passthrough">>>;
}>, {
    method: z.ZodLiteral<"resources/templates/list">;
}>, "strip", z.ZodTypeAny, {
    method: "resources/templates/list";
    params?: z.objectOutputType<z.objectUtil.extendShape<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, {
        /**
         * An opaque token representing the current pagination position.
         * If provided, the server should return results starting after this cursor.
         */
        cursor: z.ZodOptional<z.ZodString>;
    }>, z.ZodTypeAny, "passthrough"> | undefined;
}, {
    method: "resources/templates/list";
    params?: z.objectInputType<z.objectUtil.extendShape<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, {
        /**
         * An opaque token representing the current pagination position.
         * If provided, the server should return results starting after this cursor.
         */
        cursor: z.ZodOptional<z.ZodString>;
    }>, z.ZodTypeAny, "passthrough"> | undefined;
}>;
/**
 * The server's response to a resources/templates/list request from the client.
 */
export declare const ListResourceTemplatesResultSchema: z.ZodObject<z.objectUtil.extendShape<z.objectUtil.extendShape<{
    /**
     * This result property is reserved by the protocol to allow clients and servers to attach additional metadata to their responses.
     */
    _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
}, {
    /**
     * An opaque token representing the pagination position after the last returned result.
     * If present, there may be more results available.
     */
    nextCursor: z.ZodOptional<z.ZodString>;
}>, {
    resourceTemplates: z.ZodArray<z.ZodObject<{
        /**
         * A URI template (according to RFC 6570) that can be used to construct resource URIs.
         */
        uriTemplate: z.ZodString;
        /**
         * A human-readable name for the type of resource this template refers to.
         *
         * This can be used by clients to populate UI elements.
         */
        name: z.ZodString;
        /**
         * A description of what this template is for.
         *
         * This can be used by clients to improve the LLM's understanding of available resources. It can be thought of like a "hint" to the model.
         */
        description: z.ZodOptional<z.ZodString>;
        /**
         * The MIME type for all resources that match this template. This should only be included if all resources matching this template have the same type.
         */
        mimeType: z.ZodOptional<z.ZodString>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        /**
         * A URI template (according to RFC 6570) that can be used to construct resource URIs.
         */
        uriTemplate: z.ZodString;
        /**
         * A human-readable name for the type of resource this template refers to.
         *
         * This can be used by clients to populate UI elements.
         */
        name: z.ZodString;
        /**
         * A description of what this template is for.
         *
         * This can be used by clients to improve the LLM's understanding of available resources. It can be thought of like a "hint" to the model.
         */
        description: z.ZodOptional<z.ZodString>;
        /**
         * The MIME type for all resources that match this template. This should only be included if all resources matching this template have the same type.
         */
        mimeType: z.ZodOptional<z.ZodString>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        /**
         * A URI template (according to RFC 6570) that can be used to construct resource URIs.
         */
        uriTemplate: z.ZodString;
        /**
         * A human-readable name for the type of resource this template refers to.
         *
         * This can be used by clients to populate UI elements.
         */
        name: z.ZodString;
        /**
         * A description of what this template is for.
         *
         * This can be used by clients to improve the LLM's understanding of available resources. It can be thought of like a "hint" to the model.
         */
        description: z.ZodOptional<z.ZodString>;
        /**
         * The MIME type for all resources that match this template. This should only be included if all resources matching this template have the same type.
         */
        mimeType: z.ZodOptional<z.ZodString>;
    }, z.ZodTypeAny, "passthrough">>, "many">;
}>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<z.objectUtil.extendShape<{
    /**
     * This result property is reserved by the protocol to allow clients and servers to attach additional metadata to their responses.
     */
    _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
}, {
    /**
     * An opaque token representing the pagination position after the last returned result.
     * If present, there may be more results available.
     */
    nextCursor: z.ZodOptional<z.ZodString>;
}>, {
    resourceTemplates: z.ZodArray<z.ZodObject<{
        /**
         * A URI template (according to RFC 6570) that can be used to construct resource URIs.
         */
        uriTemplate: z.ZodString;
        /**
         * A human-readable name for the type of resource this template refers to.
         *
         * This can be used by clients to populate UI elements.
         */
        name: z.ZodString;
        /**
         * A description of what this template is for.
         *
         * This can be used by clients to improve the LLM's understanding of available resources. It can be thought of like a "hint" to the model.
         */
        description: z.ZodOptional<z.ZodString>;
        /**
         * The MIME type for all resources that match this template. This should only be included if all resources matching this template have the same type.
         */
        mimeType: z.ZodOptional<z.ZodString>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        /**
         * A URI template (according to RFC 6570) that can be used to construct resource URIs.
         */
        uriTemplate: z.ZodString;
        /**
         * A human-readable name for the type of resource this template refers to.
         *
         * This can be used by clients to populate UI elements.
         */
        name: z.ZodString;
        /**
         * A description of what this template is for.
         *
         * This can be used by clients to improve the LLM's understanding of available resources. It can be thought of like a "hint" to the model.
         */
        description: z.ZodOptional<z.ZodString>;
        /**
         * The MIME type for all resources that match this template. This should only be included if all resources matching this template have the same type.
         */
        mimeType: z.ZodOptional<z.ZodString>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        /**
         * A URI template (according to RFC 6570) that can be used to construct resource URIs.
         */
        uriTemplate: z.ZodString;
        /**
         * A human-readable name for the type of resource this template refers to.
         *
         * This can be used by clients to populate UI elements.
         */
        name: z.ZodString;
        /**
         * A description of what this template is for.
         *
         * This can be used by clients to improve the LLM's understanding of available resources. It can be thought of like a "hint" to the model.
         */
        description: z.ZodOptional<z.ZodString>;
        /**
         * The MIME type for all resources that match this template. This should only be included if all resources matching this template have the same type.
         */
        mimeType: z.ZodOptional<z.ZodString>;
    }, z.ZodTypeAny, "passthrough">>, "many">;
}>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<z.objectUtil.extendShape<{
    /**
     * This result property is reserved by the protocol to allow clients and servers to attach additional metadata to their responses.
     */
    _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
}, {
    /**
     * An opaque token representing the pagination position after the last returned result.
     * If present, there may be more results available.
     */
    nextCursor: z.ZodOptional<z.ZodString>;
}>, {
    resourceTemplates: z.ZodArray<z.ZodObject<{
        /**
         * A URI template (according to RFC 6570) that can be used to construct resource URIs.
         */
        uriTemplate: z.ZodString;
        /**
         * A human-readable name for the type of resource this template refers to.
         *
         * This can be used by clients to populate UI elements.
         */
        name: z.ZodString;
        /**
         * A description of what this template is for.
         *
         * This can be used by clients to improve the LLM's understanding of available resources. It can be thought of like a "hint" to the model.
         */
        description: z.ZodOptional<z.ZodString>;
        /**
         * The MIME type for all resources that match this template. This should only be included if all resources matching this template have the same type.
         */
        mimeType: z.ZodOptional<z.ZodString>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        /**
         * A URI template (according to RFC 6570) that can be used to construct resource URIs.
         */
        uriTemplate: z.ZodString;
        /**
         * A human-readable name for the type of resource this template refers to.
         *
         * This can be used by clients to populate UI elements.
         */
        name: z.ZodString;
        /**
         * A description of what this template is for.
         *
         * This can be used by clients to improve the LLM's understanding of available resources. It can be thought of like a "hint" to the model.
         */
        description: z.ZodOptional<z.ZodString>;
        /**
         * The MIME type for all resources that match this template. This should only be included if all resources matching this template have the same type.
         */
        mimeType: z.ZodOptional<z.ZodString>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        /**
         * A URI template (according to RFC 6570) that can be used to construct resource URIs.
         */
        uriTemplate: z.ZodString;
        /**
         * A human-readable name for the type of resource this template refers to.
         *
         * This can be used by clients to populate UI elements.
         */
        name: z.ZodString;
        /**
         * A description of what this template is for.
         *
         * This can be used by clients to improve the LLM's understanding of available resources. It can be thought of like a "hint" to the model.
         */
        description: z.ZodOptional<z.ZodString>;
        /**
         * The MIME type for all resources that match this template. This should only be included if all resources matching this template have the same type.
         */
        mimeType: z.ZodOptional<z.ZodString>;
    }, z.ZodTypeAny, "passthrough">>, "many">;
}>, z.ZodTypeAny, "passthrough">>;
/**
 * Sent from the client to the server, to read a specific resource URI.
 */
export declare const ReadResourceRequestSchema: z.ZodObject<z.objectUtil.extendShape<{
    method: z.ZodString;
    params: z.ZodOptional<z.ZodObject<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">>>;
}, {
    method: z.ZodLiteral<"resources/read">;
    params: z.ZodObject<z.objectUtil.extendShape<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, {
        /**
         * The URI of the resource to read. The URI can use any protocol; it is up to the server how to interpret it.
         */
        uri: z.ZodString;
    }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, {
        /**
         * The URI of the resource to read. The URI can use any protocol; it is up to the server how to interpret it.
         */
        uri: z.ZodString;
    }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, {
        /**
         * The URI of the resource to read. The URI can use any protocol; it is up to the server how to interpret it.
         */
        uri: z.ZodString;
    }>, z.ZodTypeAny, "passthrough">>;
}>, "strip", z.ZodTypeAny, {
    params: {
        uri: string;
        _meta?: z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough"> | undefined;
    } & {
        [k: string]: unknown;
    };
    method: "resources/read";
}, {
    params: {
        uri: string;
        _meta?: z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough"> | undefined;
    } & {
        [k: string]: unknown;
    };
    method: "resources/read";
}>;
/**
 * The server's response to a resources/read request from the client.
 */
export declare const ReadResourceResultSchema: z.ZodObject<z.objectUtil.extendShape<{
    /**
     * This result property is reserved by the protocol to allow clients and servers to attach additional metadata to their responses.
     */
    _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
}, {
    contents: z.ZodArray<z.ZodUnion<[z.ZodObject<z.objectUtil.extendShape<{
        /**
         * The URI of this resource.
         */
        uri: z.ZodString;
        /**
         * The MIME type of this resource, if known.
         */
        mimeType: z.ZodOptional<z.ZodString>;
    }, {
        /**
         * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
         */
        text: z.ZodString;
    }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
        /**
         * The URI of this resource.
         */
        uri: z.ZodString;
        /**
         * The MIME type of this resource, if known.
         */
        mimeType: z.ZodOptional<z.ZodString>;
    }, {
        /**
         * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
         */
        text: z.ZodString;
    }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
        /**
         * The URI of this resource.
         */
        uri: z.ZodString;
        /**
         * The MIME type of this resource, if known.
         */
        mimeType: z.ZodOptional<z.ZodString>;
    }, {
        /**
         * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
         */
        text: z.ZodString;
    }>, z.ZodTypeAny, "passthrough">>, z.ZodObject<z.objectUtil.extendShape<{
        /**
         * The URI of this resource.
         */
        uri: z.ZodString;
        /**
         * The MIME type of this resource, if known.
         */
        mimeType: z.ZodOptional<z.ZodString>;
    }, {
        /**
         * A base64-encoded string representing the binary data of the item.
         */
        blob: z.ZodString;
    }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
        /**
         * The URI of this resource.
         */
        uri: z.ZodString;
        /**
         * The MIME type of this resource, if known.
         */
        mimeType: z.ZodOptional<z.ZodString>;
    }, {
        /**
         * A base64-encoded string representing the binary data of the item.
         */
        blob: z.ZodString;
    }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
        /**
         * The URI of this resource.
         */
        uri: z.ZodString;
        /**
         * The MIME type of this resource, if known.
         */
        mimeType: z.ZodOptional<z.ZodString>;
    }, {
        /**
         * A base64-encoded string representing the binary data of the item.
         */
        blob: z.ZodString;
    }>, z.ZodTypeAny, "passthrough">>]>, "many">;
}>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
    /**
     * This result property is reserved by the protocol to allow clients and servers to attach additional metadata to their responses.
     */
    _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
}, {
    contents: z.ZodArray<z.ZodUnion<[z.ZodObject<z.objectUtil.extendShape<{
        /**
         * The URI of this resource.
         */
        uri: z.ZodString;
        /**
         * The MIME type of this resource, if known.
         */
        mimeType: z.ZodOptional<z.ZodString>;
    }, {
        /**
         * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
         */
        text: z.ZodString;
    }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
        /**
         * The URI of this resource.
         */
        uri: z.ZodString;
        /**
         * The MIME type of this resource, if known.
         */
        mimeType: z.ZodOptional<z.ZodString>;
    }, {
        /**
         * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
         */
        text: z.ZodString;
    }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
        /**
         * The URI of this resource.
         */
        uri: z.ZodString;
        /**
         * The MIME type of this resource, if known.
         */
        mimeType: z.ZodOptional<z.ZodString>;
    }, {
        /**
         * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
         */
        text: z.ZodString;
    }>, z.ZodTypeAny, "passthrough">>, z.ZodObject<z.objectUtil.extendShape<{
        /**
         * The URI of this resource.
         */
        uri: z.ZodString;
        /**
         * The MIME type of this resource, if known.
         */
        mimeType: z.ZodOptional<z.ZodString>;
    }, {
        /**
         * A base64-encoded string representing the binary data of the item.
         */
        blob: z.ZodString;
    }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
        /**
         * The URI of this resource.
         */
        uri: z.ZodString;
        /**
         * The MIME type of this resource, if known.
         */
        mimeType: z.ZodOptional<z.ZodString>;
    }, {
        /**
         * A base64-encoded string representing the binary data of the item.
         */
        blob: z.ZodString;
    }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
        /**
         * The URI of this resource.
         */
        uri: z.ZodString;
        /**
         * The MIME type of this resource, if known.
         */
        mimeType: z.ZodOptional<z.ZodString>;
    }, {
        /**
         * A base64-encoded string representing the binary data of the item.
         */
        blob: z.ZodString;
    }>, z.ZodTypeAny, "passthrough">>]>, "many">;
}>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
    /**
     * This result property is reserved by the protocol to allow clients and servers to attach additional metadata to their responses.
     */
    _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
}, {
    contents: z.ZodArray<z.ZodUnion<[z.ZodObject<z.objectUtil.extendShape<{
        /**
         * The URI of this resource.
         */
        uri: z.ZodString;
        /**
         * The MIME type of this resource, if known.
         */
        mimeType: z.ZodOptional<z.ZodString>;
    }, {
        /**
         * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
         */
        text: z.ZodString;
    }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
        /**
         * The URI of this resource.
         */
        uri: z.ZodString;
        /**
         * The MIME type of this resource, if known.
         */
        mimeType: z.ZodOptional<z.ZodString>;
    }, {
        /**
         * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
         */
        text: z.ZodString;
    }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
        /**
         * The URI of this resource.
         */
        uri: z.ZodString;
        /**
         * The MIME type of this resource, if known.
         */
        mimeType: z.ZodOptional<z.ZodString>;
    }, {
        /**
         * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
         */
        text: z.ZodString;
    }>, z.ZodTypeAny, "passthrough">>, z.ZodObject<z.objectUtil.extendShape<{
        /**
         * The URI of this resource.
         */
        uri: z.ZodString;
        /**
         * The MIME type of this resource, if known.
         */
        mimeType: z.ZodOptional<z.ZodString>;
    }, {
        /**
         * A base64-encoded string representing the binary data of the item.
         */
        blob: z.ZodString;
    }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
        /**
         * The URI of this resource.
         */
        uri: z.ZodString;
        /**
         * The MIME type of this resource, if known.
         */
        mimeType: z.ZodOptional<z.ZodString>;
    }, {
        /**
         * A base64-encoded string representing the binary data of the item.
         */
        blob: z.ZodString;
    }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
        /**
         * The URI of this resource.
         */
        uri: z.ZodString;
        /**
         * The MIME type of this resource, if known.
         */
        mimeType: z.ZodOptional<z.ZodString>;
    }, {
        /**
         * A base64-encoded string representing the binary data of the item.
         */
        blob: z.ZodString;
    }>, z.ZodTypeAny, "passthrough">>]>, "many">;
}>, z.ZodTypeAny, "passthrough">>;
/**
 * An optional notification from the server to the client, informing it that the list of resources it can read from has changed. This may be issued by servers without any previous subscription from the client.
 */
export declare const ResourceListChangedNotificationSchema: z.ZodObject<z.objectUtil.extendShape<{
    method: z.ZodString;
    params: z.ZodOptional<z.ZodObject<{
        /**
         * This parameter name is reserved by MCP to allow clients and servers to attach additional metadata to their notifications.
         */
        _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        /**
         * This parameter name is reserved by MCP to allow clients and servers to attach additional metadata to their notifications.
         */
        _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        /**
         * This parameter name is reserved by MCP to allow clients and servers to attach additional metadata to their notifications.
         */
        _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">>>;
}, {
    method: z.ZodLiteral<"notifications/resources/list_changed">;
}>, "strip", z.ZodTypeAny, {
    method: "notifications/resources/list_changed";
    params?: z.objectOutputType<{
        /**
         * This parameter name is reserved by MCP to allow clients and servers to attach additional metadata to their notifications.
         */
        _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough"> | undefined;
}, {
    method: "notifications/resources/list_changed";
    params?: z.objectInputType<{
        /**
         * This parameter name is reserved by MCP to allow clients and servers to attach additional metadata to their notifications.
         */
        _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough"> | undefined;
}>;
/**
 * Sent from the client to request resources/updated notifications from the server whenever a particular resource changes.
 */
export declare const SubscribeRequestSchema: z.ZodObject<z.objectUtil.extendShape<{
    method: z.ZodString;
    params: z.ZodOptional<z.ZodObject<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">>>;
}, {
    method: z.ZodLiteral<"resources/subscribe">;
    params: z.ZodObject<z.objectUtil.extendShape<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, {
        /**
         * The URI of the resource to subscribe to. The URI can use any protocol; it is up to the server how to interpret it.
         */
        uri: z.ZodString;
    }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, {
        /**
         * The URI of the resource to subscribe to. The URI can use any protocol; it is up to the server how to interpret it.
         */
        uri: z.ZodString;
    }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, {
        /**
         * The URI of the resource to subscribe to. The URI can use any protocol; it is up to the server how to interpret it.
         */
        uri: z.ZodString;
    }>, z.ZodTypeAny, "passthrough">>;
}>, "strip", z.ZodTypeAny, {
    params: {
        uri: string;
        _meta?: z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough"> | undefined;
    } & {
        [k: string]: unknown;
    };
    method: "resources/subscribe";
}, {
    params: {
        uri: string;
        _meta?: z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough"> | undefined;
    } & {
        [k: string]: unknown;
    };
    method: "resources/subscribe";
}>;
/**
 * Sent from the client to request cancellation of resources/updated notifications from the server. This should follow a previous resources/subscribe request.
 */
export declare const UnsubscribeRequestSchema: z.ZodObject<z.objectUtil.extendShape<{
    method: z.ZodString;
    params: z.ZodOptional<z.ZodObject<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">>>;
}, {
    method: z.ZodLiteral<"resources/unsubscribe">;
    params: z.ZodObject<z.objectUtil.extendShape<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, {
        /**
         * The URI of the resource to unsubscribe from.
         */
        uri: z.ZodString;
    }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, {
        /**
         * The URI of the resource to unsubscribe from.
         */
        uri: z.ZodString;
    }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, {
        /**
         * The URI of the resource to unsubscribe from.
         */
        uri: z.ZodString;
    }>, z.ZodTypeAny, "passthrough">>;
}>, "strip", z.ZodTypeAny, {
    params: {
        uri: string;
        _meta?: z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough"> | undefined;
    } & {
        [k: string]: unknown;
    };
    method: "resources/unsubscribe";
}, {
    params: {
        uri: string;
        _meta?: z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough"> | undefined;
    } & {
        [k: string]: unknown;
    };
    method: "resources/unsubscribe";
}>;
/**
 * A notification from the server to the client, informing it that a resource has changed and may need to be read again. This should only be sent if the client previously sent a resources/subscribe request.
 */
export declare const ResourceUpdatedNotificationSchema: z.ZodObject<z.objectUtil.extendShape<{
    method: z.ZodString;
    params: z.ZodOptional<z.ZodObject<{
        /**
         * This parameter name is reserved by MCP to allow clients and servers to attach additional metadata to their notifications.
         */
        _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        /**
         * This parameter name is reserved by MCP to allow clients and servers to attach additional metadata to their notifications.
         */
        _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        /**
         * This parameter name is reserved by MCP to allow clients and servers to attach additional metadata to their notifications.
         */
        _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">>>;
}, {
    method: z.ZodLiteral<"notifications/resources/updated">;
    params: z.ZodObject<z.objectUtil.extendShape<{
        /**
         * This parameter name is reserved by MCP to allow clients and servers to attach additional metadata to their notifications.
         */
        _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, {
        /**
         * The URI of the resource that has been updated. This might be a sub-resource of the one that the client actually subscribed to.
         */
        uri: z.ZodString;
    }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
        /**
         * This parameter name is reserved by MCP to allow clients and servers to attach additional metadata to their notifications.
         */
        _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, {
        /**
         * The URI of the resource that has been updated. This might be a sub-resource of the one that the client actually subscribed to.
         */
        uri: z.ZodString;
    }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
        /**
         * This parameter name is reserved by MCP to allow clients and servers to attach additional metadata to their notifications.
         */
        _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, {
        /**
         * The URI of the resource that has been updated. This might be a sub-resource of the one that the client actually subscribed to.
         */
        uri: z.ZodString;
    }>, z.ZodTypeAny, "passthrough">>;
}>, "strip", z.ZodTypeAny, {
    params: {
        uri: string;
        _meta?: z.objectOutputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
    } & {
        [k: string]: unknown;
    };
    method: "notifications/resources/updated";
}, {
    params: {
        uri: string;
        _meta?: z.objectInputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
    } & {
        [k: string]: unknown;
    };
    method: "notifications/resources/updated";
}>;
/**
 * Describes an argument that a prompt can accept.
 */
export declare const PromptArgumentSchema: z.ZodObject<{
    /**
     * The name of the argument.
     */
    name: z.ZodString;
    /**
     * A human-readable description of the argument.
     */
    description: z.ZodOptional<z.ZodString>;
    /**
     * Whether this argument must be provided.
     */
    required: z.ZodOptional<z.ZodBoolean>;
}, "passthrough", z.ZodTypeAny, z.objectOutputType<{
    /**
     * The name of the argument.
     */
    name: z.ZodString;
    /**
     * A human-readable description of the argument.
     */
    description: z.ZodOptional<z.ZodString>;
    /**
     * Whether this argument must be provided.
     */
    required: z.ZodOptional<z.ZodBoolean>;
}, z.ZodTypeAny, "passthrough">, z.objectInputType<{
    /**
     * The name of the argument.
     */
    name: z.ZodString;
    /**
     * A human-readable description of the argument.
     */
    description: z.ZodOptional<z.ZodString>;
    /**
     * Whether this argument must be provided.
     */
    required: z.ZodOptional<z.ZodBoolean>;
}, z.ZodTypeAny, "passthrough">>;
/**
 * A prompt or prompt template that the server offers.
 */
export declare const PromptSchema: z.ZodObject<{
    /**
     * The name of the prompt or prompt template.
     */
    name: z.ZodString;
    /**
     * An optional description of what this prompt provides
     */
    description: z.ZodOptional<z.ZodString>;
    /**
     * A list of arguments to use for templating the prompt.
     */
    arguments: z.ZodOptional<z.ZodArray<z.ZodObject<{
        /**
         * The name of the argument.
         */
        name: z.ZodString;
        /**
         * A human-readable description of the argument.
         */
        description: z.ZodOptional<z.ZodString>;
        /**
         * Whether this argument must be provided.
         */
        required: z.ZodOptional<z.ZodBoolean>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        /**
         * The name of the argument.
         */
        name: z.ZodString;
        /**
         * A human-readable description of the argument.
         */
        description: z.ZodOptional<z.ZodString>;
        /**
         * Whether this argument must be provided.
         */
        required: z.ZodOptional<z.ZodBoolean>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        /**
         * The name of the argument.
         */
        name: z.ZodString;
        /**
         * A human-readable description of the argument.
         */
        description: z.ZodOptional<z.ZodString>;
        /**
         * Whether this argument must be provided.
         */
        required: z.ZodOptional<z.ZodBoolean>;
    }, z.ZodTypeAny, "passthrough">>, "many">>;
}, "passthrough", z.ZodTypeAny, z.objectOutputType<{
    /**
     * The name of the prompt or prompt template.
     */
    name: z.ZodString;
    /**
     * An optional description of what this prompt provides
     */
    description: z.ZodOptional<z.ZodString>;
    /**
     * A list of arguments to use for templating the prompt.
     */
    arguments: z.ZodOptional<z.ZodArray<z.ZodObject<{
        /**
         * The name of the argument.
         */
        name: z.ZodString;
        /**
         * A human-readable description of the argument.
         */
        description: z.ZodOptional<z.ZodString>;
        /**
         * Whether this argument must be provided.
         */
        required: z.ZodOptional<z.ZodBoolean>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        /**
         * The name of the argument.
         */
        name: z.ZodString;
        /**
         * A human-readable description of the argument.
         */
        description: z.ZodOptional<z.ZodString>;
        /**
         * Whether this argument must be provided.
         */
        required: z.ZodOptional<z.ZodBoolean>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        /**
         * The name of the argument.
         */
        name: z.ZodString;
        /**
         * A human-readable description of the argument.
         */
        description: z.ZodOptional<z.ZodString>;
        /**
         * Whether this argument must be provided.
         */
        required: z.ZodOptional<z.ZodBoolean>;
    }, z.ZodTypeAny, "passthrough">>, "many">>;
}, z.ZodTypeAny, "passthrough">, z.objectInputType<{
    /**
     * The name of the prompt or prompt template.
     */
    name: z.ZodString;
    /**
     * An optional description of what this prompt provides
     */
    description: z.ZodOptional<z.ZodString>;
    /**
     * A list of arguments to use for templating the prompt.
     */
    arguments: z.ZodOptional<z.ZodArray<z.ZodObject<{
        /**
         * The name of the argument.
         */
        name: z.ZodString;
        /**
         * A human-readable description of the argument.
         */
        description: z.ZodOptional<z.ZodString>;
        /**
         * Whether this argument must be provided.
         */
        required: z.ZodOptional<z.ZodBoolean>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        /**
         * The name of the argument.
         */
        name: z.ZodString;
        /**
         * A human-readable description of the argument.
         */
        description: z.ZodOptional<z.ZodString>;
        /**
         * Whether this argument must be provided.
         */
        required: z.ZodOptional<z.ZodBoolean>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        /**
         * The name of the argument.
         */
        name: z.ZodString;
        /**
         * A human-readable description of the argument.
         */
        description: z.ZodOptional<z.ZodString>;
        /**
         * Whether this argument must be provided.
         */
        required: z.ZodOptional<z.ZodBoolean>;
    }, z.ZodTypeAny, "passthrough">>, "many">>;
}, z.ZodTypeAny, "passthrough">>;
/**
 * Sent from the client to request a list of prompts and prompt templates the server has.
 */
export declare const ListPromptsRequestSchema: z.ZodObject<z.objectUtil.extendShape<z.objectUtil.extendShape<{
    method: z.ZodString;
    params: z.ZodOptional<z.ZodObject<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">>>;
}, {
    params: z.ZodOptional<z.ZodObject<z.objectUtil.extendShape<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, {
        /**
         * An opaque token representing the current pagination position.
         * If provided, the server should return results starting after this cursor.
         */
        cursor: z.ZodOptional<z.ZodString>;
    }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, {
        /**
         * An opaque token representing the current pagination position.
         * If provided, the server should return results starting after this cursor.
         */
        cursor: z.ZodOptional<z.ZodString>;
    }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, {
        /**
         * An opaque token representing the current pagination position.
         * If provided, the server should return results starting after this cursor.
         */
        cursor: z.ZodOptional<z.ZodString>;
    }>, z.ZodTypeAny, "passthrough">>>;
}>, {
    method: z.ZodLiteral<"prompts/list">;
}>, "strip", z.ZodTypeAny, {
    method: "prompts/list";
    params?: z.objectOutputType<z.objectUtil.extendShape<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, {
        /**
         * An opaque token representing the current pagination position.
         * If provided, the server should return results starting after this cursor.
         */
        cursor: z.ZodOptional<z.ZodString>;
    }>, z.ZodTypeAny, "passthrough"> | undefined;
}, {
    method: "prompts/list";
    params?: z.objectInputType<z.objectUtil.extendShape<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, {
        /**
         * An opaque token representing the current pagination position.
         * If provided, the server should return results starting after this cursor.
         */
        cursor: z.ZodOptional<z.ZodString>;
    }>, z.ZodTypeAny, "passthrough"> | undefined;
}>;
/**
 * The server's response to a prompts/list request from the client.
 */
export declare const ListPromptsResultSchema: z.ZodObject<z.objectUtil.extendShape<z.objectUtil.extendShape<{
    /**
     * This result property is reserved by the protocol to allow clients and servers to attach additional metadata to their responses.
     */
    _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
}, {
    /**
     * An opaque token representing the pagination position after the last returned result.
     * If present, there may be more results available.
     */
    nextCursor: z.ZodOptional<z.ZodString>;
}>, {
    prompts: z.ZodArray<z.ZodObject<{
        /**
         * The name of the prompt or prompt template.
         */
        name: z.ZodString;
        /**
         * An optional description of what this prompt provides
         */
        description: z.ZodOptional<z.ZodString>;
        /**
         * A list of arguments to use for templating the prompt.
         */
        arguments: z.ZodOptional<z.ZodArray<z.ZodObject<{
            /**
             * The name of the argument.
             */
            name: z.ZodString;
            /**
             * A human-readable description of the argument.
             */
            description: z.ZodOptional<z.ZodString>;
            /**
             * Whether this argument must be provided.
             */
            required: z.ZodOptional<z.ZodBoolean>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * The name of the argument.
             */
            name: z.ZodString;
            /**
             * A human-readable description of the argument.
             */
            description: z.ZodOptional<z.ZodString>;
            /**
             * Whether this argument must be provided.
             */
            required: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * The name of the argument.
             */
            name: z.ZodString;
            /**
             * A human-readable description of the argument.
             */
            description: z.ZodOptional<z.ZodString>;
            /**
             * Whether this argument must be provided.
             */
            required: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">>, "many">>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        /**
         * The name of the prompt or prompt template.
         */
        name: z.ZodString;
        /**
         * An optional description of what this prompt provides
         */
        description: z.ZodOptional<z.ZodString>;
        /**
         * A list of arguments to use for templating the prompt.
         */
        arguments: z.ZodOptional<z.ZodArray<z.ZodObject<{
            /**
             * The name of the argument.
             */
            name: z.ZodString;
            /**
             * A human-readable description of the argument.
             */
            description: z.ZodOptional<z.ZodString>;
            /**
             * Whether this argument must be provided.
             */
            required: z.ZodOptional<z.ZodBoolean>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * The name of the argument.
             */
            name: z.ZodString;
            /**
             * A human-readable description of the argument.
             */
            description: z.ZodOptional<z.ZodString>;
            /**
             * Whether this argument must be provided.
             */
            required: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * The name of the argument.
             */
            name: z.ZodString;
            /**
             * A human-readable description of the argument.
             */
            description: z.ZodOptional<z.ZodString>;
            /**
             * Whether this argument must be provided.
             */
            required: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">>, "many">>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        /**
         * The name of the prompt or prompt template.
         */
        name: z.ZodString;
        /**
         * An optional description of what this prompt provides
         */
        description: z.ZodOptional<z.ZodString>;
        /**
         * A list of arguments to use for templating the prompt.
         */
        arguments: z.ZodOptional<z.ZodArray<z.ZodObject<{
            /**
             * The name of the argument.
             */
            name: z.ZodString;
            /**
             * A human-readable description of the argument.
             */
            description: z.ZodOptional<z.ZodString>;
            /**
             * Whether this argument must be provided.
             */
            required: z.ZodOptional<z.ZodBoolean>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * The name of the argument.
             */
            name: z.ZodString;
            /**
             * A human-readable description of the argument.
             */
            description: z.ZodOptional<z.ZodString>;
            /**
             * Whether this argument must be provided.
             */
            required: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * The name of the argument.
             */
            name: z.ZodString;
            /**
             * A human-readable description of the argument.
             */
            description: z.ZodOptional<z.ZodString>;
            /**
             * Whether this argument must be provided.
             */
            required: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">>, "many">>;
    }, z.ZodTypeAny, "passthrough">>, "many">;
}>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<z.objectUtil.extendShape<{
    /**
     * This result property is reserved by the protocol to allow clients and servers to attach additional metadata to their responses.
     */
    _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
}, {
    /**
     * An opaque token representing the pagination position after the last returned result.
     * If present, there may be more results available.
     */
    nextCursor: z.ZodOptional<z.ZodString>;
}>, {
    prompts: z.ZodArray<z.ZodObject<{
        /**
         * The name of the prompt or prompt template.
         */
        name: z.ZodString;
        /**
         * An optional description of what this prompt provides
         */
        description: z.ZodOptional<z.ZodString>;
        /**
         * A list of arguments to use for templating the prompt.
         */
        arguments: z.ZodOptional<z.ZodArray<z.ZodObject<{
            /**
             * The name of the argument.
             */
            name: z.ZodString;
            /**
             * A human-readable description of the argument.
             */
            description: z.ZodOptional<z.ZodString>;
            /**
             * Whether this argument must be provided.
             */
            required: z.ZodOptional<z.ZodBoolean>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * The name of the argument.
             */
            name: z.ZodString;
            /**
             * A human-readable description of the argument.
             */
            description: z.ZodOptional<z.ZodString>;
            /**
             * Whether this argument must be provided.
             */
            required: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * The name of the argument.
             */
            name: z.ZodString;
            /**
             * A human-readable description of the argument.
             */
            description: z.ZodOptional<z.ZodString>;
            /**
             * Whether this argument must be provided.
             */
            required: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">>, "many">>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        /**
         * The name of the prompt or prompt template.
         */
        name: z.ZodString;
        /**
         * An optional description of what this prompt provides
         */
        description: z.ZodOptional<z.ZodString>;
        /**
         * A list of arguments to use for templating the prompt.
         */
        arguments: z.ZodOptional<z.ZodArray<z.ZodObject<{
            /**
             * The name of the argument.
             */
            name: z.ZodString;
            /**
             * A human-readable description of the argument.
             */
            description: z.ZodOptional<z.ZodString>;
            /**
             * Whether this argument must be provided.
             */
            required: z.ZodOptional<z.ZodBoolean>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * The name of the argument.
             */
            name: z.ZodString;
            /**
             * A human-readable description of the argument.
             */
            description: z.ZodOptional<z.ZodString>;
            /**
             * Whether this argument must be provided.
             */
            required: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * The name of the argument.
             */
            name: z.ZodString;
            /**
             * A human-readable description of the argument.
             */
            description: z.ZodOptional<z.ZodString>;
            /**
             * Whether this argument must be provided.
             */
            required: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">>, "many">>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        /**
         * The name of the prompt or prompt template.
         */
        name: z.ZodString;
        /**
         * An optional description of what this prompt provides
         */
        description: z.ZodOptional<z.ZodString>;
        /**
         * A list of arguments to use for templating the prompt.
         */
        arguments: z.ZodOptional<z.ZodArray<z.ZodObject<{
            /**
             * The name of the argument.
             */
            name: z.ZodString;
            /**
             * A human-readable description of the argument.
             */
            description: z.ZodOptional<z.ZodString>;
            /**
             * Whether this argument must be provided.
             */
            required: z.ZodOptional<z.ZodBoolean>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * The name of the argument.
             */
            name: z.ZodString;
            /**
             * A human-readable description of the argument.
             */
            description: z.ZodOptional<z.ZodString>;
            /**
             * Whether this argument must be provided.
             */
            required: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * The name of the argument.
             */
            name: z.ZodString;
            /**
             * A human-readable description of the argument.
             */
            description: z.ZodOptional<z.ZodString>;
            /**
             * Whether this argument must be provided.
             */
            required: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">>, "many">>;
    }, z.ZodTypeAny, "passthrough">>, "many">;
}>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<z.objectUtil.extendShape<{
    /**
     * This result property is reserved by the protocol to allow clients and servers to attach additional metadata to their responses.
     */
    _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
}, {
    /**
     * An opaque token representing the pagination position after the last returned result.
     * If present, there may be more results available.
     */
    nextCursor: z.ZodOptional<z.ZodString>;
}>, {
    prompts: z.ZodArray<z.ZodObject<{
        /**
         * The name of the prompt or prompt template.
         */
        name: z.ZodString;
        /**
         * An optional description of what this prompt provides
         */
        description: z.ZodOptional<z.ZodString>;
        /**
         * A list of arguments to use for templating the prompt.
         */
        arguments: z.ZodOptional<z.ZodArray<z.ZodObject<{
            /**
             * The name of the argument.
             */
            name: z.ZodString;
            /**
             * A human-readable description of the argument.
             */
            description: z.ZodOptional<z.ZodString>;
            /**
             * Whether this argument must be provided.
             */
            required: z.ZodOptional<z.ZodBoolean>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * The name of the argument.
             */
            name: z.ZodString;
            /**
             * A human-readable description of the argument.
             */
            description: z.ZodOptional<z.ZodString>;
            /**
             * Whether this argument must be provided.
             */
            required: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * The name of the argument.
             */
            name: z.ZodString;
            /**
             * A human-readable description of the argument.
             */
            description: z.ZodOptional<z.ZodString>;
            /**
             * Whether this argument must be provided.
             */
            required: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">>, "many">>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        /**
         * The name of the prompt or prompt template.
         */
        name: z.ZodString;
        /**
         * An optional description of what this prompt provides
         */
        description: z.ZodOptional<z.ZodString>;
        /**
         * A list of arguments to use for templating the prompt.
         */
        arguments: z.ZodOptional<z.ZodArray<z.ZodObject<{
            /**
             * The name of the argument.
             */
            name: z.ZodString;
            /**
             * A human-readable description of the argument.
             */
            description: z.ZodOptional<z.ZodString>;
            /**
             * Whether this argument must be provided.
             */
            required: z.ZodOptional<z.ZodBoolean>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * The name of the argument.
             */
            name: z.ZodString;
            /**
             * A human-readable description of the argument.
             */
            description: z.ZodOptional<z.ZodString>;
            /**
             * Whether this argument must be provided.
             */
            required: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * The name of the argument.
             */
            name: z.ZodString;
            /**
             * A human-readable description of the argument.
             */
            description: z.ZodOptional<z.ZodString>;
            /**
             * Whether this argument must be provided.
             */
            required: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">>, "many">>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        /**
         * The name of the prompt or prompt template.
         */
        name: z.ZodString;
        /**
         * An optional description of what this prompt provides
         */
        description: z.ZodOptional<z.ZodString>;
        /**
         * A list of arguments to use for templating the prompt.
         */
        arguments: z.ZodOptional<z.ZodArray<z.ZodObject<{
            /**
             * The name of the argument.
             */
            name: z.ZodString;
            /**
             * A human-readable description of the argument.
             */
            description: z.ZodOptional<z.ZodString>;
            /**
             * Whether this argument must be provided.
             */
            required: z.ZodOptional<z.ZodBoolean>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * The name of the argument.
             */
            name: z.ZodString;
            /**
             * A human-readable description of the argument.
             */
            description: z.ZodOptional<z.ZodString>;
            /**
             * Whether this argument must be provided.
             */
            required: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * The name of the argument.
             */
            name: z.ZodString;
            /**
             * A human-readable description of the argument.
             */
            description: z.ZodOptional<z.ZodString>;
            /**
             * Whether this argument must be provided.
             */
            required: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">>, "many">>;
    }, z.ZodTypeAny, "passthrough">>, "many">;
}>, z.ZodTypeAny, "passthrough">>;
/**
 * Used by the client to get a prompt provided by the server.
 */
export declare const GetPromptRequestSchema: z.ZodObject<z.objectUtil.extendShape<{
    method: z.ZodString;
    params: z.ZodOptional<z.ZodObject<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">>>;
}, {
    method: z.ZodLiteral<"prompts/get">;
    params: z.ZodObject<z.objectUtil.extendShape<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, {
        /**
         * The name of the prompt or prompt template.
         */
        name: z.ZodString;
        /**
         * Arguments to use for templating the prompt.
         */
        arguments: z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodString>>;
    }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, {
        /**
         * The name of the prompt or prompt template.
         */
        name: z.ZodString;
        /**
         * Arguments to use for templating the prompt.
         */
        arguments: z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodString>>;
    }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, {
        /**
         * The name of the prompt or prompt template.
         */
        name: z.ZodString;
        /**
         * Arguments to use for templating the prompt.
         */
        arguments: z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodString>>;
    }>, z.ZodTypeAny, "passthrough">>;
}>, "strip", z.ZodTypeAny, {
    params: {
        name: string;
        _meta?: z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough"> | undefined;
        arguments?: Record<string, string> | undefined;
    } & {
        [k: string]: unknown;
    };
    method: "prompts/get";
}, {
    params: {
        name: string;
        _meta?: z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough"> | undefined;
        arguments?: Record<string, string> | undefined;
    } & {
        [k: string]: unknown;
    };
    method: "prompts/get";
}>;
/**
 * Text provided to or from an LLM.
 */
export declare const TextContentSchema: z.ZodObject<{
    type: z.ZodLiteral<"text">;
    /**
     * The text content of the message.
     */
    text: z.ZodString;
}, "passthrough", z.ZodTypeAny, z.objectOutputType<{
    type: z.ZodLiteral<"text">;
    /**
     * The text content of the message.
     */
    text: z.ZodString;
}, z.ZodTypeAny, "passthrough">, z.objectInputType<{
    type: z.ZodLiteral<"text">;
    /**
     * The text content of the message.
     */
    text: z.ZodString;
}, z.ZodTypeAny, "passthrough">>;
/**
 * An image provided to or from an LLM.
 */
export declare const ImageContentSchema: z.ZodObject<{
    type: z.ZodLiteral<"image">;
    /**
     * The base64-encoded image data.
     */
    data: z.ZodString;
    /**
     * The MIME type of the image. Different providers may support different image types.
     */
    mimeType: z.ZodString;
}, "passthrough", z.ZodTypeAny, z.objectOutputType<{
    type: z.ZodLiteral<"image">;
    /**
     * The base64-encoded image data.
     */
    data: z.ZodString;
    /**
     * The MIME type of the image. Different providers may support different image types.
     */
    mimeType: z.ZodString;
}, z.ZodTypeAny, "passthrough">, z.objectInputType<{
    type: z.ZodLiteral<"image">;
    /**
     * The base64-encoded image data.
     */
    data: z.ZodString;
    /**
     * The MIME type of the image. Different providers may support different image types.
     */
    mimeType: z.ZodString;
}, z.ZodTypeAny, "passthrough">>;
/**
 * An Audio provided to or from an LLM.
 */
export declare const AudioContentSchema: z.ZodObject<{
    type: z.ZodLiteral<"audio">;
    /**
     * The base64-encoded audio data.
     */
    data: z.ZodString;
    /**
     * The MIME type of the audio. Different providers may support different audio types.
     */
    mimeType: z.ZodString;
}, "passthrough", z.ZodTypeAny, z.objectOutputType<{
    type: z.ZodLiteral<"audio">;
    /**
     * The base64-encoded audio data.
     */
    data: z.ZodString;
    /**
     * The MIME type of the audio. Different providers may support different audio types.
     */
    mimeType: z.ZodString;
}, z.ZodTypeAny, "passthrough">, z.objectInputType<{
    type: z.ZodLiteral<"audio">;
    /**
     * The base64-encoded audio data.
     */
    data: z.ZodString;
    /**
     * The MIME type of the audio. Different providers may support different audio types.
     */
    mimeType: z.ZodString;
}, z.ZodTypeAny, "passthrough">>;
/**
 * The contents of a resource, embedded into a prompt or tool call result.
 */
export declare const EmbeddedResourceSchema: z.ZodObject<{
    type: z.ZodLiteral<"resource">;
    resource: z.ZodUnion<[z.ZodObject<z.objectUtil.extendShape<{
        /**
         * The URI of this resource.
         */
        uri: z.ZodString;
        /**
         * The MIME type of this resource, if known.
         */
        mimeType: z.ZodOptional<z.ZodString>;
    }, {
        /**
         * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
         */
        text: z.ZodString;
    }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
        /**
         * The URI of this resource.
         */
        uri: z.ZodString;
        /**
         * The MIME type of this resource, if known.
         */
        mimeType: z.ZodOptional<z.ZodString>;
    }, {
        /**
         * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
         */
        text: z.ZodString;
    }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
        /**
         * The URI of this resource.
         */
        uri: z.ZodString;
        /**
         * The MIME type of this resource, if known.
         */
        mimeType: z.ZodOptional<z.ZodString>;
    }, {
        /**
         * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
         */
        text: z.ZodString;
    }>, z.ZodTypeAny, "passthrough">>, z.ZodObject<z.objectUtil.extendShape<{
        /**
         * The URI of this resource.
         */
        uri: z.ZodString;
        /**
         * The MIME type of this resource, if known.
         */
        mimeType: z.ZodOptional<z.ZodString>;
    }, {
        /**
         * A base64-encoded string representing the binary data of the item.
         */
        blob: z.ZodString;
    }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
        /**
         * The URI of this resource.
         */
        uri: z.ZodString;
        /**
         * The MIME type of this resource, if known.
         */
        mimeType: z.ZodOptional<z.ZodString>;
    }, {
        /**
         * A base64-encoded string representing the binary data of the item.
         */
        blob: z.ZodString;
    }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
        /**
         * The URI of this resource.
         */
        uri: z.ZodString;
        /**
         * The MIME type of this resource, if known.
         */
        mimeType: z.ZodOptional<z.ZodString>;
    }, {
        /**
         * A base64-encoded string representing the binary data of the item.
         */
        blob: z.ZodString;
    }>, z.ZodTypeAny, "passthrough">>]>;
}, "passthrough", z.ZodTypeAny, z.objectOutputType<{
    type: z.ZodLiteral<"resource">;
    resource: z.ZodUnion<[z.ZodObject<z.objectUtil.extendShape<{
        /**
         * The URI of this resource.
         */
        uri: z.ZodString;
        /**
         * The MIME type of this resource, if known.
         */
        mimeType: z.ZodOptional<z.ZodString>;
    }, {
        /**
         * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
         */
        text: z.ZodString;
    }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
        /**
         * The URI of this resource.
         */
        uri: z.ZodString;
        /**
         * The MIME type of this resource, if known.
         */
        mimeType: z.ZodOptional<z.ZodString>;
    }, {
        /**
         * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
         */
        text: z.ZodString;
    }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
        /**
         * The URI of this resource.
         */
        uri: z.ZodString;
        /**
         * The MIME type of this resource, if known.
         */
        mimeType: z.ZodOptional<z.ZodString>;
    }, {
        /**
         * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
         */
        text: z.ZodString;
    }>, z.ZodTypeAny, "passthrough">>, z.ZodObject<z.objectUtil.extendShape<{
        /**
         * The URI of this resource.
         */
        uri: z.ZodString;
        /**
         * The MIME type of this resource, if known.
         */
        mimeType: z.ZodOptional<z.ZodString>;
    }, {
        /**
         * A base64-encoded string representing the binary data of the item.
         */
        blob: z.ZodString;
    }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
        /**
         * The URI of this resource.
         */
        uri: z.ZodString;
        /**
         * The MIME type of this resource, if known.
         */
        mimeType: z.ZodOptional<z.ZodString>;
    }, {
        /**
         * A base64-encoded string representing the binary data of the item.
         */
        blob: z.ZodString;
    }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
        /**
         * The URI of this resource.
         */
        uri: z.ZodString;
        /**
         * The MIME type of this resource, if known.
         */
        mimeType: z.ZodOptional<z.ZodString>;
    }, {
        /**
         * A base64-encoded string representing the binary data of the item.
         */
        blob: z.ZodString;
    }>, z.ZodTypeAny, "passthrough">>]>;
}, z.ZodTypeAny, "passthrough">, z.objectInputType<{
    type: z.ZodLiteral<"resource">;
    resource: z.ZodUnion<[z.ZodObject<z.objectUtil.extendShape<{
        /**
         * The URI of this resource.
         */
        uri: z.ZodString;
        /**
         * The MIME type of this resource, if known.
         */
        mimeType: z.ZodOptional<z.ZodString>;
    }, {
        /**
         * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
         */
        text: z.ZodString;
    }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
        /**
         * The URI of this resource.
         */
        uri: z.ZodString;
        /**
         * The MIME type of this resource, if known.
         */
        mimeType: z.ZodOptional<z.ZodString>;
    }, {
        /**
         * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
         */
        text: z.ZodString;
    }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
        /**
         * The URI of this resource.
         */
        uri: z.ZodString;
        /**
         * The MIME type of this resource, if known.
         */
        mimeType: z.ZodOptional<z.ZodString>;
    }, {
        /**
         * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
         */
        text: z.ZodString;
    }>, z.ZodTypeAny, "passthrough">>, z.ZodObject<z.objectUtil.extendShape<{
        /**
         * The URI of this resource.
         */
        uri: z.ZodString;
        /**
         * The MIME type of this resource, if known.
         */
        mimeType: z.ZodOptional<z.ZodString>;
    }, {
        /**
         * A base64-encoded string representing the binary data of the item.
         */
        blob: z.ZodString;
    }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
        /**
         * The URI of this resource.
         */
        uri: z.ZodString;
        /**
         * The MIME type of this resource, if known.
         */
        mimeType: z.ZodOptional<z.ZodString>;
    }, {
        /**
         * A base64-encoded string representing the binary data of the item.
         */
        blob: z.ZodString;
    }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
        /**
         * The URI of this resource.
         */
        uri: z.ZodString;
        /**
         * The MIME type of this resource, if known.
         */
        mimeType: z.ZodOptional<z.ZodString>;
    }, {
        /**
         * A base64-encoded string representing the binary data of the item.
         */
        blob: z.ZodString;
    }>, z.ZodTypeAny, "passthrough">>]>;
}, z.ZodTypeAny, "passthrough">>;
/**
 * Describes a message returned as part of a prompt.
 */
export declare const PromptMessageSchema: z.ZodObject<{
    role: z.ZodEnum<["user", "assistant"]>;
    content: z.ZodUnion<[z.ZodObject<{
        type: z.ZodLiteral<"text">;
        /**
         * The text content of the message.
         */
        text: z.ZodString;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        type: z.ZodLiteral<"text">;
        /**
         * The text content of the message.
         */
        text: z.ZodString;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        type: z.ZodLiteral<"text">;
        /**
         * The text content of the message.
         */
        text: z.ZodString;
    }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
        type: z.ZodLiteral<"image">;
        /**
         * The base64-encoded image data.
         */
        data: z.ZodString;
        /**
         * The MIME type of the image. Different providers may support different image types.
         */
        mimeType: z.ZodString;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        type: z.ZodLiteral<"image">;
        /**
         * The base64-encoded image data.
         */
        data: z.ZodString;
        /**
         * The MIME type of the image. Different providers may support different image types.
         */
        mimeType: z.ZodString;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        type: z.ZodLiteral<"image">;
        /**
         * The base64-encoded image data.
         */
        data: z.ZodString;
        /**
         * The MIME type of the image. Different providers may support different image types.
         */
        mimeType: z.ZodString;
    }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
        type: z.ZodLiteral<"audio">;
        /**
         * The base64-encoded audio data.
         */
        data: z.ZodString;
        /**
         * The MIME type of the audio. Different providers may support different audio types.
         */
        mimeType: z.ZodString;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        type: z.ZodLiteral<"audio">;
        /**
         * The base64-encoded audio data.
         */
        data: z.ZodString;
        /**
         * The MIME type of the audio. Different providers may support different audio types.
         */
        mimeType: z.ZodString;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        type: z.ZodLiteral<"audio">;
        /**
         * The base64-encoded audio data.
         */
        data: z.ZodString;
        /**
         * The MIME type of the audio. Different providers may support different audio types.
         */
        mimeType: z.ZodString;
    }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
        type: z.ZodLiteral<"resource">;
        resource: z.ZodUnion<[z.ZodObject<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
             */
            text: z.ZodString;
        }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
             */
            text: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
             */
            text: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">>, z.ZodObject<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * A base64-encoded string representing the binary data of the item.
             */
            blob: z.ZodString;
        }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * A base64-encoded string representing the binary data of the item.
             */
            blob: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * A base64-encoded string representing the binary data of the item.
             */
            blob: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">>]>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        type: z.ZodLiteral<"resource">;
        resource: z.ZodUnion<[z.ZodObject<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
             */
            text: z.ZodString;
        }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
             */
            text: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
             */
            text: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">>, z.ZodObject<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * A base64-encoded string representing the binary data of the item.
             */
            blob: z.ZodString;
        }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * A base64-encoded string representing the binary data of the item.
             */
            blob: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * A base64-encoded string representing the binary data of the item.
             */
            blob: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">>]>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        type: z.ZodLiteral<"resource">;
        resource: z.ZodUnion<[z.ZodObject<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
             */
            text: z.ZodString;
        }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
             */
            text: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
             */
            text: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">>, z.ZodObject<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * A base64-encoded string representing the binary data of the item.
             */
            blob: z.ZodString;
        }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * A base64-encoded string representing the binary data of the item.
             */
            blob: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * A base64-encoded string representing the binary data of the item.
             */
            blob: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">>]>;
    }, z.ZodTypeAny, "passthrough">>]>;
}, "passthrough", z.ZodTypeAny, z.objectOutputType<{
    role: z.ZodEnum<["user", "assistant"]>;
    content: z.ZodUnion<[z.ZodObject<{
        type: z.ZodLiteral<"text">;
        /**
         * The text content of the message.
         */
        text: z.ZodString;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        type: z.ZodLiteral<"text">;
        /**
         * The text content of the message.
         */
        text: z.ZodString;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        type: z.ZodLiteral<"text">;
        /**
         * The text content of the message.
         */
        text: z.ZodString;
    }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
        type: z.ZodLiteral<"image">;
        /**
         * The base64-encoded image data.
         */
        data: z.ZodString;
        /**
         * The MIME type of the image. Different providers may support different image types.
         */
        mimeType: z.ZodString;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        type: z.ZodLiteral<"image">;
        /**
         * The base64-encoded image data.
         */
        data: z.ZodString;
        /**
         * The MIME type of the image. Different providers may support different image types.
         */
        mimeType: z.ZodString;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        type: z.ZodLiteral<"image">;
        /**
         * The base64-encoded image data.
         */
        data: z.ZodString;
        /**
         * The MIME type of the image. Different providers may support different image types.
         */
        mimeType: z.ZodString;
    }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
        type: z.ZodLiteral<"audio">;
        /**
         * The base64-encoded audio data.
         */
        data: z.ZodString;
        /**
         * The MIME type of the audio. Different providers may support different audio types.
         */
        mimeType: z.ZodString;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        type: z.ZodLiteral<"audio">;
        /**
         * The base64-encoded audio data.
         */
        data: z.ZodString;
        /**
         * The MIME type of the audio. Different providers may support different audio types.
         */
        mimeType: z.ZodString;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        type: z.ZodLiteral<"audio">;
        /**
         * The base64-encoded audio data.
         */
        data: z.ZodString;
        /**
         * The MIME type of the audio. Different providers may support different audio types.
         */
        mimeType: z.ZodString;
    }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
        type: z.ZodLiteral<"resource">;
        resource: z.ZodUnion<[z.ZodObject<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
             */
            text: z.ZodString;
        }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
             */
            text: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
             */
            text: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">>, z.ZodObject<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * A base64-encoded string representing the binary data of the item.
             */
            blob: z.ZodString;
        }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * A base64-encoded string representing the binary data of the item.
             */
            blob: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * A base64-encoded string representing the binary data of the item.
             */
            blob: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">>]>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        type: z.ZodLiteral<"resource">;
        resource: z.ZodUnion<[z.ZodObject<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
             */
            text: z.ZodString;
        }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
             */
            text: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
             */
            text: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">>, z.ZodObject<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * A base64-encoded string representing the binary data of the item.
             */
            blob: z.ZodString;
        }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * A base64-encoded string representing the binary data of the item.
             */
            blob: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * A base64-encoded string representing the binary data of the item.
             */
            blob: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">>]>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        type: z.ZodLiteral<"resource">;
        resource: z.ZodUnion<[z.ZodObject<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
             */
            text: z.ZodString;
        }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
             */
            text: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
             */
            text: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">>, z.ZodObject<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * A base64-encoded string representing the binary data of the item.
             */
            blob: z.ZodString;
        }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * A base64-encoded string representing the binary data of the item.
             */
            blob: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * A base64-encoded string representing the binary data of the item.
             */
            blob: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">>]>;
    }, z.ZodTypeAny, "passthrough">>]>;
}, z.ZodTypeAny, "passthrough">, z.objectInputType<{
    role: z.ZodEnum<["user", "assistant"]>;
    content: z.ZodUnion<[z.ZodObject<{
        type: z.ZodLiteral<"text">;
        /**
         * The text content of the message.
         */
        text: z.ZodString;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        type: z.ZodLiteral<"text">;
        /**
         * The text content of the message.
         */
        text: z.ZodString;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        type: z.ZodLiteral<"text">;
        /**
         * The text content of the message.
         */
        text: z.ZodString;
    }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
        type: z.ZodLiteral<"image">;
        /**
         * The base64-encoded image data.
         */
        data: z.ZodString;
        /**
         * The MIME type of the image. Different providers may support different image types.
         */
        mimeType: z.ZodString;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        type: z.ZodLiteral<"image">;
        /**
         * The base64-encoded image data.
         */
        data: z.ZodString;
        /**
         * The MIME type of the image. Different providers may support different image types.
         */
        mimeType: z.ZodString;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        type: z.ZodLiteral<"image">;
        /**
         * The base64-encoded image data.
         */
        data: z.ZodString;
        /**
         * The MIME type of the image. Different providers may support different image types.
         */
        mimeType: z.ZodString;
    }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
        type: z.ZodLiteral<"audio">;
        /**
         * The base64-encoded audio data.
         */
        data: z.ZodString;
        /**
         * The MIME type of the audio. Different providers may support different audio types.
         */
        mimeType: z.ZodString;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        type: z.ZodLiteral<"audio">;
        /**
         * The base64-encoded audio data.
         */
        data: z.ZodString;
        /**
         * The MIME type of the audio. Different providers may support different audio types.
         */
        mimeType: z.ZodString;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        type: z.ZodLiteral<"audio">;
        /**
         * The base64-encoded audio data.
         */
        data: z.ZodString;
        /**
         * The MIME type of the audio. Different providers may support different audio types.
         */
        mimeType: z.ZodString;
    }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
        type: z.ZodLiteral<"resource">;
        resource: z.ZodUnion<[z.ZodObject<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
             */
            text: z.ZodString;
        }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
             */
            text: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
             */
            text: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">>, z.ZodObject<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * A base64-encoded string representing the binary data of the item.
             */
            blob: z.ZodString;
        }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * A base64-encoded string representing the binary data of the item.
             */
            blob: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * A base64-encoded string representing the binary data of the item.
             */
            blob: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">>]>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        type: z.ZodLiteral<"resource">;
        resource: z.ZodUnion<[z.ZodObject<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
             */
            text: z.ZodString;
        }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
             */
            text: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
             */
            text: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">>, z.ZodObject<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * A base64-encoded string representing the binary data of the item.
             */
            blob: z.ZodString;
        }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * A base64-encoded string representing the binary data of the item.
             */
            blob: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * A base64-encoded string representing the binary data of the item.
             */
            blob: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">>]>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        type: z.ZodLiteral<"resource">;
        resource: z.ZodUnion<[z.ZodObject<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
             */
            text: z.ZodString;
        }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
             */
            text: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
             */
            text: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">>, z.ZodObject<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * A base64-encoded string representing the binary data of the item.
             */
            blob: z.ZodString;
        }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * A base64-encoded string representing the binary data of the item.
             */
            blob: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * A base64-encoded string representing the binary data of the item.
             */
            blob: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">>]>;
    }, z.ZodTypeAny, "passthrough">>]>;
}, z.ZodTypeAny, "passthrough">>;
/**
 * The server's response to a prompts/get request from the client.
 */
export declare const GetPromptResultSchema: z.ZodObject<z.objectUtil.extendShape<{
    /**
     * This result property is reserved by the protocol to allow clients and servers to attach additional metadata to their responses.
     */
    _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
}, {
    /**
     * An optional description for the prompt.
     */
    description: z.ZodOptional<z.ZodString>;
    messages: z.ZodArray<z.ZodObject<{
        role: z.ZodEnum<["user", "assistant"]>;
        content: z.ZodUnion<[z.ZodObject<{
            type: z.ZodLiteral<"text">;
            /**
             * The text content of the message.
             */
            text: z.ZodString;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            type: z.ZodLiteral<"text">;
            /**
             * The text content of the message.
             */
            text: z.ZodString;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            type: z.ZodLiteral<"text">;
            /**
             * The text content of the message.
             */
            text: z.ZodString;
        }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
            type: z.ZodLiteral<"image">;
            /**
             * The base64-encoded image data.
             */
            data: z.ZodString;
            /**
             * The MIME type of the image. Different providers may support different image types.
             */
            mimeType: z.ZodString;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            type: z.ZodLiteral<"image">;
            /**
             * The base64-encoded image data.
             */
            data: z.ZodString;
            /**
             * The MIME type of the image. Different providers may support different image types.
             */
            mimeType: z.ZodString;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            type: z.ZodLiteral<"image">;
            /**
             * The base64-encoded image data.
             */
            data: z.ZodString;
            /**
             * The MIME type of the image. Different providers may support different image types.
             */
            mimeType: z.ZodString;
        }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
            type: z.ZodLiteral<"audio">;
            /**
             * The base64-encoded audio data.
             */
            data: z.ZodString;
            /**
             * The MIME type of the audio. Different providers may support different audio types.
             */
            mimeType: z.ZodString;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            type: z.ZodLiteral<"audio">;
            /**
             * The base64-encoded audio data.
             */
            data: z.ZodString;
            /**
             * The MIME type of the audio. Different providers may support different audio types.
             */
            mimeType: z.ZodString;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            type: z.ZodLiteral<"audio">;
            /**
             * The base64-encoded audio data.
             */
            data: z.ZodString;
            /**
             * The MIME type of the audio. Different providers may support different audio types.
             */
            mimeType: z.ZodString;
        }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
            type: z.ZodLiteral<"resource">;
            resource: z.ZodUnion<[z.ZodObject<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">>, z.ZodObject<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">>]>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            type: z.ZodLiteral<"resource">;
            resource: z.ZodUnion<[z.ZodObject<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">>, z.ZodObject<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">>]>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            type: z.ZodLiteral<"resource">;
            resource: z.ZodUnion<[z.ZodObject<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">>, z.ZodObject<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">>]>;
        }, z.ZodTypeAny, "passthrough">>]>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        role: z.ZodEnum<["user", "assistant"]>;
        content: z.ZodUnion<[z.ZodObject<{
            type: z.ZodLiteral<"text">;
            /**
             * The text content of the message.
             */
            text: z.ZodString;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            type: z.ZodLiteral<"text">;
            /**
             * The text content of the message.
             */
            text: z.ZodString;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            type: z.ZodLiteral<"text">;
            /**
             * The text content of the message.
             */
            text: z.ZodString;
        }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
            type: z.ZodLiteral<"image">;
            /**
             * The base64-encoded image data.
             */
            data: z.ZodString;
            /**
             * The MIME type of the image. Different providers may support different image types.
             */
            mimeType: z.ZodString;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            type: z.ZodLiteral<"image">;
            /**
             * The base64-encoded image data.
             */
            data: z.ZodString;
            /**
             * The MIME type of the image. Different providers may support different image types.
             */
            mimeType: z.ZodString;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            type: z.ZodLiteral<"image">;
            /**
             * The base64-encoded image data.
             */
            data: z.ZodString;
            /**
             * The MIME type of the image. Different providers may support different image types.
             */
            mimeType: z.ZodString;
        }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
            type: z.ZodLiteral<"audio">;
            /**
             * The base64-encoded audio data.
             */
            data: z.ZodString;
            /**
             * The MIME type of the audio. Different providers may support different audio types.
             */
            mimeType: z.ZodString;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            type: z.ZodLiteral<"audio">;
            /**
             * The base64-encoded audio data.
             */
            data: z.ZodString;
            /**
             * The MIME type of the audio. Different providers may support different audio types.
             */
            mimeType: z.ZodString;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            type: z.ZodLiteral<"audio">;
            /**
             * The base64-encoded audio data.
             */
            data: z.ZodString;
            /**
             * The MIME type of the audio. Different providers may support different audio types.
             */
            mimeType: z.ZodString;
        }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
            type: z.ZodLiteral<"resource">;
            resource: z.ZodUnion<[z.ZodObject<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">>, z.ZodObject<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">>]>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            type: z.ZodLiteral<"resource">;
            resource: z.ZodUnion<[z.ZodObject<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">>, z.ZodObject<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">>]>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            type: z.ZodLiteral<"resource">;
            resource: z.ZodUnion<[z.ZodObject<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">>, z.ZodObject<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">>]>;
        }, z.ZodTypeAny, "passthrough">>]>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        role: z.ZodEnum<["user", "assistant"]>;
        content: z.ZodUnion<[z.ZodObject<{
            type: z.ZodLiteral<"text">;
            /**
             * The text content of the message.
             */
            text: z.ZodString;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            type: z.ZodLiteral<"text">;
            /**
             * The text content of the message.
             */
            text: z.ZodString;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            type: z.ZodLiteral<"text">;
            /**
             * The text content of the message.
             */
            text: z.ZodString;
        }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
            type: z.ZodLiteral<"image">;
            /**
             * The base64-encoded image data.
             */
            data: z.ZodString;
            /**
             * The MIME type of the image. Different providers may support different image types.
             */
            mimeType: z.ZodString;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            type: z.ZodLiteral<"image">;
            /**
             * The base64-encoded image data.
             */
            data: z.ZodString;
            /**
             * The MIME type of the image. Different providers may support different image types.
             */
            mimeType: z.ZodString;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            type: z.ZodLiteral<"image">;
            /**
             * The base64-encoded image data.
             */
            data: z.ZodString;
            /**
             * The MIME type of the image. Different providers may support different image types.
             */
            mimeType: z.ZodString;
        }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
            type: z.ZodLiteral<"audio">;
            /**
             * The base64-encoded audio data.
             */
            data: z.ZodString;
            /**
             * The MIME type of the audio. Different providers may support different audio types.
             */
            mimeType: z.ZodString;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            type: z.ZodLiteral<"audio">;
            /**
             * The base64-encoded audio data.
             */
            data: z.ZodString;
            /**
             * The MIME type of the audio. Different providers may support different audio types.
             */
            mimeType: z.ZodString;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            type: z.ZodLiteral<"audio">;
            /**
             * The base64-encoded audio data.
             */
            data: z.ZodString;
            /**
             * The MIME type of the audio. Different providers may support different audio types.
             */
            mimeType: z.ZodString;
        }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
            type: z.ZodLiteral<"resource">;
            resource: z.ZodUnion<[z.ZodObject<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">>, z.ZodObject<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">>]>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            type: z.ZodLiteral<"resource">;
            resource: z.ZodUnion<[z.ZodObject<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">>, z.ZodObject<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">>]>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            type: z.ZodLiteral<"resource">;
            resource: z.ZodUnion<[z.ZodObject<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">>, z.ZodObject<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">>]>;
        }, z.ZodTypeAny, "passthrough">>]>;
    }, z.ZodTypeAny, "passthrough">>, "many">;
}>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
    /**
     * This result property is reserved by the protocol to allow clients and servers to attach additional metadata to their responses.
     */
    _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
}, {
    /**
     * An optional description for the prompt.
     */
    description: z.ZodOptional<z.ZodString>;
    messages: z.ZodArray<z.ZodObject<{
        role: z.ZodEnum<["user", "assistant"]>;
        content: z.ZodUnion<[z.ZodObject<{
            type: z.ZodLiteral<"text">;
            /**
             * The text content of the message.
             */
            text: z.ZodString;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            type: z.ZodLiteral<"text">;
            /**
             * The text content of the message.
             */
            text: z.ZodString;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            type: z.ZodLiteral<"text">;
            /**
             * The text content of the message.
             */
            text: z.ZodString;
        }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
            type: z.ZodLiteral<"image">;
            /**
             * The base64-encoded image data.
             */
            data: z.ZodString;
            /**
             * The MIME type of the image. Different providers may support different image types.
             */
            mimeType: z.ZodString;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            type: z.ZodLiteral<"image">;
            /**
             * The base64-encoded image data.
             */
            data: z.ZodString;
            /**
             * The MIME type of the image. Different providers may support different image types.
             */
            mimeType: z.ZodString;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            type: z.ZodLiteral<"image">;
            /**
             * The base64-encoded image data.
             */
            data: z.ZodString;
            /**
             * The MIME type of the image. Different providers may support different image types.
             */
            mimeType: z.ZodString;
        }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
            type: z.ZodLiteral<"audio">;
            /**
             * The base64-encoded audio data.
             */
            data: z.ZodString;
            /**
             * The MIME type of the audio. Different providers may support different audio types.
             */
            mimeType: z.ZodString;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            type: z.ZodLiteral<"audio">;
            /**
             * The base64-encoded audio data.
             */
            data: z.ZodString;
            /**
             * The MIME type of the audio. Different providers may support different audio types.
             */
            mimeType: z.ZodString;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            type: z.ZodLiteral<"audio">;
            /**
             * The base64-encoded audio data.
             */
            data: z.ZodString;
            /**
             * The MIME type of the audio. Different providers may support different audio types.
             */
            mimeType: z.ZodString;
        }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
            type: z.ZodLiteral<"resource">;
            resource: z.ZodUnion<[z.ZodObject<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">>, z.ZodObject<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">>]>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            type: z.ZodLiteral<"resource">;
            resource: z.ZodUnion<[z.ZodObject<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">>, z.ZodObject<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">>]>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            type: z.ZodLiteral<"resource">;
            resource: z.ZodUnion<[z.ZodObject<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">>, z.ZodObject<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">>]>;
        }, z.ZodTypeAny, "passthrough">>]>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        role: z.ZodEnum<["user", "assistant"]>;
        content: z.ZodUnion<[z.ZodObject<{
            type: z.ZodLiteral<"text">;
            /**
             * The text content of the message.
             */
            text: z.ZodString;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            type: z.ZodLiteral<"text">;
            /**
             * The text content of the message.
             */
            text: z.ZodString;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            type: z.ZodLiteral<"text">;
            /**
             * The text content of the message.
             */
            text: z.ZodString;
        }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
            type: z.ZodLiteral<"image">;
            /**
             * The base64-encoded image data.
             */
            data: z.ZodString;
            /**
             * The MIME type of the image. Different providers may support different image types.
             */
            mimeType: z.ZodString;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            type: z.ZodLiteral<"image">;
            /**
             * The base64-encoded image data.
             */
            data: z.ZodString;
            /**
             * The MIME type of the image. Different providers may support different image types.
             */
            mimeType: z.ZodString;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            type: z.ZodLiteral<"image">;
            /**
             * The base64-encoded image data.
             */
            data: z.ZodString;
            /**
             * The MIME type of the image. Different providers may support different image types.
             */
            mimeType: z.ZodString;
        }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
            type: z.ZodLiteral<"audio">;
            /**
             * The base64-encoded audio data.
             */
            data: z.ZodString;
            /**
             * The MIME type of the audio. Different providers may support different audio types.
             */
            mimeType: z.ZodString;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            type: z.ZodLiteral<"audio">;
            /**
             * The base64-encoded audio data.
             */
            data: z.ZodString;
            /**
             * The MIME type of the audio. Different providers may support different audio types.
             */
            mimeType: z.ZodString;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            type: z.ZodLiteral<"audio">;
            /**
             * The base64-encoded audio data.
             */
            data: z.ZodString;
            /**
             * The MIME type of the audio. Different providers may support different audio types.
             */
            mimeType: z.ZodString;
        }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
            type: z.ZodLiteral<"resource">;
            resource: z.ZodUnion<[z.ZodObject<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">>, z.ZodObject<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">>]>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            type: z.ZodLiteral<"resource">;
            resource: z.ZodUnion<[z.ZodObject<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">>, z.ZodObject<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">>]>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            type: z.ZodLiteral<"resource">;
            resource: z.ZodUnion<[z.ZodObject<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">>, z.ZodObject<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">>]>;
        }, z.ZodTypeAny, "passthrough">>]>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        role: z.ZodEnum<["user", "assistant"]>;
        content: z.ZodUnion<[z.ZodObject<{
            type: z.ZodLiteral<"text">;
            /**
             * The text content of the message.
             */
            text: z.ZodString;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            type: z.ZodLiteral<"text">;
            /**
             * The text content of the message.
             */
            text: z.ZodString;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            type: z.ZodLiteral<"text">;
            /**
             * The text content of the message.
             */
            text: z.ZodString;
        }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
            type: z.ZodLiteral<"image">;
            /**
             * The base64-encoded image data.
             */
            data: z.ZodString;
            /**
             * The MIME type of the image. Different providers may support different image types.
             */
            mimeType: z.ZodString;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            type: z.ZodLiteral<"image">;
            /**
             * The base64-encoded image data.
             */
            data: z.ZodString;
            /**
             * The MIME type of the image. Different providers may support different image types.
             */
            mimeType: z.ZodString;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            type: z.ZodLiteral<"image">;
            /**
             * The base64-encoded image data.
             */
            data: z.ZodString;
            /**
             * The MIME type of the image. Different providers may support different image types.
             */
            mimeType: z.ZodString;
        }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
            type: z.ZodLiteral<"audio">;
            /**
             * The base64-encoded audio data.
             */
            data: z.ZodString;
            /**
             * The MIME type of the audio. Different providers may support different audio types.
             */
            mimeType: z.ZodString;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            type: z.ZodLiteral<"audio">;
            /**
             * The base64-encoded audio data.
             */
            data: z.ZodString;
            /**
             * The MIME type of the audio. Different providers may support different audio types.
             */
            mimeType: z.ZodString;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            type: z.ZodLiteral<"audio">;
            /**
             * The base64-encoded audio data.
             */
            data: z.ZodString;
            /**
             * The MIME type of the audio. Different providers may support different audio types.
             */
            mimeType: z.ZodString;
        }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
            type: z.ZodLiteral<"resource">;
            resource: z.ZodUnion<[z.ZodObject<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">>, z.ZodObject<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">>]>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            type: z.ZodLiteral<"resource">;
            resource: z.ZodUnion<[z.ZodObject<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">>, z.ZodObject<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">>]>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            type: z.ZodLiteral<"resource">;
            resource: z.ZodUnion<[z.ZodObject<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">>, z.ZodObject<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">>]>;
        }, z.ZodTypeAny, "passthrough">>]>;
    }, z.ZodTypeAny, "passthrough">>, "many">;
}>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
    /**
     * This result property is reserved by the protocol to allow clients and servers to attach additional metadata to their responses.
     */
    _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
}, {
    /**
     * An optional description for the prompt.
     */
    description: z.ZodOptional<z.ZodString>;
    messages: z.ZodArray<z.ZodObject<{
        role: z.ZodEnum<["user", "assistant"]>;
        content: z.ZodUnion<[z.ZodObject<{
            type: z.ZodLiteral<"text">;
            /**
             * The text content of the message.
             */
            text: z.ZodString;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            type: z.ZodLiteral<"text">;
            /**
             * The text content of the message.
             */
            text: z.ZodString;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            type: z.ZodLiteral<"text">;
            /**
             * The text content of the message.
             */
            text: z.ZodString;
        }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
            type: z.ZodLiteral<"image">;
            /**
             * The base64-encoded image data.
             */
            data: z.ZodString;
            /**
             * The MIME type of the image. Different providers may support different image types.
             */
            mimeType: z.ZodString;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            type: z.ZodLiteral<"image">;
            /**
             * The base64-encoded image data.
             */
            data: z.ZodString;
            /**
             * The MIME type of the image. Different providers may support different image types.
             */
            mimeType: z.ZodString;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            type: z.ZodLiteral<"image">;
            /**
             * The base64-encoded image data.
             */
            data: z.ZodString;
            /**
             * The MIME type of the image. Different providers may support different image types.
             */
            mimeType: z.ZodString;
        }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
            type: z.ZodLiteral<"audio">;
            /**
             * The base64-encoded audio data.
             */
            data: z.ZodString;
            /**
             * The MIME type of the audio. Different providers may support different audio types.
             */
            mimeType: z.ZodString;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            type: z.ZodLiteral<"audio">;
            /**
             * The base64-encoded audio data.
             */
            data: z.ZodString;
            /**
             * The MIME type of the audio. Different providers may support different audio types.
             */
            mimeType: z.ZodString;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            type: z.ZodLiteral<"audio">;
            /**
             * The base64-encoded audio data.
             */
            data: z.ZodString;
            /**
             * The MIME type of the audio. Different providers may support different audio types.
             */
            mimeType: z.ZodString;
        }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
            type: z.ZodLiteral<"resource">;
            resource: z.ZodUnion<[z.ZodObject<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">>, z.ZodObject<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">>]>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            type: z.ZodLiteral<"resource">;
            resource: z.ZodUnion<[z.ZodObject<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">>, z.ZodObject<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">>]>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            type: z.ZodLiteral<"resource">;
            resource: z.ZodUnion<[z.ZodObject<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">>, z.ZodObject<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">>]>;
        }, z.ZodTypeAny, "passthrough">>]>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        role: z.ZodEnum<["user", "assistant"]>;
        content: z.ZodUnion<[z.ZodObject<{
            type: z.ZodLiteral<"text">;
            /**
             * The text content of the message.
             */
            text: z.ZodString;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            type: z.ZodLiteral<"text">;
            /**
             * The text content of the message.
             */
            text: z.ZodString;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            type: z.ZodLiteral<"text">;
            /**
             * The text content of the message.
             */
            text: z.ZodString;
        }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
            type: z.ZodLiteral<"image">;
            /**
             * The base64-encoded image data.
             */
            data: z.ZodString;
            /**
             * The MIME type of the image. Different providers may support different image types.
             */
            mimeType: z.ZodString;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            type: z.ZodLiteral<"image">;
            /**
             * The base64-encoded image data.
             */
            data: z.ZodString;
            /**
             * The MIME type of the image. Different providers may support different image types.
             */
            mimeType: z.ZodString;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            type: z.ZodLiteral<"image">;
            /**
             * The base64-encoded image data.
             */
            data: z.ZodString;
            /**
             * The MIME type of the image. Different providers may support different image types.
             */
            mimeType: z.ZodString;
        }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
            type: z.ZodLiteral<"audio">;
            /**
             * The base64-encoded audio data.
             */
            data: z.ZodString;
            /**
             * The MIME type of the audio. Different providers may support different audio types.
             */
            mimeType: z.ZodString;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            type: z.ZodLiteral<"audio">;
            /**
             * The base64-encoded audio data.
             */
            data: z.ZodString;
            /**
             * The MIME type of the audio. Different providers may support different audio types.
             */
            mimeType: z.ZodString;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            type: z.ZodLiteral<"audio">;
            /**
             * The base64-encoded audio data.
             */
            data: z.ZodString;
            /**
             * The MIME type of the audio. Different providers may support different audio types.
             */
            mimeType: z.ZodString;
        }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
            type: z.ZodLiteral<"resource">;
            resource: z.ZodUnion<[z.ZodObject<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">>, z.ZodObject<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">>]>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            type: z.ZodLiteral<"resource">;
            resource: z.ZodUnion<[z.ZodObject<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">>, z.ZodObject<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">>]>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            type: z.ZodLiteral<"resource">;
            resource: z.ZodUnion<[z.ZodObject<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">>, z.ZodObject<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">>]>;
        }, z.ZodTypeAny, "passthrough">>]>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        role: z.ZodEnum<["user", "assistant"]>;
        content: z.ZodUnion<[z.ZodObject<{
            type: z.ZodLiteral<"text">;
            /**
             * The text content of the message.
             */
            text: z.ZodString;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            type: z.ZodLiteral<"text">;
            /**
             * The text content of the message.
             */
            text: z.ZodString;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            type: z.ZodLiteral<"text">;
            /**
             * The text content of the message.
             */
            text: z.ZodString;
        }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
            type: z.ZodLiteral<"image">;
            /**
             * The base64-encoded image data.
             */
            data: z.ZodString;
            /**
             * The MIME type of the image. Different providers may support different image types.
             */
            mimeType: z.ZodString;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            type: z.ZodLiteral<"image">;
            /**
             * The base64-encoded image data.
             */
            data: z.ZodString;
            /**
             * The MIME type of the image. Different providers may support different image types.
             */
            mimeType: z.ZodString;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            type: z.ZodLiteral<"image">;
            /**
             * The base64-encoded image data.
             */
            data: z.ZodString;
            /**
             * The MIME type of the image. Different providers may support different image types.
             */
            mimeType: z.ZodString;
        }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
            type: z.ZodLiteral<"audio">;
            /**
             * The base64-encoded audio data.
             */
            data: z.ZodString;
            /**
             * The MIME type of the audio. Different providers may support different audio types.
             */
            mimeType: z.ZodString;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            type: z.ZodLiteral<"audio">;
            /**
             * The base64-encoded audio data.
             */
            data: z.ZodString;
            /**
             * The MIME type of the audio. Different providers may support different audio types.
             */
            mimeType: z.ZodString;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            type: z.ZodLiteral<"audio">;
            /**
             * The base64-encoded audio data.
             */
            data: z.ZodString;
            /**
             * The MIME type of the audio. Different providers may support different audio types.
             */
            mimeType: z.ZodString;
        }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
            type: z.ZodLiteral<"resource">;
            resource: z.ZodUnion<[z.ZodObject<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">>, z.ZodObject<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">>]>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            type: z.ZodLiteral<"resource">;
            resource: z.ZodUnion<[z.ZodObject<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">>, z.ZodObject<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">>]>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            type: z.ZodLiteral<"resource">;
            resource: z.ZodUnion<[z.ZodObject<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">>, z.ZodObject<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">>]>;
        }, z.ZodTypeAny, "passthrough">>]>;
    }, z.ZodTypeAny, "passthrough">>, "many">;
}>, z.ZodTypeAny, "passthrough">>;
/**
 * An optional notification from the server to the client, informing it that the list of prompts it offers has changed. This may be issued by servers without any previous subscription from the client.
 */
export declare const PromptListChangedNotificationSchema: z.ZodObject<z.objectUtil.extendShape<{
    method: z.ZodString;
    params: z.ZodOptional<z.ZodObject<{
        /**
         * This parameter name is reserved by MCP to allow clients and servers to attach additional metadata to their notifications.
         */
        _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        /**
         * This parameter name is reserved by MCP to allow clients and servers to attach additional metadata to their notifications.
         */
        _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        /**
         * This parameter name is reserved by MCP to allow clients and servers to attach additional metadata to their notifications.
         */
        _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">>>;
}, {
    method: z.ZodLiteral<"notifications/prompts/list_changed">;
}>, "strip", z.ZodTypeAny, {
    method: "notifications/prompts/list_changed";
    params?: z.objectOutputType<{
        /**
         * This parameter name is reserved by MCP to allow clients and servers to attach additional metadata to their notifications.
         */
        _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough"> | undefined;
}, {
    method: "notifications/prompts/list_changed";
    params?: z.objectInputType<{
        /**
         * This parameter name is reserved by MCP to allow clients and servers to attach additional metadata to their notifications.
         */
        _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough"> | undefined;
}>;
/**
 * Additional properties describing a Tool to clients.
 *
 * NOTE: all properties in ToolAnnotations are **hints**.
 * They are not guaranteed to provide a faithful description of
 * tool behavior (including descriptive properties like `title`).
 *
 * Clients should never make tool use decisions based on ToolAnnotations
 * received from untrusted servers.
 */
export declare const ToolAnnotationsSchema: z.ZodObject<{
    /**
     * A human-readable title for the tool.
     */
    title: z.ZodOptional<z.ZodString>;
    /**
     * If true, the tool does not modify its environment.
     *
     * Default: false
     */
    readOnlyHint: z.ZodOptional<z.ZodBoolean>;
    /**
     * If true, the tool may perform destructive updates to its environment.
     * If false, the tool performs only additive updates.
     *
     * (This property is meaningful only when `readOnlyHint == false`)
     *
     * Default: true
     */
    destructiveHint: z.ZodOptional<z.ZodBoolean>;
    /**
     * If true, calling the tool repeatedly with the same arguments
     * will have no additional effect on the its environment.
     *
     * (This property is meaningful only when `readOnlyHint == false`)
     *
     * Default: false
     */
    idempotentHint: z.ZodOptional<z.ZodBoolean>;
    /**
     * If true, this tool may interact with an "open world" of external
     * entities. If false, the tool's domain of interaction is closed.
     * For example, the world of a web search tool is open, whereas that
     * of a memory tool is not.
     *
     * Default: true
     */
    openWorldHint: z.ZodOptional<z.ZodBoolean>;
}, "passthrough", z.ZodTypeAny, z.objectOutputType<{
    /**
     * A human-readable title for the tool.
     */
    title: z.ZodOptional<z.ZodString>;
    /**
     * If true, the tool does not modify its environment.
     *
     * Default: false
     */
    readOnlyHint: z.ZodOptional<z.ZodBoolean>;
    /**
     * If true, the tool may perform destructive updates to its environment.
     * If false, the tool performs only additive updates.
     *
     * (This property is meaningful only when `readOnlyHint == false`)
     *
     * Default: true
     */
    destructiveHint: z.ZodOptional<z.ZodBoolean>;
    /**
     * If true, calling the tool repeatedly with the same arguments
     * will have no additional effect on the its environment.
     *
     * (This property is meaningful only when `readOnlyHint == false`)
     *
     * Default: false
     */
    idempotentHint: z.ZodOptional<z.ZodBoolean>;
    /**
     * If true, this tool may interact with an "open world" of external
     * entities. If false, the tool's domain of interaction is closed.
     * For example, the world of a web search tool is open, whereas that
     * of a memory tool is not.
     *
     * Default: true
     */
    openWorldHint: z.ZodOptional<z.ZodBoolean>;
}, z.ZodTypeAny, "passthrough">, z.objectInputType<{
    /**
     * A human-readable title for the tool.
     */
    title: z.ZodOptional<z.ZodString>;
    /**
     * If true, the tool does not modify its environment.
     *
     * Default: false
     */
    readOnlyHint: z.ZodOptional<z.ZodBoolean>;
    /**
     * If true, the tool may perform destructive updates to its environment.
     * If false, the tool performs only additive updates.
     *
     * (This property is meaningful only when `readOnlyHint == false`)
     *
     * Default: true
     */
    destructiveHint: z.ZodOptional<z.ZodBoolean>;
    /**
     * If true, calling the tool repeatedly with the same arguments
     * will have no additional effect on the its environment.
     *
     * (This property is meaningful only when `readOnlyHint == false`)
     *
     * Default: false
     */
    idempotentHint: z.ZodOptional<z.ZodBoolean>;
    /**
     * If true, this tool may interact with an "open world" of external
     * entities. If false, the tool's domain of interaction is closed.
     * For example, the world of a web search tool is open, whereas that
     * of a memory tool is not.
     *
     * Default: true
     */
    openWorldHint: z.ZodOptional<z.ZodBoolean>;
}, z.ZodTypeAny, "passthrough">>;
/**
 * Definition for a tool the client can call.
 */
export declare const ToolSchema: z.ZodObject<{
    /**
     * The name of the tool.
     */
    name: z.ZodString;
    /**
     * A human-readable description of the tool.
     */
    description: z.ZodOptional<z.ZodString>;
    /**
     * A JSON Schema object defining the expected parameters for the tool.
     */
    inputSchema: z.ZodObject<{
        type: z.ZodLiteral<"object">;
        properties: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        type: z.ZodLiteral<"object">;
        properties: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        type: z.ZodLiteral<"object">;
        properties: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">>;
    /**
     * Optional additional tool information.
     */
    annotations: z.ZodOptional<z.ZodObject<{
        /**
         * A human-readable title for the tool.
         */
        title: z.ZodOptional<z.ZodString>;
        /**
         * If true, the tool does not modify its environment.
         *
         * Default: false
         */
        readOnlyHint: z.ZodOptional<z.ZodBoolean>;
        /**
         * If true, the tool may perform destructive updates to its environment.
         * If false, the tool performs only additive updates.
         *
         * (This property is meaningful only when `readOnlyHint == false`)
         *
         * Default: true
         */
        destructiveHint: z.ZodOptional<z.ZodBoolean>;
        /**
         * If true, calling the tool repeatedly with the same arguments
         * will have no additional effect on the its environment.
         *
         * (This property is meaningful only when `readOnlyHint == false`)
         *
         * Default: false
         */
        idempotentHint: z.ZodOptional<z.ZodBoolean>;
        /**
         * If true, this tool may interact with an "open world" of external
         * entities. If false, the tool's domain of interaction is closed.
         * For example, the world of a web search tool is open, whereas that
         * of a memory tool is not.
         *
         * Default: true
         */
        openWorldHint: z.ZodOptional<z.ZodBoolean>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        /**
         * A human-readable title for the tool.
         */
        title: z.ZodOptional<z.ZodString>;
        /**
         * If true, the tool does not modify its environment.
         *
         * Default: false
         */
        readOnlyHint: z.ZodOptional<z.ZodBoolean>;
        /**
         * If true, the tool may perform destructive updates to its environment.
         * If false, the tool performs only additive updates.
         *
         * (This property is meaningful only when `readOnlyHint == false`)
         *
         * Default: true
         */
        destructiveHint: z.ZodOptional<z.ZodBoolean>;
        /**
         * If true, calling the tool repeatedly with the same arguments
         * will have no additional effect on the its environment.
         *
         * (This property is meaningful only when `readOnlyHint == false`)
         *
         * Default: false
         */
        idempotentHint: z.ZodOptional<z.ZodBoolean>;
        /**
         * If true, this tool may interact with an "open world" of external
         * entities. If false, the tool's domain of interaction is closed.
         * For example, the world of a web search tool is open, whereas that
         * of a memory tool is not.
         *
         * Default: true
         */
        openWorldHint: z.ZodOptional<z.ZodBoolean>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        /**
         * A human-readable title for the tool.
         */
        title: z.ZodOptional<z.ZodString>;
        /**
         * If true, the tool does not modify its environment.
         *
         * Default: false
         */
        readOnlyHint: z.ZodOptional<z.ZodBoolean>;
        /**
         * If true, the tool may perform destructive updates to its environment.
         * If false, the tool performs only additive updates.
         *
         * (This property is meaningful only when `readOnlyHint == false`)
         *
         * Default: true
         */
        destructiveHint: z.ZodOptional<z.ZodBoolean>;
        /**
         * If true, calling the tool repeatedly with the same arguments
         * will have no additional effect on the its environment.
         *
         * (This property is meaningful only when `readOnlyHint == false`)
         *
         * Default: false
         */
        idempotentHint: z.ZodOptional<z.ZodBoolean>;
        /**
         * If true, this tool may interact with an "open world" of external
         * entities. If false, the tool's domain of interaction is closed.
         * For example, the world of a web search tool is open, whereas that
         * of a memory tool is not.
         *
         * Default: true
         */
        openWorldHint: z.ZodOptional<z.ZodBoolean>;
    }, z.ZodTypeAny, "passthrough">>>;
}, "passthrough", z.ZodTypeAny, z.objectOutputType<{
    /**
     * The name of the tool.
     */
    name: z.ZodString;
    /**
     * A human-readable description of the tool.
     */
    description: z.ZodOptional<z.ZodString>;
    /**
     * A JSON Schema object defining the expected parameters for the tool.
     */
    inputSchema: z.ZodObject<{
        type: z.ZodLiteral<"object">;
        properties: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        type: z.ZodLiteral<"object">;
        properties: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        type: z.ZodLiteral<"object">;
        properties: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">>;
    /**
     * Optional additional tool information.
     */
    annotations: z.ZodOptional<z.ZodObject<{
        /**
         * A human-readable title for the tool.
         */
        title: z.ZodOptional<z.ZodString>;
        /**
         * If true, the tool does not modify its environment.
         *
         * Default: false
         */
        readOnlyHint: z.ZodOptional<z.ZodBoolean>;
        /**
         * If true, the tool may perform destructive updates to its environment.
         * If false, the tool performs only additive updates.
         *
         * (This property is meaningful only when `readOnlyHint == false`)
         *
         * Default: true
         */
        destructiveHint: z.ZodOptional<z.ZodBoolean>;
        /**
         * If true, calling the tool repeatedly with the same arguments
         * will have no additional effect on the its environment.
         *
         * (This property is meaningful only when `readOnlyHint == false`)
         *
         * Default: false
         */
        idempotentHint: z.ZodOptional<z.ZodBoolean>;
        /**
         * If true, this tool may interact with an "open world" of external
         * entities. If false, the tool's domain of interaction is closed.
         * For example, the world of a web search tool is open, whereas that
         * of a memory tool is not.
         *
         * Default: true
         */
        openWorldHint: z.ZodOptional<z.ZodBoolean>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        /**
         * A human-readable title for the tool.
         */
        title: z.ZodOptional<z.ZodString>;
        /**
         * If true, the tool does not modify its environment.
         *
         * Default: false
         */
        readOnlyHint: z.ZodOptional<z.ZodBoolean>;
        /**
         * If true, the tool may perform destructive updates to its environment.
         * If false, the tool performs only additive updates.
         *
         * (This property is meaningful only when `readOnlyHint == false`)
         *
         * Default: true
         */
        destructiveHint: z.ZodOptional<z.ZodBoolean>;
        /**
         * If true, calling the tool repeatedly with the same arguments
         * will have no additional effect on the its environment.
         *
         * (This property is meaningful only when `readOnlyHint == false`)
         *
         * Default: false
         */
        idempotentHint: z.ZodOptional<z.ZodBoolean>;
        /**
         * If true, this tool may interact with an "open world" of external
         * entities. If false, the tool's domain of interaction is closed.
         * For example, the world of a web search tool is open, whereas that
         * of a memory tool is not.
         *
         * Default: true
         */
        openWorldHint: z.ZodOptional<z.ZodBoolean>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        /**
         * A human-readable title for the tool.
         */
        title: z.ZodOptional<z.ZodString>;
        /**
         * If true, the tool does not modify its environment.
         *
         * Default: false
         */
        readOnlyHint: z.ZodOptional<z.ZodBoolean>;
        /**
         * If true, the tool may perform destructive updates to its environment.
         * If false, the tool performs only additive updates.
         *
         * (This property is meaningful only when `readOnlyHint == false`)
         *
         * Default: true
         */
        destructiveHint: z.ZodOptional<z.ZodBoolean>;
        /**
         * If true, calling the tool repeatedly with the same arguments
         * will have no additional effect on the its environment.
         *
         * (This property is meaningful only when `readOnlyHint == false`)
         *
         * Default: false
         */
        idempotentHint: z.ZodOptional<z.ZodBoolean>;
        /**
         * If true, this tool may interact with an "open world" of external
         * entities. If false, the tool's domain of interaction is closed.
         * For example, the world of a web search tool is open, whereas that
         * of a memory tool is not.
         *
         * Default: true
         */
        openWorldHint: z.ZodOptional<z.ZodBoolean>;
    }, z.ZodTypeAny, "passthrough">>>;
}, z.ZodTypeAny, "passthrough">, z.objectInputType<{
    /**
     * The name of the tool.
     */
    name: z.ZodString;
    /**
     * A human-readable description of the tool.
     */
    description: z.ZodOptional<z.ZodString>;
    /**
     * A JSON Schema object defining the expected parameters for the tool.
     */
    inputSchema: z.ZodObject<{
        type: z.ZodLiteral<"object">;
        properties: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        type: z.ZodLiteral<"object">;
        properties: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        type: z.ZodLiteral<"object">;
        properties: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">>;
    /**
     * Optional additional tool information.
     */
    annotations: z.ZodOptional<z.ZodObject<{
        /**
         * A human-readable title for the tool.
         */
        title: z.ZodOptional<z.ZodString>;
        /**
         * If true, the tool does not modify its environment.
         *
         * Default: false
         */
        readOnlyHint: z.ZodOptional<z.ZodBoolean>;
        /**
         * If true, the tool may perform destructive updates to its environment.
         * If false, the tool performs only additive updates.
         *
         * (This property is meaningful only when `readOnlyHint == false`)
         *
         * Default: true
         */
        destructiveHint: z.ZodOptional<z.ZodBoolean>;
        /**
         * If true, calling the tool repeatedly with the same arguments
         * will have no additional effect on the its environment.
         *
         * (This property is meaningful only when `readOnlyHint == false`)
         *
         * Default: false
         */
        idempotentHint: z.ZodOptional<z.ZodBoolean>;
        /**
         * If true, this tool may interact with an "open world" of external
         * entities. If false, the tool's domain of interaction is closed.
         * For example, the world of a web search tool is open, whereas that
         * of a memory tool is not.
         *
         * Default: true
         */
        openWorldHint: z.ZodOptional<z.ZodBoolean>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        /**
         * A human-readable title for the tool.
         */
        title: z.ZodOptional<z.ZodString>;
        /**
         * If true, the tool does not modify its environment.
         *
         * Default: false
         */
        readOnlyHint: z.ZodOptional<z.ZodBoolean>;
        /**
         * If true, the tool may perform destructive updates to its environment.
         * If false, the tool performs only additive updates.
         *
         * (This property is meaningful only when `readOnlyHint == false`)
         *
         * Default: true
         */
        destructiveHint: z.ZodOptional<z.ZodBoolean>;
        /**
         * If true, calling the tool repeatedly with the same arguments
         * will have no additional effect on the its environment.
         *
         * (This property is meaningful only when `readOnlyHint == false`)
         *
         * Default: false
         */
        idempotentHint: z.ZodOptional<z.ZodBoolean>;
        /**
         * If true, this tool may interact with an "open world" of external
         * entities. If false, the tool's domain of interaction is closed.
         * For example, the world of a web search tool is open, whereas that
         * of a memory tool is not.
         *
         * Default: true
         */
        openWorldHint: z.ZodOptional<z.ZodBoolean>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        /**
         * A human-readable title for the tool.
         */
        title: z.ZodOptional<z.ZodString>;
        /**
         * If true, the tool does not modify its environment.
         *
         * Default: false
         */
        readOnlyHint: z.ZodOptional<z.ZodBoolean>;
        /**
         * If true, the tool may perform destructive updates to its environment.
         * If false, the tool performs only additive updates.
         *
         * (This property is meaningful only when `readOnlyHint == false`)
         *
         * Default: true
         */
        destructiveHint: z.ZodOptional<z.ZodBoolean>;
        /**
         * If true, calling the tool repeatedly with the same arguments
         * will have no additional effect on the its environment.
         *
         * (This property is meaningful only when `readOnlyHint == false`)
         *
         * Default: false
         */
        idempotentHint: z.ZodOptional<z.ZodBoolean>;
        /**
         * If true, this tool may interact with an "open world" of external
         * entities. If false, the tool's domain of interaction is closed.
         * For example, the world of a web search tool is open, whereas that
         * of a memory tool is not.
         *
         * Default: true
         */
        openWorldHint: z.ZodOptional<z.ZodBoolean>;
    }, z.ZodTypeAny, "passthrough">>>;
}, z.ZodTypeAny, "passthrough">>;
/**
 * Sent from the client to request a list of tools the server has.
 */
export declare const ListToolsRequestSchema: z.ZodObject<z.objectUtil.extendShape<z.objectUtil.extendShape<{
    method: z.ZodString;
    params: z.ZodOptional<z.ZodObject<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">>>;
}, {
    params: z.ZodOptional<z.ZodObject<z.objectUtil.extendShape<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, {
        /**
         * An opaque token representing the current pagination position.
         * If provided, the server should return results starting after this cursor.
         */
        cursor: z.ZodOptional<z.ZodString>;
    }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, {
        /**
         * An opaque token representing the current pagination position.
         * If provided, the server should return results starting after this cursor.
         */
        cursor: z.ZodOptional<z.ZodString>;
    }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, {
        /**
         * An opaque token representing the current pagination position.
         * If provided, the server should return results starting after this cursor.
         */
        cursor: z.ZodOptional<z.ZodString>;
    }>, z.ZodTypeAny, "passthrough">>>;
}>, {
    method: z.ZodLiteral<"tools/list">;
}>, "strip", z.ZodTypeAny, {
    method: "tools/list";
    params?: z.objectOutputType<z.objectUtil.extendShape<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, {
        /**
         * An opaque token representing the current pagination position.
         * If provided, the server should return results starting after this cursor.
         */
        cursor: z.ZodOptional<z.ZodString>;
    }>, z.ZodTypeAny, "passthrough"> | undefined;
}, {
    method: "tools/list";
    params?: z.objectInputType<z.objectUtil.extendShape<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, {
        /**
         * An opaque token representing the current pagination position.
         * If provided, the server should return results starting after this cursor.
         */
        cursor: z.ZodOptional<z.ZodString>;
    }>, z.ZodTypeAny, "passthrough"> | undefined;
}>;
/**
 * The server's response to a tools/list request from the client.
 */
export declare const ListToolsResultSchema: z.ZodObject<z.objectUtil.extendShape<z.objectUtil.extendShape<{
    /**
     * This result property is reserved by the protocol to allow clients and servers to attach additional metadata to their responses.
     */
    _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
}, {
    /**
     * An opaque token representing the pagination position after the last returned result.
     * If present, there may be more results available.
     */
    nextCursor: z.ZodOptional<z.ZodString>;
}>, {
    tools: z.ZodArray<z.ZodObject<{
        /**
         * The name of the tool.
         */
        name: z.ZodString;
        /**
         * A human-readable description of the tool.
         */
        description: z.ZodOptional<z.ZodString>;
        /**
         * A JSON Schema object defining the expected parameters for the tool.
         */
        inputSchema: z.ZodObject<{
            type: z.ZodLiteral<"object">;
            properties: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            type: z.ZodLiteral<"object">;
            properties: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            type: z.ZodLiteral<"object">;
            properties: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
        }, z.ZodTypeAny, "passthrough">>;
        /**
         * Optional additional tool information.
         */
        annotations: z.ZodOptional<z.ZodObject<{
            /**
             * A human-readable title for the tool.
             */
            title: z.ZodOptional<z.ZodString>;
            /**
             * If true, the tool does not modify its environment.
             *
             * Default: false
             */
            readOnlyHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, the tool may perform destructive updates to its environment.
             * If false, the tool performs only additive updates.
             *
             * (This property is meaningful only when `readOnlyHint == false`)
             *
             * Default: true
             */
            destructiveHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, calling the tool repeatedly with the same arguments
             * will have no additional effect on the its environment.
             *
             * (This property is meaningful only when `readOnlyHint == false`)
             *
             * Default: false
             */
            idempotentHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, this tool may interact with an "open world" of external
             * entities. If false, the tool's domain of interaction is closed.
             * For example, the world of a web search tool is open, whereas that
             * of a memory tool is not.
             *
             * Default: true
             */
            openWorldHint: z.ZodOptional<z.ZodBoolean>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * A human-readable title for the tool.
             */
            title: z.ZodOptional<z.ZodString>;
            /**
             * If true, the tool does not modify its environment.
             *
             * Default: false
             */
            readOnlyHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, the tool may perform destructive updates to its environment.
             * If false, the tool performs only additive updates.
             *
             * (This property is meaningful only when `readOnlyHint == false`)
             *
             * Default: true
             */
            destructiveHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, calling the tool repeatedly with the same arguments
             * will have no additional effect on the its environment.
             *
             * (This property is meaningful only when `readOnlyHint == false`)
             *
             * Default: false
             */
            idempotentHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, this tool may interact with an "open world" of external
             * entities. If false, the tool's domain of interaction is closed.
             * For example, the world of a web search tool is open, whereas that
             * of a memory tool is not.
             *
             * Default: true
             */
            openWorldHint: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * A human-readable title for the tool.
             */
            title: z.ZodOptional<z.ZodString>;
            /**
             * If true, the tool does not modify its environment.
             *
             * Default: false
             */
            readOnlyHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, the tool may perform destructive updates to its environment.
             * If false, the tool performs only additive updates.
             *
             * (This property is meaningful only when `readOnlyHint == false`)
             *
             * Default: true
             */
            destructiveHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, calling the tool repeatedly with the same arguments
             * will have no additional effect on the its environment.
             *
             * (This property is meaningful only when `readOnlyHint == false`)
             *
             * Default: false
             */
            idempotentHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, this tool may interact with an "open world" of external
             * entities. If false, the tool's domain of interaction is closed.
             * For example, the world of a web search tool is open, whereas that
             * of a memory tool is not.
             *
             * Default: true
             */
            openWorldHint: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        /**
         * The name of the tool.
         */
        name: z.ZodString;
        /**
         * A human-readable description of the tool.
         */
        description: z.ZodOptional<z.ZodString>;
        /**
         * A JSON Schema object defining the expected parameters for the tool.
         */
        inputSchema: z.ZodObject<{
            type: z.ZodLiteral<"object">;
            properties: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            type: z.ZodLiteral<"object">;
            properties: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            type: z.ZodLiteral<"object">;
            properties: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
        }, z.ZodTypeAny, "passthrough">>;
        /**
         * Optional additional tool information.
         */
        annotations: z.ZodOptional<z.ZodObject<{
            /**
             * A human-readable title for the tool.
             */
            title: z.ZodOptional<z.ZodString>;
            /**
             * If true, the tool does not modify its environment.
             *
             * Default: false
             */
            readOnlyHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, the tool may perform destructive updates to its environment.
             * If false, the tool performs only additive updates.
             *
             * (This property is meaningful only when `readOnlyHint == false`)
             *
             * Default: true
             */
            destructiveHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, calling the tool repeatedly with the same arguments
             * will have no additional effect on the its environment.
             *
             * (This property is meaningful only when `readOnlyHint == false`)
             *
             * Default: false
             */
            idempotentHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, this tool may interact with an "open world" of external
             * entities. If false, the tool's domain of interaction is closed.
             * For example, the world of a web search tool is open, whereas that
             * of a memory tool is not.
             *
             * Default: true
             */
            openWorldHint: z.ZodOptional<z.ZodBoolean>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * A human-readable title for the tool.
             */
            title: z.ZodOptional<z.ZodString>;
            /**
             * If true, the tool does not modify its environment.
             *
             * Default: false
             */
            readOnlyHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, the tool may perform destructive updates to its environment.
             * If false, the tool performs only additive updates.
             *
             * (This property is meaningful only when `readOnlyHint == false`)
             *
             * Default: true
             */
            destructiveHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, calling the tool repeatedly with the same arguments
             * will have no additional effect on the its environment.
             *
             * (This property is meaningful only when `readOnlyHint == false`)
             *
             * Default: false
             */
            idempotentHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, this tool may interact with an "open world" of external
             * entities. If false, the tool's domain of interaction is closed.
             * For example, the world of a web search tool is open, whereas that
             * of a memory tool is not.
             *
             * Default: true
             */
            openWorldHint: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * A human-readable title for the tool.
             */
            title: z.ZodOptional<z.ZodString>;
            /**
             * If true, the tool does not modify its environment.
             *
             * Default: false
             */
            readOnlyHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, the tool may perform destructive updates to its environment.
             * If false, the tool performs only additive updates.
             *
             * (This property is meaningful only when `readOnlyHint == false`)
             *
             * Default: true
             */
            destructiveHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, calling the tool repeatedly with the same arguments
             * will have no additional effect on the its environment.
             *
             * (This property is meaningful only when `readOnlyHint == false`)
             *
             * Default: false
             */
            idempotentHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, this tool may interact with an "open world" of external
             * entities. If false, the tool's domain of interaction is closed.
             * For example, the world of a web search tool is open, whereas that
             * of a memory tool is not.
             *
             * Default: true
             */
            openWorldHint: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        /**
         * The name of the tool.
         */
        name: z.ZodString;
        /**
         * A human-readable description of the tool.
         */
        description: z.ZodOptional<z.ZodString>;
        /**
         * A JSON Schema object defining the expected parameters for the tool.
         */
        inputSchema: z.ZodObject<{
            type: z.ZodLiteral<"object">;
            properties: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            type: z.ZodLiteral<"object">;
            properties: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            type: z.ZodLiteral<"object">;
            properties: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
        }, z.ZodTypeAny, "passthrough">>;
        /**
         * Optional additional tool information.
         */
        annotations: z.ZodOptional<z.ZodObject<{
            /**
             * A human-readable title for the tool.
             */
            title: z.ZodOptional<z.ZodString>;
            /**
             * If true, the tool does not modify its environment.
             *
             * Default: false
             */
            readOnlyHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, the tool may perform destructive updates to its environment.
             * If false, the tool performs only additive updates.
             *
             * (This property is meaningful only when `readOnlyHint == false`)
             *
             * Default: true
             */
            destructiveHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, calling the tool repeatedly with the same arguments
             * will have no additional effect on the its environment.
             *
             * (This property is meaningful only when `readOnlyHint == false`)
             *
             * Default: false
             */
            idempotentHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, this tool may interact with an "open world" of external
             * entities. If false, the tool's domain of interaction is closed.
             * For example, the world of a web search tool is open, whereas that
             * of a memory tool is not.
             *
             * Default: true
             */
            openWorldHint: z.ZodOptional<z.ZodBoolean>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * A human-readable title for the tool.
             */
            title: z.ZodOptional<z.ZodString>;
            /**
             * If true, the tool does not modify its environment.
             *
             * Default: false
             */
            readOnlyHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, the tool may perform destructive updates to its environment.
             * If false, the tool performs only additive updates.
             *
             * (This property is meaningful only when `readOnlyHint == false`)
             *
             * Default: true
             */
            destructiveHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, calling the tool repeatedly with the same arguments
             * will have no additional effect on the its environment.
             *
             * (This property is meaningful only when `readOnlyHint == false`)
             *
             * Default: false
             */
            idempotentHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, this tool may interact with an "open world" of external
             * entities. If false, the tool's domain of interaction is closed.
             * For example, the world of a web search tool is open, whereas that
             * of a memory tool is not.
             *
             * Default: true
             */
            openWorldHint: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * A human-readable title for the tool.
             */
            title: z.ZodOptional<z.ZodString>;
            /**
             * If true, the tool does not modify its environment.
             *
             * Default: false
             */
            readOnlyHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, the tool may perform destructive updates to its environment.
             * If false, the tool performs only additive updates.
             *
             * (This property is meaningful only when `readOnlyHint == false`)
             *
             * Default: true
             */
            destructiveHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, calling the tool repeatedly with the same arguments
             * will have no additional effect on the its environment.
             *
             * (This property is meaningful only when `readOnlyHint == false`)
             *
             * Default: false
             */
            idempotentHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, this tool may interact with an "open world" of external
             * entities. If false, the tool's domain of interaction is closed.
             * For example, the world of a web search tool is open, whereas that
             * of a memory tool is not.
             *
             * Default: true
             */
            openWorldHint: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">>, "many">;
}>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<z.objectUtil.extendShape<{
    /**
     * This result property is reserved by the protocol to allow clients and servers to attach additional metadata to their responses.
     */
    _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
}, {
    /**
     * An opaque token representing the pagination position after the last returned result.
     * If present, there may be more results available.
     */
    nextCursor: z.ZodOptional<z.ZodString>;
}>, {
    tools: z.ZodArray<z.ZodObject<{
        /**
         * The name of the tool.
         */
        name: z.ZodString;
        /**
         * A human-readable description of the tool.
         */
        description: z.ZodOptional<z.ZodString>;
        /**
         * A JSON Schema object defining the expected parameters for the tool.
         */
        inputSchema: z.ZodObject<{
            type: z.ZodLiteral<"object">;
            properties: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            type: z.ZodLiteral<"object">;
            properties: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            type: z.ZodLiteral<"object">;
            properties: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
        }, z.ZodTypeAny, "passthrough">>;
        /**
         * Optional additional tool information.
         */
        annotations: z.ZodOptional<z.ZodObject<{
            /**
             * A human-readable title for the tool.
             */
            title: z.ZodOptional<z.ZodString>;
            /**
             * If true, the tool does not modify its environment.
             *
             * Default: false
             */
            readOnlyHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, the tool may perform destructive updates to its environment.
             * If false, the tool performs only additive updates.
             *
             * (This property is meaningful only when `readOnlyHint == false`)
             *
             * Default: true
             */
            destructiveHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, calling the tool repeatedly with the same arguments
             * will have no additional effect on the its environment.
             *
             * (This property is meaningful only when `readOnlyHint == false`)
             *
             * Default: false
             */
            idempotentHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, this tool may interact with an "open world" of external
             * entities. If false, the tool's domain of interaction is closed.
             * For example, the world of a web search tool is open, whereas that
             * of a memory tool is not.
             *
             * Default: true
             */
            openWorldHint: z.ZodOptional<z.ZodBoolean>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * A human-readable title for the tool.
             */
            title: z.ZodOptional<z.ZodString>;
            /**
             * If true, the tool does not modify its environment.
             *
             * Default: false
             */
            readOnlyHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, the tool may perform destructive updates to its environment.
             * If false, the tool performs only additive updates.
             *
             * (This property is meaningful only when `readOnlyHint == false`)
             *
             * Default: true
             */
            destructiveHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, calling the tool repeatedly with the same arguments
             * will have no additional effect on the its environment.
             *
             * (This property is meaningful only when `readOnlyHint == false`)
             *
             * Default: false
             */
            idempotentHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, this tool may interact with an "open world" of external
             * entities. If false, the tool's domain of interaction is closed.
             * For example, the world of a web search tool is open, whereas that
             * of a memory tool is not.
             *
             * Default: true
             */
            openWorldHint: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * A human-readable title for the tool.
             */
            title: z.ZodOptional<z.ZodString>;
            /**
             * If true, the tool does not modify its environment.
             *
             * Default: false
             */
            readOnlyHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, the tool may perform destructive updates to its environment.
             * If false, the tool performs only additive updates.
             *
             * (This property is meaningful only when `readOnlyHint == false`)
             *
             * Default: true
             */
            destructiveHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, calling the tool repeatedly with the same arguments
             * will have no additional effect on the its environment.
             *
             * (This property is meaningful only when `readOnlyHint == false`)
             *
             * Default: false
             */
            idempotentHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, this tool may interact with an "open world" of external
             * entities. If false, the tool's domain of interaction is closed.
             * For example, the world of a web search tool is open, whereas that
             * of a memory tool is not.
             *
             * Default: true
             */
            openWorldHint: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        /**
         * The name of the tool.
         */
        name: z.ZodString;
        /**
         * A human-readable description of the tool.
         */
        description: z.ZodOptional<z.ZodString>;
        /**
         * A JSON Schema object defining the expected parameters for the tool.
         */
        inputSchema: z.ZodObject<{
            type: z.ZodLiteral<"object">;
            properties: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            type: z.ZodLiteral<"object">;
            properties: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            type: z.ZodLiteral<"object">;
            properties: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
        }, z.ZodTypeAny, "passthrough">>;
        /**
         * Optional additional tool information.
         */
        annotations: z.ZodOptional<z.ZodObject<{
            /**
             * A human-readable title for the tool.
             */
            title: z.ZodOptional<z.ZodString>;
            /**
             * If true, the tool does not modify its environment.
             *
             * Default: false
             */
            readOnlyHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, the tool may perform destructive updates to its environment.
             * If false, the tool performs only additive updates.
             *
             * (This property is meaningful only when `readOnlyHint == false`)
             *
             * Default: true
             */
            destructiveHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, calling the tool repeatedly with the same arguments
             * will have no additional effect on the its environment.
             *
             * (This property is meaningful only when `readOnlyHint == false`)
             *
             * Default: false
             */
            idempotentHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, this tool may interact with an "open world" of external
             * entities. If false, the tool's domain of interaction is closed.
             * For example, the world of a web search tool is open, whereas that
             * of a memory tool is not.
             *
             * Default: true
             */
            openWorldHint: z.ZodOptional<z.ZodBoolean>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * A human-readable title for the tool.
             */
            title: z.ZodOptional<z.ZodString>;
            /**
             * If true, the tool does not modify its environment.
             *
             * Default: false
             */
            readOnlyHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, the tool may perform destructive updates to its environment.
             * If false, the tool performs only additive updates.
             *
             * (This property is meaningful only when `readOnlyHint == false`)
             *
             * Default: true
             */
            destructiveHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, calling the tool repeatedly with the same arguments
             * will have no additional effect on the its environment.
             *
             * (This property is meaningful only when `readOnlyHint == false`)
             *
             * Default: false
             */
            idempotentHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, this tool may interact with an "open world" of external
             * entities. If false, the tool's domain of interaction is closed.
             * For example, the world of a web search tool is open, whereas that
             * of a memory tool is not.
             *
             * Default: true
             */
            openWorldHint: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * A human-readable title for the tool.
             */
            title: z.ZodOptional<z.ZodString>;
            /**
             * If true, the tool does not modify its environment.
             *
             * Default: false
             */
            readOnlyHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, the tool may perform destructive updates to its environment.
             * If false, the tool performs only additive updates.
             *
             * (This property is meaningful only when `readOnlyHint == false`)
             *
             * Default: true
             */
            destructiveHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, calling the tool repeatedly with the same arguments
             * will have no additional effect on the its environment.
             *
             * (This property is meaningful only when `readOnlyHint == false`)
             *
             * Default: false
             */
            idempotentHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, this tool may interact with an "open world" of external
             * entities. If false, the tool's domain of interaction is closed.
             * For example, the world of a web search tool is open, whereas that
             * of a memory tool is not.
             *
             * Default: true
             */
            openWorldHint: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        /**
         * The name of the tool.
         */
        name: z.ZodString;
        /**
         * A human-readable description of the tool.
         */
        description: z.ZodOptional<z.ZodString>;
        /**
         * A JSON Schema object defining the expected parameters for the tool.
         */
        inputSchema: z.ZodObject<{
            type: z.ZodLiteral<"object">;
            properties: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            type: z.ZodLiteral<"object">;
            properties: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            type: z.ZodLiteral<"object">;
            properties: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
        }, z.ZodTypeAny, "passthrough">>;
        /**
         * Optional additional tool information.
         */
        annotations: z.ZodOptional<z.ZodObject<{
            /**
             * A human-readable title for the tool.
             */
            title: z.ZodOptional<z.ZodString>;
            /**
             * If true, the tool does not modify its environment.
             *
             * Default: false
             */
            readOnlyHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, the tool may perform destructive updates to its environment.
             * If false, the tool performs only additive updates.
             *
             * (This property is meaningful only when `readOnlyHint == false`)
             *
             * Default: true
             */
            destructiveHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, calling the tool repeatedly with the same arguments
             * will have no additional effect on the its environment.
             *
             * (This property is meaningful only when `readOnlyHint == false`)
             *
             * Default: false
             */
            idempotentHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, this tool may interact with an "open world" of external
             * entities. If false, the tool's domain of interaction is closed.
             * For example, the world of a web search tool is open, whereas that
             * of a memory tool is not.
             *
             * Default: true
             */
            openWorldHint: z.ZodOptional<z.ZodBoolean>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * A human-readable title for the tool.
             */
            title: z.ZodOptional<z.ZodString>;
            /**
             * If true, the tool does not modify its environment.
             *
             * Default: false
             */
            readOnlyHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, the tool may perform destructive updates to its environment.
             * If false, the tool performs only additive updates.
             *
             * (This property is meaningful only when `readOnlyHint == false`)
             *
             * Default: true
             */
            destructiveHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, calling the tool repeatedly with the same arguments
             * will have no additional effect on the its environment.
             *
             * (This property is meaningful only when `readOnlyHint == false`)
             *
             * Default: false
             */
            idempotentHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, this tool may interact with an "open world" of external
             * entities. If false, the tool's domain of interaction is closed.
             * For example, the world of a web search tool is open, whereas that
             * of a memory tool is not.
             *
             * Default: true
             */
            openWorldHint: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * A human-readable title for the tool.
             */
            title: z.ZodOptional<z.ZodString>;
            /**
             * If true, the tool does not modify its environment.
             *
             * Default: false
             */
            readOnlyHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, the tool may perform destructive updates to its environment.
             * If false, the tool performs only additive updates.
             *
             * (This property is meaningful only when `readOnlyHint == false`)
             *
             * Default: true
             */
            destructiveHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, calling the tool repeatedly with the same arguments
             * will have no additional effect on the its environment.
             *
             * (This property is meaningful only when `readOnlyHint == false`)
             *
             * Default: false
             */
            idempotentHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, this tool may interact with an "open world" of external
             * entities. If false, the tool's domain of interaction is closed.
             * For example, the world of a web search tool is open, whereas that
             * of a memory tool is not.
             *
             * Default: true
             */
            openWorldHint: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">>, "many">;
}>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<z.objectUtil.extendShape<{
    /**
     * This result property is reserved by the protocol to allow clients and servers to attach additional metadata to their responses.
     */
    _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
}, {
    /**
     * An opaque token representing the pagination position after the last returned result.
     * If present, there may be more results available.
     */
    nextCursor: z.ZodOptional<z.ZodString>;
}>, {
    tools: z.ZodArray<z.ZodObject<{
        /**
         * The name of the tool.
         */
        name: z.ZodString;
        /**
         * A human-readable description of the tool.
         */
        description: z.ZodOptional<z.ZodString>;
        /**
         * A JSON Schema object defining the expected parameters for the tool.
         */
        inputSchema: z.ZodObject<{
            type: z.ZodLiteral<"object">;
            properties: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            type: z.ZodLiteral<"object">;
            properties: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            type: z.ZodLiteral<"object">;
            properties: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
        }, z.ZodTypeAny, "passthrough">>;
        /**
         * Optional additional tool information.
         */
        annotations: z.ZodOptional<z.ZodObject<{
            /**
             * A human-readable title for the tool.
             */
            title: z.ZodOptional<z.ZodString>;
            /**
             * If true, the tool does not modify its environment.
             *
             * Default: false
             */
            readOnlyHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, the tool may perform destructive updates to its environment.
             * If false, the tool performs only additive updates.
             *
             * (This property is meaningful only when `readOnlyHint == false`)
             *
             * Default: true
             */
            destructiveHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, calling the tool repeatedly with the same arguments
             * will have no additional effect on the its environment.
             *
             * (This property is meaningful only when `readOnlyHint == false`)
             *
             * Default: false
             */
            idempotentHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, this tool may interact with an "open world" of external
             * entities. If false, the tool's domain of interaction is closed.
             * For example, the world of a web search tool is open, whereas that
             * of a memory tool is not.
             *
             * Default: true
             */
            openWorldHint: z.ZodOptional<z.ZodBoolean>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * A human-readable title for the tool.
             */
            title: z.ZodOptional<z.ZodString>;
            /**
             * If true, the tool does not modify its environment.
             *
             * Default: false
             */
            readOnlyHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, the tool may perform destructive updates to its environment.
             * If false, the tool performs only additive updates.
             *
             * (This property is meaningful only when `readOnlyHint == false`)
             *
             * Default: true
             */
            destructiveHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, calling the tool repeatedly with the same arguments
             * will have no additional effect on the its environment.
             *
             * (This property is meaningful only when `readOnlyHint == false`)
             *
             * Default: false
             */
            idempotentHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, this tool may interact with an "open world" of external
             * entities. If false, the tool's domain of interaction is closed.
             * For example, the world of a web search tool is open, whereas that
             * of a memory tool is not.
             *
             * Default: true
             */
            openWorldHint: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * A human-readable title for the tool.
             */
            title: z.ZodOptional<z.ZodString>;
            /**
             * If true, the tool does not modify its environment.
             *
             * Default: false
             */
            readOnlyHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, the tool may perform destructive updates to its environment.
             * If false, the tool performs only additive updates.
             *
             * (This property is meaningful only when `readOnlyHint == false`)
             *
             * Default: true
             */
            destructiveHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, calling the tool repeatedly with the same arguments
             * will have no additional effect on the its environment.
             *
             * (This property is meaningful only when `readOnlyHint == false`)
             *
             * Default: false
             */
            idempotentHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, this tool may interact with an "open world" of external
             * entities. If false, the tool's domain of interaction is closed.
             * For example, the world of a web search tool is open, whereas that
             * of a memory tool is not.
             *
             * Default: true
             */
            openWorldHint: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        /**
         * The name of the tool.
         */
        name: z.ZodString;
        /**
         * A human-readable description of the tool.
         */
        description: z.ZodOptional<z.ZodString>;
        /**
         * A JSON Schema object defining the expected parameters for the tool.
         */
        inputSchema: z.ZodObject<{
            type: z.ZodLiteral<"object">;
            properties: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            type: z.ZodLiteral<"object">;
            properties: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            type: z.ZodLiteral<"object">;
            properties: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
        }, z.ZodTypeAny, "passthrough">>;
        /**
         * Optional additional tool information.
         */
        annotations: z.ZodOptional<z.ZodObject<{
            /**
             * A human-readable title for the tool.
             */
            title: z.ZodOptional<z.ZodString>;
            /**
             * If true, the tool does not modify its environment.
             *
             * Default: false
             */
            readOnlyHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, the tool may perform destructive updates to its environment.
             * If false, the tool performs only additive updates.
             *
             * (This property is meaningful only when `readOnlyHint == false`)
             *
             * Default: true
             */
            destructiveHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, calling the tool repeatedly with the same arguments
             * will have no additional effect on the its environment.
             *
             * (This property is meaningful only when `readOnlyHint == false`)
             *
             * Default: false
             */
            idempotentHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, this tool may interact with an "open world" of external
             * entities. If false, the tool's domain of interaction is closed.
             * For example, the world of a web search tool is open, whereas that
             * of a memory tool is not.
             *
             * Default: true
             */
            openWorldHint: z.ZodOptional<z.ZodBoolean>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * A human-readable title for the tool.
             */
            title: z.ZodOptional<z.ZodString>;
            /**
             * If true, the tool does not modify its environment.
             *
             * Default: false
             */
            readOnlyHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, the tool may perform destructive updates to its environment.
             * If false, the tool performs only additive updates.
             *
             * (This property is meaningful only when `readOnlyHint == false`)
             *
             * Default: true
             */
            destructiveHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, calling the tool repeatedly with the same arguments
             * will have no additional effect on the its environment.
             *
             * (This property is meaningful only when `readOnlyHint == false`)
             *
             * Default: false
             */
            idempotentHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, this tool may interact with an "open world" of external
             * entities. If false, the tool's domain of interaction is closed.
             * For example, the world of a web search tool is open, whereas that
             * of a memory tool is not.
             *
             * Default: true
             */
            openWorldHint: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * A human-readable title for the tool.
             */
            title: z.ZodOptional<z.ZodString>;
            /**
             * If true, the tool does not modify its environment.
             *
             * Default: false
             */
            readOnlyHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, the tool may perform destructive updates to its environment.
             * If false, the tool performs only additive updates.
             *
             * (This property is meaningful only when `readOnlyHint == false`)
             *
             * Default: true
             */
            destructiveHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, calling the tool repeatedly with the same arguments
             * will have no additional effect on the its environment.
             *
             * (This property is meaningful only when `readOnlyHint == false`)
             *
             * Default: false
             */
            idempotentHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, this tool may interact with an "open world" of external
             * entities. If false, the tool's domain of interaction is closed.
             * For example, the world of a web search tool is open, whereas that
             * of a memory tool is not.
             *
             * Default: true
             */
            openWorldHint: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        /**
         * The name of the tool.
         */
        name: z.ZodString;
        /**
         * A human-readable description of the tool.
         */
        description: z.ZodOptional<z.ZodString>;
        /**
         * A JSON Schema object defining the expected parameters for the tool.
         */
        inputSchema: z.ZodObject<{
            type: z.ZodLiteral<"object">;
            properties: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            type: z.ZodLiteral<"object">;
            properties: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            type: z.ZodLiteral<"object">;
            properties: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
        }, z.ZodTypeAny, "passthrough">>;
        /**
         * Optional additional tool information.
         */
        annotations: z.ZodOptional<z.ZodObject<{
            /**
             * A human-readable title for the tool.
             */
            title: z.ZodOptional<z.ZodString>;
            /**
             * If true, the tool does not modify its environment.
             *
             * Default: false
             */
            readOnlyHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, the tool may perform destructive updates to its environment.
             * If false, the tool performs only additive updates.
             *
             * (This property is meaningful only when `readOnlyHint == false`)
             *
             * Default: true
             */
            destructiveHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, calling the tool repeatedly with the same arguments
             * will have no additional effect on the its environment.
             *
             * (This property is meaningful only when `readOnlyHint == false`)
             *
             * Default: false
             */
            idempotentHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, this tool may interact with an "open world" of external
             * entities. If false, the tool's domain of interaction is closed.
             * For example, the world of a web search tool is open, whereas that
             * of a memory tool is not.
             *
             * Default: true
             */
            openWorldHint: z.ZodOptional<z.ZodBoolean>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * A human-readable title for the tool.
             */
            title: z.ZodOptional<z.ZodString>;
            /**
             * If true, the tool does not modify its environment.
             *
             * Default: false
             */
            readOnlyHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, the tool may perform destructive updates to its environment.
             * If false, the tool performs only additive updates.
             *
             * (This property is meaningful only when `readOnlyHint == false`)
             *
             * Default: true
             */
            destructiveHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, calling the tool repeatedly with the same arguments
             * will have no additional effect on the its environment.
             *
             * (This property is meaningful only when `readOnlyHint == false`)
             *
             * Default: false
             */
            idempotentHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, this tool may interact with an "open world" of external
             * entities. If false, the tool's domain of interaction is closed.
             * For example, the world of a web search tool is open, whereas that
             * of a memory tool is not.
             *
             * Default: true
             */
            openWorldHint: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * A human-readable title for the tool.
             */
            title: z.ZodOptional<z.ZodString>;
            /**
             * If true, the tool does not modify its environment.
             *
             * Default: false
             */
            readOnlyHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, the tool may perform destructive updates to its environment.
             * If false, the tool performs only additive updates.
             *
             * (This property is meaningful only when `readOnlyHint == false`)
             *
             * Default: true
             */
            destructiveHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, calling the tool repeatedly with the same arguments
             * will have no additional effect on the its environment.
             *
             * (This property is meaningful only when `readOnlyHint == false`)
             *
             * Default: false
             */
            idempotentHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, this tool may interact with an "open world" of external
             * entities. If false, the tool's domain of interaction is closed.
             * For example, the world of a web search tool is open, whereas that
             * of a memory tool is not.
             *
             * Default: true
             */
            openWorldHint: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">>, "many">;
}>, z.ZodTypeAny, "passthrough">>;
/**
 * The server's response to a tool call.
 */
export declare const CallToolResultSchema: z.ZodObject<z.objectUtil.extendShape<{
    /**
     * This result property is reserved by the protocol to allow clients and servers to attach additional metadata to their responses.
     */
    _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
}, {
    content: z.ZodArray<z.ZodUnion<[z.ZodObject<{
        type: z.ZodLiteral<"text">;
        /**
         * The text content of the message.
         */
        text: z.ZodString;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        type: z.ZodLiteral<"text">;
        /**
         * The text content of the message.
         */
        text: z.ZodString;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        type: z.ZodLiteral<"text">;
        /**
         * The text content of the message.
         */
        text: z.ZodString;
    }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
        type: z.ZodLiteral<"image">;
        /**
         * The base64-encoded image data.
         */
        data: z.ZodString;
        /**
         * The MIME type of the image. Different providers may support different image types.
         */
        mimeType: z.ZodString;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        type: z.ZodLiteral<"image">;
        /**
         * The base64-encoded image data.
         */
        data: z.ZodString;
        /**
         * The MIME type of the image. Different providers may support different image types.
         */
        mimeType: z.ZodString;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        type: z.ZodLiteral<"image">;
        /**
         * The base64-encoded image data.
         */
        data: z.ZodString;
        /**
         * The MIME type of the image. Different providers may support different image types.
         */
        mimeType: z.ZodString;
    }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
        type: z.ZodLiteral<"audio">;
        /**
         * The base64-encoded audio data.
         */
        data: z.ZodString;
        /**
         * The MIME type of the audio. Different providers may support different audio types.
         */
        mimeType: z.ZodString;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        type: z.ZodLiteral<"audio">;
        /**
         * The base64-encoded audio data.
         */
        data: z.ZodString;
        /**
         * The MIME type of the audio. Different providers may support different audio types.
         */
        mimeType: z.ZodString;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        type: z.ZodLiteral<"audio">;
        /**
         * The base64-encoded audio data.
         */
        data: z.ZodString;
        /**
         * The MIME type of the audio. Different providers may support different audio types.
         */
        mimeType: z.ZodString;
    }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
        type: z.ZodLiteral<"resource">;
        resource: z.ZodUnion<[z.ZodObject<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
             */
            text: z.ZodString;
        }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
             */
            text: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
             */
            text: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">>, z.ZodObject<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * A base64-encoded string representing the binary data of the item.
             */
            blob: z.ZodString;
        }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * A base64-encoded string representing the binary data of the item.
             */
            blob: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * A base64-encoded string representing the binary data of the item.
             */
            blob: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">>]>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        type: z.ZodLiteral<"resource">;
        resource: z.ZodUnion<[z.ZodObject<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
             */
            text: z.ZodString;
        }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
             */
            text: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
             */
            text: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">>, z.ZodObject<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * A base64-encoded string representing the binary data of the item.
             */
            blob: z.ZodString;
        }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * A base64-encoded string representing the binary data of the item.
             */
            blob: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * A base64-encoded string representing the binary data of the item.
             */
            blob: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">>]>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        type: z.ZodLiteral<"resource">;
        resource: z.ZodUnion<[z.ZodObject<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
             */
            text: z.ZodString;
        }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
             */
            text: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
             */
            text: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">>, z.ZodObject<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * A base64-encoded string representing the binary data of the item.
             */
            blob: z.ZodString;
        }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * A base64-encoded string representing the binary data of the item.
             */
            blob: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * A base64-encoded string representing the binary data of the item.
             */
            blob: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">>]>;
    }, z.ZodTypeAny, "passthrough">>]>, "many">;
    isError: z.ZodOptional<z.ZodDefault<z.ZodBoolean>>;
}>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
    /**
     * This result property is reserved by the protocol to allow clients and servers to attach additional metadata to their responses.
     */
    _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
}, {
    content: z.ZodArray<z.ZodUnion<[z.ZodObject<{
        type: z.ZodLiteral<"text">;
        /**
         * The text content of the message.
         */
        text: z.ZodString;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        type: z.ZodLiteral<"text">;
        /**
         * The text content of the message.
         */
        text: z.ZodString;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        type: z.ZodLiteral<"text">;
        /**
         * The text content of the message.
         */
        text: z.ZodString;
    }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
        type: z.ZodLiteral<"image">;
        /**
         * The base64-encoded image data.
         */
        data: z.ZodString;
        /**
         * The MIME type of the image. Different providers may support different image types.
         */
        mimeType: z.ZodString;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        type: z.ZodLiteral<"image">;
        /**
         * The base64-encoded image data.
         */
        data: z.ZodString;
        /**
         * The MIME type of the image. Different providers may support different image types.
         */
        mimeType: z.ZodString;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        type: z.ZodLiteral<"image">;
        /**
         * The base64-encoded image data.
         */
        data: z.ZodString;
        /**
         * The MIME type of the image. Different providers may support different image types.
         */
        mimeType: z.ZodString;
    }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
        type: z.ZodLiteral<"audio">;
        /**
         * The base64-encoded audio data.
         */
        data: z.ZodString;
        /**
         * The MIME type of the audio. Different providers may support different audio types.
         */
        mimeType: z.ZodString;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        type: z.ZodLiteral<"audio">;
        /**
         * The base64-encoded audio data.
         */
        data: z.ZodString;
        /**
         * The MIME type of the audio. Different providers may support different audio types.
         */
        mimeType: z.ZodString;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        type: z.ZodLiteral<"audio">;
        /**
         * The base64-encoded audio data.
         */
        data: z.ZodString;
        /**
         * The MIME type of the audio. Different providers may support different audio types.
         */
        mimeType: z.ZodString;
    }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
        type: z.ZodLiteral<"resource">;
        resource: z.ZodUnion<[z.ZodObject<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
             */
            text: z.ZodString;
        }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
             */
            text: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
             */
            text: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">>, z.ZodObject<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * A base64-encoded string representing the binary data of the item.
             */
            blob: z.ZodString;
        }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * A base64-encoded string representing the binary data of the item.
             */
            blob: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * A base64-encoded string representing the binary data of the item.
             */
            blob: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">>]>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        type: z.ZodLiteral<"resource">;
        resource: z.ZodUnion<[z.ZodObject<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
             */
            text: z.ZodString;
        }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
             */
            text: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
             */
            text: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">>, z.ZodObject<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * A base64-encoded string representing the binary data of the item.
             */
            blob: z.ZodString;
        }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * A base64-encoded string representing the binary data of the item.
             */
            blob: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * A base64-encoded string representing the binary data of the item.
             */
            blob: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">>]>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        type: z.ZodLiteral<"resource">;
        resource: z.ZodUnion<[z.ZodObject<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
             */
            text: z.ZodString;
        }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
             */
            text: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
             */
            text: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">>, z.ZodObject<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * A base64-encoded string representing the binary data of the item.
             */
            blob: z.ZodString;
        }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * A base64-encoded string representing the binary data of the item.
             */
            blob: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * A base64-encoded string representing the binary data of the item.
             */
            blob: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">>]>;
    }, z.ZodTypeAny, "passthrough">>]>, "many">;
    isError: z.ZodOptional<z.ZodDefault<z.ZodBoolean>>;
}>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
    /**
     * This result property is reserved by the protocol to allow clients and servers to attach additional metadata to their responses.
     */
    _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
}, {
    content: z.ZodArray<z.ZodUnion<[z.ZodObject<{
        type: z.ZodLiteral<"text">;
        /**
         * The text content of the message.
         */
        text: z.ZodString;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        type: z.ZodLiteral<"text">;
        /**
         * The text content of the message.
         */
        text: z.ZodString;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        type: z.ZodLiteral<"text">;
        /**
         * The text content of the message.
         */
        text: z.ZodString;
    }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
        type: z.ZodLiteral<"image">;
        /**
         * The base64-encoded image data.
         */
        data: z.ZodString;
        /**
         * The MIME type of the image. Different providers may support different image types.
         */
        mimeType: z.ZodString;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        type: z.ZodLiteral<"image">;
        /**
         * The base64-encoded image data.
         */
        data: z.ZodString;
        /**
         * The MIME type of the image. Different providers may support different image types.
         */
        mimeType: z.ZodString;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        type: z.ZodLiteral<"image">;
        /**
         * The base64-encoded image data.
         */
        data: z.ZodString;
        /**
         * The MIME type of the image. Different providers may support different image types.
         */
        mimeType: z.ZodString;
    }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
        type: z.ZodLiteral<"audio">;
        /**
         * The base64-encoded audio data.
         */
        data: z.ZodString;
        /**
         * The MIME type of the audio. Different providers may support different audio types.
         */
        mimeType: z.ZodString;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        type: z.ZodLiteral<"audio">;
        /**
         * The base64-encoded audio data.
         */
        data: z.ZodString;
        /**
         * The MIME type of the audio. Different providers may support different audio types.
         */
        mimeType: z.ZodString;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        type: z.ZodLiteral<"audio">;
        /**
         * The base64-encoded audio data.
         */
        data: z.ZodString;
        /**
         * The MIME type of the audio. Different providers may support different audio types.
         */
        mimeType: z.ZodString;
    }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
        type: z.ZodLiteral<"resource">;
        resource: z.ZodUnion<[z.ZodObject<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
             */
            text: z.ZodString;
        }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
             */
            text: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
             */
            text: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">>, z.ZodObject<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * A base64-encoded string representing the binary data of the item.
             */
            blob: z.ZodString;
        }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * A base64-encoded string representing the binary data of the item.
             */
            blob: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * A base64-encoded string representing the binary data of the item.
             */
            blob: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">>]>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        type: z.ZodLiteral<"resource">;
        resource: z.ZodUnion<[z.ZodObject<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
             */
            text: z.ZodString;
        }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
             */
            text: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
             */
            text: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">>, z.ZodObject<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * A base64-encoded string representing the binary data of the item.
             */
            blob: z.ZodString;
        }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * A base64-encoded string representing the binary data of the item.
             */
            blob: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * A base64-encoded string representing the binary data of the item.
             */
            blob: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">>]>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        type: z.ZodLiteral<"resource">;
        resource: z.ZodUnion<[z.ZodObject<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
             */
            text: z.ZodString;
        }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
             */
            text: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
             */
            text: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">>, z.ZodObject<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * A base64-encoded string representing the binary data of the item.
             */
            blob: z.ZodString;
        }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * A base64-encoded string representing the binary data of the item.
             */
            blob: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * A base64-encoded string representing the binary data of the item.
             */
            blob: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">>]>;
    }, z.ZodTypeAny, "passthrough">>]>, "many">;
    isError: z.ZodOptional<z.ZodDefault<z.ZodBoolean>>;
}>, z.ZodTypeAny, "passthrough">>;
/**
 * CallToolResultSchema extended with backwards compatibility to protocol version 2024-10-07.
 */
export declare const CompatibilityCallToolResultSchema: z.ZodUnion<[z.ZodObject<z.objectUtil.extendShape<{
    /**
     * This result property is reserved by the protocol to allow clients and servers to attach additional metadata to their responses.
     */
    _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
}, {
    content: z.ZodArray<z.ZodUnion<[z.ZodObject<{
        type: z.ZodLiteral<"text">;
        /**
         * The text content of the message.
         */
        text: z.ZodString;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        type: z.ZodLiteral<"text">;
        /**
         * The text content of the message.
         */
        text: z.ZodString;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        type: z.ZodLiteral<"text">;
        /**
         * The text content of the message.
         */
        text: z.ZodString;
    }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
        type: z.ZodLiteral<"image">;
        /**
         * The base64-encoded image data.
         */
        data: z.ZodString;
        /**
         * The MIME type of the image. Different providers may support different image types.
         */
        mimeType: z.ZodString;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        type: z.ZodLiteral<"image">;
        /**
         * The base64-encoded image data.
         */
        data: z.ZodString;
        /**
         * The MIME type of the image. Different providers may support different image types.
         */
        mimeType: z.ZodString;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        type: z.ZodLiteral<"image">;
        /**
         * The base64-encoded image data.
         */
        data: z.ZodString;
        /**
         * The MIME type of the image. Different providers may support different image types.
         */
        mimeType: z.ZodString;
    }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
        type: z.ZodLiteral<"audio">;
        /**
         * The base64-encoded audio data.
         */
        data: z.ZodString;
        /**
         * The MIME type of the audio. Different providers may support different audio types.
         */
        mimeType: z.ZodString;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        type: z.ZodLiteral<"audio">;
        /**
         * The base64-encoded audio data.
         */
        data: z.ZodString;
        /**
         * The MIME type of the audio. Different providers may support different audio types.
         */
        mimeType: z.ZodString;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        type: z.ZodLiteral<"audio">;
        /**
         * The base64-encoded audio data.
         */
        data: z.ZodString;
        /**
         * The MIME type of the audio. Different providers may support different audio types.
         */
        mimeType: z.ZodString;
    }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
        type: z.ZodLiteral<"resource">;
        resource: z.ZodUnion<[z.ZodObject<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
             */
            text: z.ZodString;
        }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
             */
            text: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
             */
            text: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">>, z.ZodObject<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * A base64-encoded string representing the binary data of the item.
             */
            blob: z.ZodString;
        }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * A base64-encoded string representing the binary data of the item.
             */
            blob: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * A base64-encoded string representing the binary data of the item.
             */
            blob: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">>]>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        type: z.ZodLiteral<"resource">;
        resource: z.ZodUnion<[z.ZodObject<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
             */
            text: z.ZodString;
        }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
             */
            text: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
             */
            text: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">>, z.ZodObject<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * A base64-encoded string representing the binary data of the item.
             */
            blob: z.ZodString;
        }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * A base64-encoded string representing the binary data of the item.
             */
            blob: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * A base64-encoded string representing the binary data of the item.
             */
            blob: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">>]>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        type: z.ZodLiteral<"resource">;
        resource: z.ZodUnion<[z.ZodObject<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
             */
            text: z.ZodString;
        }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
             */
            text: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
             */
            text: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">>, z.ZodObject<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * A base64-encoded string representing the binary data of the item.
             */
            blob: z.ZodString;
        }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * A base64-encoded string representing the binary data of the item.
             */
            blob: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * A base64-encoded string representing the binary data of the item.
             */
            blob: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">>]>;
    }, z.ZodTypeAny, "passthrough">>]>, "many">;
    isError: z.ZodOptional<z.ZodDefault<z.ZodBoolean>>;
}>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
    /**
     * This result property is reserved by the protocol to allow clients and servers to attach additional metadata to their responses.
     */
    _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
}, {
    content: z.ZodArray<z.ZodUnion<[z.ZodObject<{
        type: z.ZodLiteral<"text">;
        /**
         * The text content of the message.
         */
        text: z.ZodString;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        type: z.ZodLiteral<"text">;
        /**
         * The text content of the message.
         */
        text: z.ZodString;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        type: z.ZodLiteral<"text">;
        /**
         * The text content of the message.
         */
        text: z.ZodString;
    }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
        type: z.ZodLiteral<"image">;
        /**
         * The base64-encoded image data.
         */
        data: z.ZodString;
        /**
         * The MIME type of the image. Different providers may support different image types.
         */
        mimeType: z.ZodString;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        type: z.ZodLiteral<"image">;
        /**
         * The base64-encoded image data.
         */
        data: z.ZodString;
        /**
         * The MIME type of the image. Different providers may support different image types.
         */
        mimeType: z.ZodString;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        type: z.ZodLiteral<"image">;
        /**
         * The base64-encoded image data.
         */
        data: z.ZodString;
        /**
         * The MIME type of the image. Different providers may support different image types.
         */
        mimeType: z.ZodString;
    }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
        type: z.ZodLiteral<"audio">;
        /**
         * The base64-encoded audio data.
         */
        data: z.ZodString;
        /**
         * The MIME type of the audio. Different providers may support different audio types.
         */
        mimeType: z.ZodString;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        type: z.ZodLiteral<"audio">;
        /**
         * The base64-encoded audio data.
         */
        data: z.ZodString;
        /**
         * The MIME type of the audio. Different providers may support different audio types.
         */
        mimeType: z.ZodString;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        type: z.ZodLiteral<"audio">;
        /**
         * The base64-encoded audio data.
         */
        data: z.ZodString;
        /**
         * The MIME type of the audio. Different providers may support different audio types.
         */
        mimeType: z.ZodString;
    }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
        type: z.ZodLiteral<"resource">;
        resource: z.ZodUnion<[z.ZodObject<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
             */
            text: z.ZodString;
        }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
             */
            text: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
             */
            text: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">>, z.ZodObject<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * A base64-encoded string representing the binary data of the item.
             */
            blob: z.ZodString;
        }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * A base64-encoded string representing the binary data of the item.
             */
            blob: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * A base64-encoded string representing the binary data of the item.
             */
            blob: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">>]>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        type: z.ZodLiteral<"resource">;
        resource: z.ZodUnion<[z.ZodObject<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
             */
            text: z.ZodString;
        }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
             */
            text: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
             */
            text: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">>, z.ZodObject<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * A base64-encoded string representing the binary data of the item.
             */
            blob: z.ZodString;
        }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * A base64-encoded string representing the binary data of the item.
             */
            blob: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * A base64-encoded string representing the binary data of the item.
             */
            blob: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">>]>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        type: z.ZodLiteral<"resource">;
        resource: z.ZodUnion<[z.ZodObject<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
             */
            text: z.ZodString;
        }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
             */
            text: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
             */
            text: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">>, z.ZodObject<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * A base64-encoded string representing the binary data of the item.
             */
            blob: z.ZodString;
        }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * A base64-encoded string representing the binary data of the item.
             */
            blob: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * A base64-encoded string representing the binary data of the item.
             */
            blob: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">>]>;
    }, z.ZodTypeAny, "passthrough">>]>, "many">;
    isError: z.ZodOptional<z.ZodDefault<z.ZodBoolean>>;
}>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
    /**
     * This result property is reserved by the protocol to allow clients and servers to attach additional metadata to their responses.
     */
    _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
}, {
    content: z.ZodArray<z.ZodUnion<[z.ZodObject<{
        type: z.ZodLiteral<"text">;
        /**
         * The text content of the message.
         */
        text: z.ZodString;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        type: z.ZodLiteral<"text">;
        /**
         * The text content of the message.
         */
        text: z.ZodString;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        type: z.ZodLiteral<"text">;
        /**
         * The text content of the message.
         */
        text: z.ZodString;
    }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
        type: z.ZodLiteral<"image">;
        /**
         * The base64-encoded image data.
         */
        data: z.ZodString;
        /**
         * The MIME type of the image. Different providers may support different image types.
         */
        mimeType: z.ZodString;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        type: z.ZodLiteral<"image">;
        /**
         * The base64-encoded image data.
         */
        data: z.ZodString;
        /**
         * The MIME type of the image. Different providers may support different image types.
         */
        mimeType: z.ZodString;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        type: z.ZodLiteral<"image">;
        /**
         * The base64-encoded image data.
         */
        data: z.ZodString;
        /**
         * The MIME type of the image. Different providers may support different image types.
         */
        mimeType: z.ZodString;
    }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
        type: z.ZodLiteral<"audio">;
        /**
         * The base64-encoded audio data.
         */
        data: z.ZodString;
        /**
         * The MIME type of the audio. Different providers may support different audio types.
         */
        mimeType: z.ZodString;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        type: z.ZodLiteral<"audio">;
        /**
         * The base64-encoded audio data.
         */
        data: z.ZodString;
        /**
         * The MIME type of the audio. Different providers may support different audio types.
         */
        mimeType: z.ZodString;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        type: z.ZodLiteral<"audio">;
        /**
         * The base64-encoded audio data.
         */
        data: z.ZodString;
        /**
         * The MIME type of the audio. Different providers may support different audio types.
         */
        mimeType: z.ZodString;
    }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
        type: z.ZodLiteral<"resource">;
        resource: z.ZodUnion<[z.ZodObject<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
             */
            text: z.ZodString;
        }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
             */
            text: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
             */
            text: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">>, z.ZodObject<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * A base64-encoded string representing the binary data of the item.
             */
            blob: z.ZodString;
        }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * A base64-encoded string representing the binary data of the item.
             */
            blob: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * A base64-encoded string representing the binary data of the item.
             */
            blob: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">>]>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        type: z.ZodLiteral<"resource">;
        resource: z.ZodUnion<[z.ZodObject<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
             */
            text: z.ZodString;
        }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
             */
            text: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
             */
            text: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">>, z.ZodObject<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * A base64-encoded string representing the binary data of the item.
             */
            blob: z.ZodString;
        }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * A base64-encoded string representing the binary data of the item.
             */
            blob: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * A base64-encoded string representing the binary data of the item.
             */
            blob: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">>]>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        type: z.ZodLiteral<"resource">;
        resource: z.ZodUnion<[z.ZodObject<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
             */
            text: z.ZodString;
        }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
             */
            text: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
             */
            text: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">>, z.ZodObject<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * A base64-encoded string representing the binary data of the item.
             */
            blob: z.ZodString;
        }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * A base64-encoded string representing the binary data of the item.
             */
            blob: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * A base64-encoded string representing the binary data of the item.
             */
            blob: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">>]>;
    }, z.ZodTypeAny, "passthrough">>]>, "many">;
    isError: z.ZodOptional<z.ZodDefault<z.ZodBoolean>>;
}>, z.ZodTypeAny, "passthrough">>, z.ZodObject<z.objectUtil.extendShape<{
    /**
     * This result property is reserved by the protocol to allow clients and servers to attach additional metadata to their responses.
     */
    _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
}, {
    toolResult: z.ZodUnknown;
}>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
    /**
     * This result property is reserved by the protocol to allow clients and servers to attach additional metadata to their responses.
     */
    _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
}, {
    toolResult: z.ZodUnknown;
}>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
    /**
     * This result property is reserved by the protocol to allow clients and servers to attach additional metadata to their responses.
     */
    _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
}, {
    toolResult: z.ZodUnknown;
}>, z.ZodTypeAny, "passthrough">>]>;
/**
 * Used by the client to invoke a tool provided by the server.
 */
export declare const CallToolRequestSchema: z.ZodObject<z.objectUtil.extendShape<{
    method: z.ZodString;
    params: z.ZodOptional<z.ZodObject<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">>>;
}, {
    method: z.ZodLiteral<"tools/call">;
    params: z.ZodObject<z.objectUtil.extendShape<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, {
        name: z.ZodString;
        arguments: z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodUnknown>>;
    }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, {
        name: z.ZodString;
        arguments: z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodUnknown>>;
    }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, {
        name: z.ZodString;
        arguments: z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodUnknown>>;
    }>, z.ZodTypeAny, "passthrough">>;
}>, "strip", z.ZodTypeAny, {
    params: {
        name: string;
        _meta?: z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough"> | undefined;
        arguments?: Record<string, unknown> | undefined;
    } & {
        [k: string]: unknown;
    };
    method: "tools/call";
}, {
    params: {
        name: string;
        _meta?: z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough"> | undefined;
        arguments?: Record<string, unknown> | undefined;
    } & {
        [k: string]: unknown;
    };
    method: "tools/call";
}>;
/**
 * An optional notification from the server to the client, informing it that the list of tools it offers has changed. This may be issued by servers without any previous subscription from the client.
 */
export declare const ToolListChangedNotificationSchema: z.ZodObject<z.objectUtil.extendShape<{
    method: z.ZodString;
    params: z.ZodOptional<z.ZodObject<{
        /**
         * This parameter name is reserved by MCP to allow clients and servers to attach additional metadata to their notifications.
         */
        _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        /**
         * This parameter name is reserved by MCP to allow clients and servers to attach additional metadata to their notifications.
         */
        _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        /**
         * This parameter name is reserved by MCP to allow clients and servers to attach additional metadata to their notifications.
         */
        _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">>>;
}, {
    method: z.ZodLiteral<"notifications/tools/list_changed">;
}>, "strip", z.ZodTypeAny, {
    method: "notifications/tools/list_changed";
    params?: z.objectOutputType<{
        /**
         * This parameter name is reserved by MCP to allow clients and servers to attach additional metadata to their notifications.
         */
        _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough"> | undefined;
}, {
    method: "notifications/tools/list_changed";
    params?: z.objectInputType<{
        /**
         * This parameter name is reserved by MCP to allow clients and servers to attach additional metadata to their notifications.
         */
        _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough"> | undefined;
}>;
/**
 * The severity of a log message.
 */
export declare const LoggingLevelSchema: z.ZodEnum<["debug", "info", "notice", "warning", "error", "critical", "alert", "emergency"]>;
/**
 * A request from the client to the server, to enable or adjust logging.
 */
export declare const SetLevelRequestSchema: z.ZodObject<z.objectUtil.extendShape<{
    method: z.ZodString;
    params: z.ZodOptional<z.ZodObject<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">>>;
}, {
    method: z.ZodLiteral<"logging/setLevel">;
    params: z.ZodObject<z.objectUtil.extendShape<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, {
        /**
         * The level of logging that the client wants to receive from the server. The server should send all logs at this level and higher (i.e., more severe) to the client as notifications/logging/message.
         */
        level: z.ZodEnum<["debug", "info", "notice", "warning", "error", "critical", "alert", "emergency"]>;
    }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, {
        /**
         * The level of logging that the client wants to receive from the server. The server should send all logs at this level and higher (i.e., more severe) to the client as notifications/logging/message.
         */
        level: z.ZodEnum<["debug", "info", "notice", "warning", "error", "critical", "alert", "emergency"]>;
    }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, {
        /**
         * The level of logging that the client wants to receive from the server. The server should send all logs at this level and higher (i.e., more severe) to the client as notifications/logging/message.
         */
        level: z.ZodEnum<["debug", "info", "notice", "warning", "error", "critical", "alert", "emergency"]>;
    }>, z.ZodTypeAny, "passthrough">>;
}>, "strip", z.ZodTypeAny, {
    params: {
        level: "error" | "debug" | "info" | "notice" | "warning" | "critical" | "alert" | "emergency";
        _meta?: z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough"> | undefined;
    } & {
        [k: string]: unknown;
    };
    method: "logging/setLevel";
}, {
    params: {
        level: "error" | "debug" | "info" | "notice" | "warning" | "critical" | "alert" | "emergency";
        _meta?: z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough"> | undefined;
    } & {
        [k: string]: unknown;
    };
    method: "logging/setLevel";
}>;
/**
 * Notification of a log message passed from server to client. If no logging/setLevel request has been sent from the client, the server MAY decide which messages to send automatically.
 */
export declare const LoggingMessageNotificationSchema: z.ZodObject<z.objectUtil.extendShape<{
    method: z.ZodString;
    params: z.ZodOptional<z.ZodObject<{
        /**
         * This parameter name is reserved by MCP to allow clients and servers to attach additional metadata to their notifications.
         */
        _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        /**
         * This parameter name is reserved by MCP to allow clients and servers to attach additional metadata to their notifications.
         */
        _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        /**
         * This parameter name is reserved by MCP to allow clients and servers to attach additional metadata to their notifications.
         */
        _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">>>;
}, {
    method: z.ZodLiteral<"notifications/message">;
    params: z.ZodObject<z.objectUtil.extendShape<{
        /**
         * This parameter name is reserved by MCP to allow clients and servers to attach additional metadata to their notifications.
         */
        _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, {
        /**
         * The severity of this log message.
         */
        level: z.ZodEnum<["debug", "info", "notice", "warning", "error", "critical", "alert", "emergency"]>;
        /**
         * An optional name of the logger issuing this message.
         */
        logger: z.ZodOptional<z.ZodString>;
        /**
         * The data to be logged, such as a string message or an object. Any JSON serializable type is allowed here.
         */
        data: z.ZodUnknown;
    }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
        /**
         * This parameter name is reserved by MCP to allow clients and servers to attach additional metadata to their notifications.
         */
        _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, {
        /**
         * The severity of this log message.
         */
        level: z.ZodEnum<["debug", "info", "notice", "warning", "error", "critical", "alert", "emergency"]>;
        /**
         * An optional name of the logger issuing this message.
         */
        logger: z.ZodOptional<z.ZodString>;
        /**
         * The data to be logged, such as a string message or an object. Any JSON serializable type is allowed here.
         */
        data: z.ZodUnknown;
    }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
        /**
         * This parameter name is reserved by MCP to allow clients and servers to attach additional metadata to their notifications.
         */
        _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, {
        /**
         * The severity of this log message.
         */
        level: z.ZodEnum<["debug", "info", "notice", "warning", "error", "critical", "alert", "emergency"]>;
        /**
         * An optional name of the logger issuing this message.
         */
        logger: z.ZodOptional<z.ZodString>;
        /**
         * The data to be logged, such as a string message or an object. Any JSON serializable type is allowed here.
         */
        data: z.ZodUnknown;
    }>, z.ZodTypeAny, "passthrough">>;
}>, "strip", z.ZodTypeAny, {
    params: {
        level: "error" | "debug" | "info" | "notice" | "warning" | "critical" | "alert" | "emergency";
        _meta?: z.objectOutputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
        data?: unknown;
        logger?: string | undefined;
    } & {
        [k: string]: unknown;
    };
    method: "notifications/message";
}, {
    params: {
        level: "error" | "debug" | "info" | "notice" | "warning" | "critical" | "alert" | "emergency";
        _meta?: z.objectInputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
        data?: unknown;
        logger?: string | undefined;
    } & {
        [k: string]: unknown;
    };
    method: "notifications/message";
}>;
/**
 * Hints to use for model selection.
 */
export declare const ModelHintSchema: z.ZodObject<{
    /**
     * A hint for a model name.
     */
    name: z.ZodOptional<z.ZodString>;
}, "passthrough", z.ZodTypeAny, z.objectOutputType<{
    /**
     * A hint for a model name.
     */
    name: z.ZodOptional<z.ZodString>;
}, z.ZodTypeAny, "passthrough">, z.objectInputType<{
    /**
     * A hint for a model name.
     */
    name: z.ZodOptional<z.ZodString>;
}, z.ZodTypeAny, "passthrough">>;
/**
 * The server's preferences for model selection, requested of the client during sampling.
 */
export declare const ModelPreferencesSchema: z.ZodObject<{
    /**
     * Optional hints to use for model selection.
     */
    hints: z.ZodOptional<z.ZodArray<z.ZodObject<{
        /**
         * A hint for a model name.
         */
        name: z.ZodOptional<z.ZodString>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        /**
         * A hint for a model name.
         */
        name: z.ZodOptional<z.ZodString>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        /**
         * A hint for a model name.
         */
        name: z.ZodOptional<z.ZodString>;
    }, z.ZodTypeAny, "passthrough">>, "many">>;
    /**
     * How much to prioritize cost when selecting a model.
     */
    costPriority: z.ZodOptional<z.ZodNumber>;
    /**
     * How much to prioritize sampling speed (latency) when selecting a model.
     */
    speedPriority: z.ZodOptional<z.ZodNumber>;
    /**
     * How much to prioritize intelligence and capabilities when selecting a model.
     */
    intelligencePriority: z.ZodOptional<z.ZodNumber>;
}, "passthrough", z.ZodTypeAny, z.objectOutputType<{
    /**
     * Optional hints to use for model selection.
     */
    hints: z.ZodOptional<z.ZodArray<z.ZodObject<{
        /**
         * A hint for a model name.
         */
        name: z.ZodOptional<z.ZodString>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        /**
         * A hint for a model name.
         */
        name: z.ZodOptional<z.ZodString>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        /**
         * A hint for a model name.
         */
        name: z.ZodOptional<z.ZodString>;
    }, z.ZodTypeAny, "passthrough">>, "many">>;
    /**
     * How much to prioritize cost when selecting a model.
     */
    costPriority: z.ZodOptional<z.ZodNumber>;
    /**
     * How much to prioritize sampling speed (latency) when selecting a model.
     */
    speedPriority: z.ZodOptional<z.ZodNumber>;
    /**
     * How much to prioritize intelligence and capabilities when selecting a model.
     */
    intelligencePriority: z.ZodOptional<z.ZodNumber>;
}, z.ZodTypeAny, "passthrough">, z.objectInputType<{
    /**
     * Optional hints to use for model selection.
     */
    hints: z.ZodOptional<z.ZodArray<z.ZodObject<{
        /**
         * A hint for a model name.
         */
        name: z.ZodOptional<z.ZodString>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        /**
         * A hint for a model name.
         */
        name: z.ZodOptional<z.ZodString>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        /**
         * A hint for a model name.
         */
        name: z.ZodOptional<z.ZodString>;
    }, z.ZodTypeAny, "passthrough">>, "many">>;
    /**
     * How much to prioritize cost when selecting a model.
     */
    costPriority: z.ZodOptional<z.ZodNumber>;
    /**
     * How much to prioritize sampling speed (latency) when selecting a model.
     */
    speedPriority: z.ZodOptional<z.ZodNumber>;
    /**
     * How much to prioritize intelligence and capabilities when selecting a model.
     */
    intelligencePriority: z.ZodOptional<z.ZodNumber>;
}, z.ZodTypeAny, "passthrough">>;
/**
 * Describes a message issued to or received from an LLM API.
 */
export declare const SamplingMessageSchema: z.ZodObject<{
    role: z.ZodEnum<["user", "assistant"]>;
    content: z.ZodUnion<[z.ZodObject<{
        type: z.ZodLiteral<"text">;
        /**
         * The text content of the message.
         */
        text: z.ZodString;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        type: z.ZodLiteral<"text">;
        /**
         * The text content of the message.
         */
        text: z.ZodString;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        type: z.ZodLiteral<"text">;
        /**
         * The text content of the message.
         */
        text: z.ZodString;
    }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
        type: z.ZodLiteral<"image">;
        /**
         * The base64-encoded image data.
         */
        data: z.ZodString;
        /**
         * The MIME type of the image. Different providers may support different image types.
         */
        mimeType: z.ZodString;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        type: z.ZodLiteral<"image">;
        /**
         * The base64-encoded image data.
         */
        data: z.ZodString;
        /**
         * The MIME type of the image. Different providers may support different image types.
         */
        mimeType: z.ZodString;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        type: z.ZodLiteral<"image">;
        /**
         * The base64-encoded image data.
         */
        data: z.ZodString;
        /**
         * The MIME type of the image. Different providers may support different image types.
         */
        mimeType: z.ZodString;
    }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
        type: z.ZodLiteral<"audio">;
        /**
         * The base64-encoded audio data.
         */
        data: z.ZodString;
        /**
         * The MIME type of the audio. Different providers may support different audio types.
         */
        mimeType: z.ZodString;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        type: z.ZodLiteral<"audio">;
        /**
         * The base64-encoded audio data.
         */
        data: z.ZodString;
        /**
         * The MIME type of the audio. Different providers may support different audio types.
         */
        mimeType: z.ZodString;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        type: z.ZodLiteral<"audio">;
        /**
         * The base64-encoded audio data.
         */
        data: z.ZodString;
        /**
         * The MIME type of the audio. Different providers may support different audio types.
         */
        mimeType: z.ZodString;
    }, z.ZodTypeAny, "passthrough">>]>;
}, "passthrough", z.ZodTypeAny, z.objectOutputType<{
    role: z.ZodEnum<["user", "assistant"]>;
    content: z.ZodUnion<[z.ZodObject<{
        type: z.ZodLiteral<"text">;
        /**
         * The text content of the message.
         */
        text: z.ZodString;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        type: z.ZodLiteral<"text">;
        /**
         * The text content of the message.
         */
        text: z.ZodString;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        type: z.ZodLiteral<"text">;
        /**
         * The text content of the message.
         */
        text: z.ZodString;
    }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
        type: z.ZodLiteral<"image">;
        /**
         * The base64-encoded image data.
         */
        data: z.ZodString;
        /**
         * The MIME type of the image. Different providers may support different image types.
         */
        mimeType: z.ZodString;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        type: z.ZodLiteral<"image">;
        /**
         * The base64-encoded image data.
         */
        data: z.ZodString;
        /**
         * The MIME type of the image. Different providers may support different image types.
         */
        mimeType: z.ZodString;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        type: z.ZodLiteral<"image">;
        /**
         * The base64-encoded image data.
         */
        data: z.ZodString;
        /**
         * The MIME type of the image. Different providers may support different image types.
         */
        mimeType: z.ZodString;
    }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
        type: z.ZodLiteral<"audio">;
        /**
         * The base64-encoded audio data.
         */
        data: z.ZodString;
        /**
         * The MIME type of the audio. Different providers may support different audio types.
         */
        mimeType: z.ZodString;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        type: z.ZodLiteral<"audio">;
        /**
         * The base64-encoded audio data.
         */
        data: z.ZodString;
        /**
         * The MIME type of the audio. Different providers may support different audio types.
         */
        mimeType: z.ZodString;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        type: z.ZodLiteral<"audio">;
        /**
         * The base64-encoded audio data.
         */
        data: z.ZodString;
        /**
         * The MIME type of the audio. Different providers may support different audio types.
         */
        mimeType: z.ZodString;
    }, z.ZodTypeAny, "passthrough">>]>;
}, z.ZodTypeAny, "passthrough">, z.objectInputType<{
    role: z.ZodEnum<["user", "assistant"]>;
    content: z.ZodUnion<[z.ZodObject<{
        type: z.ZodLiteral<"text">;
        /**
         * The text content of the message.
         */
        text: z.ZodString;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        type: z.ZodLiteral<"text">;
        /**
         * The text content of the message.
         */
        text: z.ZodString;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        type: z.ZodLiteral<"text">;
        /**
         * The text content of the message.
         */
        text: z.ZodString;
    }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
        type: z.ZodLiteral<"image">;
        /**
         * The base64-encoded image data.
         */
        data: z.ZodString;
        /**
         * The MIME type of the image. Different providers may support different image types.
         */
        mimeType: z.ZodString;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        type: z.ZodLiteral<"image">;
        /**
         * The base64-encoded image data.
         */
        data: z.ZodString;
        /**
         * The MIME type of the image. Different providers may support different image types.
         */
        mimeType: z.ZodString;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        type: z.ZodLiteral<"image">;
        /**
         * The base64-encoded image data.
         */
        data: z.ZodString;
        /**
         * The MIME type of the image. Different providers may support different image types.
         */
        mimeType: z.ZodString;
    }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
        type: z.ZodLiteral<"audio">;
        /**
         * The base64-encoded audio data.
         */
        data: z.ZodString;
        /**
         * The MIME type of the audio. Different providers may support different audio types.
         */
        mimeType: z.ZodString;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        type: z.ZodLiteral<"audio">;
        /**
         * The base64-encoded audio data.
         */
        data: z.ZodString;
        /**
         * The MIME type of the audio. Different providers may support different audio types.
         */
        mimeType: z.ZodString;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        type: z.ZodLiteral<"audio">;
        /**
         * The base64-encoded audio data.
         */
        data: z.ZodString;
        /**
         * The MIME type of the audio. Different providers may support different audio types.
         */
        mimeType: z.ZodString;
    }, z.ZodTypeAny, "passthrough">>]>;
}, z.ZodTypeAny, "passthrough">>;
/**
 * A request from the server to sample an LLM via the client. The client has full discretion over which model to select. The client should also inform the user before beginning sampling, to allow them to inspect the request (human in the loop) and decide whether to approve it.
 */
export declare const CreateMessageRequestSchema: z.ZodObject<z.objectUtil.extendShape<{
    method: z.ZodString;
    params: z.ZodOptional<z.ZodObject<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">>>;
}, {
    method: z.ZodLiteral<"sampling/createMessage">;
    params: z.ZodObject<z.objectUtil.extendShape<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, {
        messages: z.ZodArray<z.ZodObject<{
            role: z.ZodEnum<["user", "assistant"]>;
            content: z.ZodUnion<[z.ZodObject<{
                type: z.ZodLiteral<"text">;
                /**
                 * The text content of the message.
                 */
                text: z.ZodString;
            }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
                type: z.ZodLiteral<"text">;
                /**
                 * The text content of the message.
                 */
                text: z.ZodString;
            }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
                type: z.ZodLiteral<"text">;
                /**
                 * The text content of the message.
                 */
                text: z.ZodString;
            }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
                type: z.ZodLiteral<"image">;
                /**
                 * The base64-encoded image data.
                 */
                data: z.ZodString;
                /**
                 * The MIME type of the image. Different providers may support different image types.
                 */
                mimeType: z.ZodString;
            }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
                type: z.ZodLiteral<"image">;
                /**
                 * The base64-encoded image data.
                 */
                data: z.ZodString;
                /**
                 * The MIME type of the image. Different providers may support different image types.
                 */
                mimeType: z.ZodString;
            }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
                type: z.ZodLiteral<"image">;
                /**
                 * The base64-encoded image data.
                 */
                data: z.ZodString;
                /**
                 * The MIME type of the image. Different providers may support different image types.
                 */
                mimeType: z.ZodString;
            }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
                type: z.ZodLiteral<"audio">;
                /**
                 * The base64-encoded audio data.
                 */
                data: z.ZodString;
                /**
                 * The MIME type of the audio. Different providers may support different audio types.
                 */
                mimeType: z.ZodString;
            }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
                type: z.ZodLiteral<"audio">;
                /**
                 * The base64-encoded audio data.
                 */
                data: z.ZodString;
                /**
                 * The MIME type of the audio. Different providers may support different audio types.
                 */
                mimeType: z.ZodString;
            }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
                type: z.ZodLiteral<"audio">;
                /**
                 * The base64-encoded audio data.
                 */
                data: z.ZodString;
                /**
                 * The MIME type of the audio. Different providers may support different audio types.
                 */
                mimeType: z.ZodString;
            }, z.ZodTypeAny, "passthrough">>]>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            role: z.ZodEnum<["user", "assistant"]>;
            content: z.ZodUnion<[z.ZodObject<{
                type: z.ZodLiteral<"text">;
                /**
                 * The text content of the message.
                 */
                text: z.ZodString;
            }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
                type: z.ZodLiteral<"text">;
                /**
                 * The text content of the message.
                 */
                text: z.ZodString;
            }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
                type: z.ZodLiteral<"text">;
                /**
                 * The text content of the message.
                 */
                text: z.ZodString;
            }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
                type: z.ZodLiteral<"image">;
                /**
                 * The base64-encoded image data.
                 */
                data: z.ZodString;
                /**
                 * The MIME type of the image. Different providers may support different image types.
                 */
                mimeType: z.ZodString;
            }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
                type: z.ZodLiteral<"image">;
                /**
                 * The base64-encoded image data.
                 */
                data: z.ZodString;
                /**
                 * The MIME type of the image. Different providers may support different image types.
                 */
                mimeType: z.ZodString;
            }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
                type: z.ZodLiteral<"image">;
                /**
                 * The base64-encoded image data.
                 */
                data: z.ZodString;
                /**
                 * The MIME type of the image. Different providers may support different image types.
                 */
                mimeType: z.ZodString;
            }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
                type: z.ZodLiteral<"audio">;
                /**
                 * The base64-encoded audio data.
                 */
                data: z.ZodString;
                /**
                 * The MIME type of the audio. Different providers may support different audio types.
                 */
                mimeType: z.ZodString;
            }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
                type: z.ZodLiteral<"audio">;
                /**
                 * The base64-encoded audio data.
                 */
                data: z.ZodString;
                /**
                 * The MIME type of the audio. Different providers may support different audio types.
                 */
                mimeType: z.ZodString;
            }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
                type: z.ZodLiteral<"audio">;
                /**
                 * The base64-encoded audio data.
                 */
                data: z.ZodString;
                /**
                 * The MIME type of the audio. Different providers may support different audio types.
                 */
                mimeType: z.ZodString;
            }, z.ZodTypeAny, "passthrough">>]>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            role: z.ZodEnum<["user", "assistant"]>;
            content: z.ZodUnion<[z.ZodObject<{
                type: z.ZodLiteral<"text">;
                /**
                 * The text content of the message.
                 */
                text: z.ZodString;
            }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
                type: z.ZodLiteral<"text">;
                /**
                 * The text content of the message.
                 */
                text: z.ZodString;
            }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
                type: z.ZodLiteral<"text">;
                /**
                 * The text content of the message.
                 */
                text: z.ZodString;
            }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
                type: z.ZodLiteral<"image">;
                /**
                 * The base64-encoded image data.
                 */
                data: z.ZodString;
                /**
                 * The MIME type of the image. Different providers may support different image types.
                 */
                mimeType: z.ZodString;
            }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
                type: z.ZodLiteral<"image">;
                /**
                 * The base64-encoded image data.
                 */
                data: z.ZodString;
                /**
                 * The MIME type of the image. Different providers may support different image types.
                 */
                mimeType: z.ZodString;
            }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
                type: z.ZodLiteral<"image">;
                /**
                 * The base64-encoded image data.
                 */
                data: z.ZodString;
                /**
                 * The MIME type of the image. Different providers may support different image types.
                 */
                mimeType: z.ZodString;
            }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
                type: z.ZodLiteral<"audio">;
                /**
                 * The base64-encoded audio data.
                 */
                data: z.ZodString;
                /**
                 * The MIME type of the audio. Different providers may support different audio types.
                 */
                mimeType: z.ZodString;
            }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
                type: z.ZodLiteral<"audio">;
                /**
                 * The base64-encoded audio data.
                 */
                data: z.ZodString;
                /**
                 * The MIME type of the audio. Different providers may support different audio types.
                 */
                mimeType: z.ZodString;
            }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
                type: z.ZodLiteral<"audio">;
                /**
                 * The base64-encoded audio data.
                 */
                data: z.ZodString;
                /**
                 * The MIME type of the audio. Different providers may support different audio types.
                 */
                mimeType: z.ZodString;
            }, z.ZodTypeAny, "passthrough">>]>;
        }, z.ZodTypeAny, "passthrough">>, "many">;
        /**
         * An optional system prompt the server wants to use for sampling. The client MAY modify or omit this prompt.
         */
        systemPrompt: z.ZodOptional<z.ZodString>;
        /**
         * A request to include context from one or more MCP servers (including the caller), to be attached to the prompt. The client MAY ignore this request.
         */
        includeContext: z.ZodOptional<z.ZodEnum<["none", "thisServer", "allServers"]>>;
        temperature: z.ZodOptional<z.ZodNumber>;
        /**
         * The maximum number of tokens to sample, as requested by the server. The client MAY choose to sample fewer tokens than requested.
         */
        maxTokens: z.ZodNumber;
        stopSequences: z.ZodOptional<z.ZodArray<z.ZodString, "many">>;
        /**
         * Optional metadata to pass through to the LLM provider. The format of this metadata is provider-specific.
         */
        metadata: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
        /**
         * The server's preferences for which model to select.
         */
        modelPreferences: z.ZodOptional<z.ZodObject<{
            /**
             * Optional hints to use for model selection.
             */
            hints: z.ZodOptional<z.ZodArray<z.ZodObject<{
                /**
                 * A hint for a model name.
                 */
                name: z.ZodOptional<z.ZodString>;
            }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
                /**
                 * A hint for a model name.
                 */
                name: z.ZodOptional<z.ZodString>;
            }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
                /**
                 * A hint for a model name.
                 */
                name: z.ZodOptional<z.ZodString>;
            }, z.ZodTypeAny, "passthrough">>, "many">>;
            /**
             * How much to prioritize cost when selecting a model.
             */
            costPriority: z.ZodOptional<z.ZodNumber>;
            /**
             * How much to prioritize sampling speed (latency) when selecting a model.
             */
            speedPriority: z.ZodOptional<z.ZodNumber>;
            /**
             * How much to prioritize intelligence and capabilities when selecting a model.
             */
            intelligencePriority: z.ZodOptional<z.ZodNumber>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * Optional hints to use for model selection.
             */
            hints: z.ZodOptional<z.ZodArray<z.ZodObject<{
                /**
                 * A hint for a model name.
                 */
                name: z.ZodOptional<z.ZodString>;
            }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
                /**
                 * A hint for a model name.
                 */
                name: z.ZodOptional<z.ZodString>;
            }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
                /**
                 * A hint for a model name.
                 */
                name: z.ZodOptional<z.ZodString>;
            }, z.ZodTypeAny, "passthrough">>, "many">>;
            /**
             * How much to prioritize cost when selecting a model.
             */
            costPriority: z.ZodOptional<z.ZodNumber>;
            /**
             * How much to prioritize sampling speed (latency) when selecting a model.
             */
            speedPriority: z.ZodOptional<z.ZodNumber>;
            /**
             * How much to prioritize intelligence and capabilities when selecting a model.
             */
            intelligencePriority: z.ZodOptional<z.ZodNumber>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * Optional hints to use for model selection.
             */
            hints: z.ZodOptional<z.ZodArray<z.ZodObject<{
                /**
                 * A hint for a model name.
                 */
                name: z.ZodOptional<z.ZodString>;
            }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
                /**
                 * A hint for a model name.
                 */
                name: z.ZodOptional<z.ZodString>;
            }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
                /**
                 * A hint for a model name.
                 */
                name: z.ZodOptional<z.ZodString>;
            }, z.ZodTypeAny, "passthrough">>, "many">>;
            /**
             * How much to prioritize cost when selecting a model.
             */
            costPriority: z.ZodOptional<z.ZodNumber>;
            /**
             * How much to prioritize sampling speed (latency) when selecting a model.
             */
            speedPriority: z.ZodOptional<z.ZodNumber>;
            /**
             * How much to prioritize intelligence and capabilities when selecting a model.
             */
            intelligencePriority: z.ZodOptional<z.ZodNumber>;
        }, z.ZodTypeAny, "passthrough">>>;
    }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, {
        messages: z.ZodArray<z.ZodObject<{
            role: z.ZodEnum<["user", "assistant"]>;
            content: z.ZodUnion<[z.ZodObject<{
                type: z.ZodLiteral<"text">;
                /**
                 * The text content of the message.
                 */
                text: z.ZodString;
            }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
                type: z.ZodLiteral<"text">;
                /**
                 * The text content of the message.
                 */
                text: z.ZodString;
            }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
                type: z.ZodLiteral<"text">;
                /**
                 * The text content of the message.
                 */
                text: z.ZodString;
            }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
                type: z.ZodLiteral<"image">;
                /**
                 * The base64-encoded image data.
                 */
                data: z.ZodString;
                /**
                 * The MIME type of the image. Different providers may support different image types.
                 */
                mimeType: z.ZodString;
            }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
                type: z.ZodLiteral<"image">;
                /**
                 * The base64-encoded image data.
                 */
                data: z.ZodString;
                /**
                 * The MIME type of the image. Different providers may support different image types.
                 */
                mimeType: z.ZodString;
            }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
                type: z.ZodLiteral<"image">;
                /**
                 * The base64-encoded image data.
                 */
                data: z.ZodString;
                /**
                 * The MIME type of the image. Different providers may support different image types.
                 */
                mimeType: z.ZodString;
            }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
                type: z.ZodLiteral<"audio">;
                /**
                 * The base64-encoded audio data.
                 */
                data: z.ZodString;
                /**
                 * The MIME type of the audio. Different providers may support different audio types.
                 */
                mimeType: z.ZodString;
            }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
                type: z.ZodLiteral<"audio">;
                /**
                 * The base64-encoded audio data.
                 */
                data: z.ZodString;
                /**
                 * The MIME type of the audio. Different providers may support different audio types.
                 */
                mimeType: z.ZodString;
            }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
                type: z.ZodLiteral<"audio">;
                /**
                 * The base64-encoded audio data.
                 */
                data: z.ZodString;
                /**
                 * The MIME type of the audio. Different providers may support different audio types.
                 */
                mimeType: z.ZodString;
            }, z.ZodTypeAny, "passthrough">>]>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            role: z.ZodEnum<["user", "assistant"]>;
            content: z.ZodUnion<[z.ZodObject<{
                type: z.ZodLiteral<"text">;
                /**
                 * The text content of the message.
                 */
                text: z.ZodString;
            }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
                type: z.ZodLiteral<"text">;
                /**
                 * The text content of the message.
                 */
                text: z.ZodString;
            }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
                type: z.ZodLiteral<"text">;
                /**
                 * The text content of the message.
                 */
                text: z.ZodString;
            }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
                type: z.ZodLiteral<"image">;
                /**
                 * The base64-encoded image data.
                 */
                data: z.ZodString;
                /**
                 * The MIME type of the image. Different providers may support different image types.
                 */
                mimeType: z.ZodString;
            }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
                type: z.ZodLiteral<"image">;
                /**
                 * The base64-encoded image data.
                 */
                data: z.ZodString;
                /**
                 * The MIME type of the image. Different providers may support different image types.
                 */
                mimeType: z.ZodString;
            }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
                type: z.ZodLiteral<"image">;
                /**
                 * The base64-encoded image data.
                 */
                data: z.ZodString;
                /**
                 * The MIME type of the image. Different providers may support different image types.
                 */
                mimeType: z.ZodString;
            }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
                type: z.ZodLiteral<"audio">;
                /**
                 * The base64-encoded audio data.
                 */
                data: z.ZodString;
                /**
                 * The MIME type of the audio. Different providers may support different audio types.
                 */
                mimeType: z.ZodString;
            }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
                type: z.ZodLiteral<"audio">;
                /**
                 * The base64-encoded audio data.
                 */
                data: z.ZodString;
                /**
                 * The MIME type of the audio. Different providers may support different audio types.
                 */
                mimeType: z.ZodString;
            }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
                type: z.ZodLiteral<"audio">;
                /**
                 * The base64-encoded audio data.
                 */
                data: z.ZodString;
                /**
                 * The MIME type of the audio. Different providers may support different audio types.
                 */
                mimeType: z.ZodString;
            }, z.ZodTypeAny, "passthrough">>]>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            role: z.ZodEnum<["user", "assistant"]>;
            content: z.ZodUnion<[z.ZodObject<{
                type: z.ZodLiteral<"text">;
                /**
                 * The text content of the message.
                 */
                text: z.ZodString;
            }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
                type: z.ZodLiteral<"text">;
                /**
                 * The text content of the message.
                 */
                text: z.ZodString;
            }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
                type: z.ZodLiteral<"text">;
                /**
                 * The text content of the message.
                 */
                text: z.ZodString;
            }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
                type: z.ZodLiteral<"image">;
                /**
                 * The base64-encoded image data.
                 */
                data: z.ZodString;
                /**
                 * The MIME type of the image. Different providers may support different image types.
                 */
                mimeType: z.ZodString;
            }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
                type: z.ZodLiteral<"image">;
                /**
                 * The base64-encoded image data.
                 */
                data: z.ZodString;
                /**
                 * The MIME type of the image. Different providers may support different image types.
                 */
                mimeType: z.ZodString;
            }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
                type: z.ZodLiteral<"image">;
                /**
                 * The base64-encoded image data.
                 */
                data: z.ZodString;
                /**
                 * The MIME type of the image. Different providers may support different image types.
                 */
                mimeType: z.ZodString;
            }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
                type: z.ZodLiteral<"audio">;
                /**
                 * The base64-encoded audio data.
                 */
                data: z.ZodString;
                /**
                 * The MIME type of the audio. Different providers may support different audio types.
                 */
                mimeType: z.ZodString;
            }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
                type: z.ZodLiteral<"audio">;
                /**
                 * The base64-encoded audio data.
                 */
                data: z.ZodString;
                /**
                 * The MIME type of the audio. Different providers may support different audio types.
                 */
                mimeType: z.ZodString;
            }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
                type: z.ZodLiteral<"audio">;
                /**
                 * The base64-encoded audio data.
                 */
                data: z.ZodString;
                /**
                 * The MIME type of the audio. Different providers may support different audio types.
                 */
                mimeType: z.ZodString;
            }, z.ZodTypeAny, "passthrough">>]>;
        }, z.ZodTypeAny, "passthrough">>, "many">;
        /**
         * An optional system prompt the server wants to use for sampling. The client MAY modify or omit this prompt.
         */
        systemPrompt: z.ZodOptional<z.ZodString>;
        /**
         * A request to include context from one or more MCP servers (including the caller), to be attached to the prompt. The client MAY ignore this request.
         */
        includeContext: z.ZodOptional<z.ZodEnum<["none", "thisServer", "allServers"]>>;
        temperature: z.ZodOptional<z.ZodNumber>;
        /**
         * The maximum number of tokens to sample, as requested by the server. The client MAY choose to sample fewer tokens than requested.
         */
        maxTokens: z.ZodNumber;
        stopSequences: z.ZodOptional<z.ZodArray<z.ZodString, "many">>;
        /**
         * Optional metadata to pass through to the LLM provider. The format of this metadata is provider-specific.
         */
        metadata: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
        /**
         * The server's preferences for which model to select.
         */
        modelPreferences: z.ZodOptional<z.ZodObject<{
            /**
             * Optional hints to use for model selection.
             */
            hints: z.ZodOptional<z.ZodArray<z.ZodObject<{
                /**
                 * A hint for a model name.
                 */
                name: z.ZodOptional<z.ZodString>;
            }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
                /**
                 * A hint for a model name.
                 */
                name: z.ZodOptional<z.ZodString>;
            }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
                /**
                 * A hint for a model name.
                 */
                name: z.ZodOptional<z.ZodString>;
            }, z.ZodTypeAny, "passthrough">>, "many">>;
            /**
             * How much to prioritize cost when selecting a model.
             */
            costPriority: z.ZodOptional<z.ZodNumber>;
            /**
             * How much to prioritize sampling speed (latency) when selecting a model.
             */
            speedPriority: z.ZodOptional<z.ZodNumber>;
            /**
             * How much to prioritize intelligence and capabilities when selecting a model.
             */
            intelligencePriority: z.ZodOptional<z.ZodNumber>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * Optional hints to use for model selection.
             */
            hints: z.ZodOptional<z.ZodArray<z.ZodObject<{
                /**
                 * A hint for a model name.
                 */
                name: z.ZodOptional<z.ZodString>;
            }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
                /**
                 * A hint for a model name.
                 */
                name: z.ZodOptional<z.ZodString>;
            }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
                /**
                 * A hint for a model name.
                 */
                name: z.ZodOptional<z.ZodString>;
            }, z.ZodTypeAny, "passthrough">>, "many">>;
            /**
             * How much to prioritize cost when selecting a model.
             */
            costPriority: z.ZodOptional<z.ZodNumber>;
            /**
             * How much to prioritize sampling speed (latency) when selecting a model.
             */
            speedPriority: z.ZodOptional<z.ZodNumber>;
            /**
             * How much to prioritize intelligence and capabilities when selecting a model.
             */
            intelligencePriority: z.ZodOptional<z.ZodNumber>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * Optional hints to use for model selection.
             */
            hints: z.ZodOptional<z.ZodArray<z.ZodObject<{
                /**
                 * A hint for a model name.
                 */
                name: z.ZodOptional<z.ZodString>;
            }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
                /**
                 * A hint for a model name.
                 */
                name: z.ZodOptional<z.ZodString>;
            }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
                /**
                 * A hint for a model name.
                 */
                name: z.ZodOptional<z.ZodString>;
            }, z.ZodTypeAny, "passthrough">>, "many">>;
            /**
             * How much to prioritize cost when selecting a model.
             */
            costPriority: z.ZodOptional<z.ZodNumber>;
            /**
             * How much to prioritize sampling speed (latency) when selecting a model.
             */
            speedPriority: z.ZodOptional<z.ZodNumber>;
            /**
             * How much to prioritize intelligence and capabilities when selecting a model.
             */
            intelligencePriority: z.ZodOptional<z.ZodNumber>;
        }, z.ZodTypeAny, "passthrough">>>;
    }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, {
        messages: z.ZodArray<z.ZodObject<{
            role: z.ZodEnum<["user", "assistant"]>;
            content: z.ZodUnion<[z.ZodObject<{
                type: z.ZodLiteral<"text">;
                /**
                 * The text content of the message.
                 */
                text: z.ZodString;
            }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
                type: z.ZodLiteral<"text">;
                /**
                 * The text content of the message.
                 */
                text: z.ZodString;
            }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
                type: z.ZodLiteral<"text">;
                /**
                 * The text content of the message.
                 */
                text: z.ZodString;
            }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
                type: z.ZodLiteral<"image">;
                /**
                 * The base64-encoded image data.
                 */
                data: z.ZodString;
                /**
                 * The MIME type of the image. Different providers may support different image types.
                 */
                mimeType: z.ZodString;
            }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
                type: z.ZodLiteral<"image">;
                /**
                 * The base64-encoded image data.
                 */
                data: z.ZodString;
                /**
                 * The MIME type of the image. Different providers may support different image types.
                 */
                mimeType: z.ZodString;
            }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
                type: z.ZodLiteral<"image">;
                /**
                 * The base64-encoded image data.
                 */
                data: z.ZodString;
                /**
                 * The MIME type of the image. Different providers may support different image types.
                 */
                mimeType: z.ZodString;
            }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
                type: z.ZodLiteral<"audio">;
                /**
                 * The base64-encoded audio data.
                 */
                data: z.ZodString;
                /**
                 * The MIME type of the audio. Different providers may support different audio types.
                 */
                mimeType: z.ZodString;
            }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
                type: z.ZodLiteral<"audio">;
                /**
                 * The base64-encoded audio data.
                 */
                data: z.ZodString;
                /**
                 * The MIME type of the audio. Different providers may support different audio types.
                 */
                mimeType: z.ZodString;
            }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
                type: z.ZodLiteral<"audio">;
                /**
                 * The base64-encoded audio data.
                 */
                data: z.ZodString;
                /**
                 * The MIME type of the audio. Different providers may support different audio types.
                 */
                mimeType: z.ZodString;
            }, z.ZodTypeAny, "passthrough">>]>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            role: z.ZodEnum<["user", "assistant"]>;
            content: z.ZodUnion<[z.ZodObject<{
                type: z.ZodLiteral<"text">;
                /**
                 * The text content of the message.
                 */
                text: z.ZodString;
            }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
                type: z.ZodLiteral<"text">;
                /**
                 * The text content of the message.
                 */
                text: z.ZodString;
            }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
                type: z.ZodLiteral<"text">;
                /**
                 * The text content of the message.
                 */
                text: z.ZodString;
            }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
                type: z.ZodLiteral<"image">;
                /**
                 * The base64-encoded image data.
                 */
                data: z.ZodString;
                /**
                 * The MIME type of the image. Different providers may support different image types.
                 */
                mimeType: z.ZodString;
            }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
                type: z.ZodLiteral<"image">;
                /**
                 * The base64-encoded image data.
                 */
                data: z.ZodString;
                /**
                 * The MIME type of the image. Different providers may support different image types.
                 */
                mimeType: z.ZodString;
            }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
                type: z.ZodLiteral<"image">;
                /**
                 * The base64-encoded image data.
                 */
                data: z.ZodString;
                /**
                 * The MIME type of the image. Different providers may support different image types.
                 */
                mimeType: z.ZodString;
            }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
                type: z.ZodLiteral<"audio">;
                /**
                 * The base64-encoded audio data.
                 */
                data: z.ZodString;
                /**
                 * The MIME type of the audio. Different providers may support different audio types.
                 */
                mimeType: z.ZodString;
            }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
                type: z.ZodLiteral<"audio">;
                /**
                 * The base64-encoded audio data.
                 */
                data: z.ZodString;
                /**
                 * The MIME type of the audio. Different providers may support different audio types.
                 */
                mimeType: z.ZodString;
            }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
                type: z.ZodLiteral<"audio">;
                /**
                 * The base64-encoded audio data.
                 */
                data: z.ZodString;
                /**
                 * The MIME type of the audio. Different providers may support different audio types.
                 */
                mimeType: z.ZodString;
            }, z.ZodTypeAny, "passthrough">>]>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            role: z.ZodEnum<["user", "assistant"]>;
            content: z.ZodUnion<[z.ZodObject<{
                type: z.ZodLiteral<"text">;
                /**
                 * The text content of the message.
                 */
                text: z.ZodString;
            }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
                type: z.ZodLiteral<"text">;
                /**
                 * The text content of the message.
                 */
                text: z.ZodString;
            }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
                type: z.ZodLiteral<"text">;
                /**
                 * The text content of the message.
                 */
                text: z.ZodString;
            }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
                type: z.ZodLiteral<"image">;
                /**
                 * The base64-encoded image data.
                 */
                data: z.ZodString;
                /**
                 * The MIME type of the image. Different providers may support different image types.
                 */
                mimeType: z.ZodString;
            }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
                type: z.ZodLiteral<"image">;
                /**
                 * The base64-encoded image data.
                 */
                data: z.ZodString;
                /**
                 * The MIME type of the image. Different providers may support different image types.
                 */
                mimeType: z.ZodString;
            }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
                type: z.ZodLiteral<"image">;
                /**
                 * The base64-encoded image data.
                 */
                data: z.ZodString;
                /**
                 * The MIME type of the image. Different providers may support different image types.
                 */
                mimeType: z.ZodString;
            }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
                type: z.ZodLiteral<"audio">;
                /**
                 * The base64-encoded audio data.
                 */
                data: z.ZodString;
                /**
                 * The MIME type of the audio. Different providers may support different audio types.
                 */
                mimeType: z.ZodString;
            }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
                type: z.ZodLiteral<"audio">;
                /**
                 * The base64-encoded audio data.
                 */
                data: z.ZodString;
                /**
                 * The MIME type of the audio. Different providers may support different audio types.
                 */
                mimeType: z.ZodString;
            }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
                type: z.ZodLiteral<"audio">;
                /**
                 * The base64-encoded audio data.
                 */
                data: z.ZodString;
                /**
                 * The MIME type of the audio. Different providers may support different audio types.
                 */
                mimeType: z.ZodString;
            }, z.ZodTypeAny, "passthrough">>]>;
        }, z.ZodTypeAny, "passthrough">>, "many">;
        /**
         * An optional system prompt the server wants to use for sampling. The client MAY modify or omit this prompt.
         */
        systemPrompt: z.ZodOptional<z.ZodString>;
        /**
         * A request to include context from one or more MCP servers (including the caller), to be attached to the prompt. The client MAY ignore this request.
         */
        includeContext: z.ZodOptional<z.ZodEnum<["none", "thisServer", "allServers"]>>;
        temperature: z.ZodOptional<z.ZodNumber>;
        /**
         * The maximum number of tokens to sample, as requested by the server. The client MAY choose to sample fewer tokens than requested.
         */
        maxTokens: z.ZodNumber;
        stopSequences: z.ZodOptional<z.ZodArray<z.ZodString, "many">>;
        /**
         * Optional metadata to pass through to the LLM provider. The format of this metadata is provider-specific.
         */
        metadata: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
        /**
         * The server's preferences for which model to select.
         */
        modelPreferences: z.ZodOptional<z.ZodObject<{
            /**
             * Optional hints to use for model selection.
             */
            hints: z.ZodOptional<z.ZodArray<z.ZodObject<{
                /**
                 * A hint for a model name.
                 */
                name: z.ZodOptional<z.ZodString>;
            }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
                /**
                 * A hint for a model name.
                 */
                name: z.ZodOptional<z.ZodString>;
            }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
                /**
                 * A hint for a model name.
                 */
                name: z.ZodOptional<z.ZodString>;
            }, z.ZodTypeAny, "passthrough">>, "many">>;
            /**
             * How much to prioritize cost when selecting a model.
             */
            costPriority: z.ZodOptional<z.ZodNumber>;
            /**
             * How much to prioritize sampling speed (latency) when selecting a model.
             */
            speedPriority: z.ZodOptional<z.ZodNumber>;
            /**
             * How much to prioritize intelligence and capabilities when selecting a model.
             */
            intelligencePriority: z.ZodOptional<z.ZodNumber>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * Optional hints to use for model selection.
             */
            hints: z.ZodOptional<z.ZodArray<z.ZodObject<{
                /**
                 * A hint for a model name.
                 */
                name: z.ZodOptional<z.ZodString>;
            }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
                /**
                 * A hint for a model name.
                 */
                name: z.ZodOptional<z.ZodString>;
            }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
                /**
                 * A hint for a model name.
                 */
                name: z.ZodOptional<z.ZodString>;
            }, z.ZodTypeAny, "passthrough">>, "many">>;
            /**
             * How much to prioritize cost when selecting a model.
             */
            costPriority: z.ZodOptional<z.ZodNumber>;
            /**
             * How much to prioritize sampling speed (latency) when selecting a model.
             */
            speedPriority: z.ZodOptional<z.ZodNumber>;
            /**
             * How much to prioritize intelligence and capabilities when selecting a model.
             */
            intelligencePriority: z.ZodOptional<z.ZodNumber>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * Optional hints to use for model selection.
             */
            hints: z.ZodOptional<z.ZodArray<z.ZodObject<{
                /**
                 * A hint for a model name.
                 */
                name: z.ZodOptional<z.ZodString>;
            }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
                /**
                 * A hint for a model name.
                 */
                name: z.ZodOptional<z.ZodString>;
            }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
                /**
                 * A hint for a model name.
                 */
                name: z.ZodOptional<z.ZodString>;
            }, z.ZodTypeAny, "passthrough">>, "many">>;
            /**
             * How much to prioritize cost when selecting a model.
             */
            costPriority: z.ZodOptional<z.ZodNumber>;
            /**
             * How much to prioritize sampling speed (latency) when selecting a model.
             */
            speedPriority: z.ZodOptional<z.ZodNumber>;
            /**
             * How much to prioritize intelligence and capabilities when selecting a model.
             */
            intelligencePriority: z.ZodOptional<z.ZodNumber>;
        }, z.ZodTypeAny, "passthrough">>>;
    }>, z.ZodTypeAny, "passthrough">>;
}>, "strip", z.ZodTypeAny, {
    params: {
        messages: z.objectOutputType<{
            role: z.ZodEnum<["user", "assistant"]>;
            content: z.ZodUnion<[z.ZodObject<{
                type: z.ZodLiteral<"text">;
                /**
                 * The text content of the message.
                 */
                text: z.ZodString;
            }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
                type: z.ZodLiteral<"text">;
                /**
                 * The text content of the message.
                 */
                text: z.ZodString;
            }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
                type: z.ZodLiteral<"text">;
                /**
                 * The text content of the message.
                 */
                text: z.ZodString;
            }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
                type: z.ZodLiteral<"image">;
                /**
                 * The base64-encoded image data.
                 */
                data: z.ZodString;
                /**
                 * The MIME type of the image. Different providers may support different image types.
                 */
                mimeType: z.ZodString;
            }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
                type: z.ZodLiteral<"image">;
                /**
                 * The base64-encoded image data.
                 */
                data: z.ZodString;
                /**
                 * The MIME type of the image. Different providers may support different image types.
                 */
                mimeType: z.ZodString;
            }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
                type: z.ZodLiteral<"image">;
                /**
                 * The base64-encoded image data.
                 */
                data: z.ZodString;
                /**
                 * The MIME type of the image. Different providers may support different image types.
                 */
                mimeType: z.ZodString;
            }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
                type: z.ZodLiteral<"audio">;
                /**
                 * The base64-encoded audio data.
                 */
                data: z.ZodString;
                /**
                 * The MIME type of the audio. Different providers may support different audio types.
                 */
                mimeType: z.ZodString;
            }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
                type: z.ZodLiteral<"audio">;
                /**
                 * The base64-encoded audio data.
                 */
                data: z.ZodString;
                /**
                 * The MIME type of the audio. Different providers may support different audio types.
                 */
                mimeType: z.ZodString;
            }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
                type: z.ZodLiteral<"audio">;
                /**
                 * The base64-encoded audio data.
                 */
                data: z.ZodString;
                /**
                 * The MIME type of the audio. Different providers may support different audio types.
                 */
                mimeType: z.ZodString;
            }, z.ZodTypeAny, "passthrough">>]>;
        }, z.ZodTypeAny, "passthrough">[];
        maxTokens: number;
        _meta?: z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough"> | undefined;
        systemPrompt?: string | undefined;
        includeContext?: "none" | "thisServer" | "allServers" | undefined;
        temperature?: number | undefined;
        stopSequences?: string[] | undefined;
        metadata?: z.objectOutputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
        modelPreferences?: z.objectOutputType<{
            /**
             * Optional hints to use for model selection.
             */
            hints: z.ZodOptional<z.ZodArray<z.ZodObject<{
                /**
                 * A hint for a model name.
                 */
                name: z.ZodOptional<z.ZodString>;
            }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
                /**
                 * A hint for a model name.
                 */
                name: z.ZodOptional<z.ZodString>;
            }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
                /**
                 * A hint for a model name.
                 */
                name: z.ZodOptional<z.ZodString>;
            }, z.ZodTypeAny, "passthrough">>, "many">>;
            /**
             * How much to prioritize cost when selecting a model.
             */
            costPriority: z.ZodOptional<z.ZodNumber>;
            /**
             * How much to prioritize sampling speed (latency) when selecting a model.
             */
            speedPriority: z.ZodOptional<z.ZodNumber>;
            /**
             * How much to prioritize intelligence and capabilities when selecting a model.
             */
            intelligencePriority: z.ZodOptional<z.ZodNumber>;
        }, z.ZodTypeAny, "passthrough"> | undefined;
    } & {
        [k: string]: unknown;
    };
    method: "sampling/createMessage";
}, {
    params: {
        messages: z.objectInputType<{
            role: z.ZodEnum<["user", "assistant"]>;
            content: z.ZodUnion<[z.ZodObject<{
                type: z.ZodLiteral<"text">;
                /**
                 * The text content of the message.
                 */
                text: z.ZodString;
            }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
                type: z.ZodLiteral<"text">;
                /**
                 * The text content of the message.
                 */
                text: z.ZodString;
            }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
                type: z.ZodLiteral<"text">;
                /**
                 * The text content of the message.
                 */
                text: z.ZodString;
            }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
                type: z.ZodLiteral<"image">;
                /**
                 * The base64-encoded image data.
                 */
                data: z.ZodString;
                /**
                 * The MIME type of the image. Different providers may support different image types.
                 */
                mimeType: z.ZodString;
            }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
                type: z.ZodLiteral<"image">;
                /**
                 * The base64-encoded image data.
                 */
                data: z.ZodString;
                /**
                 * The MIME type of the image. Different providers may support different image types.
                 */
                mimeType: z.ZodString;
            }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
                type: z.ZodLiteral<"image">;
                /**
                 * The base64-encoded image data.
                 */
                data: z.ZodString;
                /**
                 * The MIME type of the image. Different providers may support different image types.
                 */
                mimeType: z.ZodString;
            }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
                type: z.ZodLiteral<"audio">;
                /**
                 * The base64-encoded audio data.
                 */
                data: z.ZodString;
                /**
                 * The MIME type of the audio. Different providers may support different audio types.
                 */
                mimeType: z.ZodString;
            }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
                type: z.ZodLiteral<"audio">;
                /**
                 * The base64-encoded audio data.
                 */
                data: z.ZodString;
                /**
                 * The MIME type of the audio. Different providers may support different audio types.
                 */
                mimeType: z.ZodString;
            }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
                type: z.ZodLiteral<"audio">;
                /**
                 * The base64-encoded audio data.
                 */
                data: z.ZodString;
                /**
                 * The MIME type of the audio. Different providers may support different audio types.
                 */
                mimeType: z.ZodString;
            }, z.ZodTypeAny, "passthrough">>]>;
        }, z.ZodTypeAny, "passthrough">[];
        maxTokens: number;
        _meta?: z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough"> | undefined;
        systemPrompt?: string | undefined;
        includeContext?: "none" | "thisServer" | "allServers" | undefined;
        temperature?: number | undefined;
        stopSequences?: string[] | undefined;
        metadata?: z.objectInputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
        modelPreferences?: z.objectInputType<{
            /**
             * Optional hints to use for model selection.
             */
            hints: z.ZodOptional<z.ZodArray<z.ZodObject<{
                /**
                 * A hint for a model name.
                 */
                name: z.ZodOptional<z.ZodString>;
            }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
                /**
                 * A hint for a model name.
                 */
                name: z.ZodOptional<z.ZodString>;
            }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
                /**
                 * A hint for a model name.
                 */
                name: z.ZodOptional<z.ZodString>;
            }, z.ZodTypeAny, "passthrough">>, "many">>;
            /**
             * How much to prioritize cost when selecting a model.
             */
            costPriority: z.ZodOptional<z.ZodNumber>;
            /**
             * How much to prioritize sampling speed (latency) when selecting a model.
             */
            speedPriority: z.ZodOptional<z.ZodNumber>;
            /**
             * How much to prioritize intelligence and capabilities when selecting a model.
             */
            intelligencePriority: z.ZodOptional<z.ZodNumber>;
        }, z.ZodTypeAny, "passthrough"> | undefined;
    } & {
        [k: string]: unknown;
    };
    method: "sampling/createMessage";
}>;
/**
 * The client's response to a sampling/create_message request from the server. The client should inform the user before returning the sampled message, to allow them to inspect the response (human in the loop) and decide whether to allow the server to see it.
 */
export declare const CreateMessageResultSchema: z.ZodObject<z.objectUtil.extendShape<{
    /**
     * This result property is reserved by the protocol to allow clients and servers to attach additional metadata to their responses.
     */
    _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
}, {
    /**
     * The name of the model that generated the message.
     */
    model: z.ZodString;
    /**
     * The reason why sampling stopped.
     */
    stopReason: z.ZodOptional<z.ZodUnion<[z.ZodEnum<["endTurn", "stopSequence", "maxTokens"]>, z.ZodString]>>;
    role: z.ZodEnum<["user", "assistant"]>;
    content: z.ZodDiscriminatedUnion<"type", [z.ZodObject<{
        type: z.ZodLiteral<"text">;
        /**
         * The text content of the message.
         */
        text: z.ZodString;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        type: z.ZodLiteral<"text">;
        /**
         * The text content of the message.
         */
        text: z.ZodString;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        type: z.ZodLiteral<"text">;
        /**
         * The text content of the message.
         */
        text: z.ZodString;
    }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
        type: z.ZodLiteral<"image">;
        /**
         * The base64-encoded image data.
         */
        data: z.ZodString;
        /**
         * The MIME type of the image. Different providers may support different image types.
         */
        mimeType: z.ZodString;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        type: z.ZodLiteral<"image">;
        /**
         * The base64-encoded image data.
         */
        data: z.ZodString;
        /**
         * The MIME type of the image. Different providers may support different image types.
         */
        mimeType: z.ZodString;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        type: z.ZodLiteral<"image">;
        /**
         * The base64-encoded image data.
         */
        data: z.ZodString;
        /**
         * The MIME type of the image. Different providers may support different image types.
         */
        mimeType: z.ZodString;
    }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
        type: z.ZodLiteral<"audio">;
        /**
         * The base64-encoded audio data.
         */
        data: z.ZodString;
        /**
         * The MIME type of the audio. Different providers may support different audio types.
         */
        mimeType: z.ZodString;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        type: z.ZodLiteral<"audio">;
        /**
         * The base64-encoded audio data.
         */
        data: z.ZodString;
        /**
         * The MIME type of the audio. Different providers may support different audio types.
         */
        mimeType: z.ZodString;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        type: z.ZodLiteral<"audio">;
        /**
         * The base64-encoded audio data.
         */
        data: z.ZodString;
        /**
         * The MIME type of the audio. Different providers may support different audio types.
         */
        mimeType: z.ZodString;
    }, z.ZodTypeAny, "passthrough">>]>;
}>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
    /**
     * This result property is reserved by the protocol to allow clients and servers to attach additional metadata to their responses.
     */
    _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
}, {
    /**
     * The name of the model that generated the message.
     */
    model: z.ZodString;
    /**
     * The reason why sampling stopped.
     */
    stopReason: z.ZodOptional<z.ZodUnion<[z.ZodEnum<["endTurn", "stopSequence", "maxTokens"]>, z.ZodString]>>;
    role: z.ZodEnum<["user", "assistant"]>;
    content: z.ZodDiscriminatedUnion<"type", [z.ZodObject<{
        type: z.ZodLiteral<"text">;
        /**
         * The text content of the message.
         */
        text: z.ZodString;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        type: z.ZodLiteral<"text">;
        /**
         * The text content of the message.
         */
        text: z.ZodString;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        type: z.ZodLiteral<"text">;
        /**
         * The text content of the message.
         */
        text: z.ZodString;
    }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
        type: z.ZodLiteral<"image">;
        /**
         * The base64-encoded image data.
         */
        data: z.ZodString;
        /**
         * The MIME type of the image. Different providers may support different image types.
         */
        mimeType: z.ZodString;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        type: z.ZodLiteral<"image">;
        /**
         * The base64-encoded image data.
         */
        data: z.ZodString;
        /**
         * The MIME type of the image. Different providers may support different image types.
         */
        mimeType: z.ZodString;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        type: z.ZodLiteral<"image">;
        /**
         * The base64-encoded image data.
         */
        data: z.ZodString;
        /**
         * The MIME type of the image. Different providers may support different image types.
         */
        mimeType: z.ZodString;
    }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
        type: z.ZodLiteral<"audio">;
        /**
         * The base64-encoded audio data.
         */
        data: z.ZodString;
        /**
         * The MIME type of the audio. Different providers may support different audio types.
         */
        mimeType: z.ZodString;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        type: z.ZodLiteral<"audio">;
        /**
         * The base64-encoded audio data.
         */
        data: z.ZodString;
        /**
         * The MIME type of the audio. Different providers may support different audio types.
         */
        mimeType: z.ZodString;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        type: z.ZodLiteral<"audio">;
        /**
         * The base64-encoded audio data.
         */
        data: z.ZodString;
        /**
         * The MIME type of the audio. Different providers may support different audio types.
         */
        mimeType: z.ZodString;
    }, z.ZodTypeAny, "passthrough">>]>;
}>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
    /**
     * This result property is reserved by the protocol to allow clients and servers to attach additional metadata to their responses.
     */
    _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
}, {
    /**
     * The name of the model that generated the message.
     */
    model: z.ZodString;
    /**
     * The reason why sampling stopped.
     */
    stopReason: z.ZodOptional<z.ZodUnion<[z.ZodEnum<["endTurn", "stopSequence", "maxTokens"]>, z.ZodString]>>;
    role: z.ZodEnum<["user", "assistant"]>;
    content: z.ZodDiscriminatedUnion<"type", [z.ZodObject<{
        type: z.ZodLiteral<"text">;
        /**
         * The text content of the message.
         */
        text: z.ZodString;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        type: z.ZodLiteral<"text">;
        /**
         * The text content of the message.
         */
        text: z.ZodString;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        type: z.ZodLiteral<"text">;
        /**
         * The text content of the message.
         */
        text: z.ZodString;
    }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
        type: z.ZodLiteral<"image">;
        /**
         * The base64-encoded image data.
         */
        data: z.ZodString;
        /**
         * The MIME type of the image. Different providers may support different image types.
         */
        mimeType: z.ZodString;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        type: z.ZodLiteral<"image">;
        /**
         * The base64-encoded image data.
         */
        data: z.ZodString;
        /**
         * The MIME type of the image. Different providers may support different image types.
         */
        mimeType: z.ZodString;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        type: z.ZodLiteral<"image">;
        /**
         * The base64-encoded image data.
         */
        data: z.ZodString;
        /**
         * The MIME type of the image. Different providers may support different image types.
         */
        mimeType: z.ZodString;
    }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
        type: z.ZodLiteral<"audio">;
        /**
         * The base64-encoded audio data.
         */
        data: z.ZodString;
        /**
         * The MIME type of the audio. Different providers may support different audio types.
         */
        mimeType: z.ZodString;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        type: z.ZodLiteral<"audio">;
        /**
         * The base64-encoded audio data.
         */
        data: z.ZodString;
        /**
         * The MIME type of the audio. Different providers may support different audio types.
         */
        mimeType: z.ZodString;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        type: z.ZodLiteral<"audio">;
        /**
         * The base64-encoded audio data.
         */
        data: z.ZodString;
        /**
         * The MIME type of the audio. Different providers may support different audio types.
         */
        mimeType: z.ZodString;
    }, z.ZodTypeAny, "passthrough">>]>;
}>, z.ZodTypeAny, "passthrough">>;
/**
 * A reference to a resource or resource template definition.
 */
export declare const ResourceReferenceSchema: z.ZodObject<{
    type: z.ZodLiteral<"ref/resource">;
    /**
     * The URI or URI template of the resource.
     */
    uri: z.ZodString;
}, "passthrough", z.ZodTypeAny, z.objectOutputType<{
    type: z.ZodLiteral<"ref/resource">;
    /**
     * The URI or URI template of the resource.
     */
    uri: z.ZodString;
}, z.ZodTypeAny, "passthrough">, z.objectInputType<{
    type: z.ZodLiteral<"ref/resource">;
    /**
     * The URI or URI template of the resource.
     */
    uri: z.ZodString;
}, z.ZodTypeAny, "passthrough">>;
/**
 * Identifies a prompt.
 */
export declare const PromptReferenceSchema: z.ZodObject<{
    type: z.ZodLiteral<"ref/prompt">;
    /**
     * The name of the prompt or prompt template
     */
    name: z.ZodString;
}, "passthrough", z.ZodTypeAny, z.objectOutputType<{
    type: z.ZodLiteral<"ref/prompt">;
    /**
     * The name of the prompt or prompt template
     */
    name: z.ZodString;
}, z.ZodTypeAny, "passthrough">, z.objectInputType<{
    type: z.ZodLiteral<"ref/prompt">;
    /**
     * The name of the prompt or prompt template
     */
    name: z.ZodString;
}, z.ZodTypeAny, "passthrough">>;
/**
 * A request from the client to the server, to ask for completion options.
 */
export declare const CompleteRequestSchema: z.ZodObject<z.objectUtil.extendShape<{
    method: z.ZodString;
    params: z.ZodOptional<z.ZodObject<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">>>;
}, {
    method: z.ZodLiteral<"completion/complete">;
    params: z.ZodObject<z.objectUtil.extendShape<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, {
        ref: z.ZodUnion<[z.ZodObject<{
            type: z.ZodLiteral<"ref/prompt">;
            /**
             * The name of the prompt or prompt template
             */
            name: z.ZodString;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            type: z.ZodLiteral<"ref/prompt">;
            /**
             * The name of the prompt or prompt template
             */
            name: z.ZodString;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            type: z.ZodLiteral<"ref/prompt">;
            /**
             * The name of the prompt or prompt template
             */
            name: z.ZodString;
        }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
            type: z.ZodLiteral<"ref/resource">;
            /**
             * The URI or URI template of the resource.
             */
            uri: z.ZodString;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            type: z.ZodLiteral<"ref/resource">;
            /**
             * The URI or URI template of the resource.
             */
            uri: z.ZodString;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            type: z.ZodLiteral<"ref/resource">;
            /**
             * The URI or URI template of the resource.
             */
            uri: z.ZodString;
        }, z.ZodTypeAny, "passthrough">>]>;
        /**
         * The argument's information
         */
        argument: z.ZodObject<{
            /**
             * The name of the argument
             */
            name: z.ZodString;
            /**
             * The value of the argument to use for completion matching.
             */
            value: z.ZodString;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * The name of the argument
             */
            name: z.ZodString;
            /**
             * The value of the argument to use for completion matching.
             */
            value: z.ZodString;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * The name of the argument
             */
            name: z.ZodString;
            /**
             * The value of the argument to use for completion matching.
             */
            value: z.ZodString;
        }, z.ZodTypeAny, "passthrough">>;
    }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, {
        ref: z.ZodUnion<[z.ZodObject<{
            type: z.ZodLiteral<"ref/prompt">;
            /**
             * The name of the prompt or prompt template
             */
            name: z.ZodString;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            type: z.ZodLiteral<"ref/prompt">;
            /**
             * The name of the prompt or prompt template
             */
            name: z.ZodString;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            type: z.ZodLiteral<"ref/prompt">;
            /**
             * The name of the prompt or prompt template
             */
            name: z.ZodString;
        }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
            type: z.ZodLiteral<"ref/resource">;
            /**
             * The URI or URI template of the resource.
             */
            uri: z.ZodString;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            type: z.ZodLiteral<"ref/resource">;
            /**
             * The URI or URI template of the resource.
             */
            uri: z.ZodString;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            type: z.ZodLiteral<"ref/resource">;
            /**
             * The URI or URI template of the resource.
             */
            uri: z.ZodString;
        }, z.ZodTypeAny, "passthrough">>]>;
        /**
         * The argument's information
         */
        argument: z.ZodObject<{
            /**
             * The name of the argument
             */
            name: z.ZodString;
            /**
             * The value of the argument to use for completion matching.
             */
            value: z.ZodString;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * The name of the argument
             */
            name: z.ZodString;
            /**
             * The value of the argument to use for completion matching.
             */
            value: z.ZodString;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * The name of the argument
             */
            name: z.ZodString;
            /**
             * The value of the argument to use for completion matching.
             */
            value: z.ZodString;
        }, z.ZodTypeAny, "passthrough">>;
    }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, {
        ref: z.ZodUnion<[z.ZodObject<{
            type: z.ZodLiteral<"ref/prompt">;
            /**
             * The name of the prompt or prompt template
             */
            name: z.ZodString;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            type: z.ZodLiteral<"ref/prompt">;
            /**
             * The name of the prompt or prompt template
             */
            name: z.ZodString;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            type: z.ZodLiteral<"ref/prompt">;
            /**
             * The name of the prompt or prompt template
             */
            name: z.ZodString;
        }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
            type: z.ZodLiteral<"ref/resource">;
            /**
             * The URI or URI template of the resource.
             */
            uri: z.ZodString;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            type: z.ZodLiteral<"ref/resource">;
            /**
             * The URI or URI template of the resource.
             */
            uri: z.ZodString;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            type: z.ZodLiteral<"ref/resource">;
            /**
             * The URI or URI template of the resource.
             */
            uri: z.ZodString;
        }, z.ZodTypeAny, "passthrough">>]>;
        /**
         * The argument's information
         */
        argument: z.ZodObject<{
            /**
             * The name of the argument
             */
            name: z.ZodString;
            /**
             * The value of the argument to use for completion matching.
             */
            value: z.ZodString;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * The name of the argument
             */
            name: z.ZodString;
            /**
             * The value of the argument to use for completion matching.
             */
            value: z.ZodString;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * The name of the argument
             */
            name: z.ZodString;
            /**
             * The value of the argument to use for completion matching.
             */
            value: z.ZodString;
        }, z.ZodTypeAny, "passthrough">>;
    }>, z.ZodTypeAny, "passthrough">>;
}>, "strip", z.ZodTypeAny, {
    params: {
        ref: z.objectOutputType<{
            type: z.ZodLiteral<"ref/resource">;
            /**
             * The URI or URI template of the resource.
             */
            uri: z.ZodString;
        }, z.ZodTypeAny, "passthrough"> | z.objectOutputType<{
            type: z.ZodLiteral<"ref/prompt">;
            /**
             * The name of the prompt or prompt template
             */
            name: z.ZodString;
        }, z.ZodTypeAny, "passthrough">;
        argument: {
            value: string;
            name: string;
        } & {
            [k: string]: unknown;
        };
        _meta?: z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough"> | undefined;
    } & {
        [k: string]: unknown;
    };
    method: "completion/complete";
}, {
    params: {
        ref: z.objectInputType<{
            type: z.ZodLiteral<"ref/resource">;
            /**
             * The URI or URI template of the resource.
             */
            uri: z.ZodString;
        }, z.ZodTypeAny, "passthrough"> | z.objectInputType<{
            type: z.ZodLiteral<"ref/prompt">;
            /**
             * The name of the prompt or prompt template
             */
            name: z.ZodString;
        }, z.ZodTypeAny, "passthrough">;
        argument: {
            value: string;
            name: string;
        } & {
            [k: string]: unknown;
        };
        _meta?: z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough"> | undefined;
    } & {
        [k: string]: unknown;
    };
    method: "completion/complete";
}>;
/**
 * The server's response to a completion/complete request
 */
export declare const CompleteResultSchema: z.ZodObject<z.objectUtil.extendShape<{
    /**
     * This result property is reserved by the protocol to allow clients and servers to attach additional metadata to their responses.
     */
    _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
}, {
    completion: z.ZodObject<{
        /**
         * An array of completion values. Must not exceed 100 items.
         */
        values: z.ZodArray<z.ZodString, "many">;
        /**
         * The total number of completion options available. This can exceed the number of values actually sent in the response.
         */
        total: z.ZodOptional<z.ZodNumber>;
        /**
         * Indicates whether there are additional completion options beyond those provided in the current response, even if the exact total is unknown.
         */
        hasMore: z.ZodOptional<z.ZodBoolean>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        /**
         * An array of completion values. Must not exceed 100 items.
         */
        values: z.ZodArray<z.ZodString, "many">;
        /**
         * The total number of completion options available. This can exceed the number of values actually sent in the response.
         */
        total: z.ZodOptional<z.ZodNumber>;
        /**
         * Indicates whether there are additional completion options beyond those provided in the current response, even if the exact total is unknown.
         */
        hasMore: z.ZodOptional<z.ZodBoolean>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        /**
         * An array of completion values. Must not exceed 100 items.
         */
        values: z.ZodArray<z.ZodString, "many">;
        /**
         * The total number of completion options available. This can exceed the number of values actually sent in the response.
         */
        total: z.ZodOptional<z.ZodNumber>;
        /**
         * Indicates whether there are additional completion options beyond those provided in the current response, even if the exact total is unknown.
         */
        hasMore: z.ZodOptional<z.ZodBoolean>;
    }, z.ZodTypeAny, "passthrough">>;
}>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
    /**
     * This result property is reserved by the protocol to allow clients and servers to attach additional metadata to their responses.
     */
    _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
}, {
    completion: z.ZodObject<{
        /**
         * An array of completion values. Must not exceed 100 items.
         */
        values: z.ZodArray<z.ZodString, "many">;
        /**
         * The total number of completion options available. This can exceed the number of values actually sent in the response.
         */
        total: z.ZodOptional<z.ZodNumber>;
        /**
         * Indicates whether there are additional completion options beyond those provided in the current response, even if the exact total is unknown.
         */
        hasMore: z.ZodOptional<z.ZodBoolean>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        /**
         * An array of completion values. Must not exceed 100 items.
         */
        values: z.ZodArray<z.ZodString, "many">;
        /**
         * The total number of completion options available. This can exceed the number of values actually sent in the response.
         */
        total: z.ZodOptional<z.ZodNumber>;
        /**
         * Indicates whether there are additional completion options beyond those provided in the current response, even if the exact total is unknown.
         */
        hasMore: z.ZodOptional<z.ZodBoolean>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        /**
         * An array of completion values. Must not exceed 100 items.
         */
        values: z.ZodArray<z.ZodString, "many">;
        /**
         * The total number of completion options available. This can exceed the number of values actually sent in the response.
         */
        total: z.ZodOptional<z.ZodNumber>;
        /**
         * Indicates whether there are additional completion options beyond those provided in the current response, even if the exact total is unknown.
         */
        hasMore: z.ZodOptional<z.ZodBoolean>;
    }, z.ZodTypeAny, "passthrough">>;
}>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
    /**
     * This result property is reserved by the protocol to allow clients and servers to attach additional metadata to their responses.
     */
    _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
}, {
    completion: z.ZodObject<{
        /**
         * An array of completion values. Must not exceed 100 items.
         */
        values: z.ZodArray<z.ZodString, "many">;
        /**
         * The total number of completion options available. This can exceed the number of values actually sent in the response.
         */
        total: z.ZodOptional<z.ZodNumber>;
        /**
         * Indicates whether there are additional completion options beyond those provided in the current response, even if the exact total is unknown.
         */
        hasMore: z.ZodOptional<z.ZodBoolean>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        /**
         * An array of completion values. Must not exceed 100 items.
         */
        values: z.ZodArray<z.ZodString, "many">;
        /**
         * The total number of completion options available. This can exceed the number of values actually sent in the response.
         */
        total: z.ZodOptional<z.ZodNumber>;
        /**
         * Indicates whether there are additional completion options beyond those provided in the current response, even if the exact total is unknown.
         */
        hasMore: z.ZodOptional<z.ZodBoolean>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        /**
         * An array of completion values. Must not exceed 100 items.
         */
        values: z.ZodArray<z.ZodString, "many">;
        /**
         * The total number of completion options available. This can exceed the number of values actually sent in the response.
         */
        total: z.ZodOptional<z.ZodNumber>;
        /**
         * Indicates whether there are additional completion options beyond those provided in the current response, even if the exact total is unknown.
         */
        hasMore: z.ZodOptional<z.ZodBoolean>;
    }, z.ZodTypeAny, "passthrough">>;
}>, z.ZodTypeAny, "passthrough">>;
/**
 * Represents a root directory or file that the server can operate on.
 */
export declare const RootSchema: z.ZodObject<{
    /**
     * The URI identifying the root. This *must* start with file:// for now.
     */
    uri: z.ZodString;
    /**
     * An optional name for the root.
     */
    name: z.ZodOptional<z.ZodString>;
}, "passthrough", z.ZodTypeAny, z.objectOutputType<{
    /**
     * The URI identifying the root. This *must* start with file:// for now.
     */
    uri: z.ZodString;
    /**
     * An optional name for the root.
     */
    name: z.ZodOptional<z.ZodString>;
}, z.ZodTypeAny, "passthrough">, z.objectInputType<{
    /**
     * The URI identifying the root. This *must* start with file:// for now.
     */
    uri: z.ZodString;
    /**
     * An optional name for the root.
     */
    name: z.ZodOptional<z.ZodString>;
}, z.ZodTypeAny, "passthrough">>;
/**
 * Sent from the server to request a list of root URIs from the client.
 */
export declare const ListRootsRequestSchema: z.ZodObject<z.objectUtil.extendShape<{
    method: z.ZodString;
    params: z.ZodOptional<z.ZodObject<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">>>;
}, {
    method: z.ZodLiteral<"roots/list">;
}>, "strip", z.ZodTypeAny, {
    method: "roots/list";
    params?: z.objectOutputType<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough"> | undefined;
}, {
    method: "roots/list";
    params?: z.objectInputType<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough"> | undefined;
}>;
/**
 * The client's response to a roots/list request from the server.
 */
export declare const ListRootsResultSchema: z.ZodObject<z.objectUtil.extendShape<{
    /**
     * This result property is reserved by the protocol to allow clients and servers to attach additional metadata to their responses.
     */
    _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
}, {
    roots: z.ZodArray<z.ZodObject<{
        /**
         * The URI identifying the root. This *must* start with file:// for now.
         */
        uri: z.ZodString;
        /**
         * An optional name for the root.
         */
        name: z.ZodOptional<z.ZodString>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        /**
         * The URI identifying the root. This *must* start with file:// for now.
         */
        uri: z.ZodString;
        /**
         * An optional name for the root.
         */
        name: z.ZodOptional<z.ZodString>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        /**
         * The URI identifying the root. This *must* start with file:// for now.
         */
        uri: z.ZodString;
        /**
         * An optional name for the root.
         */
        name: z.ZodOptional<z.ZodString>;
    }, z.ZodTypeAny, "passthrough">>, "many">;
}>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
    /**
     * This result property is reserved by the protocol to allow clients and servers to attach additional metadata to their responses.
     */
    _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
}, {
    roots: z.ZodArray<z.ZodObject<{
        /**
         * The URI identifying the root. This *must* start with file:// for now.
         */
        uri: z.ZodString;
        /**
         * An optional name for the root.
         */
        name: z.ZodOptional<z.ZodString>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        /**
         * The URI identifying the root. This *must* start with file:// for now.
         */
        uri: z.ZodString;
        /**
         * An optional name for the root.
         */
        name: z.ZodOptional<z.ZodString>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        /**
         * The URI identifying the root. This *must* start with file:// for now.
         */
        uri: z.ZodString;
        /**
         * An optional name for the root.
         */
        name: z.ZodOptional<z.ZodString>;
    }, z.ZodTypeAny, "passthrough">>, "many">;
}>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
    /**
     * This result property is reserved by the protocol to allow clients and servers to attach additional metadata to their responses.
     */
    _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
}, {
    roots: z.ZodArray<z.ZodObject<{
        /**
         * The URI identifying the root. This *must* start with file:// for now.
         */
        uri: z.ZodString;
        /**
         * An optional name for the root.
         */
        name: z.ZodOptional<z.ZodString>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        /**
         * The URI identifying the root. This *must* start with file:// for now.
         */
        uri: z.ZodString;
        /**
         * An optional name for the root.
         */
        name: z.ZodOptional<z.ZodString>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        /**
         * The URI identifying the root. This *must* start with file:// for now.
         */
        uri: z.ZodString;
        /**
         * An optional name for the root.
         */
        name: z.ZodOptional<z.ZodString>;
    }, z.ZodTypeAny, "passthrough">>, "many">;
}>, z.ZodTypeAny, "passthrough">>;
/**
 * A notification from the client to the server, informing it that the list of roots has changed.
 */
export declare const RootsListChangedNotificationSchema: z.ZodObject<z.objectUtil.extendShape<{
    method: z.ZodString;
    params: z.ZodOptional<z.ZodObject<{
        /**
         * This parameter name is reserved by MCP to allow clients and servers to attach additional metadata to their notifications.
         */
        _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        /**
         * This parameter name is reserved by MCP to allow clients and servers to attach additional metadata to their notifications.
         */
        _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        /**
         * This parameter name is reserved by MCP to allow clients and servers to attach additional metadata to their notifications.
         */
        _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">>>;
}, {
    method: z.ZodLiteral<"notifications/roots/list_changed">;
}>, "strip", z.ZodTypeAny, {
    method: "notifications/roots/list_changed";
    params?: z.objectOutputType<{
        /**
         * This parameter name is reserved by MCP to allow clients and servers to attach additional metadata to their notifications.
         */
        _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough"> | undefined;
}, {
    method: "notifications/roots/list_changed";
    params?: z.objectInputType<{
        /**
         * This parameter name is reserved by MCP to allow clients and servers to attach additional metadata to their notifications.
         */
        _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough"> | undefined;
}>;
export declare const ClientRequestSchema: z.ZodUnion<[z.ZodObject<z.objectUtil.extendShape<{
    method: z.ZodString;
    params: z.ZodOptional<z.ZodObject<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">>>;
}, {
    method: z.ZodLiteral<"ping">;
}>, "strip", z.ZodTypeAny, {
    method: "ping";
    params?: z.objectOutputType<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough"> | undefined;
}, {
    method: "ping";
    params?: z.objectInputType<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough"> | undefined;
}>, z.ZodObject<z.objectUtil.extendShape<{
    method: z.ZodString;
    params: z.ZodOptional<z.ZodObject<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">>>;
}, {
    method: z.ZodLiteral<"initialize">;
    params: z.ZodObject<z.objectUtil.extendShape<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, {
        /**
         * The latest version of the Model Context Protocol that the client supports. The client MAY decide to support older versions as well.
         */
        protocolVersion: z.ZodString;
        capabilities: z.ZodObject<{
            /**
             * Experimental, non-standard capabilities that the client supports.
             */
            experimental: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
            /**
             * Present if the client supports sampling from an LLM.
             */
            sampling: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
            /**
             * Present if the client supports listing roots.
             */
            roots: z.ZodOptional<z.ZodObject<{
                /**
                 * Whether the client supports issuing notifications for changes to the roots list.
                 */
                listChanged: z.ZodOptional<z.ZodBoolean>;
            }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
                /**
                 * Whether the client supports issuing notifications for changes to the roots list.
                 */
                listChanged: z.ZodOptional<z.ZodBoolean>;
            }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
                /**
                 * Whether the client supports issuing notifications for changes to the roots list.
                 */
                listChanged: z.ZodOptional<z.ZodBoolean>;
            }, z.ZodTypeAny, "passthrough">>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * Experimental, non-standard capabilities that the client supports.
             */
            experimental: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
            /**
             * Present if the client supports sampling from an LLM.
             */
            sampling: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
            /**
             * Present if the client supports listing roots.
             */
            roots: z.ZodOptional<z.ZodObject<{
                /**
                 * Whether the client supports issuing notifications for changes to the roots list.
                 */
                listChanged: z.ZodOptional<z.ZodBoolean>;
            }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
                /**
                 * Whether the client supports issuing notifications for changes to the roots list.
                 */
                listChanged: z.ZodOptional<z.ZodBoolean>;
            }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
                /**
                 * Whether the client supports issuing notifications for changes to the roots list.
                 */
                listChanged: z.ZodOptional<z.ZodBoolean>;
            }, z.ZodTypeAny, "passthrough">>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * Experimental, non-standard capabilities that the client supports.
             */
            experimental: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
            /**
             * Present if the client supports sampling from an LLM.
             */
            sampling: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
            /**
             * Present if the client supports listing roots.
             */
            roots: z.ZodOptional<z.ZodObject<{
                /**
                 * Whether the client supports issuing notifications for changes to the roots list.
                 */
                listChanged: z.ZodOptional<z.ZodBoolean>;
            }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
                /**
                 * Whether the client supports issuing notifications for changes to the roots list.
                 */
                listChanged: z.ZodOptional<z.ZodBoolean>;
            }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
                /**
                 * Whether the client supports issuing notifications for changes to the roots list.
                 */
                listChanged: z.ZodOptional<z.ZodBoolean>;
            }, z.ZodTypeAny, "passthrough">>>;
        }, z.ZodTypeAny, "passthrough">>;
        clientInfo: z.ZodObject<{
            name: z.ZodString;
            version: z.ZodString;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            name: z.ZodString;
            version: z.ZodString;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            name: z.ZodString;
            version: z.ZodString;
        }, z.ZodTypeAny, "passthrough">>;
    }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, {
        /**
         * The latest version of the Model Context Protocol that the client supports. The client MAY decide to support older versions as well.
         */
        protocolVersion: z.ZodString;
        capabilities: z.ZodObject<{
            /**
             * Experimental, non-standard capabilities that the client supports.
             */
            experimental: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
            /**
             * Present if the client supports sampling from an LLM.
             */
            sampling: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
            /**
             * Present if the client supports listing roots.
             */
            roots: z.ZodOptional<z.ZodObject<{
                /**
                 * Whether the client supports issuing notifications for changes to the roots list.
                 */
                listChanged: z.ZodOptional<z.ZodBoolean>;
            }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
                /**
                 * Whether the client supports issuing notifications for changes to the roots list.
                 */
                listChanged: z.ZodOptional<z.ZodBoolean>;
            }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
                /**
                 * Whether the client supports issuing notifications for changes to the roots list.
                 */
                listChanged: z.ZodOptional<z.ZodBoolean>;
            }, z.ZodTypeAny, "passthrough">>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * Experimental, non-standard capabilities that the client supports.
             */
            experimental: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
            /**
             * Present if the client supports sampling from an LLM.
             */
            sampling: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
            /**
             * Present if the client supports listing roots.
             */
            roots: z.ZodOptional<z.ZodObject<{
                /**
                 * Whether the client supports issuing notifications for changes to the roots list.
                 */
                listChanged: z.ZodOptional<z.ZodBoolean>;
            }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
                /**
                 * Whether the client supports issuing notifications for changes to the roots list.
                 */
                listChanged: z.ZodOptional<z.ZodBoolean>;
            }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
                /**
                 * Whether the client supports issuing notifications for changes to the roots list.
                 */
                listChanged: z.ZodOptional<z.ZodBoolean>;
            }, z.ZodTypeAny, "passthrough">>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * Experimental, non-standard capabilities that the client supports.
             */
            experimental: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
            /**
             * Present if the client supports sampling from an LLM.
             */
            sampling: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
            /**
             * Present if the client supports listing roots.
             */
            roots: z.ZodOptional<z.ZodObject<{
                /**
                 * Whether the client supports issuing notifications for changes to the roots list.
                 */
                listChanged: z.ZodOptional<z.ZodBoolean>;
            }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
                /**
                 * Whether the client supports issuing notifications for changes to the roots list.
                 */
                listChanged: z.ZodOptional<z.ZodBoolean>;
            }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
                /**
                 * Whether the client supports issuing notifications for changes to the roots list.
                 */
                listChanged: z.ZodOptional<z.ZodBoolean>;
            }, z.ZodTypeAny, "passthrough">>>;
        }, z.ZodTypeAny, "passthrough">>;
        clientInfo: z.ZodObject<{
            name: z.ZodString;
            version: z.ZodString;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            name: z.ZodString;
            version: z.ZodString;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            name: z.ZodString;
            version: z.ZodString;
        }, z.ZodTypeAny, "passthrough">>;
    }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, {
        /**
         * The latest version of the Model Context Protocol that the client supports. The client MAY decide to support older versions as well.
         */
        protocolVersion: z.ZodString;
        capabilities: z.ZodObject<{
            /**
             * Experimental, non-standard capabilities that the client supports.
             */
            experimental: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
            /**
             * Present if the client supports sampling from an LLM.
             */
            sampling: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
            /**
             * Present if the client supports listing roots.
             */
            roots: z.ZodOptional<z.ZodObject<{
                /**
                 * Whether the client supports issuing notifications for changes to the roots list.
                 */
                listChanged: z.ZodOptional<z.ZodBoolean>;
            }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
                /**
                 * Whether the client supports issuing notifications for changes to the roots list.
                 */
                listChanged: z.ZodOptional<z.ZodBoolean>;
            }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
                /**
                 * Whether the client supports issuing notifications for changes to the roots list.
                 */
                listChanged: z.ZodOptional<z.ZodBoolean>;
            }, z.ZodTypeAny, "passthrough">>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * Experimental, non-standard capabilities that the client supports.
             */
            experimental: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
            /**
             * Present if the client supports sampling from an LLM.
             */
            sampling: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
            /**
             * Present if the client supports listing roots.
             */
            roots: z.ZodOptional<z.ZodObject<{
                /**
                 * Whether the client supports issuing notifications for changes to the roots list.
                 */
                listChanged: z.ZodOptional<z.ZodBoolean>;
            }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
                /**
                 * Whether the client supports issuing notifications for changes to the roots list.
                 */
                listChanged: z.ZodOptional<z.ZodBoolean>;
            }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
                /**
                 * Whether the client supports issuing notifications for changes to the roots list.
                 */
                listChanged: z.ZodOptional<z.ZodBoolean>;
            }, z.ZodTypeAny, "passthrough">>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * Experimental, non-standard capabilities that the client supports.
             */
            experimental: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
            /**
             * Present if the client supports sampling from an LLM.
             */
            sampling: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
            /**
             * Present if the client supports listing roots.
             */
            roots: z.ZodOptional<z.ZodObject<{
                /**
                 * Whether the client supports issuing notifications for changes to the roots list.
                 */
                listChanged: z.ZodOptional<z.ZodBoolean>;
            }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
                /**
                 * Whether the client supports issuing notifications for changes to the roots list.
                 */
                listChanged: z.ZodOptional<z.ZodBoolean>;
            }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
                /**
                 * Whether the client supports issuing notifications for changes to the roots list.
                 */
                listChanged: z.ZodOptional<z.ZodBoolean>;
            }, z.ZodTypeAny, "passthrough">>>;
        }, z.ZodTypeAny, "passthrough">>;
        clientInfo: z.ZodObject<{
            name: z.ZodString;
            version: z.ZodString;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            name: z.ZodString;
            version: z.ZodString;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            name: z.ZodString;
            version: z.ZodString;
        }, z.ZodTypeAny, "passthrough">>;
    }>, z.ZodTypeAny, "passthrough">>;
}>, "strip", z.ZodTypeAny, {
    params: {
        protocolVersion: string;
        capabilities: {
            experimental?: z.objectOutputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
            sampling?: z.objectOutputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
            roots?: z.objectOutputType<{
                /**
                 * Whether the client supports issuing notifications for changes to the roots list.
                 */
                listChanged: z.ZodOptional<z.ZodBoolean>;
            }, z.ZodTypeAny, "passthrough"> | undefined;
        } & {
            [k: string]: unknown;
        };
        clientInfo: {
            name: string;
            version: string;
        } & {
            [k: string]: unknown;
        };
        _meta?: z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough"> | undefined;
    } & {
        [k: string]: unknown;
    };
    method: "initialize";
}, {
    params: {
        protocolVersion: string;
        capabilities: {
            experimental?: z.objectInputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
            sampling?: z.objectInputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
            roots?: z.objectInputType<{
                /**
                 * Whether the client supports issuing notifications for changes to the roots list.
                 */
                listChanged: z.ZodOptional<z.ZodBoolean>;
            }, z.ZodTypeAny, "passthrough"> | undefined;
        } & {
            [k: string]: unknown;
        };
        clientInfo: {
            name: string;
            version: string;
        } & {
            [k: string]: unknown;
        };
        _meta?: z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough"> | undefined;
    } & {
        [k: string]: unknown;
    };
    method: "initialize";
}>, z.ZodObject<z.objectUtil.extendShape<{
    method: z.ZodString;
    params: z.ZodOptional<z.ZodObject<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">>>;
}, {
    method: z.ZodLiteral<"completion/complete">;
    params: z.ZodObject<z.objectUtil.extendShape<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, {
        ref: z.ZodUnion<[z.ZodObject<{
            type: z.ZodLiteral<"ref/prompt">;
            /**
             * The name of the prompt or prompt template
             */
            name: z.ZodString;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            type: z.ZodLiteral<"ref/prompt">;
            /**
             * The name of the prompt or prompt template
             */
            name: z.ZodString;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            type: z.ZodLiteral<"ref/prompt">;
            /**
             * The name of the prompt or prompt template
             */
            name: z.ZodString;
        }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
            type: z.ZodLiteral<"ref/resource">;
            /**
             * The URI or URI template of the resource.
             */
            uri: z.ZodString;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            type: z.ZodLiteral<"ref/resource">;
            /**
             * The URI or URI template of the resource.
             */
            uri: z.ZodString;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            type: z.ZodLiteral<"ref/resource">;
            /**
             * The URI or URI template of the resource.
             */
            uri: z.ZodString;
        }, z.ZodTypeAny, "passthrough">>]>;
        /**
         * The argument's information
         */
        argument: z.ZodObject<{
            /**
             * The name of the argument
             */
            name: z.ZodString;
            /**
             * The value of the argument to use for completion matching.
             */
            value: z.ZodString;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * The name of the argument
             */
            name: z.ZodString;
            /**
             * The value of the argument to use for completion matching.
             */
            value: z.ZodString;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * The name of the argument
             */
            name: z.ZodString;
            /**
             * The value of the argument to use for completion matching.
             */
            value: z.ZodString;
        }, z.ZodTypeAny, "passthrough">>;
    }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, {
        ref: z.ZodUnion<[z.ZodObject<{
            type: z.ZodLiteral<"ref/prompt">;
            /**
             * The name of the prompt or prompt template
             */
            name: z.ZodString;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            type: z.ZodLiteral<"ref/prompt">;
            /**
             * The name of the prompt or prompt template
             */
            name: z.ZodString;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            type: z.ZodLiteral<"ref/prompt">;
            /**
             * The name of the prompt or prompt template
             */
            name: z.ZodString;
        }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
            type: z.ZodLiteral<"ref/resource">;
            /**
             * The URI or URI template of the resource.
             */
            uri: z.ZodString;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            type: z.ZodLiteral<"ref/resource">;
            /**
             * The URI or URI template of the resource.
             */
            uri: z.ZodString;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            type: z.ZodLiteral<"ref/resource">;
            /**
             * The URI or URI template of the resource.
             */
            uri: z.ZodString;
        }, z.ZodTypeAny, "passthrough">>]>;
        /**
         * The argument's information
         */
        argument: z.ZodObject<{
            /**
             * The name of the argument
             */
            name: z.ZodString;
            /**
             * The value of the argument to use for completion matching.
             */
            value: z.ZodString;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * The name of the argument
             */
            name: z.ZodString;
            /**
             * The value of the argument to use for completion matching.
             */
            value: z.ZodString;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * The name of the argument
             */
            name: z.ZodString;
            /**
             * The value of the argument to use for completion matching.
             */
            value: z.ZodString;
        }, z.ZodTypeAny, "passthrough">>;
    }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, {
        ref: z.ZodUnion<[z.ZodObject<{
            type: z.ZodLiteral<"ref/prompt">;
            /**
             * The name of the prompt or prompt template
             */
            name: z.ZodString;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            type: z.ZodLiteral<"ref/prompt">;
            /**
             * The name of the prompt or prompt template
             */
            name: z.ZodString;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            type: z.ZodLiteral<"ref/prompt">;
            /**
             * The name of the prompt or prompt template
             */
            name: z.ZodString;
        }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
            type: z.ZodLiteral<"ref/resource">;
            /**
             * The URI or URI template of the resource.
             */
            uri: z.ZodString;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            type: z.ZodLiteral<"ref/resource">;
            /**
             * The URI or URI template of the resource.
             */
            uri: z.ZodString;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            type: z.ZodLiteral<"ref/resource">;
            /**
             * The URI or URI template of the resource.
             */
            uri: z.ZodString;
        }, z.ZodTypeAny, "passthrough">>]>;
        /**
         * The argument's information
         */
        argument: z.ZodObject<{
            /**
             * The name of the argument
             */
            name: z.ZodString;
            /**
             * The value of the argument to use for completion matching.
             */
            value: z.ZodString;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * The name of the argument
             */
            name: z.ZodString;
            /**
             * The value of the argument to use for completion matching.
             */
            value: z.ZodString;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * The name of the argument
             */
            name: z.ZodString;
            /**
             * The value of the argument to use for completion matching.
             */
            value: z.ZodString;
        }, z.ZodTypeAny, "passthrough">>;
    }>, z.ZodTypeAny, "passthrough">>;
}>, "strip", z.ZodTypeAny, {
    params: {
        ref: z.objectOutputType<{
            type: z.ZodLiteral<"ref/resource">;
            /**
             * The URI or URI template of the resource.
             */
            uri: z.ZodString;
        }, z.ZodTypeAny, "passthrough"> | z.objectOutputType<{
            type: z.ZodLiteral<"ref/prompt">;
            /**
             * The name of the prompt or prompt template
             */
            name: z.ZodString;
        }, z.ZodTypeAny, "passthrough">;
        argument: {
            value: string;
            name: string;
        } & {
            [k: string]: unknown;
        };
        _meta?: z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough"> | undefined;
    } & {
        [k: string]: unknown;
    };
    method: "completion/complete";
}, {
    params: {
        ref: z.objectInputType<{
            type: z.ZodLiteral<"ref/resource">;
            /**
             * The URI or URI template of the resource.
             */
            uri: z.ZodString;
        }, z.ZodTypeAny, "passthrough"> | z.objectInputType<{
            type: z.ZodLiteral<"ref/prompt">;
            /**
             * The name of the prompt or prompt template
             */
            name: z.ZodString;
        }, z.ZodTypeAny, "passthrough">;
        argument: {
            value: string;
            name: string;
        } & {
            [k: string]: unknown;
        };
        _meta?: z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough"> | undefined;
    } & {
        [k: string]: unknown;
    };
    method: "completion/complete";
}>, z.ZodObject<z.objectUtil.extendShape<{
    method: z.ZodString;
    params: z.ZodOptional<z.ZodObject<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">>>;
}, {
    method: z.ZodLiteral<"logging/setLevel">;
    params: z.ZodObject<z.objectUtil.extendShape<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, {
        /**
         * The level of logging that the client wants to receive from the server. The server should send all logs at this level and higher (i.e., more severe) to the client as notifications/logging/message.
         */
        level: z.ZodEnum<["debug", "info", "notice", "warning", "error", "critical", "alert", "emergency"]>;
    }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, {
        /**
         * The level of logging that the client wants to receive from the server. The server should send all logs at this level and higher (i.e., more severe) to the client as notifications/logging/message.
         */
        level: z.ZodEnum<["debug", "info", "notice", "warning", "error", "critical", "alert", "emergency"]>;
    }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, {
        /**
         * The level of logging that the client wants to receive from the server. The server should send all logs at this level and higher (i.e., more severe) to the client as notifications/logging/message.
         */
        level: z.ZodEnum<["debug", "info", "notice", "warning", "error", "critical", "alert", "emergency"]>;
    }>, z.ZodTypeAny, "passthrough">>;
}>, "strip", z.ZodTypeAny, {
    params: {
        level: "error" | "debug" | "info" | "notice" | "warning" | "critical" | "alert" | "emergency";
        _meta?: z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough"> | undefined;
    } & {
        [k: string]: unknown;
    };
    method: "logging/setLevel";
}, {
    params: {
        level: "error" | "debug" | "info" | "notice" | "warning" | "critical" | "alert" | "emergency";
        _meta?: z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough"> | undefined;
    } & {
        [k: string]: unknown;
    };
    method: "logging/setLevel";
}>, z.ZodObject<z.objectUtil.extendShape<{
    method: z.ZodString;
    params: z.ZodOptional<z.ZodObject<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">>>;
}, {
    method: z.ZodLiteral<"prompts/get">;
    params: z.ZodObject<z.objectUtil.extendShape<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, {
        /**
         * The name of the prompt or prompt template.
         */
        name: z.ZodString;
        /**
         * Arguments to use for templating the prompt.
         */
        arguments: z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodString>>;
    }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, {
        /**
         * The name of the prompt or prompt template.
         */
        name: z.ZodString;
        /**
         * Arguments to use for templating the prompt.
         */
        arguments: z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodString>>;
    }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, {
        /**
         * The name of the prompt or prompt template.
         */
        name: z.ZodString;
        /**
         * Arguments to use for templating the prompt.
         */
        arguments: z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodString>>;
    }>, z.ZodTypeAny, "passthrough">>;
}>, "strip", z.ZodTypeAny, {
    params: {
        name: string;
        _meta?: z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough"> | undefined;
        arguments?: Record<string, string> | undefined;
    } & {
        [k: string]: unknown;
    };
    method: "prompts/get";
}, {
    params: {
        name: string;
        _meta?: z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough"> | undefined;
        arguments?: Record<string, string> | undefined;
    } & {
        [k: string]: unknown;
    };
    method: "prompts/get";
}>, z.ZodObject<z.objectUtil.extendShape<z.objectUtil.extendShape<{
    method: z.ZodString;
    params: z.ZodOptional<z.ZodObject<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">>>;
}, {
    params: z.ZodOptional<z.ZodObject<z.objectUtil.extendShape<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, {
        /**
         * An opaque token representing the current pagination position.
         * If provided, the server should return results starting after this cursor.
         */
        cursor: z.ZodOptional<z.ZodString>;
    }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, {
        /**
         * An opaque token representing the current pagination position.
         * If provided, the server should return results starting after this cursor.
         */
        cursor: z.ZodOptional<z.ZodString>;
    }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, {
        /**
         * An opaque token representing the current pagination position.
         * If provided, the server should return results starting after this cursor.
         */
        cursor: z.ZodOptional<z.ZodString>;
    }>, z.ZodTypeAny, "passthrough">>>;
}>, {
    method: z.ZodLiteral<"prompts/list">;
}>, "strip", z.ZodTypeAny, {
    method: "prompts/list";
    params?: z.objectOutputType<z.objectUtil.extendShape<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, {
        /**
         * An opaque token representing the current pagination position.
         * If provided, the server should return results starting after this cursor.
         */
        cursor: z.ZodOptional<z.ZodString>;
    }>, z.ZodTypeAny, "passthrough"> | undefined;
}, {
    method: "prompts/list";
    params?: z.objectInputType<z.objectUtil.extendShape<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, {
        /**
         * An opaque token representing the current pagination position.
         * If provided, the server should return results starting after this cursor.
         */
        cursor: z.ZodOptional<z.ZodString>;
    }>, z.ZodTypeAny, "passthrough"> | undefined;
}>, z.ZodObject<z.objectUtil.extendShape<z.objectUtil.extendShape<{
    method: z.ZodString;
    params: z.ZodOptional<z.ZodObject<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">>>;
}, {
    params: z.ZodOptional<z.ZodObject<z.objectUtil.extendShape<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, {
        /**
         * An opaque token representing the current pagination position.
         * If provided, the server should return results starting after this cursor.
         */
        cursor: z.ZodOptional<z.ZodString>;
    }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, {
        /**
         * An opaque token representing the current pagination position.
         * If provided, the server should return results starting after this cursor.
         */
        cursor: z.ZodOptional<z.ZodString>;
    }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, {
        /**
         * An opaque token representing the current pagination position.
         * If provided, the server should return results starting after this cursor.
         */
        cursor: z.ZodOptional<z.ZodString>;
    }>, z.ZodTypeAny, "passthrough">>>;
}>, {
    method: z.ZodLiteral<"resources/list">;
}>, "strip", z.ZodTypeAny, {
    method: "resources/list";
    params?: z.objectOutputType<z.objectUtil.extendShape<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, {
        /**
         * An opaque token representing the current pagination position.
         * If provided, the server should return results starting after this cursor.
         */
        cursor: z.ZodOptional<z.ZodString>;
    }>, z.ZodTypeAny, "passthrough"> | undefined;
}, {
    method: "resources/list";
    params?: z.objectInputType<z.objectUtil.extendShape<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, {
        /**
         * An opaque token representing the current pagination position.
         * If provided, the server should return results starting after this cursor.
         */
        cursor: z.ZodOptional<z.ZodString>;
    }>, z.ZodTypeAny, "passthrough"> | undefined;
}>, z.ZodObject<z.objectUtil.extendShape<z.objectUtil.extendShape<{
    method: z.ZodString;
    params: z.ZodOptional<z.ZodObject<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">>>;
}, {
    params: z.ZodOptional<z.ZodObject<z.objectUtil.extendShape<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, {
        /**
         * An opaque token representing the current pagination position.
         * If provided, the server should return results starting after this cursor.
         */
        cursor: z.ZodOptional<z.ZodString>;
    }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, {
        /**
         * An opaque token representing the current pagination position.
         * If provided, the server should return results starting after this cursor.
         */
        cursor: z.ZodOptional<z.ZodString>;
    }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, {
        /**
         * An opaque token representing the current pagination position.
         * If provided, the server should return results starting after this cursor.
         */
        cursor: z.ZodOptional<z.ZodString>;
    }>, z.ZodTypeAny, "passthrough">>>;
}>, {
    method: z.ZodLiteral<"resources/templates/list">;
}>, "strip", z.ZodTypeAny, {
    method: "resources/templates/list";
    params?: z.objectOutputType<z.objectUtil.extendShape<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, {
        /**
         * An opaque token representing the current pagination position.
         * If provided, the server should return results starting after this cursor.
         */
        cursor: z.ZodOptional<z.ZodString>;
    }>, z.ZodTypeAny, "passthrough"> | undefined;
}, {
    method: "resources/templates/list";
    params?: z.objectInputType<z.objectUtil.extendShape<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, {
        /**
         * An opaque token representing the current pagination position.
         * If provided, the server should return results starting after this cursor.
         */
        cursor: z.ZodOptional<z.ZodString>;
    }>, z.ZodTypeAny, "passthrough"> | undefined;
}>, z.ZodObject<z.objectUtil.extendShape<{
    method: z.ZodString;
    params: z.ZodOptional<z.ZodObject<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">>>;
}, {
    method: z.ZodLiteral<"resources/read">;
    params: z.ZodObject<z.objectUtil.extendShape<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, {
        /**
         * The URI of the resource to read. The URI can use any protocol; it is up to the server how to interpret it.
         */
        uri: z.ZodString;
    }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, {
        /**
         * The URI of the resource to read. The URI can use any protocol; it is up to the server how to interpret it.
         */
        uri: z.ZodString;
    }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, {
        /**
         * The URI of the resource to read. The URI can use any protocol; it is up to the server how to interpret it.
         */
        uri: z.ZodString;
    }>, z.ZodTypeAny, "passthrough">>;
}>, "strip", z.ZodTypeAny, {
    params: {
        uri: string;
        _meta?: z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough"> | undefined;
    } & {
        [k: string]: unknown;
    };
    method: "resources/read";
}, {
    params: {
        uri: string;
        _meta?: z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough"> | undefined;
    } & {
        [k: string]: unknown;
    };
    method: "resources/read";
}>, z.ZodObject<z.objectUtil.extendShape<{
    method: z.ZodString;
    params: z.ZodOptional<z.ZodObject<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">>>;
}, {
    method: z.ZodLiteral<"resources/subscribe">;
    params: z.ZodObject<z.objectUtil.extendShape<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, {
        /**
         * The URI of the resource to subscribe to. The URI can use any protocol; it is up to the server how to interpret it.
         */
        uri: z.ZodString;
    }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, {
        /**
         * The URI of the resource to subscribe to. The URI can use any protocol; it is up to the server how to interpret it.
         */
        uri: z.ZodString;
    }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, {
        /**
         * The URI of the resource to subscribe to. The URI can use any protocol; it is up to the server how to interpret it.
         */
        uri: z.ZodString;
    }>, z.ZodTypeAny, "passthrough">>;
}>, "strip", z.ZodTypeAny, {
    params: {
        uri: string;
        _meta?: z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough"> | undefined;
    } & {
        [k: string]: unknown;
    };
    method: "resources/subscribe";
}, {
    params: {
        uri: string;
        _meta?: z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough"> | undefined;
    } & {
        [k: string]: unknown;
    };
    method: "resources/subscribe";
}>, z.ZodObject<z.objectUtil.extendShape<{
    method: z.ZodString;
    params: z.ZodOptional<z.ZodObject<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">>>;
}, {
    method: z.ZodLiteral<"resources/unsubscribe">;
    params: z.ZodObject<z.objectUtil.extendShape<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, {
        /**
         * The URI of the resource to unsubscribe from.
         */
        uri: z.ZodString;
    }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, {
        /**
         * The URI of the resource to unsubscribe from.
         */
        uri: z.ZodString;
    }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, {
        /**
         * The URI of the resource to unsubscribe from.
         */
        uri: z.ZodString;
    }>, z.ZodTypeAny, "passthrough">>;
}>, "strip", z.ZodTypeAny, {
    params: {
        uri: string;
        _meta?: z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough"> | undefined;
    } & {
        [k: string]: unknown;
    };
    method: "resources/unsubscribe";
}, {
    params: {
        uri: string;
        _meta?: z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough"> | undefined;
    } & {
        [k: string]: unknown;
    };
    method: "resources/unsubscribe";
}>, z.ZodObject<z.objectUtil.extendShape<{
    method: z.ZodString;
    params: z.ZodOptional<z.ZodObject<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">>>;
}, {
    method: z.ZodLiteral<"tools/call">;
    params: z.ZodObject<z.objectUtil.extendShape<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, {
        name: z.ZodString;
        arguments: z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodUnknown>>;
    }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, {
        name: z.ZodString;
        arguments: z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodUnknown>>;
    }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, {
        name: z.ZodString;
        arguments: z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodUnknown>>;
    }>, z.ZodTypeAny, "passthrough">>;
}>, "strip", z.ZodTypeAny, {
    params: {
        name: string;
        _meta?: z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough"> | undefined;
        arguments?: Record<string, unknown> | undefined;
    } & {
        [k: string]: unknown;
    };
    method: "tools/call";
}, {
    params: {
        name: string;
        _meta?: z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough"> | undefined;
        arguments?: Record<string, unknown> | undefined;
    } & {
        [k: string]: unknown;
    };
    method: "tools/call";
}>, z.ZodObject<z.objectUtil.extendShape<z.objectUtil.extendShape<{
    method: z.ZodString;
    params: z.ZodOptional<z.ZodObject<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">>>;
}, {
    params: z.ZodOptional<z.ZodObject<z.objectUtil.extendShape<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, {
        /**
         * An opaque token representing the current pagination position.
         * If provided, the server should return results starting after this cursor.
         */
        cursor: z.ZodOptional<z.ZodString>;
    }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, {
        /**
         * An opaque token representing the current pagination position.
         * If provided, the server should return results starting after this cursor.
         */
        cursor: z.ZodOptional<z.ZodString>;
    }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, {
        /**
         * An opaque token representing the current pagination position.
         * If provided, the server should return results starting after this cursor.
         */
        cursor: z.ZodOptional<z.ZodString>;
    }>, z.ZodTypeAny, "passthrough">>>;
}>, {
    method: z.ZodLiteral<"tools/list">;
}>, "strip", z.ZodTypeAny, {
    method: "tools/list";
    params?: z.objectOutputType<z.objectUtil.extendShape<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, {
        /**
         * An opaque token representing the current pagination position.
         * If provided, the server should return results starting after this cursor.
         */
        cursor: z.ZodOptional<z.ZodString>;
    }>, z.ZodTypeAny, "passthrough"> | undefined;
}, {
    method: "tools/list";
    params?: z.objectInputType<z.objectUtil.extendShape<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, {
        /**
         * An opaque token representing the current pagination position.
         * If provided, the server should return results starting after this cursor.
         */
        cursor: z.ZodOptional<z.ZodString>;
    }>, z.ZodTypeAny, "passthrough"> | undefined;
}>]>;
export declare const ClientNotificationSchema: z.ZodUnion<[z.ZodObject<z.objectUtil.extendShape<{
    method: z.ZodString;
    params: z.ZodOptional<z.ZodObject<{
        /**
         * This parameter name is reserved by MCP to allow clients and servers to attach additional metadata to their notifications.
         */
        _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        /**
         * This parameter name is reserved by MCP to allow clients and servers to attach additional metadata to their notifications.
         */
        _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        /**
         * This parameter name is reserved by MCP to allow clients and servers to attach additional metadata to their notifications.
         */
        _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">>>;
}, {
    method: z.ZodLiteral<"notifications/cancelled">;
    params: z.ZodObject<z.objectUtil.extendShape<{
        /**
         * This parameter name is reserved by MCP to allow clients and servers to attach additional metadata to their notifications.
         */
        _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, {
        /**
         * The ID of the request to cancel.
         *
         * This MUST correspond to the ID of a request previously issued in the same direction.
         */
        requestId: z.ZodUnion<[z.ZodString, z.ZodNumber]>;
        /**
         * An optional string describing the reason for the cancellation. This MAY be logged or presented to the user.
         */
        reason: z.ZodOptional<z.ZodString>;
    }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
        /**
         * This parameter name is reserved by MCP to allow clients and servers to attach additional metadata to their notifications.
         */
        _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, {
        /**
         * The ID of the request to cancel.
         *
         * This MUST correspond to the ID of a request previously issued in the same direction.
         */
        requestId: z.ZodUnion<[z.ZodString, z.ZodNumber]>;
        /**
         * An optional string describing the reason for the cancellation. This MAY be logged or presented to the user.
         */
        reason: z.ZodOptional<z.ZodString>;
    }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
        /**
         * This parameter name is reserved by MCP to allow clients and servers to attach additional metadata to their notifications.
         */
        _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, {
        /**
         * The ID of the request to cancel.
         *
         * This MUST correspond to the ID of a request previously issued in the same direction.
         */
        requestId: z.ZodUnion<[z.ZodString, z.ZodNumber]>;
        /**
         * An optional string describing the reason for the cancellation. This MAY be logged or presented to the user.
         */
        reason: z.ZodOptional<z.ZodString>;
    }>, z.ZodTypeAny, "passthrough">>;
}>, "strip", z.ZodTypeAny, {
    params: {
        requestId: string | number;
        _meta?: z.objectOutputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
        reason?: string | undefined;
    } & {
        [k: string]: unknown;
    };
    method: "notifications/cancelled";
}, {
    params: {
        requestId: string | number;
        _meta?: z.objectInputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
        reason?: string | undefined;
    } & {
        [k: string]: unknown;
    };
    method: "notifications/cancelled";
}>, z.ZodObject<z.objectUtil.extendShape<{
    method: z.ZodString;
    params: z.ZodOptional<z.ZodObject<{
        /**
         * This parameter name is reserved by MCP to allow clients and servers to attach additional metadata to their notifications.
         */
        _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        /**
         * This parameter name is reserved by MCP to allow clients and servers to attach additional metadata to their notifications.
         */
        _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        /**
         * This parameter name is reserved by MCP to allow clients and servers to attach additional metadata to their notifications.
         */
        _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">>>;
}, {
    method: z.ZodLiteral<"notifications/progress">;
    params: z.ZodObject<z.objectUtil.extendShape<z.objectUtil.extendShape<{
        /**
         * This parameter name is reserved by MCP to allow clients and servers to attach additional metadata to their notifications.
         */
        _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, {
        /**
         * The progress thus far. This should increase every time progress is made, even if the total is unknown.
         */
        progress: z.ZodNumber;
        /**
         * Total number of items to process (or total progress required), if known.
         */
        total: z.ZodOptional<z.ZodNumber>;
    }>, {
        /**
         * The progress token which was given in the initial request, used to associate this notification with the request that is proceeding.
         */
        progressToken: z.ZodUnion<[z.ZodString, z.ZodNumber]>;
    }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<z.objectUtil.extendShape<{
        /**
         * This parameter name is reserved by MCP to allow clients and servers to attach additional metadata to their notifications.
         */
        _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, {
        /**
         * The progress thus far. This should increase every time progress is made, even if the total is unknown.
         */
        progress: z.ZodNumber;
        /**
         * Total number of items to process (or total progress required), if known.
         */
        total: z.ZodOptional<z.ZodNumber>;
    }>, {
        /**
         * The progress token which was given in the initial request, used to associate this notification with the request that is proceeding.
         */
        progressToken: z.ZodUnion<[z.ZodString, z.ZodNumber]>;
    }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<z.objectUtil.extendShape<{
        /**
         * This parameter name is reserved by MCP to allow clients and servers to attach additional metadata to their notifications.
         */
        _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, {
        /**
         * The progress thus far. This should increase every time progress is made, even if the total is unknown.
         */
        progress: z.ZodNumber;
        /**
         * Total number of items to process (or total progress required), if known.
         */
        total: z.ZodOptional<z.ZodNumber>;
    }>, {
        /**
         * The progress token which was given in the initial request, used to associate this notification with the request that is proceeding.
         */
        progressToken: z.ZodUnion<[z.ZodString, z.ZodNumber]>;
    }>, z.ZodTypeAny, "passthrough">>;
}>, "strip", z.ZodTypeAny, {
    params: {
        progressToken: string | number;
        progress: number;
        _meta?: z.objectOutputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
        total?: number | undefined;
    } & {
        [k: string]: unknown;
    };
    method: "notifications/progress";
}, {
    params: {
        progressToken: string | number;
        progress: number;
        _meta?: z.objectInputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
        total?: number | undefined;
    } & {
        [k: string]: unknown;
    };
    method: "notifications/progress";
}>, z.ZodObject<z.objectUtil.extendShape<{
    method: z.ZodString;
    params: z.ZodOptional<z.ZodObject<{
        /**
         * This parameter name is reserved by MCP to allow clients and servers to attach additional metadata to their notifications.
         */
        _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        /**
         * This parameter name is reserved by MCP to allow clients and servers to attach additional metadata to their notifications.
         */
        _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        /**
         * This parameter name is reserved by MCP to allow clients and servers to attach additional metadata to their notifications.
         */
        _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">>>;
}, {
    method: z.ZodLiteral<"notifications/initialized">;
}>, "strip", z.ZodTypeAny, {
    method: "notifications/initialized";
    params?: z.objectOutputType<{
        /**
         * This parameter name is reserved by MCP to allow clients and servers to attach additional metadata to their notifications.
         */
        _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough"> | undefined;
}, {
    method: "notifications/initialized";
    params?: z.objectInputType<{
        /**
         * This parameter name is reserved by MCP to allow clients and servers to attach additional metadata to their notifications.
         */
        _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough"> | undefined;
}>, z.ZodObject<z.objectUtil.extendShape<{
    method: z.ZodString;
    params: z.ZodOptional<z.ZodObject<{
        /**
         * This parameter name is reserved by MCP to allow clients and servers to attach additional metadata to their notifications.
         */
        _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        /**
         * This parameter name is reserved by MCP to allow clients and servers to attach additional metadata to their notifications.
         */
        _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        /**
         * This parameter name is reserved by MCP to allow clients and servers to attach additional metadata to their notifications.
         */
        _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">>>;
}, {
    method: z.ZodLiteral<"notifications/roots/list_changed">;
}>, "strip", z.ZodTypeAny, {
    method: "notifications/roots/list_changed";
    params?: z.objectOutputType<{
        /**
         * This parameter name is reserved by MCP to allow clients and servers to attach additional metadata to their notifications.
         */
        _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough"> | undefined;
}, {
    method: "notifications/roots/list_changed";
    params?: z.objectInputType<{
        /**
         * This parameter name is reserved by MCP to allow clients and servers to attach additional metadata to their notifications.
         */
        _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough"> | undefined;
}>]>;
export declare const ClientResultSchema: z.ZodUnion<[z.ZodObject<{
    /**
     * This result property is reserved by the protocol to allow clients and servers to attach additional metadata to their responses.
     */
    _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
}, "strict", z.ZodTypeAny, {
    _meta?: z.objectOutputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
}, {
    _meta?: z.objectInputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
}>, z.ZodObject<z.objectUtil.extendShape<{
    /**
     * This result property is reserved by the protocol to allow clients and servers to attach additional metadata to their responses.
     */
    _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
}, {
    /**
     * The name of the model that generated the message.
     */
    model: z.ZodString;
    /**
     * The reason why sampling stopped.
     */
    stopReason: z.ZodOptional<z.ZodUnion<[z.ZodEnum<["endTurn", "stopSequence", "maxTokens"]>, z.ZodString]>>;
    role: z.ZodEnum<["user", "assistant"]>;
    content: z.ZodDiscriminatedUnion<"type", [z.ZodObject<{
        type: z.ZodLiteral<"text">;
        /**
         * The text content of the message.
         */
        text: z.ZodString;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        type: z.ZodLiteral<"text">;
        /**
         * The text content of the message.
         */
        text: z.ZodString;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        type: z.ZodLiteral<"text">;
        /**
         * The text content of the message.
         */
        text: z.ZodString;
    }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
        type: z.ZodLiteral<"image">;
        /**
         * The base64-encoded image data.
         */
        data: z.ZodString;
        /**
         * The MIME type of the image. Different providers may support different image types.
         */
        mimeType: z.ZodString;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        type: z.ZodLiteral<"image">;
        /**
         * The base64-encoded image data.
         */
        data: z.ZodString;
        /**
         * The MIME type of the image. Different providers may support different image types.
         */
        mimeType: z.ZodString;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        type: z.ZodLiteral<"image">;
        /**
         * The base64-encoded image data.
         */
        data: z.ZodString;
        /**
         * The MIME type of the image. Different providers may support different image types.
         */
        mimeType: z.ZodString;
    }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
        type: z.ZodLiteral<"audio">;
        /**
         * The base64-encoded audio data.
         */
        data: z.ZodString;
        /**
         * The MIME type of the audio. Different providers may support different audio types.
         */
        mimeType: z.ZodString;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        type: z.ZodLiteral<"audio">;
        /**
         * The base64-encoded audio data.
         */
        data: z.ZodString;
        /**
         * The MIME type of the audio. Different providers may support different audio types.
         */
        mimeType: z.ZodString;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        type: z.ZodLiteral<"audio">;
        /**
         * The base64-encoded audio data.
         */
        data: z.ZodString;
        /**
         * The MIME type of the audio. Different providers may support different audio types.
         */
        mimeType: z.ZodString;
    }, z.ZodTypeAny, "passthrough">>]>;
}>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
    /**
     * This result property is reserved by the protocol to allow clients and servers to attach additional metadata to their responses.
     */
    _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
}, {
    /**
     * The name of the model that generated the message.
     */
    model: z.ZodString;
    /**
     * The reason why sampling stopped.
     */
    stopReason: z.ZodOptional<z.ZodUnion<[z.ZodEnum<["endTurn", "stopSequence", "maxTokens"]>, z.ZodString]>>;
    role: z.ZodEnum<["user", "assistant"]>;
    content: z.ZodDiscriminatedUnion<"type", [z.ZodObject<{
        type: z.ZodLiteral<"text">;
        /**
         * The text content of the message.
         */
        text: z.ZodString;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        type: z.ZodLiteral<"text">;
        /**
         * The text content of the message.
         */
        text: z.ZodString;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        type: z.ZodLiteral<"text">;
        /**
         * The text content of the message.
         */
        text: z.ZodString;
    }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
        type: z.ZodLiteral<"image">;
        /**
         * The base64-encoded image data.
         */
        data: z.ZodString;
        /**
         * The MIME type of the image. Different providers may support different image types.
         */
        mimeType: z.ZodString;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        type: z.ZodLiteral<"image">;
        /**
         * The base64-encoded image data.
         */
        data: z.ZodString;
        /**
         * The MIME type of the image. Different providers may support different image types.
         */
        mimeType: z.ZodString;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        type: z.ZodLiteral<"image">;
        /**
         * The base64-encoded image data.
         */
        data: z.ZodString;
        /**
         * The MIME type of the image. Different providers may support different image types.
         */
        mimeType: z.ZodString;
    }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
        type: z.ZodLiteral<"audio">;
        /**
         * The base64-encoded audio data.
         */
        data: z.ZodString;
        /**
         * The MIME type of the audio. Different providers may support different audio types.
         */
        mimeType: z.ZodString;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        type: z.ZodLiteral<"audio">;
        /**
         * The base64-encoded audio data.
         */
        data: z.ZodString;
        /**
         * The MIME type of the audio. Different providers may support different audio types.
         */
        mimeType: z.ZodString;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        type: z.ZodLiteral<"audio">;
        /**
         * The base64-encoded audio data.
         */
        data: z.ZodString;
        /**
         * The MIME type of the audio. Different providers may support different audio types.
         */
        mimeType: z.ZodString;
    }, z.ZodTypeAny, "passthrough">>]>;
}>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
    /**
     * This result property is reserved by the protocol to allow clients and servers to attach additional metadata to their responses.
     */
    _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
}, {
    /**
     * The name of the model that generated the message.
     */
    model: z.ZodString;
    /**
     * The reason why sampling stopped.
     */
    stopReason: z.ZodOptional<z.ZodUnion<[z.ZodEnum<["endTurn", "stopSequence", "maxTokens"]>, z.ZodString]>>;
    role: z.ZodEnum<["user", "assistant"]>;
    content: z.ZodDiscriminatedUnion<"type", [z.ZodObject<{
        type: z.ZodLiteral<"text">;
        /**
         * The text content of the message.
         */
        text: z.ZodString;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        type: z.ZodLiteral<"text">;
        /**
         * The text content of the message.
         */
        text: z.ZodString;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        type: z.ZodLiteral<"text">;
        /**
         * The text content of the message.
         */
        text: z.ZodString;
    }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
        type: z.ZodLiteral<"image">;
        /**
         * The base64-encoded image data.
         */
        data: z.ZodString;
        /**
         * The MIME type of the image. Different providers may support different image types.
         */
        mimeType: z.ZodString;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        type: z.ZodLiteral<"image">;
        /**
         * The base64-encoded image data.
         */
        data: z.ZodString;
        /**
         * The MIME type of the image. Different providers may support different image types.
         */
        mimeType: z.ZodString;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        type: z.ZodLiteral<"image">;
        /**
         * The base64-encoded image data.
         */
        data: z.ZodString;
        /**
         * The MIME type of the image. Different providers may support different image types.
         */
        mimeType: z.ZodString;
    }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
        type: z.ZodLiteral<"audio">;
        /**
         * The base64-encoded audio data.
         */
        data: z.ZodString;
        /**
         * The MIME type of the audio. Different providers may support different audio types.
         */
        mimeType: z.ZodString;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        type: z.ZodLiteral<"audio">;
        /**
         * The base64-encoded audio data.
         */
        data: z.ZodString;
        /**
         * The MIME type of the audio. Different providers may support different audio types.
         */
        mimeType: z.ZodString;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        type: z.ZodLiteral<"audio">;
        /**
         * The base64-encoded audio data.
         */
        data: z.ZodString;
        /**
         * The MIME type of the audio. Different providers may support different audio types.
         */
        mimeType: z.ZodString;
    }, z.ZodTypeAny, "passthrough">>]>;
}>, z.ZodTypeAny, "passthrough">>, z.ZodObject<z.objectUtil.extendShape<{
    /**
     * This result property is reserved by the protocol to allow clients and servers to attach additional metadata to their responses.
     */
    _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
}, {
    roots: z.ZodArray<z.ZodObject<{
        /**
         * The URI identifying the root. This *must* start with file:// for now.
         */
        uri: z.ZodString;
        /**
         * An optional name for the root.
         */
        name: z.ZodOptional<z.ZodString>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        /**
         * The URI identifying the root. This *must* start with file:// for now.
         */
        uri: z.ZodString;
        /**
         * An optional name for the root.
         */
        name: z.ZodOptional<z.ZodString>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        /**
         * The URI identifying the root. This *must* start with file:// for now.
         */
        uri: z.ZodString;
        /**
         * An optional name for the root.
         */
        name: z.ZodOptional<z.ZodString>;
    }, z.ZodTypeAny, "passthrough">>, "many">;
}>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
    /**
     * This result property is reserved by the protocol to allow clients and servers to attach additional metadata to their responses.
     */
    _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
}, {
    roots: z.ZodArray<z.ZodObject<{
        /**
         * The URI identifying the root. This *must* start with file:// for now.
         */
        uri: z.ZodString;
        /**
         * An optional name for the root.
         */
        name: z.ZodOptional<z.ZodString>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        /**
         * The URI identifying the root. This *must* start with file:// for now.
         */
        uri: z.ZodString;
        /**
         * An optional name for the root.
         */
        name: z.ZodOptional<z.ZodString>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        /**
         * The URI identifying the root. This *must* start with file:// for now.
         */
        uri: z.ZodString;
        /**
         * An optional name for the root.
         */
        name: z.ZodOptional<z.ZodString>;
    }, z.ZodTypeAny, "passthrough">>, "many">;
}>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
    /**
     * This result property is reserved by the protocol to allow clients and servers to attach additional metadata to their responses.
     */
    _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
}, {
    roots: z.ZodArray<z.ZodObject<{
        /**
         * The URI identifying the root. This *must* start with file:// for now.
         */
        uri: z.ZodString;
        /**
         * An optional name for the root.
         */
        name: z.ZodOptional<z.ZodString>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        /**
         * The URI identifying the root. This *must* start with file:// for now.
         */
        uri: z.ZodString;
        /**
         * An optional name for the root.
         */
        name: z.ZodOptional<z.ZodString>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        /**
         * The URI identifying the root. This *must* start with file:// for now.
         */
        uri: z.ZodString;
        /**
         * An optional name for the root.
         */
        name: z.ZodOptional<z.ZodString>;
    }, z.ZodTypeAny, "passthrough">>, "many">;
}>, z.ZodTypeAny, "passthrough">>]>;
export declare const ServerRequestSchema: z.ZodUnion<[z.ZodObject<z.objectUtil.extendShape<{
    method: z.ZodString;
    params: z.ZodOptional<z.ZodObject<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">>>;
}, {
    method: z.ZodLiteral<"ping">;
}>, "strip", z.ZodTypeAny, {
    method: "ping";
    params?: z.objectOutputType<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough"> | undefined;
}, {
    method: "ping";
    params?: z.objectInputType<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough"> | undefined;
}>, z.ZodObject<z.objectUtil.extendShape<{
    method: z.ZodString;
    params: z.ZodOptional<z.ZodObject<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">>>;
}, {
    method: z.ZodLiteral<"sampling/createMessage">;
    params: z.ZodObject<z.objectUtil.extendShape<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, {
        messages: z.ZodArray<z.ZodObject<{
            role: z.ZodEnum<["user", "assistant"]>;
            content: z.ZodUnion<[z.ZodObject<{
                type: z.ZodLiteral<"text">;
                /**
                 * The text content of the message.
                 */
                text: z.ZodString;
            }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
                type: z.ZodLiteral<"text">;
                /**
                 * The text content of the message.
                 */
                text: z.ZodString;
            }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
                type: z.ZodLiteral<"text">;
                /**
                 * The text content of the message.
                 */
                text: z.ZodString;
            }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
                type: z.ZodLiteral<"image">;
                /**
                 * The base64-encoded image data.
                 */
                data: z.ZodString;
                /**
                 * The MIME type of the image. Different providers may support different image types.
                 */
                mimeType: z.ZodString;
            }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
                type: z.ZodLiteral<"image">;
                /**
                 * The base64-encoded image data.
                 */
                data: z.ZodString;
                /**
                 * The MIME type of the image. Different providers may support different image types.
                 */
                mimeType: z.ZodString;
            }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
                type: z.ZodLiteral<"image">;
                /**
                 * The base64-encoded image data.
                 */
                data: z.ZodString;
                /**
                 * The MIME type of the image. Different providers may support different image types.
                 */
                mimeType: z.ZodString;
            }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
                type: z.ZodLiteral<"audio">;
                /**
                 * The base64-encoded audio data.
                 */
                data: z.ZodString;
                /**
                 * The MIME type of the audio. Different providers may support different audio types.
                 */
                mimeType: z.ZodString;
            }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
                type: z.ZodLiteral<"audio">;
                /**
                 * The base64-encoded audio data.
                 */
                data: z.ZodString;
                /**
                 * The MIME type of the audio. Different providers may support different audio types.
                 */
                mimeType: z.ZodString;
            }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
                type: z.ZodLiteral<"audio">;
                /**
                 * The base64-encoded audio data.
                 */
                data: z.ZodString;
                /**
                 * The MIME type of the audio. Different providers may support different audio types.
                 */
                mimeType: z.ZodString;
            }, z.ZodTypeAny, "passthrough">>]>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            role: z.ZodEnum<["user", "assistant"]>;
            content: z.ZodUnion<[z.ZodObject<{
                type: z.ZodLiteral<"text">;
                /**
                 * The text content of the message.
                 */
                text: z.ZodString;
            }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
                type: z.ZodLiteral<"text">;
                /**
                 * The text content of the message.
                 */
                text: z.ZodString;
            }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
                type: z.ZodLiteral<"text">;
                /**
                 * The text content of the message.
                 */
                text: z.ZodString;
            }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
                type: z.ZodLiteral<"image">;
                /**
                 * The base64-encoded image data.
                 */
                data: z.ZodString;
                /**
                 * The MIME type of the image. Different providers may support different image types.
                 */
                mimeType: z.ZodString;
            }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
                type: z.ZodLiteral<"image">;
                /**
                 * The base64-encoded image data.
                 */
                data: z.ZodString;
                /**
                 * The MIME type of the image. Different providers may support different image types.
                 */
                mimeType: z.ZodString;
            }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
                type: z.ZodLiteral<"image">;
                /**
                 * The base64-encoded image data.
                 */
                data: z.ZodString;
                /**
                 * The MIME type of the image. Different providers may support different image types.
                 */
                mimeType: z.ZodString;
            }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
                type: z.ZodLiteral<"audio">;
                /**
                 * The base64-encoded audio data.
                 */
                data: z.ZodString;
                /**
                 * The MIME type of the audio. Different providers may support different audio types.
                 */
                mimeType: z.ZodString;
            }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
                type: z.ZodLiteral<"audio">;
                /**
                 * The base64-encoded audio data.
                 */
                data: z.ZodString;
                /**
                 * The MIME type of the audio. Different providers may support different audio types.
                 */
                mimeType: z.ZodString;
            }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
                type: z.ZodLiteral<"audio">;
                /**
                 * The base64-encoded audio data.
                 */
                data: z.ZodString;
                /**
                 * The MIME type of the audio. Different providers may support different audio types.
                 */
                mimeType: z.ZodString;
            }, z.ZodTypeAny, "passthrough">>]>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            role: z.ZodEnum<["user", "assistant"]>;
            content: z.ZodUnion<[z.ZodObject<{
                type: z.ZodLiteral<"text">;
                /**
                 * The text content of the message.
                 */
                text: z.ZodString;
            }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
                type: z.ZodLiteral<"text">;
                /**
                 * The text content of the message.
                 */
                text: z.ZodString;
            }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
                type: z.ZodLiteral<"text">;
                /**
                 * The text content of the message.
                 */
                text: z.ZodString;
            }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
                type: z.ZodLiteral<"image">;
                /**
                 * The base64-encoded image data.
                 */
                data: z.ZodString;
                /**
                 * The MIME type of the image. Different providers may support different image types.
                 */
                mimeType: z.ZodString;
            }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
                type: z.ZodLiteral<"image">;
                /**
                 * The base64-encoded image data.
                 */
                data: z.ZodString;
                /**
                 * The MIME type of the image. Different providers may support different image types.
                 */
                mimeType: z.ZodString;
            }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
                type: z.ZodLiteral<"image">;
                /**
                 * The base64-encoded image data.
                 */
                data: z.ZodString;
                /**
                 * The MIME type of the image. Different providers may support different image types.
                 */
                mimeType: z.ZodString;
            }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
                type: z.ZodLiteral<"audio">;
                /**
                 * The base64-encoded audio data.
                 */
                data: z.ZodString;
                /**
                 * The MIME type of the audio. Different providers may support different audio types.
                 */
                mimeType: z.ZodString;
            }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
                type: z.ZodLiteral<"audio">;
                /**
                 * The base64-encoded audio data.
                 */
                data: z.ZodString;
                /**
                 * The MIME type of the audio. Different providers may support different audio types.
                 */
                mimeType: z.ZodString;
            }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
                type: z.ZodLiteral<"audio">;
                /**
                 * The base64-encoded audio data.
                 */
                data: z.ZodString;
                /**
                 * The MIME type of the audio. Different providers may support different audio types.
                 */
                mimeType: z.ZodString;
            }, z.ZodTypeAny, "passthrough">>]>;
        }, z.ZodTypeAny, "passthrough">>, "many">;
        /**
         * An optional system prompt the server wants to use for sampling. The client MAY modify or omit this prompt.
         */
        systemPrompt: z.ZodOptional<z.ZodString>;
        /**
         * A request to include context from one or more MCP servers (including the caller), to be attached to the prompt. The client MAY ignore this request.
         */
        includeContext: z.ZodOptional<z.ZodEnum<["none", "thisServer", "allServers"]>>;
        temperature: z.ZodOptional<z.ZodNumber>;
        /**
         * The maximum number of tokens to sample, as requested by the server. The client MAY choose to sample fewer tokens than requested.
         */
        maxTokens: z.ZodNumber;
        stopSequences: z.ZodOptional<z.ZodArray<z.ZodString, "many">>;
        /**
         * Optional metadata to pass through to the LLM provider. The format of this metadata is provider-specific.
         */
        metadata: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
        /**
         * The server's preferences for which model to select.
         */
        modelPreferences: z.ZodOptional<z.ZodObject<{
            /**
             * Optional hints to use for model selection.
             */
            hints: z.ZodOptional<z.ZodArray<z.ZodObject<{
                /**
                 * A hint for a model name.
                 */
                name: z.ZodOptional<z.ZodString>;
            }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
                /**
                 * A hint for a model name.
                 */
                name: z.ZodOptional<z.ZodString>;
            }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
                /**
                 * A hint for a model name.
                 */
                name: z.ZodOptional<z.ZodString>;
            }, z.ZodTypeAny, "passthrough">>, "many">>;
            /**
             * How much to prioritize cost when selecting a model.
             */
            costPriority: z.ZodOptional<z.ZodNumber>;
            /**
             * How much to prioritize sampling speed (latency) when selecting a model.
             */
            speedPriority: z.ZodOptional<z.ZodNumber>;
            /**
             * How much to prioritize intelligence and capabilities when selecting a model.
             */
            intelligencePriority: z.ZodOptional<z.ZodNumber>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * Optional hints to use for model selection.
             */
            hints: z.ZodOptional<z.ZodArray<z.ZodObject<{
                /**
                 * A hint for a model name.
                 */
                name: z.ZodOptional<z.ZodString>;
            }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
                /**
                 * A hint for a model name.
                 */
                name: z.ZodOptional<z.ZodString>;
            }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
                /**
                 * A hint for a model name.
                 */
                name: z.ZodOptional<z.ZodString>;
            }, z.ZodTypeAny, "passthrough">>, "many">>;
            /**
             * How much to prioritize cost when selecting a model.
             */
            costPriority: z.ZodOptional<z.ZodNumber>;
            /**
             * How much to prioritize sampling speed (latency) when selecting a model.
             */
            speedPriority: z.ZodOptional<z.ZodNumber>;
            /**
             * How much to prioritize intelligence and capabilities when selecting a model.
             */
            intelligencePriority: z.ZodOptional<z.ZodNumber>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * Optional hints to use for model selection.
             */
            hints: z.ZodOptional<z.ZodArray<z.ZodObject<{
                /**
                 * A hint for a model name.
                 */
                name: z.ZodOptional<z.ZodString>;
            }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
                /**
                 * A hint for a model name.
                 */
                name: z.ZodOptional<z.ZodString>;
            }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
                /**
                 * A hint for a model name.
                 */
                name: z.ZodOptional<z.ZodString>;
            }, z.ZodTypeAny, "passthrough">>, "many">>;
            /**
             * How much to prioritize cost when selecting a model.
             */
            costPriority: z.ZodOptional<z.ZodNumber>;
            /**
             * How much to prioritize sampling speed (latency) when selecting a model.
             */
            speedPriority: z.ZodOptional<z.ZodNumber>;
            /**
             * How much to prioritize intelligence and capabilities when selecting a model.
             */
            intelligencePriority: z.ZodOptional<z.ZodNumber>;
        }, z.ZodTypeAny, "passthrough">>>;
    }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, {
        messages: z.ZodArray<z.ZodObject<{
            role: z.ZodEnum<["user", "assistant"]>;
            content: z.ZodUnion<[z.ZodObject<{
                type: z.ZodLiteral<"text">;
                /**
                 * The text content of the message.
                 */
                text: z.ZodString;
            }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
                type: z.ZodLiteral<"text">;
                /**
                 * The text content of the message.
                 */
                text: z.ZodString;
            }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
                type: z.ZodLiteral<"text">;
                /**
                 * The text content of the message.
                 */
                text: z.ZodString;
            }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
                type: z.ZodLiteral<"image">;
                /**
                 * The base64-encoded image data.
                 */
                data: z.ZodString;
                /**
                 * The MIME type of the image. Different providers may support different image types.
                 */
                mimeType: z.ZodString;
            }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
                type: z.ZodLiteral<"image">;
                /**
                 * The base64-encoded image data.
                 */
                data: z.ZodString;
                /**
                 * The MIME type of the image. Different providers may support different image types.
                 */
                mimeType: z.ZodString;
            }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
                type: z.ZodLiteral<"image">;
                /**
                 * The base64-encoded image data.
                 */
                data: z.ZodString;
                /**
                 * The MIME type of the image. Different providers may support different image types.
                 */
                mimeType: z.ZodString;
            }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
                type: z.ZodLiteral<"audio">;
                /**
                 * The base64-encoded audio data.
                 */
                data: z.ZodString;
                /**
                 * The MIME type of the audio. Different providers may support different audio types.
                 */
                mimeType: z.ZodString;
            }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
                type: z.ZodLiteral<"audio">;
                /**
                 * The base64-encoded audio data.
                 */
                data: z.ZodString;
                /**
                 * The MIME type of the audio. Different providers may support different audio types.
                 */
                mimeType: z.ZodString;
            }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
                type: z.ZodLiteral<"audio">;
                /**
                 * The base64-encoded audio data.
                 */
                data: z.ZodString;
                /**
                 * The MIME type of the audio. Different providers may support different audio types.
                 */
                mimeType: z.ZodString;
            }, z.ZodTypeAny, "passthrough">>]>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            role: z.ZodEnum<["user", "assistant"]>;
            content: z.ZodUnion<[z.ZodObject<{
                type: z.ZodLiteral<"text">;
                /**
                 * The text content of the message.
                 */
                text: z.ZodString;
            }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
                type: z.ZodLiteral<"text">;
                /**
                 * The text content of the message.
                 */
                text: z.ZodString;
            }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
                type: z.ZodLiteral<"text">;
                /**
                 * The text content of the message.
                 */
                text: z.ZodString;
            }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
                type: z.ZodLiteral<"image">;
                /**
                 * The base64-encoded image data.
                 */
                data: z.ZodString;
                /**
                 * The MIME type of the image. Different providers may support different image types.
                 */
                mimeType: z.ZodString;
            }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
                type: z.ZodLiteral<"image">;
                /**
                 * The base64-encoded image data.
                 */
                data: z.ZodString;
                /**
                 * The MIME type of the image. Different providers may support different image types.
                 */
                mimeType: z.ZodString;
            }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
                type: z.ZodLiteral<"image">;
                /**
                 * The base64-encoded image data.
                 */
                data: z.ZodString;
                /**
                 * The MIME type of the image. Different providers may support different image types.
                 */
                mimeType: z.ZodString;
            }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
                type: z.ZodLiteral<"audio">;
                /**
                 * The base64-encoded audio data.
                 */
                data: z.ZodString;
                /**
                 * The MIME type of the audio. Different providers may support different audio types.
                 */
                mimeType: z.ZodString;
            }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
                type: z.ZodLiteral<"audio">;
                /**
                 * The base64-encoded audio data.
                 */
                data: z.ZodString;
                /**
                 * The MIME type of the audio. Different providers may support different audio types.
                 */
                mimeType: z.ZodString;
            }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
                type: z.ZodLiteral<"audio">;
                /**
                 * The base64-encoded audio data.
                 */
                data: z.ZodString;
                /**
                 * The MIME type of the audio. Different providers may support different audio types.
                 */
                mimeType: z.ZodString;
            }, z.ZodTypeAny, "passthrough">>]>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            role: z.ZodEnum<["user", "assistant"]>;
            content: z.ZodUnion<[z.ZodObject<{
                type: z.ZodLiteral<"text">;
                /**
                 * The text content of the message.
                 */
                text: z.ZodString;
            }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
                type: z.ZodLiteral<"text">;
                /**
                 * The text content of the message.
                 */
                text: z.ZodString;
            }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
                type: z.ZodLiteral<"text">;
                /**
                 * The text content of the message.
                 */
                text: z.ZodString;
            }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
                type: z.ZodLiteral<"image">;
                /**
                 * The base64-encoded image data.
                 */
                data: z.ZodString;
                /**
                 * The MIME type of the image. Different providers may support different image types.
                 */
                mimeType: z.ZodString;
            }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
                type: z.ZodLiteral<"image">;
                /**
                 * The base64-encoded image data.
                 */
                data: z.ZodString;
                /**
                 * The MIME type of the image. Different providers may support different image types.
                 */
                mimeType: z.ZodString;
            }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
                type: z.ZodLiteral<"image">;
                /**
                 * The base64-encoded image data.
                 */
                data: z.ZodString;
                /**
                 * The MIME type of the image. Different providers may support different image types.
                 */
                mimeType: z.ZodString;
            }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
                type: z.ZodLiteral<"audio">;
                /**
                 * The base64-encoded audio data.
                 */
                data: z.ZodString;
                /**
                 * The MIME type of the audio. Different providers may support different audio types.
                 */
                mimeType: z.ZodString;
            }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
                type: z.ZodLiteral<"audio">;
                /**
                 * The base64-encoded audio data.
                 */
                data: z.ZodString;
                /**
                 * The MIME type of the audio. Different providers may support different audio types.
                 */
                mimeType: z.ZodString;
            }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
                type: z.ZodLiteral<"audio">;
                /**
                 * The base64-encoded audio data.
                 */
                data: z.ZodString;
                /**
                 * The MIME type of the audio. Different providers may support different audio types.
                 */
                mimeType: z.ZodString;
            }, z.ZodTypeAny, "passthrough">>]>;
        }, z.ZodTypeAny, "passthrough">>, "many">;
        /**
         * An optional system prompt the server wants to use for sampling. The client MAY modify or omit this prompt.
         */
        systemPrompt: z.ZodOptional<z.ZodString>;
        /**
         * A request to include context from one or more MCP servers (including the caller), to be attached to the prompt. The client MAY ignore this request.
         */
        includeContext: z.ZodOptional<z.ZodEnum<["none", "thisServer", "allServers"]>>;
        temperature: z.ZodOptional<z.ZodNumber>;
        /**
         * The maximum number of tokens to sample, as requested by the server. The client MAY choose to sample fewer tokens than requested.
         */
        maxTokens: z.ZodNumber;
        stopSequences: z.ZodOptional<z.ZodArray<z.ZodString, "many">>;
        /**
         * Optional metadata to pass through to the LLM provider. The format of this metadata is provider-specific.
         */
        metadata: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
        /**
         * The server's preferences for which model to select.
         */
        modelPreferences: z.ZodOptional<z.ZodObject<{
            /**
             * Optional hints to use for model selection.
             */
            hints: z.ZodOptional<z.ZodArray<z.ZodObject<{
                /**
                 * A hint for a model name.
                 */
                name: z.ZodOptional<z.ZodString>;
            }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
                /**
                 * A hint for a model name.
                 */
                name: z.ZodOptional<z.ZodString>;
            }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
                /**
                 * A hint for a model name.
                 */
                name: z.ZodOptional<z.ZodString>;
            }, z.ZodTypeAny, "passthrough">>, "many">>;
            /**
             * How much to prioritize cost when selecting a model.
             */
            costPriority: z.ZodOptional<z.ZodNumber>;
            /**
             * How much to prioritize sampling speed (latency) when selecting a model.
             */
            speedPriority: z.ZodOptional<z.ZodNumber>;
            /**
             * How much to prioritize intelligence and capabilities when selecting a model.
             */
            intelligencePriority: z.ZodOptional<z.ZodNumber>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * Optional hints to use for model selection.
             */
            hints: z.ZodOptional<z.ZodArray<z.ZodObject<{
                /**
                 * A hint for a model name.
                 */
                name: z.ZodOptional<z.ZodString>;
            }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
                /**
                 * A hint for a model name.
                 */
                name: z.ZodOptional<z.ZodString>;
            }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
                /**
                 * A hint for a model name.
                 */
                name: z.ZodOptional<z.ZodString>;
            }, z.ZodTypeAny, "passthrough">>, "many">>;
            /**
             * How much to prioritize cost when selecting a model.
             */
            costPriority: z.ZodOptional<z.ZodNumber>;
            /**
             * How much to prioritize sampling speed (latency) when selecting a model.
             */
            speedPriority: z.ZodOptional<z.ZodNumber>;
            /**
             * How much to prioritize intelligence and capabilities when selecting a model.
             */
            intelligencePriority: z.ZodOptional<z.ZodNumber>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * Optional hints to use for model selection.
             */
            hints: z.ZodOptional<z.ZodArray<z.ZodObject<{
                /**
                 * A hint for a model name.
                 */
                name: z.ZodOptional<z.ZodString>;
            }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
                /**
                 * A hint for a model name.
                 */
                name: z.ZodOptional<z.ZodString>;
            }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
                /**
                 * A hint for a model name.
                 */
                name: z.ZodOptional<z.ZodString>;
            }, z.ZodTypeAny, "passthrough">>, "many">>;
            /**
             * How much to prioritize cost when selecting a model.
             */
            costPriority: z.ZodOptional<z.ZodNumber>;
            /**
             * How much to prioritize sampling speed (latency) when selecting a model.
             */
            speedPriority: z.ZodOptional<z.ZodNumber>;
            /**
             * How much to prioritize intelligence and capabilities when selecting a model.
             */
            intelligencePriority: z.ZodOptional<z.ZodNumber>;
        }, z.ZodTypeAny, "passthrough">>>;
    }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, {
        messages: z.ZodArray<z.ZodObject<{
            role: z.ZodEnum<["user", "assistant"]>;
            content: z.ZodUnion<[z.ZodObject<{
                type: z.ZodLiteral<"text">;
                /**
                 * The text content of the message.
                 */
                text: z.ZodString;
            }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
                type: z.ZodLiteral<"text">;
                /**
                 * The text content of the message.
                 */
                text: z.ZodString;
            }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
                type: z.ZodLiteral<"text">;
                /**
                 * The text content of the message.
                 */
                text: z.ZodString;
            }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
                type: z.ZodLiteral<"image">;
                /**
                 * The base64-encoded image data.
                 */
                data: z.ZodString;
                /**
                 * The MIME type of the image. Different providers may support different image types.
                 */
                mimeType: z.ZodString;
            }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
                type: z.ZodLiteral<"image">;
                /**
                 * The base64-encoded image data.
                 */
                data: z.ZodString;
                /**
                 * The MIME type of the image. Different providers may support different image types.
                 */
                mimeType: z.ZodString;
            }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
                type: z.ZodLiteral<"image">;
                /**
                 * The base64-encoded image data.
                 */
                data: z.ZodString;
                /**
                 * The MIME type of the image. Different providers may support different image types.
                 */
                mimeType: z.ZodString;
            }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
                type: z.ZodLiteral<"audio">;
                /**
                 * The base64-encoded audio data.
                 */
                data: z.ZodString;
                /**
                 * The MIME type of the audio. Different providers may support different audio types.
                 */
                mimeType: z.ZodString;
            }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
                type: z.ZodLiteral<"audio">;
                /**
                 * The base64-encoded audio data.
                 */
                data: z.ZodString;
                /**
                 * The MIME type of the audio. Different providers may support different audio types.
                 */
                mimeType: z.ZodString;
            }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
                type: z.ZodLiteral<"audio">;
                /**
                 * The base64-encoded audio data.
                 */
                data: z.ZodString;
                /**
                 * The MIME type of the audio. Different providers may support different audio types.
                 */
                mimeType: z.ZodString;
            }, z.ZodTypeAny, "passthrough">>]>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            role: z.ZodEnum<["user", "assistant"]>;
            content: z.ZodUnion<[z.ZodObject<{
                type: z.ZodLiteral<"text">;
                /**
                 * The text content of the message.
                 */
                text: z.ZodString;
            }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
                type: z.ZodLiteral<"text">;
                /**
                 * The text content of the message.
                 */
                text: z.ZodString;
            }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
                type: z.ZodLiteral<"text">;
                /**
                 * The text content of the message.
                 */
                text: z.ZodString;
            }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
                type: z.ZodLiteral<"image">;
                /**
                 * The base64-encoded image data.
                 */
                data: z.ZodString;
                /**
                 * The MIME type of the image. Different providers may support different image types.
                 */
                mimeType: z.ZodString;
            }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
                type: z.ZodLiteral<"image">;
                /**
                 * The base64-encoded image data.
                 */
                data: z.ZodString;
                /**
                 * The MIME type of the image. Different providers may support different image types.
                 */
                mimeType: z.ZodString;
            }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
                type: z.ZodLiteral<"image">;
                /**
                 * The base64-encoded image data.
                 */
                data: z.ZodString;
                /**
                 * The MIME type of the image. Different providers may support different image types.
                 */
                mimeType: z.ZodString;
            }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
                type: z.ZodLiteral<"audio">;
                /**
                 * The base64-encoded audio data.
                 */
                data: z.ZodString;
                /**
                 * The MIME type of the audio. Different providers may support different audio types.
                 */
                mimeType: z.ZodString;
            }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
                type: z.ZodLiteral<"audio">;
                /**
                 * The base64-encoded audio data.
                 */
                data: z.ZodString;
                /**
                 * The MIME type of the audio. Different providers may support different audio types.
                 */
                mimeType: z.ZodString;
            }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
                type: z.ZodLiteral<"audio">;
                /**
                 * The base64-encoded audio data.
                 */
                data: z.ZodString;
                /**
                 * The MIME type of the audio. Different providers may support different audio types.
                 */
                mimeType: z.ZodString;
            }, z.ZodTypeAny, "passthrough">>]>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            role: z.ZodEnum<["user", "assistant"]>;
            content: z.ZodUnion<[z.ZodObject<{
                type: z.ZodLiteral<"text">;
                /**
                 * The text content of the message.
                 */
                text: z.ZodString;
            }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
                type: z.ZodLiteral<"text">;
                /**
                 * The text content of the message.
                 */
                text: z.ZodString;
            }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
                type: z.ZodLiteral<"text">;
                /**
                 * The text content of the message.
                 */
                text: z.ZodString;
            }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
                type: z.ZodLiteral<"image">;
                /**
                 * The base64-encoded image data.
                 */
                data: z.ZodString;
                /**
                 * The MIME type of the image. Different providers may support different image types.
                 */
                mimeType: z.ZodString;
            }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
                type: z.ZodLiteral<"image">;
                /**
                 * The base64-encoded image data.
                 */
                data: z.ZodString;
                /**
                 * The MIME type of the image. Different providers may support different image types.
                 */
                mimeType: z.ZodString;
            }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
                type: z.ZodLiteral<"image">;
                /**
                 * The base64-encoded image data.
                 */
                data: z.ZodString;
                /**
                 * The MIME type of the image. Different providers may support different image types.
                 */
                mimeType: z.ZodString;
            }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
                type: z.ZodLiteral<"audio">;
                /**
                 * The base64-encoded audio data.
                 */
                data: z.ZodString;
                /**
                 * The MIME type of the audio. Different providers may support different audio types.
                 */
                mimeType: z.ZodString;
            }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
                type: z.ZodLiteral<"audio">;
                /**
                 * The base64-encoded audio data.
                 */
                data: z.ZodString;
                /**
                 * The MIME type of the audio. Different providers may support different audio types.
                 */
                mimeType: z.ZodString;
            }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
                type: z.ZodLiteral<"audio">;
                /**
                 * The base64-encoded audio data.
                 */
                data: z.ZodString;
                /**
                 * The MIME type of the audio. Different providers may support different audio types.
                 */
                mimeType: z.ZodString;
            }, z.ZodTypeAny, "passthrough">>]>;
        }, z.ZodTypeAny, "passthrough">>, "many">;
        /**
         * An optional system prompt the server wants to use for sampling. The client MAY modify or omit this prompt.
         */
        systemPrompt: z.ZodOptional<z.ZodString>;
        /**
         * A request to include context from one or more MCP servers (including the caller), to be attached to the prompt. The client MAY ignore this request.
         */
        includeContext: z.ZodOptional<z.ZodEnum<["none", "thisServer", "allServers"]>>;
        temperature: z.ZodOptional<z.ZodNumber>;
        /**
         * The maximum number of tokens to sample, as requested by the server. The client MAY choose to sample fewer tokens than requested.
         */
        maxTokens: z.ZodNumber;
        stopSequences: z.ZodOptional<z.ZodArray<z.ZodString, "many">>;
        /**
         * Optional metadata to pass through to the LLM provider. The format of this metadata is provider-specific.
         */
        metadata: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
        /**
         * The server's preferences for which model to select.
         */
        modelPreferences: z.ZodOptional<z.ZodObject<{
            /**
             * Optional hints to use for model selection.
             */
            hints: z.ZodOptional<z.ZodArray<z.ZodObject<{
                /**
                 * A hint for a model name.
                 */
                name: z.ZodOptional<z.ZodString>;
            }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
                /**
                 * A hint for a model name.
                 */
                name: z.ZodOptional<z.ZodString>;
            }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
                /**
                 * A hint for a model name.
                 */
                name: z.ZodOptional<z.ZodString>;
            }, z.ZodTypeAny, "passthrough">>, "many">>;
            /**
             * How much to prioritize cost when selecting a model.
             */
            costPriority: z.ZodOptional<z.ZodNumber>;
            /**
             * How much to prioritize sampling speed (latency) when selecting a model.
             */
            speedPriority: z.ZodOptional<z.ZodNumber>;
            /**
             * How much to prioritize intelligence and capabilities when selecting a model.
             */
            intelligencePriority: z.ZodOptional<z.ZodNumber>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * Optional hints to use for model selection.
             */
            hints: z.ZodOptional<z.ZodArray<z.ZodObject<{
                /**
                 * A hint for a model name.
                 */
                name: z.ZodOptional<z.ZodString>;
            }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
                /**
                 * A hint for a model name.
                 */
                name: z.ZodOptional<z.ZodString>;
            }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
                /**
                 * A hint for a model name.
                 */
                name: z.ZodOptional<z.ZodString>;
            }, z.ZodTypeAny, "passthrough">>, "many">>;
            /**
             * How much to prioritize cost when selecting a model.
             */
            costPriority: z.ZodOptional<z.ZodNumber>;
            /**
             * How much to prioritize sampling speed (latency) when selecting a model.
             */
            speedPriority: z.ZodOptional<z.ZodNumber>;
            /**
             * How much to prioritize intelligence and capabilities when selecting a model.
             */
            intelligencePriority: z.ZodOptional<z.ZodNumber>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * Optional hints to use for model selection.
             */
            hints: z.ZodOptional<z.ZodArray<z.ZodObject<{
                /**
                 * A hint for a model name.
                 */
                name: z.ZodOptional<z.ZodString>;
            }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
                /**
                 * A hint for a model name.
                 */
                name: z.ZodOptional<z.ZodString>;
            }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
                /**
                 * A hint for a model name.
                 */
                name: z.ZodOptional<z.ZodString>;
            }, z.ZodTypeAny, "passthrough">>, "many">>;
            /**
             * How much to prioritize cost when selecting a model.
             */
            costPriority: z.ZodOptional<z.ZodNumber>;
            /**
             * How much to prioritize sampling speed (latency) when selecting a model.
             */
            speedPriority: z.ZodOptional<z.ZodNumber>;
            /**
             * How much to prioritize intelligence and capabilities when selecting a model.
             */
            intelligencePriority: z.ZodOptional<z.ZodNumber>;
        }, z.ZodTypeAny, "passthrough">>>;
    }>, z.ZodTypeAny, "passthrough">>;
}>, "strip", z.ZodTypeAny, {
    params: {
        messages: z.objectOutputType<{
            role: z.ZodEnum<["user", "assistant"]>;
            content: z.ZodUnion<[z.ZodObject<{
                type: z.ZodLiteral<"text">;
                /**
                 * The text content of the message.
                 */
                text: z.ZodString;
            }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
                type: z.ZodLiteral<"text">;
                /**
                 * The text content of the message.
                 */
                text: z.ZodString;
            }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
                type: z.ZodLiteral<"text">;
                /**
                 * The text content of the message.
                 */
                text: z.ZodString;
            }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
                type: z.ZodLiteral<"image">;
                /**
                 * The base64-encoded image data.
                 */
                data: z.ZodString;
                /**
                 * The MIME type of the image. Different providers may support different image types.
                 */
                mimeType: z.ZodString;
            }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
                type: z.ZodLiteral<"image">;
                /**
                 * The base64-encoded image data.
                 */
                data: z.ZodString;
                /**
                 * The MIME type of the image. Different providers may support different image types.
                 */
                mimeType: z.ZodString;
            }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
                type: z.ZodLiteral<"image">;
                /**
                 * The base64-encoded image data.
                 */
                data: z.ZodString;
                /**
                 * The MIME type of the image. Different providers may support different image types.
                 */
                mimeType: z.ZodString;
            }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
                type: z.ZodLiteral<"audio">;
                /**
                 * The base64-encoded audio data.
                 */
                data: z.ZodString;
                /**
                 * The MIME type of the audio. Different providers may support different audio types.
                 */
                mimeType: z.ZodString;
            }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
                type: z.ZodLiteral<"audio">;
                /**
                 * The base64-encoded audio data.
                 */
                data: z.ZodString;
                /**
                 * The MIME type of the audio. Different providers may support different audio types.
                 */
                mimeType: z.ZodString;
            }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
                type: z.ZodLiteral<"audio">;
                /**
                 * The base64-encoded audio data.
                 */
                data: z.ZodString;
                /**
                 * The MIME type of the audio. Different providers may support different audio types.
                 */
                mimeType: z.ZodString;
            }, z.ZodTypeAny, "passthrough">>]>;
        }, z.ZodTypeAny, "passthrough">[];
        maxTokens: number;
        _meta?: z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough"> | undefined;
        systemPrompt?: string | undefined;
        includeContext?: "none" | "thisServer" | "allServers" | undefined;
        temperature?: number | undefined;
        stopSequences?: string[] | undefined;
        metadata?: z.objectOutputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
        modelPreferences?: z.objectOutputType<{
            /**
             * Optional hints to use for model selection.
             */
            hints: z.ZodOptional<z.ZodArray<z.ZodObject<{
                /**
                 * A hint for a model name.
                 */
                name: z.ZodOptional<z.ZodString>;
            }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
                /**
                 * A hint for a model name.
                 */
                name: z.ZodOptional<z.ZodString>;
            }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
                /**
                 * A hint for a model name.
                 */
                name: z.ZodOptional<z.ZodString>;
            }, z.ZodTypeAny, "passthrough">>, "many">>;
            /**
             * How much to prioritize cost when selecting a model.
             */
            costPriority: z.ZodOptional<z.ZodNumber>;
            /**
             * How much to prioritize sampling speed (latency) when selecting a model.
             */
            speedPriority: z.ZodOptional<z.ZodNumber>;
            /**
             * How much to prioritize intelligence and capabilities when selecting a model.
             */
            intelligencePriority: z.ZodOptional<z.ZodNumber>;
        }, z.ZodTypeAny, "passthrough"> | undefined;
    } & {
        [k: string]: unknown;
    };
    method: "sampling/createMessage";
}, {
    params: {
        messages: z.objectInputType<{
            role: z.ZodEnum<["user", "assistant"]>;
            content: z.ZodUnion<[z.ZodObject<{
                type: z.ZodLiteral<"text">;
                /**
                 * The text content of the message.
                 */
                text: z.ZodString;
            }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
                type: z.ZodLiteral<"text">;
                /**
                 * The text content of the message.
                 */
                text: z.ZodString;
            }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
                type: z.ZodLiteral<"text">;
                /**
                 * The text content of the message.
                 */
                text: z.ZodString;
            }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
                type: z.ZodLiteral<"image">;
                /**
                 * The base64-encoded image data.
                 */
                data: z.ZodString;
                /**
                 * The MIME type of the image. Different providers may support different image types.
                 */
                mimeType: z.ZodString;
            }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
                type: z.ZodLiteral<"image">;
                /**
                 * The base64-encoded image data.
                 */
                data: z.ZodString;
                /**
                 * The MIME type of the image. Different providers may support different image types.
                 */
                mimeType: z.ZodString;
            }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
                type: z.ZodLiteral<"image">;
                /**
                 * The base64-encoded image data.
                 */
                data: z.ZodString;
                /**
                 * The MIME type of the image. Different providers may support different image types.
                 */
                mimeType: z.ZodString;
            }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
                type: z.ZodLiteral<"audio">;
                /**
                 * The base64-encoded audio data.
                 */
                data: z.ZodString;
                /**
                 * The MIME type of the audio. Different providers may support different audio types.
                 */
                mimeType: z.ZodString;
            }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
                type: z.ZodLiteral<"audio">;
                /**
                 * The base64-encoded audio data.
                 */
                data: z.ZodString;
                /**
                 * The MIME type of the audio. Different providers may support different audio types.
                 */
                mimeType: z.ZodString;
            }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
                type: z.ZodLiteral<"audio">;
                /**
                 * The base64-encoded audio data.
                 */
                data: z.ZodString;
                /**
                 * The MIME type of the audio. Different providers may support different audio types.
                 */
                mimeType: z.ZodString;
            }, z.ZodTypeAny, "passthrough">>]>;
        }, z.ZodTypeAny, "passthrough">[];
        maxTokens: number;
        _meta?: z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough"> | undefined;
        systemPrompt?: string | undefined;
        includeContext?: "none" | "thisServer" | "allServers" | undefined;
        temperature?: number | undefined;
        stopSequences?: string[] | undefined;
        metadata?: z.objectInputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
        modelPreferences?: z.objectInputType<{
            /**
             * Optional hints to use for model selection.
             */
            hints: z.ZodOptional<z.ZodArray<z.ZodObject<{
                /**
                 * A hint for a model name.
                 */
                name: z.ZodOptional<z.ZodString>;
            }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
                /**
                 * A hint for a model name.
                 */
                name: z.ZodOptional<z.ZodString>;
            }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
                /**
                 * A hint for a model name.
                 */
                name: z.ZodOptional<z.ZodString>;
            }, z.ZodTypeAny, "passthrough">>, "many">>;
            /**
             * How much to prioritize cost when selecting a model.
             */
            costPriority: z.ZodOptional<z.ZodNumber>;
            /**
             * How much to prioritize sampling speed (latency) when selecting a model.
             */
            speedPriority: z.ZodOptional<z.ZodNumber>;
            /**
             * How much to prioritize intelligence and capabilities when selecting a model.
             */
            intelligencePriority: z.ZodOptional<z.ZodNumber>;
        }, z.ZodTypeAny, "passthrough"> | undefined;
    } & {
        [k: string]: unknown;
    };
    method: "sampling/createMessage";
}>, z.ZodObject<z.objectUtil.extendShape<{
    method: z.ZodString;
    params: z.ZodOptional<z.ZodObject<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">>>;
}, {
    method: z.ZodLiteral<"roots/list">;
}>, "strip", z.ZodTypeAny, {
    method: "roots/list";
    params?: z.objectOutputType<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough"> | undefined;
}, {
    method: "roots/list";
    params?: z.objectInputType<{
        _meta: z.ZodOptional<z.ZodObject<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * If specified, the caller is requesting out-of-band progress notifications for this request (as represented by notifications/progress). The value of this parameter is an opaque token that will be attached to any subsequent notifications. The receiver is not obligated to provide these notifications.
             */
            progressToken: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough"> | undefined;
}>]>;
export declare const ServerNotificationSchema: z.ZodUnion<[z.ZodObject<z.objectUtil.extendShape<{
    method: z.ZodString;
    params: z.ZodOptional<z.ZodObject<{
        /**
         * This parameter name is reserved by MCP to allow clients and servers to attach additional metadata to their notifications.
         */
        _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        /**
         * This parameter name is reserved by MCP to allow clients and servers to attach additional metadata to their notifications.
         */
        _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        /**
         * This parameter name is reserved by MCP to allow clients and servers to attach additional metadata to their notifications.
         */
        _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">>>;
}, {
    method: z.ZodLiteral<"notifications/cancelled">;
    params: z.ZodObject<z.objectUtil.extendShape<{
        /**
         * This parameter name is reserved by MCP to allow clients and servers to attach additional metadata to their notifications.
         */
        _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, {
        /**
         * The ID of the request to cancel.
         *
         * This MUST correspond to the ID of a request previously issued in the same direction.
         */
        requestId: z.ZodUnion<[z.ZodString, z.ZodNumber]>;
        /**
         * An optional string describing the reason for the cancellation. This MAY be logged or presented to the user.
         */
        reason: z.ZodOptional<z.ZodString>;
    }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
        /**
         * This parameter name is reserved by MCP to allow clients and servers to attach additional metadata to their notifications.
         */
        _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, {
        /**
         * The ID of the request to cancel.
         *
         * This MUST correspond to the ID of a request previously issued in the same direction.
         */
        requestId: z.ZodUnion<[z.ZodString, z.ZodNumber]>;
        /**
         * An optional string describing the reason for the cancellation. This MAY be logged or presented to the user.
         */
        reason: z.ZodOptional<z.ZodString>;
    }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
        /**
         * This parameter name is reserved by MCP to allow clients and servers to attach additional metadata to their notifications.
         */
        _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, {
        /**
         * The ID of the request to cancel.
         *
         * This MUST correspond to the ID of a request previously issued in the same direction.
         */
        requestId: z.ZodUnion<[z.ZodString, z.ZodNumber]>;
        /**
         * An optional string describing the reason for the cancellation. This MAY be logged or presented to the user.
         */
        reason: z.ZodOptional<z.ZodString>;
    }>, z.ZodTypeAny, "passthrough">>;
}>, "strip", z.ZodTypeAny, {
    params: {
        requestId: string | number;
        _meta?: z.objectOutputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
        reason?: string | undefined;
    } & {
        [k: string]: unknown;
    };
    method: "notifications/cancelled";
}, {
    params: {
        requestId: string | number;
        _meta?: z.objectInputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
        reason?: string | undefined;
    } & {
        [k: string]: unknown;
    };
    method: "notifications/cancelled";
}>, z.ZodObject<z.objectUtil.extendShape<{
    method: z.ZodString;
    params: z.ZodOptional<z.ZodObject<{
        /**
         * This parameter name is reserved by MCP to allow clients and servers to attach additional metadata to their notifications.
         */
        _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        /**
         * This parameter name is reserved by MCP to allow clients and servers to attach additional metadata to their notifications.
         */
        _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        /**
         * This parameter name is reserved by MCP to allow clients and servers to attach additional metadata to their notifications.
         */
        _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">>>;
}, {
    method: z.ZodLiteral<"notifications/progress">;
    params: z.ZodObject<z.objectUtil.extendShape<z.objectUtil.extendShape<{
        /**
         * This parameter name is reserved by MCP to allow clients and servers to attach additional metadata to their notifications.
         */
        _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, {
        /**
         * The progress thus far. This should increase every time progress is made, even if the total is unknown.
         */
        progress: z.ZodNumber;
        /**
         * Total number of items to process (or total progress required), if known.
         */
        total: z.ZodOptional<z.ZodNumber>;
    }>, {
        /**
         * The progress token which was given in the initial request, used to associate this notification with the request that is proceeding.
         */
        progressToken: z.ZodUnion<[z.ZodString, z.ZodNumber]>;
    }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<z.objectUtil.extendShape<{
        /**
         * This parameter name is reserved by MCP to allow clients and servers to attach additional metadata to their notifications.
         */
        _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, {
        /**
         * The progress thus far. This should increase every time progress is made, even if the total is unknown.
         */
        progress: z.ZodNumber;
        /**
         * Total number of items to process (or total progress required), if known.
         */
        total: z.ZodOptional<z.ZodNumber>;
    }>, {
        /**
         * The progress token which was given in the initial request, used to associate this notification with the request that is proceeding.
         */
        progressToken: z.ZodUnion<[z.ZodString, z.ZodNumber]>;
    }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<z.objectUtil.extendShape<{
        /**
         * This parameter name is reserved by MCP to allow clients and servers to attach additional metadata to their notifications.
         */
        _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, {
        /**
         * The progress thus far. This should increase every time progress is made, even if the total is unknown.
         */
        progress: z.ZodNumber;
        /**
         * Total number of items to process (or total progress required), if known.
         */
        total: z.ZodOptional<z.ZodNumber>;
    }>, {
        /**
         * The progress token which was given in the initial request, used to associate this notification with the request that is proceeding.
         */
        progressToken: z.ZodUnion<[z.ZodString, z.ZodNumber]>;
    }>, z.ZodTypeAny, "passthrough">>;
}>, "strip", z.ZodTypeAny, {
    params: {
        progressToken: string | number;
        progress: number;
        _meta?: z.objectOutputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
        total?: number | undefined;
    } & {
        [k: string]: unknown;
    };
    method: "notifications/progress";
}, {
    params: {
        progressToken: string | number;
        progress: number;
        _meta?: z.objectInputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
        total?: number | undefined;
    } & {
        [k: string]: unknown;
    };
    method: "notifications/progress";
}>, z.ZodObject<z.objectUtil.extendShape<{
    method: z.ZodString;
    params: z.ZodOptional<z.ZodObject<{
        /**
         * This parameter name is reserved by MCP to allow clients and servers to attach additional metadata to their notifications.
         */
        _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        /**
         * This parameter name is reserved by MCP to allow clients and servers to attach additional metadata to their notifications.
         */
        _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        /**
         * This parameter name is reserved by MCP to allow clients and servers to attach additional metadata to their notifications.
         */
        _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">>>;
}, {
    method: z.ZodLiteral<"notifications/message">;
    params: z.ZodObject<z.objectUtil.extendShape<{
        /**
         * This parameter name is reserved by MCP to allow clients and servers to attach additional metadata to their notifications.
         */
        _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, {
        /**
         * The severity of this log message.
         */
        level: z.ZodEnum<["debug", "info", "notice", "warning", "error", "critical", "alert", "emergency"]>;
        /**
         * An optional name of the logger issuing this message.
         */
        logger: z.ZodOptional<z.ZodString>;
        /**
         * The data to be logged, such as a string message or an object. Any JSON serializable type is allowed here.
         */
        data: z.ZodUnknown;
    }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
        /**
         * This parameter name is reserved by MCP to allow clients and servers to attach additional metadata to their notifications.
         */
        _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, {
        /**
         * The severity of this log message.
         */
        level: z.ZodEnum<["debug", "info", "notice", "warning", "error", "critical", "alert", "emergency"]>;
        /**
         * An optional name of the logger issuing this message.
         */
        logger: z.ZodOptional<z.ZodString>;
        /**
         * The data to be logged, such as a string message or an object. Any JSON serializable type is allowed here.
         */
        data: z.ZodUnknown;
    }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
        /**
         * This parameter name is reserved by MCP to allow clients and servers to attach additional metadata to their notifications.
         */
        _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, {
        /**
         * The severity of this log message.
         */
        level: z.ZodEnum<["debug", "info", "notice", "warning", "error", "critical", "alert", "emergency"]>;
        /**
         * An optional name of the logger issuing this message.
         */
        logger: z.ZodOptional<z.ZodString>;
        /**
         * The data to be logged, such as a string message or an object. Any JSON serializable type is allowed here.
         */
        data: z.ZodUnknown;
    }>, z.ZodTypeAny, "passthrough">>;
}>, "strip", z.ZodTypeAny, {
    params: {
        level: "error" | "debug" | "info" | "notice" | "warning" | "critical" | "alert" | "emergency";
        _meta?: z.objectOutputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
        data?: unknown;
        logger?: string | undefined;
    } & {
        [k: string]: unknown;
    };
    method: "notifications/message";
}, {
    params: {
        level: "error" | "debug" | "info" | "notice" | "warning" | "critical" | "alert" | "emergency";
        _meta?: z.objectInputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
        data?: unknown;
        logger?: string | undefined;
    } & {
        [k: string]: unknown;
    };
    method: "notifications/message";
}>, z.ZodObject<z.objectUtil.extendShape<{
    method: z.ZodString;
    params: z.ZodOptional<z.ZodObject<{
        /**
         * This parameter name is reserved by MCP to allow clients and servers to attach additional metadata to their notifications.
         */
        _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        /**
         * This parameter name is reserved by MCP to allow clients and servers to attach additional metadata to their notifications.
         */
        _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        /**
         * This parameter name is reserved by MCP to allow clients and servers to attach additional metadata to their notifications.
         */
        _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">>>;
}, {
    method: z.ZodLiteral<"notifications/resources/updated">;
    params: z.ZodObject<z.objectUtil.extendShape<{
        /**
         * This parameter name is reserved by MCP to allow clients and servers to attach additional metadata to their notifications.
         */
        _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, {
        /**
         * The URI of the resource that has been updated. This might be a sub-resource of the one that the client actually subscribed to.
         */
        uri: z.ZodString;
    }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
        /**
         * This parameter name is reserved by MCP to allow clients and servers to attach additional metadata to their notifications.
         */
        _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, {
        /**
         * The URI of the resource that has been updated. This might be a sub-resource of the one that the client actually subscribed to.
         */
        uri: z.ZodString;
    }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
        /**
         * This parameter name is reserved by MCP to allow clients and servers to attach additional metadata to their notifications.
         */
        _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, {
        /**
         * The URI of the resource that has been updated. This might be a sub-resource of the one that the client actually subscribed to.
         */
        uri: z.ZodString;
    }>, z.ZodTypeAny, "passthrough">>;
}>, "strip", z.ZodTypeAny, {
    params: {
        uri: string;
        _meta?: z.objectOutputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
    } & {
        [k: string]: unknown;
    };
    method: "notifications/resources/updated";
}, {
    params: {
        uri: string;
        _meta?: z.objectInputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
    } & {
        [k: string]: unknown;
    };
    method: "notifications/resources/updated";
}>, z.ZodObject<z.objectUtil.extendShape<{
    method: z.ZodString;
    params: z.ZodOptional<z.ZodObject<{
        /**
         * This parameter name is reserved by MCP to allow clients and servers to attach additional metadata to their notifications.
         */
        _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        /**
         * This parameter name is reserved by MCP to allow clients and servers to attach additional metadata to their notifications.
         */
        _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        /**
         * This parameter name is reserved by MCP to allow clients and servers to attach additional metadata to their notifications.
         */
        _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">>>;
}, {
    method: z.ZodLiteral<"notifications/resources/list_changed">;
}>, "strip", z.ZodTypeAny, {
    method: "notifications/resources/list_changed";
    params?: z.objectOutputType<{
        /**
         * This parameter name is reserved by MCP to allow clients and servers to attach additional metadata to their notifications.
         */
        _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough"> | undefined;
}, {
    method: "notifications/resources/list_changed";
    params?: z.objectInputType<{
        /**
         * This parameter name is reserved by MCP to allow clients and servers to attach additional metadata to their notifications.
         */
        _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough"> | undefined;
}>, z.ZodObject<z.objectUtil.extendShape<{
    method: z.ZodString;
    params: z.ZodOptional<z.ZodObject<{
        /**
         * This parameter name is reserved by MCP to allow clients and servers to attach additional metadata to their notifications.
         */
        _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        /**
         * This parameter name is reserved by MCP to allow clients and servers to attach additional metadata to their notifications.
         */
        _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        /**
         * This parameter name is reserved by MCP to allow clients and servers to attach additional metadata to their notifications.
         */
        _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">>>;
}, {
    method: z.ZodLiteral<"notifications/tools/list_changed">;
}>, "strip", z.ZodTypeAny, {
    method: "notifications/tools/list_changed";
    params?: z.objectOutputType<{
        /**
         * This parameter name is reserved by MCP to allow clients and servers to attach additional metadata to their notifications.
         */
        _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough"> | undefined;
}, {
    method: "notifications/tools/list_changed";
    params?: z.objectInputType<{
        /**
         * This parameter name is reserved by MCP to allow clients and servers to attach additional metadata to their notifications.
         */
        _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough"> | undefined;
}>, z.ZodObject<z.objectUtil.extendShape<{
    method: z.ZodString;
    params: z.ZodOptional<z.ZodObject<{
        /**
         * This parameter name is reserved by MCP to allow clients and servers to attach additional metadata to their notifications.
         */
        _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        /**
         * This parameter name is reserved by MCP to allow clients and servers to attach additional metadata to their notifications.
         */
        _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        /**
         * This parameter name is reserved by MCP to allow clients and servers to attach additional metadata to their notifications.
         */
        _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">>>;
}, {
    method: z.ZodLiteral<"notifications/prompts/list_changed">;
}>, "strip", z.ZodTypeAny, {
    method: "notifications/prompts/list_changed";
    params?: z.objectOutputType<{
        /**
         * This parameter name is reserved by MCP to allow clients and servers to attach additional metadata to their notifications.
         */
        _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough"> | undefined;
}, {
    method: "notifications/prompts/list_changed";
    params?: z.objectInputType<{
        /**
         * This parameter name is reserved by MCP to allow clients and servers to attach additional metadata to their notifications.
         */
        _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough"> | undefined;
}>]>;
export declare const ServerResultSchema: z.ZodUnion<[z.ZodObject<{
    /**
     * This result property is reserved by the protocol to allow clients and servers to attach additional metadata to their responses.
     */
    _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
}, "strict", z.ZodTypeAny, {
    _meta?: z.objectOutputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
}, {
    _meta?: z.objectInputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
}>, z.ZodObject<z.objectUtil.extendShape<{
    /**
     * This result property is reserved by the protocol to allow clients and servers to attach additional metadata to their responses.
     */
    _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
}, {
    /**
     * The version of the Model Context Protocol that the server wants to use. This may not match the version that the client requested. If the client cannot support this version, it MUST disconnect.
     */
    protocolVersion: z.ZodString;
    capabilities: z.ZodObject<{
        /**
         * Experimental, non-standard capabilities that the server supports.
         */
        experimental: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
        /**
         * Present if the server supports sending log messages to the client.
         */
        logging: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
        /**
         * Present if the server supports sending completions to the client.
         */
        completions: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
        /**
         * Present if the server offers any prompt templates.
         */
        prompts: z.ZodOptional<z.ZodObject<{
            /**
             * Whether this server supports issuing notifications for changes to the prompt list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * Whether this server supports issuing notifications for changes to the prompt list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * Whether this server supports issuing notifications for changes to the prompt list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">>>;
        /**
         * Present if the server offers any resources to read.
         */
        resources: z.ZodOptional<z.ZodObject<{
            /**
             * Whether this server supports clients subscribing to resource updates.
             */
            subscribe: z.ZodOptional<z.ZodBoolean>;
            /**
             * Whether this server supports issuing notifications for changes to the resource list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * Whether this server supports clients subscribing to resource updates.
             */
            subscribe: z.ZodOptional<z.ZodBoolean>;
            /**
             * Whether this server supports issuing notifications for changes to the resource list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * Whether this server supports clients subscribing to resource updates.
             */
            subscribe: z.ZodOptional<z.ZodBoolean>;
            /**
             * Whether this server supports issuing notifications for changes to the resource list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">>>;
        /**
         * Present if the server offers any tools to call.
         */
        tools: z.ZodOptional<z.ZodObject<{
            /**
             * Whether this server supports issuing notifications for changes to the tool list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * Whether this server supports issuing notifications for changes to the tool list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * Whether this server supports issuing notifications for changes to the tool list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        /**
         * Experimental, non-standard capabilities that the server supports.
         */
        experimental: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
        /**
         * Present if the server supports sending log messages to the client.
         */
        logging: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
        /**
         * Present if the server supports sending completions to the client.
         */
        completions: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
        /**
         * Present if the server offers any prompt templates.
         */
        prompts: z.ZodOptional<z.ZodObject<{
            /**
             * Whether this server supports issuing notifications for changes to the prompt list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * Whether this server supports issuing notifications for changes to the prompt list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * Whether this server supports issuing notifications for changes to the prompt list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">>>;
        /**
         * Present if the server offers any resources to read.
         */
        resources: z.ZodOptional<z.ZodObject<{
            /**
             * Whether this server supports clients subscribing to resource updates.
             */
            subscribe: z.ZodOptional<z.ZodBoolean>;
            /**
             * Whether this server supports issuing notifications for changes to the resource list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * Whether this server supports clients subscribing to resource updates.
             */
            subscribe: z.ZodOptional<z.ZodBoolean>;
            /**
             * Whether this server supports issuing notifications for changes to the resource list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * Whether this server supports clients subscribing to resource updates.
             */
            subscribe: z.ZodOptional<z.ZodBoolean>;
            /**
             * Whether this server supports issuing notifications for changes to the resource list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">>>;
        /**
         * Present if the server offers any tools to call.
         */
        tools: z.ZodOptional<z.ZodObject<{
            /**
             * Whether this server supports issuing notifications for changes to the tool list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * Whether this server supports issuing notifications for changes to the tool list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * Whether this server supports issuing notifications for changes to the tool list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        /**
         * Experimental, non-standard capabilities that the server supports.
         */
        experimental: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
        /**
         * Present if the server supports sending log messages to the client.
         */
        logging: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
        /**
         * Present if the server supports sending completions to the client.
         */
        completions: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
        /**
         * Present if the server offers any prompt templates.
         */
        prompts: z.ZodOptional<z.ZodObject<{
            /**
             * Whether this server supports issuing notifications for changes to the prompt list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * Whether this server supports issuing notifications for changes to the prompt list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * Whether this server supports issuing notifications for changes to the prompt list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">>>;
        /**
         * Present if the server offers any resources to read.
         */
        resources: z.ZodOptional<z.ZodObject<{
            /**
             * Whether this server supports clients subscribing to resource updates.
             */
            subscribe: z.ZodOptional<z.ZodBoolean>;
            /**
             * Whether this server supports issuing notifications for changes to the resource list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * Whether this server supports clients subscribing to resource updates.
             */
            subscribe: z.ZodOptional<z.ZodBoolean>;
            /**
             * Whether this server supports issuing notifications for changes to the resource list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * Whether this server supports clients subscribing to resource updates.
             */
            subscribe: z.ZodOptional<z.ZodBoolean>;
            /**
             * Whether this server supports issuing notifications for changes to the resource list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">>>;
        /**
         * Present if the server offers any tools to call.
         */
        tools: z.ZodOptional<z.ZodObject<{
            /**
             * Whether this server supports issuing notifications for changes to the tool list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * Whether this server supports issuing notifications for changes to the tool list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * Whether this server supports issuing notifications for changes to the tool list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">>;
    serverInfo: z.ZodObject<{
        name: z.ZodString;
        version: z.ZodString;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        name: z.ZodString;
        version: z.ZodString;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        name: z.ZodString;
        version: z.ZodString;
    }, z.ZodTypeAny, "passthrough">>;
    /**
     * Instructions describing how to use the server and its features.
     *
     * This can be used by clients to improve the LLM's understanding of available tools, resources, etc. It can be thought of like a "hint" to the model. For example, this information MAY be added to the system prompt.
     */
    instructions: z.ZodOptional<z.ZodString>;
}>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
    /**
     * This result property is reserved by the protocol to allow clients and servers to attach additional metadata to their responses.
     */
    _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
}, {
    /**
     * The version of the Model Context Protocol that the server wants to use. This may not match the version that the client requested. If the client cannot support this version, it MUST disconnect.
     */
    protocolVersion: z.ZodString;
    capabilities: z.ZodObject<{
        /**
         * Experimental, non-standard capabilities that the server supports.
         */
        experimental: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
        /**
         * Present if the server supports sending log messages to the client.
         */
        logging: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
        /**
         * Present if the server supports sending completions to the client.
         */
        completions: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
        /**
         * Present if the server offers any prompt templates.
         */
        prompts: z.ZodOptional<z.ZodObject<{
            /**
             * Whether this server supports issuing notifications for changes to the prompt list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * Whether this server supports issuing notifications for changes to the prompt list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * Whether this server supports issuing notifications for changes to the prompt list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">>>;
        /**
         * Present if the server offers any resources to read.
         */
        resources: z.ZodOptional<z.ZodObject<{
            /**
             * Whether this server supports clients subscribing to resource updates.
             */
            subscribe: z.ZodOptional<z.ZodBoolean>;
            /**
             * Whether this server supports issuing notifications for changes to the resource list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * Whether this server supports clients subscribing to resource updates.
             */
            subscribe: z.ZodOptional<z.ZodBoolean>;
            /**
             * Whether this server supports issuing notifications for changes to the resource list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * Whether this server supports clients subscribing to resource updates.
             */
            subscribe: z.ZodOptional<z.ZodBoolean>;
            /**
             * Whether this server supports issuing notifications for changes to the resource list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">>>;
        /**
         * Present if the server offers any tools to call.
         */
        tools: z.ZodOptional<z.ZodObject<{
            /**
             * Whether this server supports issuing notifications for changes to the tool list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * Whether this server supports issuing notifications for changes to the tool list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * Whether this server supports issuing notifications for changes to the tool list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        /**
         * Experimental, non-standard capabilities that the server supports.
         */
        experimental: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
        /**
         * Present if the server supports sending log messages to the client.
         */
        logging: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
        /**
         * Present if the server supports sending completions to the client.
         */
        completions: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
        /**
         * Present if the server offers any prompt templates.
         */
        prompts: z.ZodOptional<z.ZodObject<{
            /**
             * Whether this server supports issuing notifications for changes to the prompt list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * Whether this server supports issuing notifications for changes to the prompt list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * Whether this server supports issuing notifications for changes to the prompt list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">>>;
        /**
         * Present if the server offers any resources to read.
         */
        resources: z.ZodOptional<z.ZodObject<{
            /**
             * Whether this server supports clients subscribing to resource updates.
             */
            subscribe: z.ZodOptional<z.ZodBoolean>;
            /**
             * Whether this server supports issuing notifications for changes to the resource list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * Whether this server supports clients subscribing to resource updates.
             */
            subscribe: z.ZodOptional<z.ZodBoolean>;
            /**
             * Whether this server supports issuing notifications for changes to the resource list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * Whether this server supports clients subscribing to resource updates.
             */
            subscribe: z.ZodOptional<z.ZodBoolean>;
            /**
             * Whether this server supports issuing notifications for changes to the resource list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">>>;
        /**
         * Present if the server offers any tools to call.
         */
        tools: z.ZodOptional<z.ZodObject<{
            /**
             * Whether this server supports issuing notifications for changes to the tool list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * Whether this server supports issuing notifications for changes to the tool list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * Whether this server supports issuing notifications for changes to the tool list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        /**
         * Experimental, non-standard capabilities that the server supports.
         */
        experimental: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
        /**
         * Present if the server supports sending log messages to the client.
         */
        logging: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
        /**
         * Present if the server supports sending completions to the client.
         */
        completions: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
        /**
         * Present if the server offers any prompt templates.
         */
        prompts: z.ZodOptional<z.ZodObject<{
            /**
             * Whether this server supports issuing notifications for changes to the prompt list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * Whether this server supports issuing notifications for changes to the prompt list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * Whether this server supports issuing notifications for changes to the prompt list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">>>;
        /**
         * Present if the server offers any resources to read.
         */
        resources: z.ZodOptional<z.ZodObject<{
            /**
             * Whether this server supports clients subscribing to resource updates.
             */
            subscribe: z.ZodOptional<z.ZodBoolean>;
            /**
             * Whether this server supports issuing notifications for changes to the resource list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * Whether this server supports clients subscribing to resource updates.
             */
            subscribe: z.ZodOptional<z.ZodBoolean>;
            /**
             * Whether this server supports issuing notifications for changes to the resource list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * Whether this server supports clients subscribing to resource updates.
             */
            subscribe: z.ZodOptional<z.ZodBoolean>;
            /**
             * Whether this server supports issuing notifications for changes to the resource list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">>>;
        /**
         * Present if the server offers any tools to call.
         */
        tools: z.ZodOptional<z.ZodObject<{
            /**
             * Whether this server supports issuing notifications for changes to the tool list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * Whether this server supports issuing notifications for changes to the tool list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * Whether this server supports issuing notifications for changes to the tool list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">>;
    serverInfo: z.ZodObject<{
        name: z.ZodString;
        version: z.ZodString;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        name: z.ZodString;
        version: z.ZodString;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        name: z.ZodString;
        version: z.ZodString;
    }, z.ZodTypeAny, "passthrough">>;
    /**
     * Instructions describing how to use the server and its features.
     *
     * This can be used by clients to improve the LLM's understanding of available tools, resources, etc. It can be thought of like a "hint" to the model. For example, this information MAY be added to the system prompt.
     */
    instructions: z.ZodOptional<z.ZodString>;
}>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
    /**
     * This result property is reserved by the protocol to allow clients and servers to attach additional metadata to their responses.
     */
    _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
}, {
    /**
     * The version of the Model Context Protocol that the server wants to use. This may not match the version that the client requested. If the client cannot support this version, it MUST disconnect.
     */
    protocolVersion: z.ZodString;
    capabilities: z.ZodObject<{
        /**
         * Experimental, non-standard capabilities that the server supports.
         */
        experimental: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
        /**
         * Present if the server supports sending log messages to the client.
         */
        logging: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
        /**
         * Present if the server supports sending completions to the client.
         */
        completions: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
        /**
         * Present if the server offers any prompt templates.
         */
        prompts: z.ZodOptional<z.ZodObject<{
            /**
             * Whether this server supports issuing notifications for changes to the prompt list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * Whether this server supports issuing notifications for changes to the prompt list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * Whether this server supports issuing notifications for changes to the prompt list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">>>;
        /**
         * Present if the server offers any resources to read.
         */
        resources: z.ZodOptional<z.ZodObject<{
            /**
             * Whether this server supports clients subscribing to resource updates.
             */
            subscribe: z.ZodOptional<z.ZodBoolean>;
            /**
             * Whether this server supports issuing notifications for changes to the resource list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * Whether this server supports clients subscribing to resource updates.
             */
            subscribe: z.ZodOptional<z.ZodBoolean>;
            /**
             * Whether this server supports issuing notifications for changes to the resource list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * Whether this server supports clients subscribing to resource updates.
             */
            subscribe: z.ZodOptional<z.ZodBoolean>;
            /**
             * Whether this server supports issuing notifications for changes to the resource list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">>>;
        /**
         * Present if the server offers any tools to call.
         */
        tools: z.ZodOptional<z.ZodObject<{
            /**
             * Whether this server supports issuing notifications for changes to the tool list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * Whether this server supports issuing notifications for changes to the tool list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * Whether this server supports issuing notifications for changes to the tool list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        /**
         * Experimental, non-standard capabilities that the server supports.
         */
        experimental: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
        /**
         * Present if the server supports sending log messages to the client.
         */
        logging: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
        /**
         * Present if the server supports sending completions to the client.
         */
        completions: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
        /**
         * Present if the server offers any prompt templates.
         */
        prompts: z.ZodOptional<z.ZodObject<{
            /**
             * Whether this server supports issuing notifications for changes to the prompt list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * Whether this server supports issuing notifications for changes to the prompt list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * Whether this server supports issuing notifications for changes to the prompt list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">>>;
        /**
         * Present if the server offers any resources to read.
         */
        resources: z.ZodOptional<z.ZodObject<{
            /**
             * Whether this server supports clients subscribing to resource updates.
             */
            subscribe: z.ZodOptional<z.ZodBoolean>;
            /**
             * Whether this server supports issuing notifications for changes to the resource list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * Whether this server supports clients subscribing to resource updates.
             */
            subscribe: z.ZodOptional<z.ZodBoolean>;
            /**
             * Whether this server supports issuing notifications for changes to the resource list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * Whether this server supports clients subscribing to resource updates.
             */
            subscribe: z.ZodOptional<z.ZodBoolean>;
            /**
             * Whether this server supports issuing notifications for changes to the resource list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">>>;
        /**
         * Present if the server offers any tools to call.
         */
        tools: z.ZodOptional<z.ZodObject<{
            /**
             * Whether this server supports issuing notifications for changes to the tool list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * Whether this server supports issuing notifications for changes to the tool list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * Whether this server supports issuing notifications for changes to the tool list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        /**
         * Experimental, non-standard capabilities that the server supports.
         */
        experimental: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
        /**
         * Present if the server supports sending log messages to the client.
         */
        logging: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
        /**
         * Present if the server supports sending completions to the client.
         */
        completions: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
        /**
         * Present if the server offers any prompt templates.
         */
        prompts: z.ZodOptional<z.ZodObject<{
            /**
             * Whether this server supports issuing notifications for changes to the prompt list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * Whether this server supports issuing notifications for changes to the prompt list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * Whether this server supports issuing notifications for changes to the prompt list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">>>;
        /**
         * Present if the server offers any resources to read.
         */
        resources: z.ZodOptional<z.ZodObject<{
            /**
             * Whether this server supports clients subscribing to resource updates.
             */
            subscribe: z.ZodOptional<z.ZodBoolean>;
            /**
             * Whether this server supports issuing notifications for changes to the resource list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * Whether this server supports clients subscribing to resource updates.
             */
            subscribe: z.ZodOptional<z.ZodBoolean>;
            /**
             * Whether this server supports issuing notifications for changes to the resource list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * Whether this server supports clients subscribing to resource updates.
             */
            subscribe: z.ZodOptional<z.ZodBoolean>;
            /**
             * Whether this server supports issuing notifications for changes to the resource list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">>>;
        /**
         * Present if the server offers any tools to call.
         */
        tools: z.ZodOptional<z.ZodObject<{
            /**
             * Whether this server supports issuing notifications for changes to the tool list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * Whether this server supports issuing notifications for changes to the tool list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * Whether this server supports issuing notifications for changes to the tool list.
             */
            listChanged: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">>;
    serverInfo: z.ZodObject<{
        name: z.ZodString;
        version: z.ZodString;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        name: z.ZodString;
        version: z.ZodString;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        name: z.ZodString;
        version: z.ZodString;
    }, z.ZodTypeAny, "passthrough">>;
    /**
     * Instructions describing how to use the server and its features.
     *
     * This can be used by clients to improve the LLM's understanding of available tools, resources, etc. It can be thought of like a "hint" to the model. For example, this information MAY be added to the system prompt.
     */
    instructions: z.ZodOptional<z.ZodString>;
}>, z.ZodTypeAny, "passthrough">>, z.ZodObject<z.objectUtil.extendShape<{
    /**
     * This result property is reserved by the protocol to allow clients and servers to attach additional metadata to their responses.
     */
    _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
}, {
    completion: z.ZodObject<{
        /**
         * An array of completion values. Must not exceed 100 items.
         */
        values: z.ZodArray<z.ZodString, "many">;
        /**
         * The total number of completion options available. This can exceed the number of values actually sent in the response.
         */
        total: z.ZodOptional<z.ZodNumber>;
        /**
         * Indicates whether there are additional completion options beyond those provided in the current response, even if the exact total is unknown.
         */
        hasMore: z.ZodOptional<z.ZodBoolean>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        /**
         * An array of completion values. Must not exceed 100 items.
         */
        values: z.ZodArray<z.ZodString, "many">;
        /**
         * The total number of completion options available. This can exceed the number of values actually sent in the response.
         */
        total: z.ZodOptional<z.ZodNumber>;
        /**
         * Indicates whether there are additional completion options beyond those provided in the current response, even if the exact total is unknown.
         */
        hasMore: z.ZodOptional<z.ZodBoolean>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        /**
         * An array of completion values. Must not exceed 100 items.
         */
        values: z.ZodArray<z.ZodString, "many">;
        /**
         * The total number of completion options available. This can exceed the number of values actually sent in the response.
         */
        total: z.ZodOptional<z.ZodNumber>;
        /**
         * Indicates whether there are additional completion options beyond those provided in the current response, even if the exact total is unknown.
         */
        hasMore: z.ZodOptional<z.ZodBoolean>;
    }, z.ZodTypeAny, "passthrough">>;
}>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
    /**
     * This result property is reserved by the protocol to allow clients and servers to attach additional metadata to their responses.
     */
    _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
}, {
    completion: z.ZodObject<{
        /**
         * An array of completion values. Must not exceed 100 items.
         */
        values: z.ZodArray<z.ZodString, "many">;
        /**
         * The total number of completion options available. This can exceed the number of values actually sent in the response.
         */
        total: z.ZodOptional<z.ZodNumber>;
        /**
         * Indicates whether there are additional completion options beyond those provided in the current response, even if the exact total is unknown.
         */
        hasMore: z.ZodOptional<z.ZodBoolean>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        /**
         * An array of completion values. Must not exceed 100 items.
         */
        values: z.ZodArray<z.ZodString, "many">;
        /**
         * The total number of completion options available. This can exceed the number of values actually sent in the response.
         */
        total: z.ZodOptional<z.ZodNumber>;
        /**
         * Indicates whether there are additional completion options beyond those provided in the current response, even if the exact total is unknown.
         */
        hasMore: z.ZodOptional<z.ZodBoolean>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        /**
         * An array of completion values. Must not exceed 100 items.
         */
        values: z.ZodArray<z.ZodString, "many">;
        /**
         * The total number of completion options available. This can exceed the number of values actually sent in the response.
         */
        total: z.ZodOptional<z.ZodNumber>;
        /**
         * Indicates whether there are additional completion options beyond those provided in the current response, even if the exact total is unknown.
         */
        hasMore: z.ZodOptional<z.ZodBoolean>;
    }, z.ZodTypeAny, "passthrough">>;
}>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
    /**
     * This result property is reserved by the protocol to allow clients and servers to attach additional metadata to their responses.
     */
    _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
}, {
    completion: z.ZodObject<{
        /**
         * An array of completion values. Must not exceed 100 items.
         */
        values: z.ZodArray<z.ZodString, "many">;
        /**
         * The total number of completion options available. This can exceed the number of values actually sent in the response.
         */
        total: z.ZodOptional<z.ZodNumber>;
        /**
         * Indicates whether there are additional completion options beyond those provided in the current response, even if the exact total is unknown.
         */
        hasMore: z.ZodOptional<z.ZodBoolean>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        /**
         * An array of completion values. Must not exceed 100 items.
         */
        values: z.ZodArray<z.ZodString, "many">;
        /**
         * The total number of completion options available. This can exceed the number of values actually sent in the response.
         */
        total: z.ZodOptional<z.ZodNumber>;
        /**
         * Indicates whether there are additional completion options beyond those provided in the current response, even if the exact total is unknown.
         */
        hasMore: z.ZodOptional<z.ZodBoolean>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        /**
         * An array of completion values. Must not exceed 100 items.
         */
        values: z.ZodArray<z.ZodString, "many">;
        /**
         * The total number of completion options available. This can exceed the number of values actually sent in the response.
         */
        total: z.ZodOptional<z.ZodNumber>;
        /**
         * Indicates whether there are additional completion options beyond those provided in the current response, even if the exact total is unknown.
         */
        hasMore: z.ZodOptional<z.ZodBoolean>;
    }, z.ZodTypeAny, "passthrough">>;
}>, z.ZodTypeAny, "passthrough">>, z.ZodObject<z.objectUtil.extendShape<{
    /**
     * This result property is reserved by the protocol to allow clients and servers to attach additional metadata to their responses.
     */
    _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
}, {
    /**
     * An optional description for the prompt.
     */
    description: z.ZodOptional<z.ZodString>;
    messages: z.ZodArray<z.ZodObject<{
        role: z.ZodEnum<["user", "assistant"]>;
        content: z.ZodUnion<[z.ZodObject<{
            type: z.ZodLiteral<"text">;
            /**
             * The text content of the message.
             */
            text: z.ZodString;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            type: z.ZodLiteral<"text">;
            /**
             * The text content of the message.
             */
            text: z.ZodString;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            type: z.ZodLiteral<"text">;
            /**
             * The text content of the message.
             */
            text: z.ZodString;
        }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
            type: z.ZodLiteral<"image">;
            /**
             * The base64-encoded image data.
             */
            data: z.ZodString;
            /**
             * The MIME type of the image. Different providers may support different image types.
             */
            mimeType: z.ZodString;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            type: z.ZodLiteral<"image">;
            /**
             * The base64-encoded image data.
             */
            data: z.ZodString;
            /**
             * The MIME type of the image. Different providers may support different image types.
             */
            mimeType: z.ZodString;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            type: z.ZodLiteral<"image">;
            /**
             * The base64-encoded image data.
             */
            data: z.ZodString;
            /**
             * The MIME type of the image. Different providers may support different image types.
             */
            mimeType: z.ZodString;
        }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
            type: z.ZodLiteral<"audio">;
            /**
             * The base64-encoded audio data.
             */
            data: z.ZodString;
            /**
             * The MIME type of the audio. Different providers may support different audio types.
             */
            mimeType: z.ZodString;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            type: z.ZodLiteral<"audio">;
            /**
             * The base64-encoded audio data.
             */
            data: z.ZodString;
            /**
             * The MIME type of the audio. Different providers may support different audio types.
             */
            mimeType: z.ZodString;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            type: z.ZodLiteral<"audio">;
            /**
             * The base64-encoded audio data.
             */
            data: z.ZodString;
            /**
             * The MIME type of the audio. Different providers may support different audio types.
             */
            mimeType: z.ZodString;
        }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
            type: z.ZodLiteral<"resource">;
            resource: z.ZodUnion<[z.ZodObject<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">>, z.ZodObject<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">>]>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            type: z.ZodLiteral<"resource">;
            resource: z.ZodUnion<[z.ZodObject<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">>, z.ZodObject<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">>]>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            type: z.ZodLiteral<"resource">;
            resource: z.ZodUnion<[z.ZodObject<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">>, z.ZodObject<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">>]>;
        }, z.ZodTypeAny, "passthrough">>]>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        role: z.ZodEnum<["user", "assistant"]>;
        content: z.ZodUnion<[z.ZodObject<{
            type: z.ZodLiteral<"text">;
            /**
             * The text content of the message.
             */
            text: z.ZodString;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            type: z.ZodLiteral<"text">;
            /**
             * The text content of the message.
             */
            text: z.ZodString;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            type: z.ZodLiteral<"text">;
            /**
             * The text content of the message.
             */
            text: z.ZodString;
        }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
            type: z.ZodLiteral<"image">;
            /**
             * The base64-encoded image data.
             */
            data: z.ZodString;
            /**
             * The MIME type of the image. Different providers may support different image types.
             */
            mimeType: z.ZodString;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            type: z.ZodLiteral<"image">;
            /**
             * The base64-encoded image data.
             */
            data: z.ZodString;
            /**
             * The MIME type of the image. Different providers may support different image types.
             */
            mimeType: z.ZodString;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            type: z.ZodLiteral<"image">;
            /**
             * The base64-encoded image data.
             */
            data: z.ZodString;
            /**
             * The MIME type of the image. Different providers may support different image types.
             */
            mimeType: z.ZodString;
        }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
            type: z.ZodLiteral<"audio">;
            /**
             * The base64-encoded audio data.
             */
            data: z.ZodString;
            /**
             * The MIME type of the audio. Different providers may support different audio types.
             */
            mimeType: z.ZodString;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            type: z.ZodLiteral<"audio">;
            /**
             * The base64-encoded audio data.
             */
            data: z.ZodString;
            /**
             * The MIME type of the audio. Different providers may support different audio types.
             */
            mimeType: z.ZodString;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            type: z.ZodLiteral<"audio">;
            /**
             * The base64-encoded audio data.
             */
            data: z.ZodString;
            /**
             * The MIME type of the audio. Different providers may support different audio types.
             */
            mimeType: z.ZodString;
        }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
            type: z.ZodLiteral<"resource">;
            resource: z.ZodUnion<[z.ZodObject<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">>, z.ZodObject<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">>]>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            type: z.ZodLiteral<"resource">;
            resource: z.ZodUnion<[z.ZodObject<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">>, z.ZodObject<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">>]>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            type: z.ZodLiteral<"resource">;
            resource: z.ZodUnion<[z.ZodObject<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">>, z.ZodObject<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">>]>;
        }, z.ZodTypeAny, "passthrough">>]>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        role: z.ZodEnum<["user", "assistant"]>;
        content: z.ZodUnion<[z.ZodObject<{
            type: z.ZodLiteral<"text">;
            /**
             * The text content of the message.
             */
            text: z.ZodString;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            type: z.ZodLiteral<"text">;
            /**
             * The text content of the message.
             */
            text: z.ZodString;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            type: z.ZodLiteral<"text">;
            /**
             * The text content of the message.
             */
            text: z.ZodString;
        }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
            type: z.ZodLiteral<"image">;
            /**
             * The base64-encoded image data.
             */
            data: z.ZodString;
            /**
             * The MIME type of the image. Different providers may support different image types.
             */
            mimeType: z.ZodString;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            type: z.ZodLiteral<"image">;
            /**
             * The base64-encoded image data.
             */
            data: z.ZodString;
            /**
             * The MIME type of the image. Different providers may support different image types.
             */
            mimeType: z.ZodString;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            type: z.ZodLiteral<"image">;
            /**
             * The base64-encoded image data.
             */
            data: z.ZodString;
            /**
             * The MIME type of the image. Different providers may support different image types.
             */
            mimeType: z.ZodString;
        }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
            type: z.ZodLiteral<"audio">;
            /**
             * The base64-encoded audio data.
             */
            data: z.ZodString;
            /**
             * The MIME type of the audio. Different providers may support different audio types.
             */
            mimeType: z.ZodString;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            type: z.ZodLiteral<"audio">;
            /**
             * The base64-encoded audio data.
             */
            data: z.ZodString;
            /**
             * The MIME type of the audio. Different providers may support different audio types.
             */
            mimeType: z.ZodString;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            type: z.ZodLiteral<"audio">;
            /**
             * The base64-encoded audio data.
             */
            data: z.ZodString;
            /**
             * The MIME type of the audio. Different providers may support different audio types.
             */
            mimeType: z.ZodString;
        }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
            type: z.ZodLiteral<"resource">;
            resource: z.ZodUnion<[z.ZodObject<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">>, z.ZodObject<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">>]>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            type: z.ZodLiteral<"resource">;
            resource: z.ZodUnion<[z.ZodObject<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">>, z.ZodObject<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">>]>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            type: z.ZodLiteral<"resource">;
            resource: z.ZodUnion<[z.ZodObject<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">>, z.ZodObject<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">>]>;
        }, z.ZodTypeAny, "passthrough">>]>;
    }, z.ZodTypeAny, "passthrough">>, "many">;
}>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
    /**
     * This result property is reserved by the protocol to allow clients and servers to attach additional metadata to their responses.
     */
    _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
}, {
    /**
     * An optional description for the prompt.
     */
    description: z.ZodOptional<z.ZodString>;
    messages: z.ZodArray<z.ZodObject<{
        role: z.ZodEnum<["user", "assistant"]>;
        content: z.ZodUnion<[z.ZodObject<{
            type: z.ZodLiteral<"text">;
            /**
             * The text content of the message.
             */
            text: z.ZodString;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            type: z.ZodLiteral<"text">;
            /**
             * The text content of the message.
             */
            text: z.ZodString;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            type: z.ZodLiteral<"text">;
            /**
             * The text content of the message.
             */
            text: z.ZodString;
        }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
            type: z.ZodLiteral<"image">;
            /**
             * The base64-encoded image data.
             */
            data: z.ZodString;
            /**
             * The MIME type of the image. Different providers may support different image types.
             */
            mimeType: z.ZodString;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            type: z.ZodLiteral<"image">;
            /**
             * The base64-encoded image data.
             */
            data: z.ZodString;
            /**
             * The MIME type of the image. Different providers may support different image types.
             */
            mimeType: z.ZodString;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            type: z.ZodLiteral<"image">;
            /**
             * The base64-encoded image data.
             */
            data: z.ZodString;
            /**
             * The MIME type of the image. Different providers may support different image types.
             */
            mimeType: z.ZodString;
        }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
            type: z.ZodLiteral<"audio">;
            /**
             * The base64-encoded audio data.
             */
            data: z.ZodString;
            /**
             * The MIME type of the audio. Different providers may support different audio types.
             */
            mimeType: z.ZodString;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            type: z.ZodLiteral<"audio">;
            /**
             * The base64-encoded audio data.
             */
            data: z.ZodString;
            /**
             * The MIME type of the audio. Different providers may support different audio types.
             */
            mimeType: z.ZodString;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            type: z.ZodLiteral<"audio">;
            /**
             * The base64-encoded audio data.
             */
            data: z.ZodString;
            /**
             * The MIME type of the audio. Different providers may support different audio types.
             */
            mimeType: z.ZodString;
        }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
            type: z.ZodLiteral<"resource">;
            resource: z.ZodUnion<[z.ZodObject<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">>, z.ZodObject<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">>]>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            type: z.ZodLiteral<"resource">;
            resource: z.ZodUnion<[z.ZodObject<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">>, z.ZodObject<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">>]>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            type: z.ZodLiteral<"resource">;
            resource: z.ZodUnion<[z.ZodObject<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">>, z.ZodObject<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">>]>;
        }, z.ZodTypeAny, "passthrough">>]>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        role: z.ZodEnum<["user", "assistant"]>;
        content: z.ZodUnion<[z.ZodObject<{
            type: z.ZodLiteral<"text">;
            /**
             * The text content of the message.
             */
            text: z.ZodString;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            type: z.ZodLiteral<"text">;
            /**
             * The text content of the message.
             */
            text: z.ZodString;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            type: z.ZodLiteral<"text">;
            /**
             * The text content of the message.
             */
            text: z.ZodString;
        }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
            type: z.ZodLiteral<"image">;
            /**
             * The base64-encoded image data.
             */
            data: z.ZodString;
            /**
             * The MIME type of the image. Different providers may support different image types.
             */
            mimeType: z.ZodString;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            type: z.ZodLiteral<"image">;
            /**
             * The base64-encoded image data.
             */
            data: z.ZodString;
            /**
             * The MIME type of the image. Different providers may support different image types.
             */
            mimeType: z.ZodString;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            type: z.ZodLiteral<"image">;
            /**
             * The base64-encoded image data.
             */
            data: z.ZodString;
            /**
             * The MIME type of the image. Different providers may support different image types.
             */
            mimeType: z.ZodString;
        }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
            type: z.ZodLiteral<"audio">;
            /**
             * The base64-encoded audio data.
             */
            data: z.ZodString;
            /**
             * The MIME type of the audio. Different providers may support different audio types.
             */
            mimeType: z.ZodString;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            type: z.ZodLiteral<"audio">;
            /**
             * The base64-encoded audio data.
             */
            data: z.ZodString;
            /**
             * The MIME type of the audio. Different providers may support different audio types.
             */
            mimeType: z.ZodString;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            type: z.ZodLiteral<"audio">;
            /**
             * The base64-encoded audio data.
             */
            data: z.ZodString;
            /**
             * The MIME type of the audio. Different providers may support different audio types.
             */
            mimeType: z.ZodString;
        }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
            type: z.ZodLiteral<"resource">;
            resource: z.ZodUnion<[z.ZodObject<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">>, z.ZodObject<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">>]>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            type: z.ZodLiteral<"resource">;
            resource: z.ZodUnion<[z.ZodObject<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">>, z.ZodObject<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">>]>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            type: z.ZodLiteral<"resource">;
            resource: z.ZodUnion<[z.ZodObject<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">>, z.ZodObject<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">>]>;
        }, z.ZodTypeAny, "passthrough">>]>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        role: z.ZodEnum<["user", "assistant"]>;
        content: z.ZodUnion<[z.ZodObject<{
            type: z.ZodLiteral<"text">;
            /**
             * The text content of the message.
             */
            text: z.ZodString;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            type: z.ZodLiteral<"text">;
            /**
             * The text content of the message.
             */
            text: z.ZodString;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            type: z.ZodLiteral<"text">;
            /**
             * The text content of the message.
             */
            text: z.ZodString;
        }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
            type: z.ZodLiteral<"image">;
            /**
             * The base64-encoded image data.
             */
            data: z.ZodString;
            /**
             * The MIME type of the image. Different providers may support different image types.
             */
            mimeType: z.ZodString;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            type: z.ZodLiteral<"image">;
            /**
             * The base64-encoded image data.
             */
            data: z.ZodString;
            /**
             * The MIME type of the image. Different providers may support different image types.
             */
            mimeType: z.ZodString;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            type: z.ZodLiteral<"image">;
            /**
             * The base64-encoded image data.
             */
            data: z.ZodString;
            /**
             * The MIME type of the image. Different providers may support different image types.
             */
            mimeType: z.ZodString;
        }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
            type: z.ZodLiteral<"audio">;
            /**
             * The base64-encoded audio data.
             */
            data: z.ZodString;
            /**
             * The MIME type of the audio. Different providers may support different audio types.
             */
            mimeType: z.ZodString;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            type: z.ZodLiteral<"audio">;
            /**
             * The base64-encoded audio data.
             */
            data: z.ZodString;
            /**
             * The MIME type of the audio. Different providers may support different audio types.
             */
            mimeType: z.ZodString;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            type: z.ZodLiteral<"audio">;
            /**
             * The base64-encoded audio data.
             */
            data: z.ZodString;
            /**
             * The MIME type of the audio. Different providers may support different audio types.
             */
            mimeType: z.ZodString;
        }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
            type: z.ZodLiteral<"resource">;
            resource: z.ZodUnion<[z.ZodObject<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">>, z.ZodObject<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">>]>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            type: z.ZodLiteral<"resource">;
            resource: z.ZodUnion<[z.ZodObject<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">>, z.ZodObject<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">>]>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            type: z.ZodLiteral<"resource">;
            resource: z.ZodUnion<[z.ZodObject<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">>, z.ZodObject<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">>]>;
        }, z.ZodTypeAny, "passthrough">>]>;
    }, z.ZodTypeAny, "passthrough">>, "many">;
}>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
    /**
     * This result property is reserved by the protocol to allow clients and servers to attach additional metadata to their responses.
     */
    _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
}, {
    /**
     * An optional description for the prompt.
     */
    description: z.ZodOptional<z.ZodString>;
    messages: z.ZodArray<z.ZodObject<{
        role: z.ZodEnum<["user", "assistant"]>;
        content: z.ZodUnion<[z.ZodObject<{
            type: z.ZodLiteral<"text">;
            /**
             * The text content of the message.
             */
            text: z.ZodString;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            type: z.ZodLiteral<"text">;
            /**
             * The text content of the message.
             */
            text: z.ZodString;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            type: z.ZodLiteral<"text">;
            /**
             * The text content of the message.
             */
            text: z.ZodString;
        }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
            type: z.ZodLiteral<"image">;
            /**
             * The base64-encoded image data.
             */
            data: z.ZodString;
            /**
             * The MIME type of the image. Different providers may support different image types.
             */
            mimeType: z.ZodString;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            type: z.ZodLiteral<"image">;
            /**
             * The base64-encoded image data.
             */
            data: z.ZodString;
            /**
             * The MIME type of the image. Different providers may support different image types.
             */
            mimeType: z.ZodString;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            type: z.ZodLiteral<"image">;
            /**
             * The base64-encoded image data.
             */
            data: z.ZodString;
            /**
             * The MIME type of the image. Different providers may support different image types.
             */
            mimeType: z.ZodString;
        }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
            type: z.ZodLiteral<"audio">;
            /**
             * The base64-encoded audio data.
             */
            data: z.ZodString;
            /**
             * The MIME type of the audio. Different providers may support different audio types.
             */
            mimeType: z.ZodString;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            type: z.ZodLiteral<"audio">;
            /**
             * The base64-encoded audio data.
             */
            data: z.ZodString;
            /**
             * The MIME type of the audio. Different providers may support different audio types.
             */
            mimeType: z.ZodString;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            type: z.ZodLiteral<"audio">;
            /**
             * The base64-encoded audio data.
             */
            data: z.ZodString;
            /**
             * The MIME type of the audio. Different providers may support different audio types.
             */
            mimeType: z.ZodString;
        }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
            type: z.ZodLiteral<"resource">;
            resource: z.ZodUnion<[z.ZodObject<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">>, z.ZodObject<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">>]>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            type: z.ZodLiteral<"resource">;
            resource: z.ZodUnion<[z.ZodObject<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">>, z.ZodObject<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">>]>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            type: z.ZodLiteral<"resource">;
            resource: z.ZodUnion<[z.ZodObject<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">>, z.ZodObject<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">>]>;
        }, z.ZodTypeAny, "passthrough">>]>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        role: z.ZodEnum<["user", "assistant"]>;
        content: z.ZodUnion<[z.ZodObject<{
            type: z.ZodLiteral<"text">;
            /**
             * The text content of the message.
             */
            text: z.ZodString;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            type: z.ZodLiteral<"text">;
            /**
             * The text content of the message.
             */
            text: z.ZodString;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            type: z.ZodLiteral<"text">;
            /**
             * The text content of the message.
             */
            text: z.ZodString;
        }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
            type: z.ZodLiteral<"image">;
            /**
             * The base64-encoded image data.
             */
            data: z.ZodString;
            /**
             * The MIME type of the image. Different providers may support different image types.
             */
            mimeType: z.ZodString;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            type: z.ZodLiteral<"image">;
            /**
             * The base64-encoded image data.
             */
            data: z.ZodString;
            /**
             * The MIME type of the image. Different providers may support different image types.
             */
            mimeType: z.ZodString;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            type: z.ZodLiteral<"image">;
            /**
             * The base64-encoded image data.
             */
            data: z.ZodString;
            /**
             * The MIME type of the image. Different providers may support different image types.
             */
            mimeType: z.ZodString;
        }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
            type: z.ZodLiteral<"audio">;
            /**
             * The base64-encoded audio data.
             */
            data: z.ZodString;
            /**
             * The MIME type of the audio. Different providers may support different audio types.
             */
            mimeType: z.ZodString;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            type: z.ZodLiteral<"audio">;
            /**
             * The base64-encoded audio data.
             */
            data: z.ZodString;
            /**
             * The MIME type of the audio. Different providers may support different audio types.
             */
            mimeType: z.ZodString;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            type: z.ZodLiteral<"audio">;
            /**
             * The base64-encoded audio data.
             */
            data: z.ZodString;
            /**
             * The MIME type of the audio. Different providers may support different audio types.
             */
            mimeType: z.ZodString;
        }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
            type: z.ZodLiteral<"resource">;
            resource: z.ZodUnion<[z.ZodObject<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">>, z.ZodObject<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">>]>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            type: z.ZodLiteral<"resource">;
            resource: z.ZodUnion<[z.ZodObject<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">>, z.ZodObject<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">>]>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            type: z.ZodLiteral<"resource">;
            resource: z.ZodUnion<[z.ZodObject<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">>, z.ZodObject<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">>]>;
        }, z.ZodTypeAny, "passthrough">>]>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        role: z.ZodEnum<["user", "assistant"]>;
        content: z.ZodUnion<[z.ZodObject<{
            type: z.ZodLiteral<"text">;
            /**
             * The text content of the message.
             */
            text: z.ZodString;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            type: z.ZodLiteral<"text">;
            /**
             * The text content of the message.
             */
            text: z.ZodString;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            type: z.ZodLiteral<"text">;
            /**
             * The text content of the message.
             */
            text: z.ZodString;
        }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
            type: z.ZodLiteral<"image">;
            /**
             * The base64-encoded image data.
             */
            data: z.ZodString;
            /**
             * The MIME type of the image. Different providers may support different image types.
             */
            mimeType: z.ZodString;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            type: z.ZodLiteral<"image">;
            /**
             * The base64-encoded image data.
             */
            data: z.ZodString;
            /**
             * The MIME type of the image. Different providers may support different image types.
             */
            mimeType: z.ZodString;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            type: z.ZodLiteral<"image">;
            /**
             * The base64-encoded image data.
             */
            data: z.ZodString;
            /**
             * The MIME type of the image. Different providers may support different image types.
             */
            mimeType: z.ZodString;
        }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
            type: z.ZodLiteral<"audio">;
            /**
             * The base64-encoded audio data.
             */
            data: z.ZodString;
            /**
             * The MIME type of the audio. Different providers may support different audio types.
             */
            mimeType: z.ZodString;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            type: z.ZodLiteral<"audio">;
            /**
             * The base64-encoded audio data.
             */
            data: z.ZodString;
            /**
             * The MIME type of the audio. Different providers may support different audio types.
             */
            mimeType: z.ZodString;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            type: z.ZodLiteral<"audio">;
            /**
             * The base64-encoded audio data.
             */
            data: z.ZodString;
            /**
             * The MIME type of the audio. Different providers may support different audio types.
             */
            mimeType: z.ZodString;
        }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
            type: z.ZodLiteral<"resource">;
            resource: z.ZodUnion<[z.ZodObject<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">>, z.ZodObject<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">>]>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            type: z.ZodLiteral<"resource">;
            resource: z.ZodUnion<[z.ZodObject<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">>, z.ZodObject<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">>]>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            type: z.ZodLiteral<"resource">;
            resource: z.ZodUnion<[z.ZodObject<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
                 */
                text: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">>, z.ZodObject<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
                /**
                 * The URI of this resource.
                 */
                uri: z.ZodString;
                /**
                 * The MIME type of this resource, if known.
                 */
                mimeType: z.ZodOptional<z.ZodString>;
            }, {
                /**
                 * A base64-encoded string representing the binary data of the item.
                 */
                blob: z.ZodString;
            }>, z.ZodTypeAny, "passthrough">>]>;
        }, z.ZodTypeAny, "passthrough">>]>;
    }, z.ZodTypeAny, "passthrough">>, "many">;
}>, z.ZodTypeAny, "passthrough">>, z.ZodObject<z.objectUtil.extendShape<z.objectUtil.extendShape<{
    /**
     * This result property is reserved by the protocol to allow clients and servers to attach additional metadata to their responses.
     */
    _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
}, {
    /**
     * An opaque token representing the pagination position after the last returned result.
     * If present, there may be more results available.
     */
    nextCursor: z.ZodOptional<z.ZodString>;
}>, {
    prompts: z.ZodArray<z.ZodObject<{
        /**
         * The name of the prompt or prompt template.
         */
        name: z.ZodString;
        /**
         * An optional description of what this prompt provides
         */
        description: z.ZodOptional<z.ZodString>;
        /**
         * A list of arguments to use for templating the prompt.
         */
        arguments: z.ZodOptional<z.ZodArray<z.ZodObject<{
            /**
             * The name of the argument.
             */
            name: z.ZodString;
            /**
             * A human-readable description of the argument.
             */
            description: z.ZodOptional<z.ZodString>;
            /**
             * Whether this argument must be provided.
             */
            required: z.ZodOptional<z.ZodBoolean>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * The name of the argument.
             */
            name: z.ZodString;
            /**
             * A human-readable description of the argument.
             */
            description: z.ZodOptional<z.ZodString>;
            /**
             * Whether this argument must be provided.
             */
            required: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * The name of the argument.
             */
            name: z.ZodString;
            /**
             * A human-readable description of the argument.
             */
            description: z.ZodOptional<z.ZodString>;
            /**
             * Whether this argument must be provided.
             */
            required: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">>, "many">>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        /**
         * The name of the prompt or prompt template.
         */
        name: z.ZodString;
        /**
         * An optional description of what this prompt provides
         */
        description: z.ZodOptional<z.ZodString>;
        /**
         * A list of arguments to use for templating the prompt.
         */
        arguments: z.ZodOptional<z.ZodArray<z.ZodObject<{
            /**
             * The name of the argument.
             */
            name: z.ZodString;
            /**
             * A human-readable description of the argument.
             */
            description: z.ZodOptional<z.ZodString>;
            /**
             * Whether this argument must be provided.
             */
            required: z.ZodOptional<z.ZodBoolean>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * The name of the argument.
             */
            name: z.ZodString;
            /**
             * A human-readable description of the argument.
             */
            description: z.ZodOptional<z.ZodString>;
            /**
             * Whether this argument must be provided.
             */
            required: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * The name of the argument.
             */
            name: z.ZodString;
            /**
             * A human-readable description of the argument.
             */
            description: z.ZodOptional<z.ZodString>;
            /**
             * Whether this argument must be provided.
             */
            required: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">>, "many">>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        /**
         * The name of the prompt or prompt template.
         */
        name: z.ZodString;
        /**
         * An optional description of what this prompt provides
         */
        description: z.ZodOptional<z.ZodString>;
        /**
         * A list of arguments to use for templating the prompt.
         */
        arguments: z.ZodOptional<z.ZodArray<z.ZodObject<{
            /**
             * The name of the argument.
             */
            name: z.ZodString;
            /**
             * A human-readable description of the argument.
             */
            description: z.ZodOptional<z.ZodString>;
            /**
             * Whether this argument must be provided.
             */
            required: z.ZodOptional<z.ZodBoolean>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * The name of the argument.
             */
            name: z.ZodString;
            /**
             * A human-readable description of the argument.
             */
            description: z.ZodOptional<z.ZodString>;
            /**
             * Whether this argument must be provided.
             */
            required: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * The name of the argument.
             */
            name: z.ZodString;
            /**
             * A human-readable description of the argument.
             */
            description: z.ZodOptional<z.ZodString>;
            /**
             * Whether this argument must be provided.
             */
            required: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">>, "many">>;
    }, z.ZodTypeAny, "passthrough">>, "many">;
}>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<z.objectUtil.extendShape<{
    /**
     * This result property is reserved by the protocol to allow clients and servers to attach additional metadata to their responses.
     */
    _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
}, {
    /**
     * An opaque token representing the pagination position after the last returned result.
     * If present, there may be more results available.
     */
    nextCursor: z.ZodOptional<z.ZodString>;
}>, {
    prompts: z.ZodArray<z.ZodObject<{
        /**
         * The name of the prompt or prompt template.
         */
        name: z.ZodString;
        /**
         * An optional description of what this prompt provides
         */
        description: z.ZodOptional<z.ZodString>;
        /**
         * A list of arguments to use for templating the prompt.
         */
        arguments: z.ZodOptional<z.ZodArray<z.ZodObject<{
            /**
             * The name of the argument.
             */
            name: z.ZodString;
            /**
             * A human-readable description of the argument.
             */
            description: z.ZodOptional<z.ZodString>;
            /**
             * Whether this argument must be provided.
             */
            required: z.ZodOptional<z.ZodBoolean>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * The name of the argument.
             */
            name: z.ZodString;
            /**
             * A human-readable description of the argument.
             */
            description: z.ZodOptional<z.ZodString>;
            /**
             * Whether this argument must be provided.
             */
            required: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * The name of the argument.
             */
            name: z.ZodString;
            /**
             * A human-readable description of the argument.
             */
            description: z.ZodOptional<z.ZodString>;
            /**
             * Whether this argument must be provided.
             */
            required: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">>, "many">>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        /**
         * The name of the prompt or prompt template.
         */
        name: z.ZodString;
        /**
         * An optional description of what this prompt provides
         */
        description: z.ZodOptional<z.ZodString>;
        /**
         * A list of arguments to use for templating the prompt.
         */
        arguments: z.ZodOptional<z.ZodArray<z.ZodObject<{
            /**
             * The name of the argument.
             */
            name: z.ZodString;
            /**
             * A human-readable description of the argument.
             */
            description: z.ZodOptional<z.ZodString>;
            /**
             * Whether this argument must be provided.
             */
            required: z.ZodOptional<z.ZodBoolean>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * The name of the argument.
             */
            name: z.ZodString;
            /**
             * A human-readable description of the argument.
             */
            description: z.ZodOptional<z.ZodString>;
            /**
             * Whether this argument must be provided.
             */
            required: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * The name of the argument.
             */
            name: z.ZodString;
            /**
             * A human-readable description of the argument.
             */
            description: z.ZodOptional<z.ZodString>;
            /**
             * Whether this argument must be provided.
             */
            required: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">>, "many">>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        /**
         * The name of the prompt or prompt template.
         */
        name: z.ZodString;
        /**
         * An optional description of what this prompt provides
         */
        description: z.ZodOptional<z.ZodString>;
        /**
         * A list of arguments to use for templating the prompt.
         */
        arguments: z.ZodOptional<z.ZodArray<z.ZodObject<{
            /**
             * The name of the argument.
             */
            name: z.ZodString;
            /**
             * A human-readable description of the argument.
             */
            description: z.ZodOptional<z.ZodString>;
            /**
             * Whether this argument must be provided.
             */
            required: z.ZodOptional<z.ZodBoolean>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * The name of the argument.
             */
            name: z.ZodString;
            /**
             * A human-readable description of the argument.
             */
            description: z.ZodOptional<z.ZodString>;
            /**
             * Whether this argument must be provided.
             */
            required: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * The name of the argument.
             */
            name: z.ZodString;
            /**
             * A human-readable description of the argument.
             */
            description: z.ZodOptional<z.ZodString>;
            /**
             * Whether this argument must be provided.
             */
            required: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">>, "many">>;
    }, z.ZodTypeAny, "passthrough">>, "many">;
}>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<z.objectUtil.extendShape<{
    /**
     * This result property is reserved by the protocol to allow clients and servers to attach additional metadata to their responses.
     */
    _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
}, {
    /**
     * An opaque token representing the pagination position after the last returned result.
     * If present, there may be more results available.
     */
    nextCursor: z.ZodOptional<z.ZodString>;
}>, {
    prompts: z.ZodArray<z.ZodObject<{
        /**
         * The name of the prompt or prompt template.
         */
        name: z.ZodString;
        /**
         * An optional description of what this prompt provides
         */
        description: z.ZodOptional<z.ZodString>;
        /**
         * A list of arguments to use for templating the prompt.
         */
        arguments: z.ZodOptional<z.ZodArray<z.ZodObject<{
            /**
             * The name of the argument.
             */
            name: z.ZodString;
            /**
             * A human-readable description of the argument.
             */
            description: z.ZodOptional<z.ZodString>;
            /**
             * Whether this argument must be provided.
             */
            required: z.ZodOptional<z.ZodBoolean>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * The name of the argument.
             */
            name: z.ZodString;
            /**
             * A human-readable description of the argument.
             */
            description: z.ZodOptional<z.ZodString>;
            /**
             * Whether this argument must be provided.
             */
            required: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * The name of the argument.
             */
            name: z.ZodString;
            /**
             * A human-readable description of the argument.
             */
            description: z.ZodOptional<z.ZodString>;
            /**
             * Whether this argument must be provided.
             */
            required: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">>, "many">>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        /**
         * The name of the prompt or prompt template.
         */
        name: z.ZodString;
        /**
         * An optional description of what this prompt provides
         */
        description: z.ZodOptional<z.ZodString>;
        /**
         * A list of arguments to use for templating the prompt.
         */
        arguments: z.ZodOptional<z.ZodArray<z.ZodObject<{
            /**
             * The name of the argument.
             */
            name: z.ZodString;
            /**
             * A human-readable description of the argument.
             */
            description: z.ZodOptional<z.ZodString>;
            /**
             * Whether this argument must be provided.
             */
            required: z.ZodOptional<z.ZodBoolean>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * The name of the argument.
             */
            name: z.ZodString;
            /**
             * A human-readable description of the argument.
             */
            description: z.ZodOptional<z.ZodString>;
            /**
             * Whether this argument must be provided.
             */
            required: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * The name of the argument.
             */
            name: z.ZodString;
            /**
             * A human-readable description of the argument.
             */
            description: z.ZodOptional<z.ZodString>;
            /**
             * Whether this argument must be provided.
             */
            required: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">>, "many">>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        /**
         * The name of the prompt or prompt template.
         */
        name: z.ZodString;
        /**
         * An optional description of what this prompt provides
         */
        description: z.ZodOptional<z.ZodString>;
        /**
         * A list of arguments to use for templating the prompt.
         */
        arguments: z.ZodOptional<z.ZodArray<z.ZodObject<{
            /**
             * The name of the argument.
             */
            name: z.ZodString;
            /**
             * A human-readable description of the argument.
             */
            description: z.ZodOptional<z.ZodString>;
            /**
             * Whether this argument must be provided.
             */
            required: z.ZodOptional<z.ZodBoolean>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * The name of the argument.
             */
            name: z.ZodString;
            /**
             * A human-readable description of the argument.
             */
            description: z.ZodOptional<z.ZodString>;
            /**
             * Whether this argument must be provided.
             */
            required: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * The name of the argument.
             */
            name: z.ZodString;
            /**
             * A human-readable description of the argument.
             */
            description: z.ZodOptional<z.ZodString>;
            /**
             * Whether this argument must be provided.
             */
            required: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">>, "many">>;
    }, z.ZodTypeAny, "passthrough">>, "many">;
}>, z.ZodTypeAny, "passthrough">>, z.ZodObject<z.objectUtil.extendShape<z.objectUtil.extendShape<{
    /**
     * This result property is reserved by the protocol to allow clients and servers to attach additional metadata to their responses.
     */
    _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
}, {
    /**
     * An opaque token representing the pagination position after the last returned result.
     * If present, there may be more results available.
     */
    nextCursor: z.ZodOptional<z.ZodString>;
}>, {
    resources: z.ZodArray<z.ZodObject<{
        /**
         * The URI of this resource.
         */
        uri: z.ZodString;
        /**
         * A human-readable name for this resource.
         *
         * This can be used by clients to populate UI elements.
         */
        name: z.ZodString;
        /**
         * A description of what this resource represents.
         *
         * This can be used by clients to improve the LLM's understanding of available resources. It can be thought of like a "hint" to the model.
         */
        description: z.ZodOptional<z.ZodString>;
        /**
         * The MIME type of this resource, if known.
         */
        mimeType: z.ZodOptional<z.ZodString>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        /**
         * The URI of this resource.
         */
        uri: z.ZodString;
        /**
         * A human-readable name for this resource.
         *
         * This can be used by clients to populate UI elements.
         */
        name: z.ZodString;
        /**
         * A description of what this resource represents.
         *
         * This can be used by clients to improve the LLM's understanding of available resources. It can be thought of like a "hint" to the model.
         */
        description: z.ZodOptional<z.ZodString>;
        /**
         * The MIME type of this resource, if known.
         */
        mimeType: z.ZodOptional<z.ZodString>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        /**
         * The URI of this resource.
         */
        uri: z.ZodString;
        /**
         * A human-readable name for this resource.
         *
         * This can be used by clients to populate UI elements.
         */
        name: z.ZodString;
        /**
         * A description of what this resource represents.
         *
         * This can be used by clients to improve the LLM's understanding of available resources. It can be thought of like a "hint" to the model.
         */
        description: z.ZodOptional<z.ZodString>;
        /**
         * The MIME type of this resource, if known.
         */
        mimeType: z.ZodOptional<z.ZodString>;
    }, z.ZodTypeAny, "passthrough">>, "many">;
}>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<z.objectUtil.extendShape<{
    /**
     * This result property is reserved by the protocol to allow clients and servers to attach additional metadata to their responses.
     */
    _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
}, {
    /**
     * An opaque token representing the pagination position after the last returned result.
     * If present, there may be more results available.
     */
    nextCursor: z.ZodOptional<z.ZodString>;
}>, {
    resources: z.ZodArray<z.ZodObject<{
        /**
         * The URI of this resource.
         */
        uri: z.ZodString;
        /**
         * A human-readable name for this resource.
         *
         * This can be used by clients to populate UI elements.
         */
        name: z.ZodString;
        /**
         * A description of what this resource represents.
         *
         * This can be used by clients to improve the LLM's understanding of available resources. It can be thought of like a "hint" to the model.
         */
        description: z.ZodOptional<z.ZodString>;
        /**
         * The MIME type of this resource, if known.
         */
        mimeType: z.ZodOptional<z.ZodString>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        /**
         * The URI of this resource.
         */
        uri: z.ZodString;
        /**
         * A human-readable name for this resource.
         *
         * This can be used by clients to populate UI elements.
         */
        name: z.ZodString;
        /**
         * A description of what this resource represents.
         *
         * This can be used by clients to improve the LLM's understanding of available resources. It can be thought of like a "hint" to the model.
         */
        description: z.ZodOptional<z.ZodString>;
        /**
         * The MIME type of this resource, if known.
         */
        mimeType: z.ZodOptional<z.ZodString>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        /**
         * The URI of this resource.
         */
        uri: z.ZodString;
        /**
         * A human-readable name for this resource.
         *
         * This can be used by clients to populate UI elements.
         */
        name: z.ZodString;
        /**
         * A description of what this resource represents.
         *
         * This can be used by clients to improve the LLM's understanding of available resources. It can be thought of like a "hint" to the model.
         */
        description: z.ZodOptional<z.ZodString>;
        /**
         * The MIME type of this resource, if known.
         */
        mimeType: z.ZodOptional<z.ZodString>;
    }, z.ZodTypeAny, "passthrough">>, "many">;
}>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<z.objectUtil.extendShape<{
    /**
     * This result property is reserved by the protocol to allow clients and servers to attach additional metadata to their responses.
     */
    _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
}, {
    /**
     * An opaque token representing the pagination position after the last returned result.
     * If present, there may be more results available.
     */
    nextCursor: z.ZodOptional<z.ZodString>;
}>, {
    resources: z.ZodArray<z.ZodObject<{
        /**
         * The URI of this resource.
         */
        uri: z.ZodString;
        /**
         * A human-readable name for this resource.
         *
         * This can be used by clients to populate UI elements.
         */
        name: z.ZodString;
        /**
         * A description of what this resource represents.
         *
         * This can be used by clients to improve the LLM's understanding of available resources. It can be thought of like a "hint" to the model.
         */
        description: z.ZodOptional<z.ZodString>;
        /**
         * The MIME type of this resource, if known.
         */
        mimeType: z.ZodOptional<z.ZodString>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        /**
         * The URI of this resource.
         */
        uri: z.ZodString;
        /**
         * A human-readable name for this resource.
         *
         * This can be used by clients to populate UI elements.
         */
        name: z.ZodString;
        /**
         * A description of what this resource represents.
         *
         * This can be used by clients to improve the LLM's understanding of available resources. It can be thought of like a "hint" to the model.
         */
        description: z.ZodOptional<z.ZodString>;
        /**
         * The MIME type of this resource, if known.
         */
        mimeType: z.ZodOptional<z.ZodString>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        /**
         * The URI of this resource.
         */
        uri: z.ZodString;
        /**
         * A human-readable name for this resource.
         *
         * This can be used by clients to populate UI elements.
         */
        name: z.ZodString;
        /**
         * A description of what this resource represents.
         *
         * This can be used by clients to improve the LLM's understanding of available resources. It can be thought of like a "hint" to the model.
         */
        description: z.ZodOptional<z.ZodString>;
        /**
         * The MIME type of this resource, if known.
         */
        mimeType: z.ZodOptional<z.ZodString>;
    }, z.ZodTypeAny, "passthrough">>, "many">;
}>, z.ZodTypeAny, "passthrough">>, z.ZodObject<z.objectUtil.extendShape<z.objectUtil.extendShape<{
    /**
     * This result property is reserved by the protocol to allow clients and servers to attach additional metadata to their responses.
     */
    _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
}, {
    /**
     * An opaque token representing the pagination position after the last returned result.
     * If present, there may be more results available.
     */
    nextCursor: z.ZodOptional<z.ZodString>;
}>, {
    resourceTemplates: z.ZodArray<z.ZodObject<{
        /**
         * A URI template (according to RFC 6570) that can be used to construct resource URIs.
         */
        uriTemplate: z.ZodString;
        /**
         * A human-readable name for the type of resource this template refers to.
         *
         * This can be used by clients to populate UI elements.
         */
        name: z.ZodString;
        /**
         * A description of what this template is for.
         *
         * This can be used by clients to improve the LLM's understanding of available resources. It can be thought of like a "hint" to the model.
         */
        description: z.ZodOptional<z.ZodString>;
        /**
         * The MIME type for all resources that match this template. This should only be included if all resources matching this template have the same type.
         */
        mimeType: z.ZodOptional<z.ZodString>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        /**
         * A URI template (according to RFC 6570) that can be used to construct resource URIs.
         */
        uriTemplate: z.ZodString;
        /**
         * A human-readable name for the type of resource this template refers to.
         *
         * This can be used by clients to populate UI elements.
         */
        name: z.ZodString;
        /**
         * A description of what this template is for.
         *
         * This can be used by clients to improve the LLM's understanding of available resources. It can be thought of like a "hint" to the model.
         */
        description: z.ZodOptional<z.ZodString>;
        /**
         * The MIME type for all resources that match this template. This should only be included if all resources matching this template have the same type.
         */
        mimeType: z.ZodOptional<z.ZodString>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        /**
         * A URI template (according to RFC 6570) that can be used to construct resource URIs.
         */
        uriTemplate: z.ZodString;
        /**
         * A human-readable name for the type of resource this template refers to.
         *
         * This can be used by clients to populate UI elements.
         */
        name: z.ZodString;
        /**
         * A description of what this template is for.
         *
         * This can be used by clients to improve the LLM's understanding of available resources. It can be thought of like a "hint" to the model.
         */
        description: z.ZodOptional<z.ZodString>;
        /**
         * The MIME type for all resources that match this template. This should only be included if all resources matching this template have the same type.
         */
        mimeType: z.ZodOptional<z.ZodString>;
    }, z.ZodTypeAny, "passthrough">>, "many">;
}>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<z.objectUtil.extendShape<{
    /**
     * This result property is reserved by the protocol to allow clients and servers to attach additional metadata to their responses.
     */
    _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
}, {
    /**
     * An opaque token representing the pagination position after the last returned result.
     * If present, there may be more results available.
     */
    nextCursor: z.ZodOptional<z.ZodString>;
}>, {
    resourceTemplates: z.ZodArray<z.ZodObject<{
        /**
         * A URI template (according to RFC 6570) that can be used to construct resource URIs.
         */
        uriTemplate: z.ZodString;
        /**
         * A human-readable name for the type of resource this template refers to.
         *
         * This can be used by clients to populate UI elements.
         */
        name: z.ZodString;
        /**
         * A description of what this template is for.
         *
         * This can be used by clients to improve the LLM's understanding of available resources. It can be thought of like a "hint" to the model.
         */
        description: z.ZodOptional<z.ZodString>;
        /**
         * The MIME type for all resources that match this template. This should only be included if all resources matching this template have the same type.
         */
        mimeType: z.ZodOptional<z.ZodString>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        /**
         * A URI template (according to RFC 6570) that can be used to construct resource URIs.
         */
        uriTemplate: z.ZodString;
        /**
         * A human-readable name for the type of resource this template refers to.
         *
         * This can be used by clients to populate UI elements.
         */
        name: z.ZodString;
        /**
         * A description of what this template is for.
         *
         * This can be used by clients to improve the LLM's understanding of available resources. It can be thought of like a "hint" to the model.
         */
        description: z.ZodOptional<z.ZodString>;
        /**
         * The MIME type for all resources that match this template. This should only be included if all resources matching this template have the same type.
         */
        mimeType: z.ZodOptional<z.ZodString>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        /**
         * A URI template (according to RFC 6570) that can be used to construct resource URIs.
         */
        uriTemplate: z.ZodString;
        /**
         * A human-readable name for the type of resource this template refers to.
         *
         * This can be used by clients to populate UI elements.
         */
        name: z.ZodString;
        /**
         * A description of what this template is for.
         *
         * This can be used by clients to improve the LLM's understanding of available resources. It can be thought of like a "hint" to the model.
         */
        description: z.ZodOptional<z.ZodString>;
        /**
         * The MIME type for all resources that match this template. This should only be included if all resources matching this template have the same type.
         */
        mimeType: z.ZodOptional<z.ZodString>;
    }, z.ZodTypeAny, "passthrough">>, "many">;
}>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<z.objectUtil.extendShape<{
    /**
     * This result property is reserved by the protocol to allow clients and servers to attach additional metadata to their responses.
     */
    _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
}, {
    /**
     * An opaque token representing the pagination position after the last returned result.
     * If present, there may be more results available.
     */
    nextCursor: z.ZodOptional<z.ZodString>;
}>, {
    resourceTemplates: z.ZodArray<z.ZodObject<{
        /**
         * A URI template (according to RFC 6570) that can be used to construct resource URIs.
         */
        uriTemplate: z.ZodString;
        /**
         * A human-readable name for the type of resource this template refers to.
         *
         * This can be used by clients to populate UI elements.
         */
        name: z.ZodString;
        /**
         * A description of what this template is for.
         *
         * This can be used by clients to improve the LLM's understanding of available resources. It can be thought of like a "hint" to the model.
         */
        description: z.ZodOptional<z.ZodString>;
        /**
         * The MIME type for all resources that match this template. This should only be included if all resources matching this template have the same type.
         */
        mimeType: z.ZodOptional<z.ZodString>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        /**
         * A URI template (according to RFC 6570) that can be used to construct resource URIs.
         */
        uriTemplate: z.ZodString;
        /**
         * A human-readable name for the type of resource this template refers to.
         *
         * This can be used by clients to populate UI elements.
         */
        name: z.ZodString;
        /**
         * A description of what this template is for.
         *
         * This can be used by clients to improve the LLM's understanding of available resources. It can be thought of like a "hint" to the model.
         */
        description: z.ZodOptional<z.ZodString>;
        /**
         * The MIME type for all resources that match this template. This should only be included if all resources matching this template have the same type.
         */
        mimeType: z.ZodOptional<z.ZodString>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        /**
         * A URI template (according to RFC 6570) that can be used to construct resource URIs.
         */
        uriTemplate: z.ZodString;
        /**
         * A human-readable name for the type of resource this template refers to.
         *
         * This can be used by clients to populate UI elements.
         */
        name: z.ZodString;
        /**
         * A description of what this template is for.
         *
         * This can be used by clients to improve the LLM's understanding of available resources. It can be thought of like a "hint" to the model.
         */
        description: z.ZodOptional<z.ZodString>;
        /**
         * The MIME type for all resources that match this template. This should only be included if all resources matching this template have the same type.
         */
        mimeType: z.ZodOptional<z.ZodString>;
    }, z.ZodTypeAny, "passthrough">>, "many">;
}>, z.ZodTypeAny, "passthrough">>, z.ZodObject<z.objectUtil.extendShape<{
    /**
     * This result property is reserved by the protocol to allow clients and servers to attach additional metadata to their responses.
     */
    _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
}, {
    contents: z.ZodArray<z.ZodUnion<[z.ZodObject<z.objectUtil.extendShape<{
        /**
         * The URI of this resource.
         */
        uri: z.ZodString;
        /**
         * The MIME type of this resource, if known.
         */
        mimeType: z.ZodOptional<z.ZodString>;
    }, {
        /**
         * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
         */
        text: z.ZodString;
    }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
        /**
         * The URI of this resource.
         */
        uri: z.ZodString;
        /**
         * The MIME type of this resource, if known.
         */
        mimeType: z.ZodOptional<z.ZodString>;
    }, {
        /**
         * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
         */
        text: z.ZodString;
    }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
        /**
         * The URI of this resource.
         */
        uri: z.ZodString;
        /**
         * The MIME type of this resource, if known.
         */
        mimeType: z.ZodOptional<z.ZodString>;
    }, {
        /**
         * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
         */
        text: z.ZodString;
    }>, z.ZodTypeAny, "passthrough">>, z.ZodObject<z.objectUtil.extendShape<{
        /**
         * The URI of this resource.
         */
        uri: z.ZodString;
        /**
         * The MIME type of this resource, if known.
         */
        mimeType: z.ZodOptional<z.ZodString>;
    }, {
        /**
         * A base64-encoded string representing the binary data of the item.
         */
        blob: z.ZodString;
    }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
        /**
         * The URI of this resource.
         */
        uri: z.ZodString;
        /**
         * The MIME type of this resource, if known.
         */
        mimeType: z.ZodOptional<z.ZodString>;
    }, {
        /**
         * A base64-encoded string representing the binary data of the item.
         */
        blob: z.ZodString;
    }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
        /**
         * The URI of this resource.
         */
        uri: z.ZodString;
        /**
         * The MIME type of this resource, if known.
         */
        mimeType: z.ZodOptional<z.ZodString>;
    }, {
        /**
         * A base64-encoded string representing the binary data of the item.
         */
        blob: z.ZodString;
    }>, z.ZodTypeAny, "passthrough">>]>, "many">;
}>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
    /**
     * This result property is reserved by the protocol to allow clients and servers to attach additional metadata to their responses.
     */
    _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
}, {
    contents: z.ZodArray<z.ZodUnion<[z.ZodObject<z.objectUtil.extendShape<{
        /**
         * The URI of this resource.
         */
        uri: z.ZodString;
        /**
         * The MIME type of this resource, if known.
         */
        mimeType: z.ZodOptional<z.ZodString>;
    }, {
        /**
         * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
         */
        text: z.ZodString;
    }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
        /**
         * The URI of this resource.
         */
        uri: z.ZodString;
        /**
         * The MIME type of this resource, if known.
         */
        mimeType: z.ZodOptional<z.ZodString>;
    }, {
        /**
         * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
         */
        text: z.ZodString;
    }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
        /**
         * The URI of this resource.
         */
        uri: z.ZodString;
        /**
         * The MIME type of this resource, if known.
         */
        mimeType: z.ZodOptional<z.ZodString>;
    }, {
        /**
         * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
         */
        text: z.ZodString;
    }>, z.ZodTypeAny, "passthrough">>, z.ZodObject<z.objectUtil.extendShape<{
        /**
         * The URI of this resource.
         */
        uri: z.ZodString;
        /**
         * The MIME type of this resource, if known.
         */
        mimeType: z.ZodOptional<z.ZodString>;
    }, {
        /**
         * A base64-encoded string representing the binary data of the item.
         */
        blob: z.ZodString;
    }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
        /**
         * The URI of this resource.
         */
        uri: z.ZodString;
        /**
         * The MIME type of this resource, if known.
         */
        mimeType: z.ZodOptional<z.ZodString>;
    }, {
        /**
         * A base64-encoded string representing the binary data of the item.
         */
        blob: z.ZodString;
    }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
        /**
         * The URI of this resource.
         */
        uri: z.ZodString;
        /**
         * The MIME type of this resource, if known.
         */
        mimeType: z.ZodOptional<z.ZodString>;
    }, {
        /**
         * A base64-encoded string representing the binary data of the item.
         */
        blob: z.ZodString;
    }>, z.ZodTypeAny, "passthrough">>]>, "many">;
}>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
    /**
     * This result property is reserved by the protocol to allow clients and servers to attach additional metadata to their responses.
     */
    _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
}, {
    contents: z.ZodArray<z.ZodUnion<[z.ZodObject<z.objectUtil.extendShape<{
        /**
         * The URI of this resource.
         */
        uri: z.ZodString;
        /**
         * The MIME type of this resource, if known.
         */
        mimeType: z.ZodOptional<z.ZodString>;
    }, {
        /**
         * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
         */
        text: z.ZodString;
    }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
        /**
         * The URI of this resource.
         */
        uri: z.ZodString;
        /**
         * The MIME type of this resource, if known.
         */
        mimeType: z.ZodOptional<z.ZodString>;
    }, {
        /**
         * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
         */
        text: z.ZodString;
    }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
        /**
         * The URI of this resource.
         */
        uri: z.ZodString;
        /**
         * The MIME type of this resource, if known.
         */
        mimeType: z.ZodOptional<z.ZodString>;
    }, {
        /**
         * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
         */
        text: z.ZodString;
    }>, z.ZodTypeAny, "passthrough">>, z.ZodObject<z.objectUtil.extendShape<{
        /**
         * The URI of this resource.
         */
        uri: z.ZodString;
        /**
         * The MIME type of this resource, if known.
         */
        mimeType: z.ZodOptional<z.ZodString>;
    }, {
        /**
         * A base64-encoded string representing the binary data of the item.
         */
        blob: z.ZodString;
    }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
        /**
         * The URI of this resource.
         */
        uri: z.ZodString;
        /**
         * The MIME type of this resource, if known.
         */
        mimeType: z.ZodOptional<z.ZodString>;
    }, {
        /**
         * A base64-encoded string representing the binary data of the item.
         */
        blob: z.ZodString;
    }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
        /**
         * The URI of this resource.
         */
        uri: z.ZodString;
        /**
         * The MIME type of this resource, if known.
         */
        mimeType: z.ZodOptional<z.ZodString>;
    }, {
        /**
         * A base64-encoded string representing the binary data of the item.
         */
        blob: z.ZodString;
    }>, z.ZodTypeAny, "passthrough">>]>, "many">;
}>, z.ZodTypeAny, "passthrough">>, z.ZodObject<z.objectUtil.extendShape<{
    /**
     * This result property is reserved by the protocol to allow clients and servers to attach additional metadata to their responses.
     */
    _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
}, {
    content: z.ZodArray<z.ZodUnion<[z.ZodObject<{
        type: z.ZodLiteral<"text">;
        /**
         * The text content of the message.
         */
        text: z.ZodString;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        type: z.ZodLiteral<"text">;
        /**
         * The text content of the message.
         */
        text: z.ZodString;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        type: z.ZodLiteral<"text">;
        /**
         * The text content of the message.
         */
        text: z.ZodString;
    }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
        type: z.ZodLiteral<"image">;
        /**
         * The base64-encoded image data.
         */
        data: z.ZodString;
        /**
         * The MIME type of the image. Different providers may support different image types.
         */
        mimeType: z.ZodString;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        type: z.ZodLiteral<"image">;
        /**
         * The base64-encoded image data.
         */
        data: z.ZodString;
        /**
         * The MIME type of the image. Different providers may support different image types.
         */
        mimeType: z.ZodString;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        type: z.ZodLiteral<"image">;
        /**
         * The base64-encoded image data.
         */
        data: z.ZodString;
        /**
         * The MIME type of the image. Different providers may support different image types.
         */
        mimeType: z.ZodString;
    }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
        type: z.ZodLiteral<"audio">;
        /**
         * The base64-encoded audio data.
         */
        data: z.ZodString;
        /**
         * The MIME type of the audio. Different providers may support different audio types.
         */
        mimeType: z.ZodString;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        type: z.ZodLiteral<"audio">;
        /**
         * The base64-encoded audio data.
         */
        data: z.ZodString;
        /**
         * The MIME type of the audio. Different providers may support different audio types.
         */
        mimeType: z.ZodString;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        type: z.ZodLiteral<"audio">;
        /**
         * The base64-encoded audio data.
         */
        data: z.ZodString;
        /**
         * The MIME type of the audio. Different providers may support different audio types.
         */
        mimeType: z.ZodString;
    }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
        type: z.ZodLiteral<"resource">;
        resource: z.ZodUnion<[z.ZodObject<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
             */
            text: z.ZodString;
        }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
             */
            text: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
             */
            text: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">>, z.ZodObject<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * A base64-encoded string representing the binary data of the item.
             */
            blob: z.ZodString;
        }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * A base64-encoded string representing the binary data of the item.
             */
            blob: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * A base64-encoded string representing the binary data of the item.
             */
            blob: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">>]>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        type: z.ZodLiteral<"resource">;
        resource: z.ZodUnion<[z.ZodObject<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
             */
            text: z.ZodString;
        }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
             */
            text: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
             */
            text: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">>, z.ZodObject<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * A base64-encoded string representing the binary data of the item.
             */
            blob: z.ZodString;
        }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * A base64-encoded string representing the binary data of the item.
             */
            blob: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * A base64-encoded string representing the binary data of the item.
             */
            blob: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">>]>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        type: z.ZodLiteral<"resource">;
        resource: z.ZodUnion<[z.ZodObject<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
             */
            text: z.ZodString;
        }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
             */
            text: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
             */
            text: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">>, z.ZodObject<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * A base64-encoded string representing the binary data of the item.
             */
            blob: z.ZodString;
        }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * A base64-encoded string representing the binary data of the item.
             */
            blob: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * A base64-encoded string representing the binary data of the item.
             */
            blob: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">>]>;
    }, z.ZodTypeAny, "passthrough">>]>, "many">;
    isError: z.ZodOptional<z.ZodDefault<z.ZodBoolean>>;
}>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
    /**
     * This result property is reserved by the protocol to allow clients and servers to attach additional metadata to their responses.
     */
    _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
}, {
    content: z.ZodArray<z.ZodUnion<[z.ZodObject<{
        type: z.ZodLiteral<"text">;
        /**
         * The text content of the message.
         */
        text: z.ZodString;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        type: z.ZodLiteral<"text">;
        /**
         * The text content of the message.
         */
        text: z.ZodString;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        type: z.ZodLiteral<"text">;
        /**
         * The text content of the message.
         */
        text: z.ZodString;
    }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
        type: z.ZodLiteral<"image">;
        /**
         * The base64-encoded image data.
         */
        data: z.ZodString;
        /**
         * The MIME type of the image. Different providers may support different image types.
         */
        mimeType: z.ZodString;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        type: z.ZodLiteral<"image">;
        /**
         * The base64-encoded image data.
         */
        data: z.ZodString;
        /**
         * The MIME type of the image. Different providers may support different image types.
         */
        mimeType: z.ZodString;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        type: z.ZodLiteral<"image">;
        /**
         * The base64-encoded image data.
         */
        data: z.ZodString;
        /**
         * The MIME type of the image. Different providers may support different image types.
         */
        mimeType: z.ZodString;
    }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
        type: z.ZodLiteral<"audio">;
        /**
         * The base64-encoded audio data.
         */
        data: z.ZodString;
        /**
         * The MIME type of the audio. Different providers may support different audio types.
         */
        mimeType: z.ZodString;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        type: z.ZodLiteral<"audio">;
        /**
         * The base64-encoded audio data.
         */
        data: z.ZodString;
        /**
         * The MIME type of the audio. Different providers may support different audio types.
         */
        mimeType: z.ZodString;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        type: z.ZodLiteral<"audio">;
        /**
         * The base64-encoded audio data.
         */
        data: z.ZodString;
        /**
         * The MIME type of the audio. Different providers may support different audio types.
         */
        mimeType: z.ZodString;
    }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
        type: z.ZodLiteral<"resource">;
        resource: z.ZodUnion<[z.ZodObject<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
             */
            text: z.ZodString;
        }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
             */
            text: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
             */
            text: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">>, z.ZodObject<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * A base64-encoded string representing the binary data of the item.
             */
            blob: z.ZodString;
        }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * A base64-encoded string representing the binary data of the item.
             */
            blob: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * A base64-encoded string representing the binary data of the item.
             */
            blob: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">>]>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        type: z.ZodLiteral<"resource">;
        resource: z.ZodUnion<[z.ZodObject<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
             */
            text: z.ZodString;
        }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
             */
            text: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
             */
            text: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">>, z.ZodObject<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * A base64-encoded string representing the binary data of the item.
             */
            blob: z.ZodString;
        }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * A base64-encoded string representing the binary data of the item.
             */
            blob: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * A base64-encoded string representing the binary data of the item.
             */
            blob: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">>]>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        type: z.ZodLiteral<"resource">;
        resource: z.ZodUnion<[z.ZodObject<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
             */
            text: z.ZodString;
        }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
             */
            text: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
             */
            text: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">>, z.ZodObject<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * A base64-encoded string representing the binary data of the item.
             */
            blob: z.ZodString;
        }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * A base64-encoded string representing the binary data of the item.
             */
            blob: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * A base64-encoded string representing the binary data of the item.
             */
            blob: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">>]>;
    }, z.ZodTypeAny, "passthrough">>]>, "many">;
    isError: z.ZodOptional<z.ZodDefault<z.ZodBoolean>>;
}>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
    /**
     * This result property is reserved by the protocol to allow clients and servers to attach additional metadata to their responses.
     */
    _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
}, {
    content: z.ZodArray<z.ZodUnion<[z.ZodObject<{
        type: z.ZodLiteral<"text">;
        /**
         * The text content of the message.
         */
        text: z.ZodString;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        type: z.ZodLiteral<"text">;
        /**
         * The text content of the message.
         */
        text: z.ZodString;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        type: z.ZodLiteral<"text">;
        /**
         * The text content of the message.
         */
        text: z.ZodString;
    }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
        type: z.ZodLiteral<"image">;
        /**
         * The base64-encoded image data.
         */
        data: z.ZodString;
        /**
         * The MIME type of the image. Different providers may support different image types.
         */
        mimeType: z.ZodString;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        type: z.ZodLiteral<"image">;
        /**
         * The base64-encoded image data.
         */
        data: z.ZodString;
        /**
         * The MIME type of the image. Different providers may support different image types.
         */
        mimeType: z.ZodString;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        type: z.ZodLiteral<"image">;
        /**
         * The base64-encoded image data.
         */
        data: z.ZodString;
        /**
         * The MIME type of the image. Different providers may support different image types.
         */
        mimeType: z.ZodString;
    }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
        type: z.ZodLiteral<"audio">;
        /**
         * The base64-encoded audio data.
         */
        data: z.ZodString;
        /**
         * The MIME type of the audio. Different providers may support different audio types.
         */
        mimeType: z.ZodString;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        type: z.ZodLiteral<"audio">;
        /**
         * The base64-encoded audio data.
         */
        data: z.ZodString;
        /**
         * The MIME type of the audio. Different providers may support different audio types.
         */
        mimeType: z.ZodString;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        type: z.ZodLiteral<"audio">;
        /**
         * The base64-encoded audio data.
         */
        data: z.ZodString;
        /**
         * The MIME type of the audio. Different providers may support different audio types.
         */
        mimeType: z.ZodString;
    }, z.ZodTypeAny, "passthrough">>, z.ZodObject<{
        type: z.ZodLiteral<"resource">;
        resource: z.ZodUnion<[z.ZodObject<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
             */
            text: z.ZodString;
        }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
             */
            text: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
             */
            text: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">>, z.ZodObject<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * A base64-encoded string representing the binary data of the item.
             */
            blob: z.ZodString;
        }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * A base64-encoded string representing the binary data of the item.
             */
            blob: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * A base64-encoded string representing the binary data of the item.
             */
            blob: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">>]>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        type: z.ZodLiteral<"resource">;
        resource: z.ZodUnion<[z.ZodObject<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
             */
            text: z.ZodString;
        }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
             */
            text: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
             */
            text: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">>, z.ZodObject<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * A base64-encoded string representing the binary data of the item.
             */
            blob: z.ZodString;
        }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * A base64-encoded string representing the binary data of the item.
             */
            blob: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * A base64-encoded string representing the binary data of the item.
             */
            blob: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">>]>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        type: z.ZodLiteral<"resource">;
        resource: z.ZodUnion<[z.ZodObject<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
             */
            text: z.ZodString;
        }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
             */
            text: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * The text of the item. This must only be set if the item can actually be represented as text (not binary data).
             */
            text: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">>, z.ZodObject<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * A base64-encoded string representing the binary data of the item.
             */
            blob: z.ZodString;
        }>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * A base64-encoded string representing the binary data of the item.
             */
            blob: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<{
            /**
             * The URI of this resource.
             */
            uri: z.ZodString;
            /**
             * The MIME type of this resource, if known.
             */
            mimeType: z.ZodOptional<z.ZodString>;
        }, {
            /**
             * A base64-encoded string representing the binary data of the item.
             */
            blob: z.ZodString;
        }>, z.ZodTypeAny, "passthrough">>]>;
    }, z.ZodTypeAny, "passthrough">>]>, "many">;
    isError: z.ZodOptional<z.ZodDefault<z.ZodBoolean>>;
}>, z.ZodTypeAny, "passthrough">>, z.ZodObject<z.objectUtil.extendShape<z.objectUtil.extendShape<{
    /**
     * This result property is reserved by the protocol to allow clients and servers to attach additional metadata to their responses.
     */
    _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
}, {
    /**
     * An opaque token representing the pagination position after the last returned result.
     * If present, there may be more results available.
     */
    nextCursor: z.ZodOptional<z.ZodString>;
}>, {
    tools: z.ZodArray<z.ZodObject<{
        /**
         * The name of the tool.
         */
        name: z.ZodString;
        /**
         * A human-readable description of the tool.
         */
        description: z.ZodOptional<z.ZodString>;
        /**
         * A JSON Schema object defining the expected parameters for the tool.
         */
        inputSchema: z.ZodObject<{
            type: z.ZodLiteral<"object">;
            properties: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            type: z.ZodLiteral<"object">;
            properties: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            type: z.ZodLiteral<"object">;
            properties: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
        }, z.ZodTypeAny, "passthrough">>;
        /**
         * Optional additional tool information.
         */
        annotations: z.ZodOptional<z.ZodObject<{
            /**
             * A human-readable title for the tool.
             */
            title: z.ZodOptional<z.ZodString>;
            /**
             * If true, the tool does not modify its environment.
             *
             * Default: false
             */
            readOnlyHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, the tool may perform destructive updates to its environment.
             * If false, the tool performs only additive updates.
             *
             * (This property is meaningful only when `readOnlyHint == false`)
             *
             * Default: true
             */
            destructiveHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, calling the tool repeatedly with the same arguments
             * will have no additional effect on the its environment.
             *
             * (This property is meaningful only when `readOnlyHint == false`)
             *
             * Default: false
             */
            idempotentHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, this tool may interact with an "open world" of external
             * entities. If false, the tool's domain of interaction is closed.
             * For example, the world of a web search tool is open, whereas that
             * of a memory tool is not.
             *
             * Default: true
             */
            openWorldHint: z.ZodOptional<z.ZodBoolean>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * A human-readable title for the tool.
             */
            title: z.ZodOptional<z.ZodString>;
            /**
             * If true, the tool does not modify its environment.
             *
             * Default: false
             */
            readOnlyHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, the tool may perform destructive updates to its environment.
             * If false, the tool performs only additive updates.
             *
             * (This property is meaningful only when `readOnlyHint == false`)
             *
             * Default: true
             */
            destructiveHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, calling the tool repeatedly with the same arguments
             * will have no additional effect on the its environment.
             *
             * (This property is meaningful only when `readOnlyHint == false`)
             *
             * Default: false
             */
            idempotentHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, this tool may interact with an "open world" of external
             * entities. If false, the tool's domain of interaction is closed.
             * For example, the world of a web search tool is open, whereas that
             * of a memory tool is not.
             *
             * Default: true
             */
            openWorldHint: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * A human-readable title for the tool.
             */
            title: z.ZodOptional<z.ZodString>;
            /**
             * If true, the tool does not modify its environment.
             *
             * Default: false
             */
            readOnlyHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, the tool may perform destructive updates to its environment.
             * If false, the tool performs only additive updates.
             *
             * (This property is meaningful only when `readOnlyHint == false`)
             *
             * Default: true
             */
            destructiveHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, calling the tool repeatedly with the same arguments
             * will have no additional effect on the its environment.
             *
             * (This property is meaningful only when `readOnlyHint == false`)
             *
             * Default: false
             */
            idempotentHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, this tool may interact with an "open world" of external
             * entities. If false, the tool's domain of interaction is closed.
             * For example, the world of a web search tool is open, whereas that
             * of a memory tool is not.
             *
             * Default: true
             */
            openWorldHint: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        /**
         * The name of the tool.
         */
        name: z.ZodString;
        /**
         * A human-readable description of the tool.
         */
        description: z.ZodOptional<z.ZodString>;
        /**
         * A JSON Schema object defining the expected parameters for the tool.
         */
        inputSchema: z.ZodObject<{
            type: z.ZodLiteral<"object">;
            properties: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            type: z.ZodLiteral<"object">;
            properties: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            type: z.ZodLiteral<"object">;
            properties: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
        }, z.ZodTypeAny, "passthrough">>;
        /**
         * Optional additional tool information.
         */
        annotations: z.ZodOptional<z.ZodObject<{
            /**
             * A human-readable title for the tool.
             */
            title: z.ZodOptional<z.ZodString>;
            /**
             * If true, the tool does not modify its environment.
             *
             * Default: false
             */
            readOnlyHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, the tool may perform destructive updates to its environment.
             * If false, the tool performs only additive updates.
             *
             * (This property is meaningful only when `readOnlyHint == false`)
             *
             * Default: true
             */
            destructiveHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, calling the tool repeatedly with the same arguments
             * will have no additional effect on the its environment.
             *
             * (This property is meaningful only when `readOnlyHint == false`)
             *
             * Default: false
             */
            idempotentHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, this tool may interact with an "open world" of external
             * entities. If false, the tool's domain of interaction is closed.
             * For example, the world of a web search tool is open, whereas that
             * of a memory tool is not.
             *
             * Default: true
             */
            openWorldHint: z.ZodOptional<z.ZodBoolean>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * A human-readable title for the tool.
             */
            title: z.ZodOptional<z.ZodString>;
            /**
             * If true, the tool does not modify its environment.
             *
             * Default: false
             */
            readOnlyHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, the tool may perform destructive updates to its environment.
             * If false, the tool performs only additive updates.
             *
             * (This property is meaningful only when `readOnlyHint == false`)
             *
             * Default: true
             */
            destructiveHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, calling the tool repeatedly with the same arguments
             * will have no additional effect on the its environment.
             *
             * (This property is meaningful only when `readOnlyHint == false`)
             *
             * Default: false
             */
            idempotentHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, this tool may interact with an "open world" of external
             * entities. If false, the tool's domain of interaction is closed.
             * For example, the world of a web search tool is open, whereas that
             * of a memory tool is not.
             *
             * Default: true
             */
            openWorldHint: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * A human-readable title for the tool.
             */
            title: z.ZodOptional<z.ZodString>;
            /**
             * If true, the tool does not modify its environment.
             *
             * Default: false
             */
            readOnlyHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, the tool may perform destructive updates to its environment.
             * If false, the tool performs only additive updates.
             *
             * (This property is meaningful only when `readOnlyHint == false`)
             *
             * Default: true
             */
            destructiveHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, calling the tool repeatedly with the same arguments
             * will have no additional effect on the its environment.
             *
             * (This property is meaningful only when `readOnlyHint == false`)
             *
             * Default: false
             */
            idempotentHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, this tool may interact with an "open world" of external
             * entities. If false, the tool's domain of interaction is closed.
             * For example, the world of a web search tool is open, whereas that
             * of a memory tool is not.
             *
             * Default: true
             */
            openWorldHint: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        /**
         * The name of the tool.
         */
        name: z.ZodString;
        /**
         * A human-readable description of the tool.
         */
        description: z.ZodOptional<z.ZodString>;
        /**
         * A JSON Schema object defining the expected parameters for the tool.
         */
        inputSchema: z.ZodObject<{
            type: z.ZodLiteral<"object">;
            properties: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            type: z.ZodLiteral<"object">;
            properties: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            type: z.ZodLiteral<"object">;
            properties: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
        }, z.ZodTypeAny, "passthrough">>;
        /**
         * Optional additional tool information.
         */
        annotations: z.ZodOptional<z.ZodObject<{
            /**
             * A human-readable title for the tool.
             */
            title: z.ZodOptional<z.ZodString>;
            /**
             * If true, the tool does not modify its environment.
             *
             * Default: false
             */
            readOnlyHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, the tool may perform destructive updates to its environment.
             * If false, the tool performs only additive updates.
             *
             * (This property is meaningful only when `readOnlyHint == false`)
             *
             * Default: true
             */
            destructiveHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, calling the tool repeatedly with the same arguments
             * will have no additional effect on the its environment.
             *
             * (This property is meaningful only when `readOnlyHint == false`)
             *
             * Default: false
             */
            idempotentHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, this tool may interact with an "open world" of external
             * entities. If false, the tool's domain of interaction is closed.
             * For example, the world of a web search tool is open, whereas that
             * of a memory tool is not.
             *
             * Default: true
             */
            openWorldHint: z.ZodOptional<z.ZodBoolean>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * A human-readable title for the tool.
             */
            title: z.ZodOptional<z.ZodString>;
            /**
             * If true, the tool does not modify its environment.
             *
             * Default: false
             */
            readOnlyHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, the tool may perform destructive updates to its environment.
             * If false, the tool performs only additive updates.
             *
             * (This property is meaningful only when `readOnlyHint == false`)
             *
             * Default: true
             */
            destructiveHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, calling the tool repeatedly with the same arguments
             * will have no additional effect on the its environment.
             *
             * (This property is meaningful only when `readOnlyHint == false`)
             *
             * Default: false
             */
            idempotentHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, this tool may interact with an "open world" of external
             * entities. If false, the tool's domain of interaction is closed.
             * For example, the world of a web search tool is open, whereas that
             * of a memory tool is not.
             *
             * Default: true
             */
            openWorldHint: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * A human-readable title for the tool.
             */
            title: z.ZodOptional<z.ZodString>;
            /**
             * If true, the tool does not modify its environment.
             *
             * Default: false
             */
            readOnlyHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, the tool may perform destructive updates to its environment.
             * If false, the tool performs only additive updates.
             *
             * (This property is meaningful only when `readOnlyHint == false`)
             *
             * Default: true
             */
            destructiveHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, calling the tool repeatedly with the same arguments
             * will have no additional effect on the its environment.
             *
             * (This property is meaningful only when `readOnlyHint == false`)
             *
             * Default: false
             */
            idempotentHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, this tool may interact with an "open world" of external
             * entities. If false, the tool's domain of interaction is closed.
             * For example, the world of a web search tool is open, whereas that
             * of a memory tool is not.
             *
             * Default: true
             */
            openWorldHint: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">>, "many">;
}>, "passthrough", z.ZodTypeAny, z.objectOutputType<z.objectUtil.extendShape<z.objectUtil.extendShape<{
    /**
     * This result property is reserved by the protocol to allow clients and servers to attach additional metadata to their responses.
     */
    _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
}, {
    /**
     * An opaque token representing the pagination position after the last returned result.
     * If present, there may be more results available.
     */
    nextCursor: z.ZodOptional<z.ZodString>;
}>, {
    tools: z.ZodArray<z.ZodObject<{
        /**
         * The name of the tool.
         */
        name: z.ZodString;
        /**
         * A human-readable description of the tool.
         */
        description: z.ZodOptional<z.ZodString>;
        /**
         * A JSON Schema object defining the expected parameters for the tool.
         */
        inputSchema: z.ZodObject<{
            type: z.ZodLiteral<"object">;
            properties: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            type: z.ZodLiteral<"object">;
            properties: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            type: z.ZodLiteral<"object">;
            properties: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
        }, z.ZodTypeAny, "passthrough">>;
        /**
         * Optional additional tool information.
         */
        annotations: z.ZodOptional<z.ZodObject<{
            /**
             * A human-readable title for the tool.
             */
            title: z.ZodOptional<z.ZodString>;
            /**
             * If true, the tool does not modify its environment.
             *
             * Default: false
             */
            readOnlyHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, the tool may perform destructive updates to its environment.
             * If false, the tool performs only additive updates.
             *
             * (This property is meaningful only when `readOnlyHint == false`)
             *
             * Default: true
             */
            destructiveHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, calling the tool repeatedly with the same arguments
             * will have no additional effect on the its environment.
             *
             * (This property is meaningful only when `readOnlyHint == false`)
             *
             * Default: false
             */
            idempotentHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, this tool may interact with an "open world" of external
             * entities. If false, the tool's domain of interaction is closed.
             * For example, the world of a web search tool is open, whereas that
             * of a memory tool is not.
             *
             * Default: true
             */
            openWorldHint: z.ZodOptional<z.ZodBoolean>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * A human-readable title for the tool.
             */
            title: z.ZodOptional<z.ZodString>;
            /**
             * If true, the tool does not modify its environment.
             *
             * Default: false
             */
            readOnlyHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, the tool may perform destructive updates to its environment.
             * If false, the tool performs only additive updates.
             *
             * (This property is meaningful only when `readOnlyHint == false`)
             *
             * Default: true
             */
            destructiveHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, calling the tool repeatedly with the same arguments
             * will have no additional effect on the its environment.
             *
             * (This property is meaningful only when `readOnlyHint == false`)
             *
             * Default: false
             */
            idempotentHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, this tool may interact with an "open world" of external
             * entities. If false, the tool's domain of interaction is closed.
             * For example, the world of a web search tool is open, whereas that
             * of a memory tool is not.
             *
             * Default: true
             */
            openWorldHint: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * A human-readable title for the tool.
             */
            title: z.ZodOptional<z.ZodString>;
            /**
             * If true, the tool does not modify its environment.
             *
             * Default: false
             */
            readOnlyHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, the tool may perform destructive updates to its environment.
             * If false, the tool performs only additive updates.
             *
             * (This property is meaningful only when `readOnlyHint == false`)
             *
             * Default: true
             */
            destructiveHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, calling the tool repeatedly with the same arguments
             * will have no additional effect on the its environment.
             *
             * (This property is meaningful only when `readOnlyHint == false`)
             *
             * Default: false
             */
            idempotentHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, this tool may interact with an "open world" of external
             * entities. If false, the tool's domain of interaction is closed.
             * For example, the world of a web search tool is open, whereas that
             * of a memory tool is not.
             *
             * Default: true
             */
            openWorldHint: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        /**
         * The name of the tool.
         */
        name: z.ZodString;
        /**
         * A human-readable description of the tool.
         */
        description: z.ZodOptional<z.ZodString>;
        /**
         * A JSON Schema object defining the expected parameters for the tool.
         */
        inputSchema: z.ZodObject<{
            type: z.ZodLiteral<"object">;
            properties: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            type: z.ZodLiteral<"object">;
            properties: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            type: z.ZodLiteral<"object">;
            properties: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
        }, z.ZodTypeAny, "passthrough">>;
        /**
         * Optional additional tool information.
         */
        annotations: z.ZodOptional<z.ZodObject<{
            /**
             * A human-readable title for the tool.
             */
            title: z.ZodOptional<z.ZodString>;
            /**
             * If true, the tool does not modify its environment.
             *
             * Default: false
             */
            readOnlyHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, the tool may perform destructive updates to its environment.
             * If false, the tool performs only additive updates.
             *
             * (This property is meaningful only when `readOnlyHint == false`)
             *
             * Default: true
             */
            destructiveHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, calling the tool repeatedly with the same arguments
             * will have no additional effect on the its environment.
             *
             * (This property is meaningful only when `readOnlyHint == false`)
             *
             * Default: false
             */
            idempotentHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, this tool may interact with an "open world" of external
             * entities. If false, the tool's domain of interaction is closed.
             * For example, the world of a web search tool is open, whereas that
             * of a memory tool is not.
             *
             * Default: true
             */
            openWorldHint: z.ZodOptional<z.ZodBoolean>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * A human-readable title for the tool.
             */
            title: z.ZodOptional<z.ZodString>;
            /**
             * If true, the tool does not modify its environment.
             *
             * Default: false
             */
            readOnlyHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, the tool may perform destructive updates to its environment.
             * If false, the tool performs only additive updates.
             *
             * (This property is meaningful only when `readOnlyHint == false`)
             *
             * Default: true
             */
            destructiveHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, calling the tool repeatedly with the same arguments
             * will have no additional effect on the its environment.
             *
             * (This property is meaningful only when `readOnlyHint == false`)
             *
             * Default: false
             */
            idempotentHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, this tool may interact with an "open world" of external
             * entities. If false, the tool's domain of interaction is closed.
             * For example, the world of a web search tool is open, whereas that
             * of a memory tool is not.
             *
             * Default: true
             */
            openWorldHint: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * A human-readable title for the tool.
             */
            title: z.ZodOptional<z.ZodString>;
            /**
             * If true, the tool does not modify its environment.
             *
             * Default: false
             */
            readOnlyHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, the tool may perform destructive updates to its environment.
             * If false, the tool performs only additive updates.
             *
             * (This property is meaningful only when `readOnlyHint == false`)
             *
             * Default: true
             */
            destructiveHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, calling the tool repeatedly with the same arguments
             * will have no additional effect on the its environment.
             *
             * (This property is meaningful only when `readOnlyHint == false`)
             *
             * Default: false
             */
            idempotentHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, this tool may interact with an "open world" of external
             * entities. If false, the tool's domain of interaction is closed.
             * For example, the world of a web search tool is open, whereas that
             * of a memory tool is not.
             *
             * Default: true
             */
            openWorldHint: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        /**
         * The name of the tool.
         */
        name: z.ZodString;
        /**
         * A human-readable description of the tool.
         */
        description: z.ZodOptional<z.ZodString>;
        /**
         * A JSON Schema object defining the expected parameters for the tool.
         */
        inputSchema: z.ZodObject<{
            type: z.ZodLiteral<"object">;
            properties: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            type: z.ZodLiteral<"object">;
            properties: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            type: z.ZodLiteral<"object">;
            properties: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
        }, z.ZodTypeAny, "passthrough">>;
        /**
         * Optional additional tool information.
         */
        annotations: z.ZodOptional<z.ZodObject<{
            /**
             * A human-readable title for the tool.
             */
            title: z.ZodOptional<z.ZodString>;
            /**
             * If true, the tool does not modify its environment.
             *
             * Default: false
             */
            readOnlyHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, the tool may perform destructive updates to its environment.
             * If false, the tool performs only additive updates.
             *
             * (This property is meaningful only when `readOnlyHint == false`)
             *
             * Default: true
             */
            destructiveHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, calling the tool repeatedly with the same arguments
             * will have no additional effect on the its environment.
             *
             * (This property is meaningful only when `readOnlyHint == false`)
             *
             * Default: false
             */
            idempotentHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, this tool may interact with an "open world" of external
             * entities. If false, the tool's domain of interaction is closed.
             * For example, the world of a web search tool is open, whereas that
             * of a memory tool is not.
             *
             * Default: true
             */
            openWorldHint: z.ZodOptional<z.ZodBoolean>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * A human-readable title for the tool.
             */
            title: z.ZodOptional<z.ZodString>;
            /**
             * If true, the tool does not modify its environment.
             *
             * Default: false
             */
            readOnlyHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, the tool may perform destructive updates to its environment.
             * If false, the tool performs only additive updates.
             *
             * (This property is meaningful only when `readOnlyHint == false`)
             *
             * Default: true
             */
            destructiveHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, calling the tool repeatedly with the same arguments
             * will have no additional effect on the its environment.
             *
             * (This property is meaningful only when `readOnlyHint == false`)
             *
             * Default: false
             */
            idempotentHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, this tool may interact with an "open world" of external
             * entities. If false, the tool's domain of interaction is closed.
             * For example, the world of a web search tool is open, whereas that
             * of a memory tool is not.
             *
             * Default: true
             */
            openWorldHint: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * A human-readable title for the tool.
             */
            title: z.ZodOptional<z.ZodString>;
            /**
             * If true, the tool does not modify its environment.
             *
             * Default: false
             */
            readOnlyHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, the tool may perform destructive updates to its environment.
             * If false, the tool performs only additive updates.
             *
             * (This property is meaningful only when `readOnlyHint == false`)
             *
             * Default: true
             */
            destructiveHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, calling the tool repeatedly with the same arguments
             * will have no additional effect on the its environment.
             *
             * (This property is meaningful only when `readOnlyHint == false`)
             *
             * Default: false
             */
            idempotentHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, this tool may interact with an "open world" of external
             * entities. If false, the tool's domain of interaction is closed.
             * For example, the world of a web search tool is open, whereas that
             * of a memory tool is not.
             *
             * Default: true
             */
            openWorldHint: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">>, "many">;
}>, z.ZodTypeAny, "passthrough">, z.objectInputType<z.objectUtil.extendShape<z.objectUtil.extendShape<{
    /**
     * This result property is reserved by the protocol to allow clients and servers to attach additional metadata to their responses.
     */
    _meta: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
}, {
    /**
     * An opaque token representing the pagination position after the last returned result.
     * If present, there may be more results available.
     */
    nextCursor: z.ZodOptional<z.ZodString>;
}>, {
    tools: z.ZodArray<z.ZodObject<{
        /**
         * The name of the tool.
         */
        name: z.ZodString;
        /**
         * A human-readable description of the tool.
         */
        description: z.ZodOptional<z.ZodString>;
        /**
         * A JSON Schema object defining the expected parameters for the tool.
         */
        inputSchema: z.ZodObject<{
            type: z.ZodLiteral<"object">;
            properties: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            type: z.ZodLiteral<"object">;
            properties: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            type: z.ZodLiteral<"object">;
            properties: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
        }, z.ZodTypeAny, "passthrough">>;
        /**
         * Optional additional tool information.
         */
        annotations: z.ZodOptional<z.ZodObject<{
            /**
             * A human-readable title for the tool.
             */
            title: z.ZodOptional<z.ZodString>;
            /**
             * If true, the tool does not modify its environment.
             *
             * Default: false
             */
            readOnlyHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, the tool may perform destructive updates to its environment.
             * If false, the tool performs only additive updates.
             *
             * (This property is meaningful only when `readOnlyHint == false`)
             *
             * Default: true
             */
            destructiveHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, calling the tool repeatedly with the same arguments
             * will have no additional effect on the its environment.
             *
             * (This property is meaningful only when `readOnlyHint == false`)
             *
             * Default: false
             */
            idempotentHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, this tool may interact with an "open world" of external
             * entities. If false, the tool's domain of interaction is closed.
             * For example, the world of a web search tool is open, whereas that
             * of a memory tool is not.
             *
             * Default: true
             */
            openWorldHint: z.ZodOptional<z.ZodBoolean>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * A human-readable title for the tool.
             */
            title: z.ZodOptional<z.ZodString>;
            /**
             * If true, the tool does not modify its environment.
             *
             * Default: false
             */
            readOnlyHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, the tool may perform destructive updates to its environment.
             * If false, the tool performs only additive updates.
             *
             * (This property is meaningful only when `readOnlyHint == false`)
             *
             * Default: true
             */
            destructiveHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, calling the tool repeatedly with the same arguments
             * will have no additional effect on the its environment.
             *
             * (This property is meaningful only when `readOnlyHint == false`)
             *
             * Default: false
             */
            idempotentHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, this tool may interact with an "open world" of external
             * entities. If false, the tool's domain of interaction is closed.
             * For example, the world of a web search tool is open, whereas that
             * of a memory tool is not.
             *
             * Default: true
             */
            openWorldHint: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * A human-readable title for the tool.
             */
            title: z.ZodOptional<z.ZodString>;
            /**
             * If true, the tool does not modify its environment.
             *
             * Default: false
             */
            readOnlyHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, the tool may perform destructive updates to its environment.
             * If false, the tool performs only additive updates.
             *
             * (This property is meaningful only when `readOnlyHint == false`)
             *
             * Default: true
             */
            destructiveHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, calling the tool repeatedly with the same arguments
             * will have no additional effect on the its environment.
             *
             * (This property is meaningful only when `readOnlyHint == false`)
             *
             * Default: false
             */
            idempotentHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, this tool may interact with an "open world" of external
             * entities. If false, the tool's domain of interaction is closed.
             * For example, the world of a web search tool is open, whereas that
             * of a memory tool is not.
             *
             * Default: true
             */
            openWorldHint: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        /**
         * The name of the tool.
         */
        name: z.ZodString;
        /**
         * A human-readable description of the tool.
         */
        description: z.ZodOptional<z.ZodString>;
        /**
         * A JSON Schema object defining the expected parameters for the tool.
         */
        inputSchema: z.ZodObject<{
            type: z.ZodLiteral<"object">;
            properties: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            type: z.ZodLiteral<"object">;
            properties: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            type: z.ZodLiteral<"object">;
            properties: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
        }, z.ZodTypeAny, "passthrough">>;
        /**
         * Optional additional tool information.
         */
        annotations: z.ZodOptional<z.ZodObject<{
            /**
             * A human-readable title for the tool.
             */
            title: z.ZodOptional<z.ZodString>;
            /**
             * If true, the tool does not modify its environment.
             *
             * Default: false
             */
            readOnlyHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, the tool may perform destructive updates to its environment.
             * If false, the tool performs only additive updates.
             *
             * (This property is meaningful only when `readOnlyHint == false`)
             *
             * Default: true
             */
            destructiveHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, calling the tool repeatedly with the same arguments
             * will have no additional effect on the its environment.
             *
             * (This property is meaningful only when `readOnlyHint == false`)
             *
             * Default: false
             */
            idempotentHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, this tool may interact with an "open world" of external
             * entities. If false, the tool's domain of interaction is closed.
             * For example, the world of a web search tool is open, whereas that
             * of a memory tool is not.
             *
             * Default: true
             */
            openWorldHint: z.ZodOptional<z.ZodBoolean>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * A human-readable title for the tool.
             */
            title: z.ZodOptional<z.ZodString>;
            /**
             * If true, the tool does not modify its environment.
             *
             * Default: false
             */
            readOnlyHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, the tool may perform destructive updates to its environment.
             * If false, the tool performs only additive updates.
             *
             * (This property is meaningful only when `readOnlyHint == false`)
             *
             * Default: true
             */
            destructiveHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, calling the tool repeatedly with the same arguments
             * will have no additional effect on the its environment.
             *
             * (This property is meaningful only when `readOnlyHint == false`)
             *
             * Default: false
             */
            idempotentHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, this tool may interact with an "open world" of external
             * entities. If false, the tool's domain of interaction is closed.
             * For example, the world of a web search tool is open, whereas that
             * of a memory tool is not.
             *
             * Default: true
             */
            openWorldHint: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * A human-readable title for the tool.
             */
            title: z.ZodOptional<z.ZodString>;
            /**
             * If true, the tool does not modify its environment.
             *
             * Default: false
             */
            readOnlyHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, the tool may perform destructive updates to its environment.
             * If false, the tool performs only additive updates.
             *
             * (This property is meaningful only when `readOnlyHint == false`)
             *
             * Default: true
             */
            destructiveHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, calling the tool repeatedly with the same arguments
             * will have no additional effect on the its environment.
             *
             * (This property is meaningful only when `readOnlyHint == false`)
             *
             * Default: false
             */
            idempotentHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, this tool may interact with an "open world" of external
             * entities. If false, the tool's domain of interaction is closed.
             * For example, the world of a web search tool is open, whereas that
             * of a memory tool is not.
             *
             * Default: true
             */
            openWorldHint: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        /**
         * The name of the tool.
         */
        name: z.ZodString;
        /**
         * A human-readable description of the tool.
         */
        description: z.ZodOptional<z.ZodString>;
        /**
         * A JSON Schema object defining the expected parameters for the tool.
         */
        inputSchema: z.ZodObject<{
            type: z.ZodLiteral<"object">;
            properties: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            type: z.ZodLiteral<"object">;
            properties: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            type: z.ZodLiteral<"object">;
            properties: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
        }, z.ZodTypeAny, "passthrough">>;
        /**
         * Optional additional tool information.
         */
        annotations: z.ZodOptional<z.ZodObject<{
            /**
             * A human-readable title for the tool.
             */
            title: z.ZodOptional<z.ZodString>;
            /**
             * If true, the tool does not modify its environment.
             *
             * Default: false
             */
            readOnlyHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, the tool may perform destructive updates to its environment.
             * If false, the tool performs only additive updates.
             *
             * (This property is meaningful only when `readOnlyHint == false`)
             *
             * Default: true
             */
            destructiveHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, calling the tool repeatedly with the same arguments
             * will have no additional effect on the its environment.
             *
             * (This property is meaningful only when `readOnlyHint == false`)
             *
             * Default: false
             */
            idempotentHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, this tool may interact with an "open world" of external
             * entities. If false, the tool's domain of interaction is closed.
             * For example, the world of a web search tool is open, whereas that
             * of a memory tool is not.
             *
             * Default: true
             */
            openWorldHint: z.ZodOptional<z.ZodBoolean>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            /**
             * A human-readable title for the tool.
             */
            title: z.ZodOptional<z.ZodString>;
            /**
             * If true, the tool does not modify its environment.
             *
             * Default: false
             */
            readOnlyHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, the tool may perform destructive updates to its environment.
             * If false, the tool performs only additive updates.
             *
             * (This property is meaningful only when `readOnlyHint == false`)
             *
             * Default: true
             */
            destructiveHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, calling the tool repeatedly with the same arguments
             * will have no additional effect on the its environment.
             *
             * (This property is meaningful only when `readOnlyHint == false`)
             *
             * Default: false
             */
            idempotentHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, this tool may interact with an "open world" of external
             * entities. If false, the tool's domain of interaction is closed.
             * For example, the world of a web search tool is open, whereas that
             * of a memory tool is not.
             *
             * Default: true
             */
            openWorldHint: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            /**
             * A human-readable title for the tool.
             */
            title: z.ZodOptional<z.ZodString>;
            /**
             * If true, the tool does not modify its environment.
             *
             * Default: false
             */
            readOnlyHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, the tool may perform destructive updates to its environment.
             * If false, the tool performs only additive updates.
             *
             * (This property is meaningful only when `readOnlyHint == false`)
             *
             * Default: true
             */
            destructiveHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, calling the tool repeatedly with the same arguments
             * will have no additional effect on the its environment.
             *
             * (This property is meaningful only when `readOnlyHint == false`)
             *
             * Default: false
             */
            idempotentHint: z.ZodOptional<z.ZodBoolean>;
            /**
             * If true, this tool may interact with an "open world" of external
             * entities. If false, the tool's domain of interaction is closed.
             * For example, the world of a web search tool is open, whereas that
             * of a memory tool is not.
             *
             * Default: true
             */
            openWorldHint: z.ZodOptional<z.ZodBoolean>;
        }, z.ZodTypeAny, "passthrough">>>;
    }, z.ZodTypeAny, "passthrough">>, "many">;
}>, z.ZodTypeAny, "passthrough">>]>;
export declare class McpError extends Error {
    readonly code: number;
    readonly data?: unknown;
    constructor(code: number, message: string, data?: unknown);
}
type Primitive = string | number | boolean | bigint | null | undefined;
type Flatten<T> = T extends Primitive ? T : T extends Array<infer U> ? Array<Flatten<U>> : T extends Set<infer U> ? Set<Flatten<U>> : T extends Map<infer K, infer V> ? Map<Flatten<K>, Flatten<V>> : T extends object ? {
    [K in keyof T]: Flatten<T[K]>;
} : T;
type Infer<Schema extends ZodTypeAny> = Flatten<z.infer<Schema>>;
export type ProgressToken = Infer<typeof ProgressTokenSchema>;
export type Cursor = Infer<typeof CursorSchema>;
export type Request = Infer<typeof RequestSchema>;
export type RequestMeta = Infer<typeof RequestMetaSchema>;
export type Notification = Infer<typeof NotificationSchema>;
export type Result = Infer<typeof ResultSchema>;
export type RequestId = Infer<typeof RequestIdSchema>;
export type JSONRPCRequest = Infer<typeof JSONRPCRequestSchema>;
export type JSONRPCNotification = Infer<typeof JSONRPCNotificationSchema>;
export type JSONRPCResponse = Infer<typeof JSONRPCResponseSchema>;
export type JSONRPCError = Infer<typeof JSONRPCErrorSchema>;
export type JSONRPCMessage = Infer<typeof JSONRPCMessageSchema>;
export type EmptyResult = Infer<typeof EmptyResultSchema>;
export type CancelledNotification = Infer<typeof CancelledNotificationSchema>;
export type Implementation = Infer<typeof ImplementationSchema>;
export type ClientCapabilities = Infer<typeof ClientCapabilitiesSchema>;
export type InitializeRequest = Infer<typeof InitializeRequestSchema>;
export type ServerCapabilities = Infer<typeof ServerCapabilitiesSchema>;
export type InitializeResult = Infer<typeof InitializeResultSchema>;
export type InitializedNotification = Infer<typeof InitializedNotificationSchema>;
export type PingRequest = Infer<typeof PingRequestSchema>;
export type Progress = Infer<typeof ProgressSchema>;
export type ProgressNotification = Infer<typeof ProgressNotificationSchema>;
export type PaginatedRequest = Infer<typeof PaginatedRequestSchema>;
export type PaginatedResult = Infer<typeof PaginatedResultSchema>;
export type ResourceContents = Infer<typeof ResourceContentsSchema>;
export type TextResourceContents = Infer<typeof TextResourceContentsSchema>;
export type BlobResourceContents = Infer<typeof BlobResourceContentsSchema>;
export type Resource = Infer<typeof ResourceSchema>;
export type ResourceTemplate = Infer<typeof ResourceTemplateSchema>;
export type ListResourcesRequest = Infer<typeof ListResourcesRequestSchema>;
export type ListResourcesResult = Infer<typeof ListResourcesResultSchema>;
export type ListResourceTemplatesRequest = Infer<typeof ListResourceTemplatesRequestSchema>;
export type ListResourceTemplatesResult = Infer<typeof ListResourceTemplatesResultSchema>;
export type ReadResourceRequest = Infer<typeof ReadResourceRequestSchema>;
export type ReadResourceResult = Infer<typeof ReadResourceResultSchema>;
export type ResourceListChangedNotification = Infer<typeof ResourceListChangedNotificationSchema>;
export type SubscribeRequest = Infer<typeof SubscribeRequestSchema>;
export type UnsubscribeRequest = Infer<typeof UnsubscribeRequestSchema>;
export type ResourceUpdatedNotification = Infer<typeof ResourceUpdatedNotificationSchema>;
export type PromptArgument = Infer<typeof PromptArgumentSchema>;
export type Prompt = Infer<typeof PromptSchema>;
export type ListPromptsRequest = Infer<typeof ListPromptsRequestSchema>;
export type ListPromptsResult = Infer<typeof ListPromptsResultSchema>;
export type GetPromptRequest = Infer<typeof GetPromptRequestSchema>;
export type TextContent = Infer<typeof TextContentSchema>;
export type ImageContent = Infer<typeof ImageContentSchema>;
export type AudioContent = Infer<typeof AudioContentSchema>;
export type EmbeddedResource = Infer<typeof EmbeddedResourceSchema>;
export type PromptMessage = Infer<typeof PromptMessageSchema>;
export type GetPromptResult = Infer<typeof GetPromptResultSchema>;
export type PromptListChangedNotification = Infer<typeof PromptListChangedNotificationSchema>;
export type ToolAnnotations = Infer<typeof ToolAnnotationsSchema>;
export type Tool = Infer<typeof ToolSchema>;
export type ListToolsRequest = Infer<typeof ListToolsRequestSchema>;
export type ListToolsResult = Infer<typeof ListToolsResultSchema>;
export type CallToolResult = Infer<typeof CallToolResultSchema>;
export type CompatibilityCallToolResult = Infer<typeof CompatibilityCallToolResultSchema>;
export type CallToolRequest = Infer<typeof CallToolRequestSchema>;
export type ToolListChangedNotification = Infer<typeof ToolListChangedNotificationSchema>;
export type LoggingLevel = Infer<typeof LoggingLevelSchema>;
export type SetLevelRequest = Infer<typeof SetLevelRequestSchema>;
export type LoggingMessageNotification = Infer<typeof LoggingMessageNotificationSchema>;
export type SamplingMessage = Infer<typeof SamplingMessageSchema>;
export type CreateMessageRequest = Infer<typeof CreateMessageRequestSchema>;
export type CreateMessageResult = Infer<typeof CreateMessageResultSchema>;
export type ResourceReference = Infer<typeof ResourceReferenceSchema>;
export type PromptReference = Infer<typeof PromptReferenceSchema>;
export type CompleteRequest = Infer<typeof CompleteRequestSchema>;
export type CompleteResult = Infer<typeof CompleteResultSchema>;
export type Root = Infer<typeof RootSchema>;
export type ListRootsRequest = Infer<typeof ListRootsRequestSchema>;
export type ListRootsResult = Infer<typeof ListRootsResultSchema>;
export type RootsListChangedNotification = Infer<typeof RootsListChangedNotificationSchema>;
export type ClientRequest = Infer<typeof ClientRequestSchema>;
export type ClientNotification = Infer<typeof ClientNotificationSchema>;
export type ClientResult = Infer<typeof ClientResultSchema>;
export type ServerRequest = Infer<typeof ServerRequestSchema>;
export type ServerNotification = Infer<typeof ServerNotificationSchema>;
export type ServerResult = Infer<typeof ServerResultSchema>;
export {};
//# sourceMappingURL=types.d.ts.map